<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Config;
use App\Governate;
use App\Branch;

class City extends Model {

    protected $table = 'cities';

    //
    public function Governate() {
        return $this->hasOne(Governate::class, 'id', 'governate_id');
    }

    public function getListGovernate($id) {
        $lang = Config::get('app.locale');
        return $this->where('governate_id', $id)->pluck('name', 'id')->toArray();
    }

    public function getList() {
        $lang = Config::get('app.locale');
        return $this->pluck('name', 'id')->toArray();
    }

    public function getAll() {
        return $this->all();
    }

    public function getById($id) {
        return $this->find($id);
    }

    public function add($data) {
        $this->governate_id = $data['governate_id'];
        $this->name = $data['name'];
        return $this->save();
    }

    public function edit($id, $data) {
        $country = $this->find($id);
        $country->active = $data['active'];
        $country->governate_id = $data['governate_id'];
        $country->name = $data['name'];
        return $country->save();
    }

    public function remove($id) {
        $country = $this->find($id);
        return $country->delete();
    }

}
