<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Config;

class Dept extends Model {

    protected $table = 'depts';

    //

    public function Places() {
        return $this->hasMany(Place::class, 'dept_id', 'id');
    }

    public function getList() {
        return $this->pluck('name', 'id')->toArray();
    }

    public function getAll() {
        return $this->all();
    }

    public function getById($id) {
        return $this->find($id);
    }

    public function add($data) {
        $this->name = $data['name'];
        $this->sort = $data['sort'];
        return $this->save();
    }

    public function edit($id, $data) {
        $country = $this->find($id);
        $country->active = $data['active'];
        $country->name = $data['name'];
        $country->sort = $data['sort'];
        return $country->save();
    }

    public function remove($id) {
        $country = $this->find($id);
        return $country->delete();
    }

    public function scopeIsActive($query) {

        return $query->where('active', 'yes');
    }

}
