<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Config;
use App\City;

class Governate extends Model {

    //

    public function Cities() {
        return $this->hasMany(City::class, 'governate_id', 'id');
    }

    public function CitiesActive() {
        return $this->hasMany(City::class, 'governate_id', 'id')->where('active', 'yes');
    }

    public function getList() {
        $lang = Config::get('app.locale');
        return $this->pluck('name', 'id')->toArray();
    }

    public function getAll() {
        return $this->all();
    }

    public function getById($id) {
        return $this->find($id);
    }

    public function add($data) {
        $this->name = $data['name'];
        return $this->save();
    }

    public function edit($id, $data) {
        $country = $this->find($id);
        $country->active = $data['active'];
        $country->name = $data['name'];
        return $country->save();
    }

    public function remove($id) {
        $country = $this->find($id);
        return $country->delete();
    }

}
