<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Forecast\Forecast;
use Session;
use App\City;

class AdminController extends Controller {

    //

    function __construct(City $City) {
        $this->city = $City;
    }
    
    public function getLogin() {
        if (Auth::Check()) {
            return redirect('admin');
        }
        return view('admin.home.login');
    }

    public function postLogin() {
        $inputs = Request()->all();

        $remember = FALSE;
        if (isset($inputs['remember'])) {
            $remember = TRUE;
        }
        if (Auth::attempt(['username' => $inputs['username'], 'password' => $inputs['password']], $remember)) {
            $active = Auth::user()->active;
            $type = Auth::user()->type;
            if ($active == 'yes' && $type == "admin") {

                return redirect()->intended('admin');
            } else {
                Auth::logout();
                return back()->withInput()->withError(trans('layout.not_allow'));
            }
        } else {
            return back()->withInput()->withError(trans('layout.wrong_login'));
        }
    }

    public function logout() {
        Auth::logout();
        return redirect('admin/login');
    }

    public function index() {

        if (!Auth::Check()) {
            return redirect('admin/login');
        }

        return view('admin.home.index');
    }

    public function not_allow() {
        return view('admin.home.deny');
    }
    
    public function get_cities($id){
        $cities = $this->city->getListGovernate($id);
        $cities = array_add($cities, '', trans('layout.choose_city'));
        $cities = array_reverse($cities, TRUE);
        return view('business.restaurant.info.show', ['cities' => $cities]);
    }

}
