<?php

namespace App\Http\Controllers\Admin;

use App\ClientOpinion;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Http\Requests\StoreClientOpinion;
use App\Http\Requests\UpdateClientOpinion;

class ClientsOpinionController extends Controller {

    function __construct(ClientOpinion $clientOpinion) {

        $this->clientOpinion = $clientOpinion;
    }


    public function index() {
        //
        $clientsOpinions = $this->clientOpinion->getAll();

        return view('admin.clientOpinions.index', ['clientsOpinions' => $clientsOpinions]);
    }

    public function create() {

        return view('admin.clientOpinions.create');
    }

    public function store(StoreClientOpinion $request) {

        $this->clientOpinion->add($request);

        $message = trans('layout.add_suc');
        return back()->with(['message' => $message]);
    }

    public function edit($id) {

        $clientOpinion = $this->clientOpinion->getById($id);

        return view('admin.clientOpinions.edit', ['clientOpinion' => $clientOpinion]);
    }

    public function update(UpdateClientOpinion $request, $id) {

        $this->clientOpinion->edit($id, $request);

        $message = trans('layout.edit_suc');
        return redirect('admin/clients_opinions')->with(['message' => $message]);
    }

    public function destroy($id) {

        $this->clientOpinion->remove($id);

        $message = trans('layout.delete_suc');
        return back()->with(['message' => $message]);
    }

}