<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Governate;
use App\City;
use App\Http\Requests\StoreGovernate;
use App\Http\Requests\UpdateGovernate;

class GovernateController extends Controller {

    //
    function __construct(Governate $Governate, City $City) {
        $this->governate = $Governate;
        $this->city = $City;
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index() {
        //
        $governates = $this->governate->getAll();
        return view('admin.governates.index', ['governates' => $governates]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create() {
        //
        return view('admin.governates.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(StoreGovernate $request) {
        $this->governate->add($request);
        $message = trans('layout.add_suc');
        return back()->with(['message' => $message]);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id) {
        //
        $governate = $this->governate->getById($id);
        return view('admin.governates.show', ['governate' => $governate]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id) {
        //
        $governate = $this->governate->getById($id);
        return view('admin.governates.edit', ['governate' => $governate]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(UpdateGovernate $request, $id) {
        //
        $this->governate->edit($id, $request);
        $message = trans('layout.edit_suc');
        return redirect('admin/governates')->with(['message' => $message]);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id) {
        //
        $governate = $this->governate->getById($id);
        foreach ($governate['Cities'] as $city) {
            $this->city->remove($city['id']);
        }
        $this->governate->remove($id);
        $message = trans('layout.delete_suc');
        return back()->with(['message' => $message]);
    }

}
