<?php

namespace App\Http\Controllers\Admin;

use App\Offer;
use App\Place;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Http\Requests\StoreOffer;
use App\Http\Requests\UpdateOffer;

class OfferController extends Controller
{

    function __construct(Offer $Offer, Place $Place) {

        $this->offer = $Offer;
        $this->place = $Place;
    }

    public function index() {

        $offers = $this->offer->getAll();

        return view('admin.offers.index', ['offers' => $offers]);
    }

    public function create() {

        $places = $this->place->getList();

        $places = array_add($places, '', trans('layout.choose_place'));
        $places = array_reverse($places, TRUE);

        return view('admin.offers.create', ['places' => $places]);
    }

    public function store(StoreOffer $request) {

        $this->offer->add($request);

        $message = trans('layout.add_suc');
        return back()->with(['message' => $message]);
    }

    public function edit($id) {

        $offer = $this->offer->getById($id);

        $places = $this->place->getList();

        $places = array_add($places, '', trans('layout.choose_place'));
        $places = array_reverse($places, TRUE);

        return view('admin.offers.edit', ['offer' => $offer, 'places' => $places]);
    }

    public function update(UpdateOffer $request, $id) {

        $this->offer->edit($id, $request);

        $message = trans('layout.edit_suc');
        return redirect('admin/offers')->with(['message' => $message]);
    }

    public function destroy($id) {

        $this->offer->remove($id);

        $message = trans('layout.delete_suc');
        return back()->with(['message' => $message]);
    }
}
