<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Offer extends Model
{

    public function place() {
        return $this->hasOne(Place::class, 'id', 'place_id');
    }

    public function getAll() {
        return $this->get();
    }

    public function add($data) {

        $this->percentage = $data['percentage'];
        $this->place_id = $data['place_id'];

        return $this->save();
    }

    public function edit($id, $data) {

        $offer = $this->find($id);
        $offer->percentage = $data['percentage'];
        $offer->place_id = $data['place_id'];
        $offer->active = $data['active'];

        return $offer->save();
    }

    public function remove($id) {
        $offer = $this->find($id);
        return $offer->delete();
    }

    public function getById($id) {
        return $this->find($id);
    }

    public function scopeIsActive($query) {

        return $query->where('active', 'yes');
    }
}
