<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use File;

class Place extends Model {

    protected $table = 'places';

    //

    public function Dept() {
        return $this->hasOne(Dept::class, 'id', 'dept_id');
    }

    public function City() {
        return $this->hasOne(City::class, 'id', 'city_id');
    }

    public function Images() {
        return $this->hasMany(PlaceImages::class, 'place_id', 'id');
    }

    public function getAll() {
        return $this->get();
    }

    public function getList() {
        return $this->pluck('title', 'id')->toArray();
    }

    public function getById($id) {
        return $this->find($id);
    }

    public function add($data, $file) {
        $this->title = $data['title'];
        $this->details = $data['details'];
        $this->price = $data['price'];
        $this->area = $data['area'];
        $this->availiable = $data['availiable'];
        $this->address = $data['address'];
        $this->workers = $data['workers'];
        $this->rooms = $data['rooms'];
        $this->chairs = $data['chairs'];
        $this->dept_id = $data['dept_id'];
        $this->city_id = $data['city_id'];
        $this->rating = $data['rating'];
        $this->image = $file;
        $this->save();
        return $this->id;
    }

    public function edit($id, $data, $file = false) {
        $dept = $this->find($id);
        $dept->title = $data['title'];
        $dept->details = $data['details'];
        $dept->price = $data['price'];
        $dept->area = $data['area'];
        $dept->availiable = $data['availiable'];
        $dept->address = $data['address'];
        $dept->workers = $data['workers'];
        $dept->rooms = $data['rooms'];
        $dept->chairs = $data['chairs'];
        $dept->dept_id = $data['dept_id'];
        $dept->city_id = $data['city_id'];
        $dept->rating = $data['rating'];
        $dept->active = $data['active'];

        if ($file) {
            $path = public_path('upload/places/');
            $filename = $dept->image;
            File::Delete($path . $filename);
            $dept->image = $file;
        }
        return $dept->save();
    }

    public function remove($id) {
        $dept = $this->find($id);
        $path = public_path('upload/places/');
        $filename = $dept['image'];
        File::Delete($path . $filename);
        return $dept->delete();
    }

    public function scopeIsActive($query) {

        return $query->where('active', 'yes');
    }
}
