<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;
use App\Group;
use Illuminate\Support\Facades\Hash;

class User extends Authenticatable {

    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    public function Group() {
        return $this->hasOne(Group::class, 'id', 'group_id');
    }

    public function getType($type) {
        return $this->where('type', $type)->get();
    }

    public function getList($type) {
        return $this->where('type', $type)->pluck('name', 'id')->toArray();
    }

    public function getById($id) {
        return $this->find($id);
    }

    public function edit($id, $data) {
        $user = $this->find($id);
        $user->active = $data['active'];
        $user->name = $data['name'];
        $user->username = $data['username'];
        $user->email = $data['email'];
        $user->phone = $data['phone'];
        $user->type = $data['type'];
        if ($data['password'] != "") {
            $user->password = Hash::make($data['password']);
        }
        return $user->save();
    }

    public function edit_profile($id, $data) {
        $user = $this->find($id);
        $user->name = $data['name'];
        $user->username = $data['username'];
        $user->email = $data['email'];
        $user->phone = $data['phone'];
        if ($data['password'] != "") {
            $user->password = Hash::make($data['password']);
        }
        return $user->save();
    }

    public function edit_seen($id) {
        $user = $this->find($id);
        $user->seen = 'yes';
        return $user->save();
    }

    public function add_admin($data) {
        $this->group_id = $data['group_id'];
        $this->name = $data['name'];
        $this->username = $data['username'];
        $this->email = $data['email'];
        $this->phone = $data['phone'];
        $this->password = Hash::make($data['password']);
        $this->type = 'admin';
        return $this->save();
    }

    public function edit_admin($id, $data) {
        $user = $this->find($id);
        $user->active = $data['active'];
        $user->group_id = $data['group_id'];
        $user->name = $data['name'];
        $user->username = $data['username'];
        $user->email = $data['email'];
        $user->phone = $data['phone'];
        $user->type = $data['type'];
        if ($data['password'] != "") {
            $user->password = Hash::make($data['password']);
        }
        return $user->save();
    }

    public function AddUser($data) {
        $this->active = 'yes';
        $this->group_id = '';
        $this->name = $data['username'];
        $this->username = $data['username'];
        $this->email = $data['email'];
        $this->phone = $data['phone'];
        $this->type = '';
        if ($data['password'] != "") {
            $this->password = Hash::make($data['password']);
        }
        return $this->save();
    }





}
