<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateRestaurantsTable extends Migration {

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
        Schema::create('restaurants', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('user_id');
            $table->integer('country_id');
            $table->integer('governate_id');
            $table->integer('city_id');
            $table->string('ar_name');
            $table->string('en_name');
            $table->text('ar_desc');
            $table->text('en_desc');
            $table->string('time');
            $table->float('limit');
            $table->float('delivery');
            $table->string('date');
            $table->enum('comission_type', ['month', 'year', 'percent']);
            $table->float('comission');
            $table->text('image');
            $table->string('phone');
            $table->string('mobile');
            $table->text('address');
            $table->string('lat');
            $table->string('lng');
            $table->integer('rate');
            $table->enum('later', ['yes', 'no']);
            $table->enum('cash', ['yes', 'no']);
            $table->enum('knet', ['yes', 'no']);
            $table->enum('master', ['yes', 'no']);
            $table->enum('visa', ['yes', 'no']);
            $table->enum('active', ['yet', 'yes', 'no','info']);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
        Schema::dropIfExists('restaurants');
    }

}
