<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateRestaurantsOffersTable extends Migration {

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
        Schema::create('restaurants_menu_offers', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('meal_id');
            $table->string('ar_name');
            $table->string('en_name');
            $table->float('price');
            $table->string('start');
            $table->string('end');
            $table->string('image');
            $table->enum('wall', ['yes', 'no']);
            $table->enum('active', ['yes', 'no', 'end']);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
        Schema::dropIfExists('restaurants_menu_offers');
    }

}
