<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateFashionOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('fashion_orders', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('user_id');
            $table->integer('store_id');
            $table->string('delivery');
            $table->string('total');
            $table->string('country_ar');
            $table->string('country_en');
            $table->string('governate_ar');
            $table->string('governate_en');
            $table->string('city_ar');
            $table->string('city_en');
            $table->string('currency_ar');
            $table->string('currency_en');
            $table->string('block');
            $table->string('street');
            $table->string('jada');
            $table->string('building');
            $table->string('floor');
            $table->string('flat');
            $table->text('more');
            $table->string('lat');
            $table->string('lng');
            $table->string('address_title');
            $table->string('date');
            $table->string('pay_type');
            $table->string('status');
            $table->string('key');
            $table->string('platform');
            $table->string('lang');
            $table->text('comment');
            $table->integer('rate');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('fashion_orders');
    }
}
