@extends('admin.layouts.form')

@section('content')
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        {{trans('layout.groups')}}
    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item {{$pull}}"><a href="{{URL::to('admin')}}"> {{trans('layout.home')}}</a></li>
        <li class="breadcrumb-item {{$pull}}"><a href="{{URL::to('admin/groups')}}"> {{trans('layout.groups')}}</a></li>
        <li class="breadcrumb-item active {{$pull}}">{{trans('layout.group_edit')}}</li>
    </ol>
</section>

<section class="content">

    <div class="box box-default">
        <div class="box-header with-border">
            <h3 class="box-title">{{trans('layout.group_edit')}} : {{$group['name']}}</h3>

            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
            </div>
        </div>

        <form action="{{URL::to('admin/groups/'.$group['id'])}}" method="post">
            {{ Form::hidden('_method','PATCH') }}
            {{ csrf_field() }}

            <div class="box-body">
                <div class="row">
                    <div class="col-12">
                        @if (Session::has('message'))
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="alert alert-success alert-dismissible">
                                    {{ Session::get('message')}}
                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                </div>
                            </div>
                        </div>
                        @endif

                        <div class="form-group row">
                            <label for="input_1" class="col-sm-3 col-form-label">إسم المجموعة</label>
                            <div class="col-sm-9">
                                {{ Form::text('name', $group['name'], ['class'=>'form-control','id'=>'input_1']) }}
                                @if($errors->has('name'))
                                <div class="alert alert-danger">{{$errors->first('name')}}</div>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_5" class="col-sm-3 col-form-label">{{trans('layout.permissions')}}</label>
                            <div class="col-sm-9">
                                <?php
                                $places = $slider = $depts = $orders = $faq = $contact = $groups = $site = $governates = $cities = $pages = $admins = $users = $clients_opinions = $offers = FALSE;
                                foreach ($group['Permissions'] as $pre) {
                                    if ($pre['permission'] == "places") {
                                        $places = TRUE;
                                    } elseif ($pre['permission'] == "slider") {
                                        $slider = TRUE;
                                    } elseif ($pre['permission'] == "depts") {
                                        $depts = TRUE;
                                    } elseif ($pre['permission'] == "orders") {
                                        $orders = TRUE;
                                    } elseif ($pre['permission'] == "faq") {
                                        $faq = TRUE;
                                    } elseif ($pre['permission'] == "contact") {
                                        $contact = TRUE;
                                    } elseif ($pre['permission'] == "groups") {
                                        $groups = TRUE;
                                    } elseif ($pre['permission'] == "site") {
                                        $site = TRUE;
                                    } elseif ($pre['permission'] == "governates") {
                                        $governates = TRUE;
                                    } elseif ($pre['permission'] == "cities") {
                                        $cities = TRUE;
                                    } elseif ($pre['permission'] == "pages") {
                                        $pages = TRUE;
                                    } elseif ($pre['permission'] == "admins") {
                                        $admins = TRUE;
                                    } elseif ($pre['permission'] == "users") {
                                        $users = TRUE;
                                    } elseif ($pre['permission'] == "clients_opinions") {
                                        $clients_opinions = TRUE;
                                    } elseif ($pre['permission'] == "offers") {
                                        $offers = TRUE;
                                    }
                                }
                                ?>

                                <div class="col-sm-4 {{$pull}}">
                                    {{ Form::checkbox('permissions[]','site',$site,['id'=>'Checkbox_2']) }}
                                    <label for="Checkbox_2">{{trans('layout.site')}}</label>
                                </div>
                                <div class="col-sm-4 {{$pull}}">
                                    {{ Form::checkbox('permissions[]','governates',$governates,['id'=>'Checkbox_6']) }}
                                    <label for="Checkbox_6">{{trans('layout.governates')}}</label>
                                </div>
                                <div class="col-sm-4 {{$pull}}">
                                    {{ Form::checkbox('permissions[]','cities',$cities,['id'=>'Checkbox_7']) }}
                                    <label for="Checkbox_7">{{trans('layout.cities')}}</label>
                                </div> 
                                <div class="col-sm-4 {{$pull}}">
                                    {{ Form::checkbox('permissions[]','pages',$pages,['id'=>'Checkbox_8']) }}
                                    <label for="Checkbox_8">{{trans('layout.pages')}}</label>
                                </div>
                                <div class="col-sm-4 {{$pull}}">
                                    {{ Form::checkbox('permissions[]','groups',$groups,['id'=>'Checkbox_1']) }}
                                    <label for="Checkbox_1">{{trans('layout.groups')}}</label>
                                </div>
                                <div class="col-sm-4 {{$pull}}">
                                    {{ Form::checkbox('permissions[]','admins',$admins,['id'=>'Checkbox_9']) }}
                                    <label for="Checkbox_9">{{trans('layout.admins')}}</label>
                                </div>
                                <div class="col-sm-4 {{$pull}}">
                                    {{ Form::checkbox('permissions[]','users',$users,['id'=>'Checkbox_10']) }}
                                    <label for="Checkbox_10">{{trans('layout.users')}}</label>
                                </div>
                                <div class="col-sm-4 {{$pull}}">
                                    {{ Form::checkbox('permissions[]','depts',$depts,['id'=>'Checkbox_15']) }}
                                    <label for="Checkbox_15">الأقسام</label>
                                </div>
                                <div class="col-sm-4 {{$pull}}">
                                    {{ Form::checkbox('permissions[]','places',$places,['id'=>'Checkbox_14']) }}
                                    <label for="Checkbox_14">الأماكن</label>
                                </div>
                                <div class="col-sm-4 {{$pull}}">
                                    {{ Form::checkbox('permissions[]','orders',$orders,['id'=>'Checkbox_18']) }}
                                    <label for="Checkbox_18">طلبات الشراء</label>
                                </div>
                                <div class="col-sm-4 {{$pull}}">
                                    {{ Form::checkbox('permissions[]','faq',$faq,['id'=>'Checkbox_17']) }}
                                    <label for="Checkbox_17">{{trans('layout.faq')}}</label>
                                </div>
                                <div class="col-sm-4 {{$pull}}">
                                    {{ Form::checkbox('permissions[]','slider',$slider,['id'=>'Checkbox_11']) }}
                                    <label for="Checkbox_11">{{trans('layout.slider')}}</label>
                                </div>
                                <div class="col-sm-4 {{$pull}}">
                                    {{ Form::checkbox('permissions[]','contact',$contact,['id'=>'Checkbox_12']) }}
                                    <label for="Checkbox_12">{{trans('layout.contact')}}</label>
                                </div>
                                <div class="col-sm-4 {{$pull}}">
                                    {{ Form::checkbox('permissions[]','clients_opinions',$clients_opinions,['id'=>'Checkbox_19']) }}
                                    <label for="Checkbox_19">{{trans('layout.clients_opinions')}}</label>
                                </div>
                                <div class="col-sm-4 {{$pull}}">
                                    {{ Form::checkbox('permissions[]','offers',$offers,['id'=>'Checkbox_20']) }}
                                    <label for="Checkbox_20">{{trans('layout.offers')}}</label>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="box-footer">
                <button type="submit" class="btn btn-primary btn-lg" style="font-size: 16px;">{{trans('layout.save')}}</button>
                <a href="{{URL::to('admin/groups')}}" class="btn btn-default btn-lg" style="font-size: 16px;">{{trans('layout.back')}}</a>
            </div>

        </form>

    </div>

</section>

@endsection