<?php
$lang = App::getLocale();
$float = "right";
if ($lang == "en") {
    $float = "left";
}
?>
<aside class="main-sidebar">
    <!-- sidebar: style can be found in sidebar.less -->
    <section class="sidebar" dir="{{$dir}}">
        <!-- Sidebar user panel -->
        <div class="user-panel">
            <div class="image float-{{$float}}">
                @if(Auth::User()->image == "")
                <img src="{{URL::to('admin_panel')}}/images/user2-160x160.jpg" class="rounded" alt="{{Auth::User()->name}}">
                @else
                <img src="{{URL::to('upload/users/'.Auth::User()->image)}}" class="rounded" alt="{{Auth::User()->name}}">                
                @endif
            </div>
            <div class="info float-right">
                <p>{{Auth::user()->username}}</p>
                <a href="#"><i class="fa fa-circle text-success"></i> {{trans('layout.online')}}</a>
            </div>
        </div>

        <!-- sidebar menu: : style can be found in sidebar.less -->
        <ul class="sidebar-menu" data-widget="tree" style="padding-bottom: 50px;">
            <?php
            $url = URL::current();
            $orders = $places = $slider = $faq = $contact = $admins = $users = $site = $groups = $pages = $governates = $cities = $depts = $admin = $clients_opinions = $offers = "";
            if (strpos($url, 'site') !== false) {
                $site = "active";
            } elseif (strpos($url, 'groups') !== false) {
                $groups = "active";
            } elseif (strpos($url, 'pages') !== false) {
                $pages = "active";
            } elseif (strpos($url, 'governates') !== false) {
                $governates = "active";
            } elseif (strpos($url, 'cities') !== false) {
                $cities = "active";
            } elseif (strpos($url, 'orders') !== false) {
                $orders = "active";
            } elseif (strpos($url, 'users') !== false) {
                $users = "active";
            } elseif (strpos($url, 'admins') !== false) {
                $admins = "active";
            } elseif (strpos($url, 'contact') !== false) {
                $contact = "active";
            } elseif (strpos($url, 'faq') !== false) {
                $faq = "active";
            } elseif (strpos($url, 'depts') !== false) {
                $depts = "active";
            } elseif (strpos($url, 'slider') !== false) {
                $slider = "active";
            } elseif (strpos($url, 'places') !== false) {
                $places = "active";
            } elseif (strpos($url, 'clients-opinions') !== false) {
                $clients_opinions = "active";
            } elseif (strpos($url, 'offers') !== false) {
                $offers = "active";
            }
            else {
                $admin = "active";
            }

            $orders_role = $places_role = $site_role = $groups_role = $pages_role = $governates_role = $cities_role = $users_role = $admins_role = $contact_role = $faq_role = $depts_role = $slider_role = $clients_opinions_role = $offers_role = FALSE;
            foreach (Auth::User()->Group->Permissions as $permission) {
                if ($permission['permission'] == 'site') {
                    $site_role = TRUE;
                } elseif ($permission['permission'] == 'groups') {
                    $groups_role = TRUE;
                } elseif ($permission['permission'] == 'pages') {
                    $pages_role = TRUE;
                } elseif ($permission['permission'] == 'governates') {
                    $governates_role = TRUE;
                } elseif ($permission['permission'] == 'cities') {
                    $cities_role = TRUE;
                } elseif ($permission['permission'] == 'orders') {
                    $orders_role = TRUE;
                } elseif ($permission['permission'] == 'users') {
                    $users_role = TRUE;
                } elseif ($permission['permission'] == 'admins') {
                    $admins_role = TRUE;
                } elseif ($permission['permission'] == 'contact') {
                    $contact_role = TRUE;
                } elseif ($permission['permission'] == 'faq') {
                    $faq_role = TRUE;
                } elseif ($permission['permission'] == 'depts') {
                    $depts_role = TRUE;
                } elseif ($permission['permission'] == 'slider') {
                    $slider_role = TRUE;
                } elseif ($permission['permission'] == 'places') {
                    $places_role = TRUE;
                } elseif ($permission['permission'] == 'clients_opinions') {
                    $clients_opinions_role = TRUE;
                } elseif ($permission['permission'] == 'offers') {
                    $offers_role = TRUE;
                }
            }
            ?>

            <li class="">
                <a href="{{URL::to('/')}}">
                    <i class="fa fa-home"></i>
                    <span>{{trans('layout.website')}}</span>
                </a>
            </li>

            <li class="{{$admin}}">
                <a href="{{URL::to('admin')}}">
                    <i class="fa fa-dashboard"></i>
                    <span>{{trans('layout.admin')}}</span>
                </a>
            </li>

            @if ($groups_role)
            <li class="treeview {{$groups}}">
                <a href="#">
                    <i class="fa fa-android"></i>
                    <span>{{trans('layout.groups')}}</span>
                    <span class="pull-{{$arrow}}-container">
                        <i class="fa fa-angle-{{$arrow}} pull-{{$arrow}}"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="{{URL::to('admin/groups')}}"><i class="fa fa-circle-o"></i> {{trans('layout.show_all')}}</a></li>
                    <li><a href="{{URL::to('admin/groups/create')}}"><i class="fa fa-circle-o"></i> {{trans('layout.group_add')}}</a></li>
                </ul>
            </li>
            @endif

            @if ($admins_role)
            <li class="treeview {{$admins}}">
                <a href="#">
                    <i class="fa fa-user-secret"></i>
                    <span>{{trans('layout.admins')}}</span>
                    <span class="pull-{{$arrow}}-container">
                        <i class="fa fa-angle-{{$arrow}} pull-{{$arrow}}"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="{{URL::to('admin/admins')}}"><i class="fa fa-circle-o"></i> {{trans('layout.show_all')}}</a></li>
                    <li><a href="{{URL::to('admin/admins/create')}}"><i class="fa fa-circle-o"></i> {{trans('layout.admin_add')}}</a></li>
                </ul>
            </li>
            @endif

            @if ($users_role)
            <li class="{{$users}}">
                <a href="{{URL::to('admin/users')}}">
                    <i class="fa fa-user-circle-o"></i>
                    <span>{{trans('layout.users')}}</span>
                </a>
            </li>
            @endif

            @if ($depts_role)
            <li class="treeview {{$depts}}">
                <a href="#">
                    <i class="fa fa-sitemap"></i>
                    <span>الأقسام</span>
                    <span class="pull-{{$arrow}}-container">
                        <i class="fa fa-angle-{{$arrow}} pull-{{$arrow}}"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="{{URL::to('admin/depts')}}"><i class="fa fa-circle-o"></i> {{trans('layout.show_all')}}</a></li>
                    <li><a href="{{URL::to('admin/depts/create')}}"><i class="fa fa-circle-o"></i> إضافة قسم جديد</a></li>
                </ul>
            </li>
            @endif

            @if ($places_role)
            <li class="treeview {{$places}}">
                <a href="#">
                    <i class="fa fa-bank"></i>
                    <span>الأماكن</span>
                    <span class="pull-{{$arrow}}-container">
                        <i class="fa fa-angle-{{$arrow}} pull-{{$arrow}}"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="{{URL::to('admin/places')}}"><i class="fa fa-circle-o"></i> {{trans('layout.show_all')}}</a></li>
                    <li><a href="{{URL::to('admin/places/create')}}"><i class="fa fa-circle-o"></i> إضافة مكان جديد</a></li>
                </ul>
            </li>
            @endif

            @if ($orders_role)
            <li class="{{$orders}}">
                <a href="{{URL::to('admin/orders')}}">
                    <i class="fa fa-shopping-cart"></i>
                    <span>طلبات الشراء</span>
                </a>
            </li>
            @endif

            @if ($offers_role)
                <li class="treeview {{$offers}}">
                    <a href="#">
                        <i class="fa fa-usd"></i>
                        <span>{{trans('layout.offers')}}</span>
                        <span class="pull-{{$arrow}}-container">
                <i class="fa fa-angle-{{$arrow}} pull-{{$arrow}}"></i>
            </span>
                    </a>
                    <ul class="treeview-menu">
                        <li><a href="{{URL::to('admin/offers')}}"><i class="fa fa-circle-o"></i> {{trans('layout.show_all')}}</a></li>
                        <li><a href="{{URL::to('admin/offers/create')}}"><i class="fa fa-circle-o"></i> {{trans('layout.offers_add')}}</a></li>
                    </ul>
                </li>
            @endif

            <hr style='background: #fff;'>

            @if ($governates_role)
            <li class="treeview {{$governates}}">
                <a href="#">
                    <i class="fa fa-map"></i>
                    <span>{{trans('layout.governates')}}</span>
                    <span class="pull-{{$arrow}}-container">
                        <i class="fa fa-angle-{{$arrow}} pull-{{$arrow}}"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="{{URL::to('admin/governates')}}"><i class="fa fa-circle-o"></i> {{trans('layout.show_all')}}</a></li>
                    <li><a href="{{URL::to('admin/governates/create')}}"><i class="fa fa-circle-o"></i> {{trans('layout.governate_add')}}</a></li>
                </ul>
            </li>    
            @endif

            @if ($cities_role)
            <li class="treeview {{$cities}}">
                <a href="#">
                    <i class="fa fa-road"></i>
                    <span>{{trans('layout.cities')}}</span>
                    <span class="pull-{{$arrow}}-container">
                        <i class="fa fa-angle-{{$arrow}} pull-{{$arrow}}"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="{{URL::to('admin/cities')}}"><i class="fa fa-circle-o"></i> {{trans('layout.show_all')}}</a></li>
                    <li><a href="{{URL::to('admin/cities/create')}}"><i class="fa fa-circle-o"></i> {{trans('layout.city_add')}}</a></li>
                </ul>
            </li>  
            @endif

            @if ($site_role)
            <li class="{{$site}}">
                <a href="{{URL::to('admin/site')}}">
                    <i class="fa fa-th"></i>
                    <span>{{trans('layout.site')}}</span>
                </a>
            </li>
            @endif

            @if ($pages_role)
            <li class="treeview {{$pages}}">
                <a href="#">
                    <i class="fa fa-files-o"></i>
                    <span>{{trans('layout.pages')}}</span>
                    <span class="pull-{{$arrow}}-container">
                        <i class="fa fa-angle-{{$arrow}} pull-{{$arrow}}"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="{{URL::to('admin/pages')}}"><i class="fa fa-circle-o"></i> {{trans('layout.show_all')}}</a></li>
                    <li><a href="{{URL::to('admin/pages/create')}}"><i class="fa fa-circle-o"></i> {{trans('layout.page_add')}}</a></li>
                </ul>
            </li>   
            @endif

            @if ($faq_role)
            <li class="treeview {{$faq}}">
                <a href="#">
                    <i class="fa fa-question-circle"></i>
                    <span>{{trans('layout.faq')}}</span>
                    <span class="pull-{{$arrow}}-container">
                        <i class="fa fa-angle-{{$arrow}} pull-{{$arrow}}"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="{{URL::to('admin/faq')}}"><i class="fa fa-circle-o"></i> {{trans('layout.show_all')}}</a></li>
                    <li><a href="{{URL::to('admin/faq/create')}}"><i class="fa fa-circle-o"></i> {{trans('layout.faq_add')}}</a></li>
                </ul>
            </li>   
            @endif

            @if ($contact_role)
            <li class="{{$contact}}">
                <a href="{{URL::to('admin/contact')}}">
                    <i class="fa fa-phone-square"></i>
                    <span>{{trans('layout.contact')}}</span>
                </a>
            </li>
            @endif

            @if ($slider_role)
            <li class="treeview {{$slider}}">
                <a href="#">
                    <i class="fa fa-photo"></i>
                    <span>{{trans('layout.slider')}}</span>
                    <span class="pull-{{$arrow}}-container">
                        <i class="fa fa-angle-{{$arrow}} pull-{{$arrow}}"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="{{URL::to('admin/slider')}}"><i class="fa fa-circle-o"></i> {{trans('layout.show_all')}}</a></li>
                    <li><a href="{{URL::to('admin/slider/create')}}"><i class="fa fa-circle-o"></i> {{trans('layout.slider_add')}}</a></li>
                </ul>
            </li>  
            @endif

            <hr style='background: #fff;'>

            <li class="">
                <a href="{{URL::to('admin/logout')}}">
                    <i class="fa fa-sign-out"></i>
                    <span>{{trans('layout.logout')}}</span>
                </a>
            </li>  

        </ul>
    </section>
    <!-- /.sidebar -->
    <div class="sidebar-footer">
        <!-- item-->
        <a href="{{URL::to('admin/site')}}" class="link" data-toggle="tooltip" title="" data-original-title="{{trans('layout.site')}}"><i class="fa fa-cog fa-spin"></i></a>
        <!-- item-->
        <a href="{{URL::to('admin/contact')}}" class="link" data-toggle="tooltip" title="" data-original-title="{{trans('layout.contact')}}"><i class="fa fa-envelope"></i></a>
        <!-- item-->
        <a href="{{URL::to('admin/logout')}}" class="link" data-toggle="tooltip" title="" data-original-title="{{trans('layout.logout')}}"><i class="fa fa-power-off"></i></a>
    </div>
</aside>