@extends('admin.layouts.form')

@section('content')
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        الأماكن
    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item {{$pull}}"><a href="{{URL::to('admin')}}"> {{trans('layout.home')}}</a></li>
        <li class="breadcrumb-item {{$pull}}"><a href="{{URL::to('admin/places')}}"> الأماكن</a></li>
        <li class="breadcrumb-item active {{$pull}}">إضافة مكان جديد</li>
    </ol>
</section>

<section class="content">

    <div class="box box-default">
        <div class="box-header with-border">
            <h3 class="box-title">إضافة مكان جديد</h3>

            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
            </div>
        </div>

        <form action="{{URL::to('admin/places')}}" method="post" enctype="multipart/form-data">
            {{ csrf_field() }}

            <div class="box-body">
                <div class="row">
                    <div class="col-12">
                        @if (Session::has('message'))
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="alert alert-success alert-dismissible">
                                    {{ Session::get('message')}}
                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                </div>
                            </div>
                        </div>
                        @endif

                        <div class="form-group row">
                            <label for="dept_id" class="col-sm-3 col-form-label">القسم</label>
                            <div class="col-sm-9">
                                {{ Form::select('dept_id',$depts, null, ['class'=>'form-control','id'=>'dept_id']) }}
                                @if($errors->has('dept_id'))
                                <div class="alert alert-danger">{{$errors->first('dept_id')}}</div>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="rating" class="col-sm-3 col-form-label">التقييم</label>
                            <div class="col-sm-9">
                                {{ Form::select('rating',$ratings, null, ['class'=>'form-control','id'=>'rating']) }}
                                @if($errors->has('rating'))
                                    <div class="alert alert-danger">{{$errors->first('rating')}}</div>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="city_id" class="col-sm-3 col-form-label">المدينة</label>
                            <div class="col-sm-9">
                                <select name="city_id" class="form-control" id="city_id">
                                    @foreach(App\Governate::all() as $governate)
                                    <optgroup label="{{$governate['name']}}">
                                        @foreach($governate['cities'] as $city)
                                        <option value="{{$city['id']}}">{{$city['name']}}</option>
                                        @endforeach
                                    </optgroup>
                                    @endforeach
                                </select>
                                @if($errors->has('city_id'))
                                <div class="alert alert-danger">{{$errors->first('city_id')}}</div>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_1" class="col-sm-3 col-form-label">إسم المكان</label>
                            <div class="col-sm-9">
                                {{ Form::text('title', null, ['class'=>'form-control','id'=>'input_1']) }}
                                @if($errors->has('title'))
                                <div class="alert alert-danger">{{$errors->first('title')}}</div>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="details" class="col-sm-3 col-form-label">تفاصيل المكان</label>
                            <div class="col-sm-9">
                                {{ Form::textarea('details', null, ['class'=>'form-control','id'=>'details']) }}
                                @if($errors->has('title'))
                                <div class="alert alert-danger">{{$errors->first('details')}}</div>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="price" class="col-sm-3 col-form-label">سعر المكان</label>
                            <div class="col-sm-8">
                                {{ Form::number('price', null, ['class'=>'form-control','id'=>'price']) }}
                                @if($errors->has('sort'))
                                <div class="alert alert-danger">{{$errors->first('price')}}</div>
                                @endif
                            </div>
                            <label class="col-sm-1 col-form-label">ريال</label>
                        </div>

                        <div class="form-group row">
                            <label for="area" class="col-sm-3 col-form-label">مساحة المكان</label>
                            <div class="col-sm-9">
                                {{ Form::text('area', null, ['class'=>'form-control','id'=>'area']) }}
                                @if($errors->has('area'))
                                <div class="alert alert-danger">{{$errors->first('area')}}</div>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="availiable" class="col-sm-3 col-form-label">متاح في الفترات</label>
                            <div class="col-sm-9">
                                {{ Form::textarea('availiable', null, ['class'=>'form-control','id'=>'availiable']) }}
                                @if($errors->has('availiable'))
                                <div class="alert alert-danger">{{$errors->first('availiable')}}</div>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="address" class="col-sm-3 col-form-label">العنوان</label>
                            <div class="col-sm-9">
                                {{ Form::text('address', null, ['class'=>'form-control','id'=>'address']) }}
                                @if($errors->has('address'))
                                <div class="alert alert-danger">{{$errors->first('address')}}</div>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="workers" class="col-sm-3 col-form-label">العمال</label>
                            <div class="col-sm-9">
                                {{ Form::text('workers', null, ['class'=>'form-control','id'=>'workers']) }}
                                @if($errors->has('workers'))
                                <div class="alert alert-danger">{{$errors->first('workers')}}</div>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="rooms" class="col-sm-3 col-form-label">الغرف</label>
                            <div class="col-sm-9">
                                {{ Form::text('rooms', null, ['class'=>'form-control','id'=>'rooms']) }}
                                @if($errors->has('rooms'))
                                <div class="alert alert-danger">{{$errors->first('rooms')}}</div>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="chairs" class="col-sm-3 col-form-label">الطاولات</label>
                            <div class="col-sm-9">
                                {{ Form::text('chairs', null, ['class'=>'form-control','id'=>'chairs']) }}
                                @if($errors->has('chairs'))
                                <div class="alert alert-danger">{{$errors->first('chairs')}}</div>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_6" class="col-sm-3 col-form-label">الصورة الرئيسية</label>
                            <div class="col-sm-9">
                                {{ Form::file('image',['class'=>'form-control','id'=>'input_6']) }}
                                @if($errors->has('image'))
                                <div class="alert alert-danger">{{$errors->first('image')}}</div>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_9" class="col-sm-3 col-form-label">ألبوم الصور</label>
                            <div class="col-sm-9" id="images">
                                <div class="col-sm-10 pull-right" id="images_1">
                                    {{ Form::file('images[]',['class'=>'form-control']) }}
                                </div>
                                <div class="col-sm-2 pull-right">
                                    <button class="btn btn-success btn-lg btn-block" style="height: 36px;" id="more_images">{{trans('layout.more')}}</button>
                                </div>
                                <div class="clearfix"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="box-footer">
                <button type="submit" class="btn btn-primary btn-lg" style="font-size: 16px;">{{trans('layout.add')}}</button>
                <a href="{{URL::to('admin/places')}}" class="btn btn-default btn-lg" style="font-size: 16px;">{{trans('layout.back')}}</a>
            </div>

        </form>

    </div>

</section>

@endsection

@section('scripts')
<script>
    $('#more_images').click(function () {
        $('#images').append('<br>');
        $('#images').append($('#images_1').clone());
        $('#images').append('<div class="col-sm-2 <?php echo $pull; ?>"><button class="btn btn-danger btn-lg btn-block delete_images" style="height: 36px;"><?php echo trans('layout.delete'); ?></button></div><div class="clearfix"></div>');
        return false;
    });
    $("body").on("click", ".delete_images", function (e) {
        $(this).parent("div").prev("div").prev("br").remove();
        $(this).parent("div").prev("div").remove();
        $(this).parent("div").remove();
    });
</script>
@endsection
