@extends('interface.layout')

@section('content')
<?php
$site = \App\Site::first();
?>

<div class="container-fluid" style="margin: 80px 0px 80px 0px">
    <div class="row animatee">
        <div class="col-md-12">
            <div class="well well-sm">
                <form action="{{URL::to('contact')}}" method="post" enctype="multipart/form-data">
                    {{ csrf_field() }}
                    <h2>
                        ارسل رسالتك
                    </h2>
                    <hr class="colorgraph">
                    <div class="row">
                        @if (Session::has('message'))
                        <div class="col-lg-12">
                            <div class="alert alert-success alert-dismissible">
                                {{ Session::get('message')}}
                                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                            </div>
                        </div>
                        @endif
                        
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="name">
                                    الاسم
                                </label>
                                {{ Form::text('name', null, ['class'=>'form-control','id'=>'name','required','placeholder'=>'الاســــــم']) }}
                                @if($errors->has('name'))
                                <div class="alert alert-danger">{{$errors->first('name')}}</div>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="email1">
                                    البريد الالكترونى
                                </label>
                                {{ Form::text('email', null, ['class'=>'form-control','id'=>'email','required','placeholder'=>'البريد الالكترونى ']) }}
                                @if($errors->has('email'))
                                <div class="alert alert-danger">{{$errors->first('email')}}</div>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="subject">
                                    رقم التيلفون
                                </label>
                                {{ Form::text('phone', null, ['class'=>'form-control','id'=>'phone','required','placeholder'=>'رقم التيلفون']) }}
                                @if($errors->has('phone'))
                                <div class="alert alert-danger">{{$errors->first('phone')}}</div>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="name">
                                    عنوان الرسالة
                                </label>
                                {{ Form::text('title', null, ['class'=>'form-control','id'=>'title','required','placeholder'=>'عنوان الرسالة']) }}
                                @if($errors->has('title'))
                                <div class="alert alert-danger">{{$errors->first('title')}}</div>
                                @endif
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="name">
                                    ارسل رسالتك
                                </label>
                                {{ Form::textarea('message', null, ['class'=>'form-control','id'=>'message','required','rows'=>'12','placeholder'=>'اكتب رسالتك هنا ']) }}
                                @if($errors->has('message'))
                                <div class="alert alert-danger">{{$errors->first('message')}}</div>
                                @endif
                            </div>
                        </div>
                        <div class="col-md-12">
                            <button type="submit" class="btn btn-primary pull-right" id="btnContactUs">
                                ارسال
                            </button>
                        </div>
                    </div>
                </form>
            </div>
        </div>

    </div>
</div>

@endsection