<?php

/*
  |--------------------------------------------------------------------------
  | Web Routes
  |--------------------------------------------------------------------------
  |
  | Here is where you can register web routes for your application. These
  | routes are loaded by the RouteServiceProvider within a group which
  | contains the "web" middleware group. Now create something great!
  |
 */

// admin dashboard
Route::group(array('prefix' => 'admin', 'middleware' => 'admin'), function() {
    Route::resource('site', 'Admin\SiteController')->middleware('role:site');
    Route::resource('groups', 'Admin\GroupController')->middleware('role:groups');
    Route::resource('pages', 'Admin\PagesController')->middleware('role:pages');
    Route::resource('governates', 'Admin\GovernateController')->middleware('role:governates');
    Route::resource('cities', 'Admin\CityController')->middleware('role:cities');
    Route::resource('newsletter', 'Admin\NewsletterController')->middleware('role:newsletter');
    Route::resource('depts', 'Admin\DeptController')->middleware('role:depts');
    Route::resource('users', 'Admin\UsersController')->middleware('role:users');
    Route::resource('admins', 'Admin\AdminsController')->middleware('role:admins');
    Route::resource('contact', 'Admin\ContactController')->middleware('role:contact');
    Route::resource('faq', 'Admin\FaqController')->middleware('role:faq');
    Route::resource('slider', 'Admin\SliderController')->middleware('role:slider');
    Route::resource('depts', 'Admin\DeptsController')->middleware('role:depts');
    Route::resource('places', 'Admin\PlacesController')->middleware('role:places');
    Route::resource('orders', 'Admin\OrdersController')->middleware('role:orders');
    Route::resource('clients_opinions', 'Admin\ClientsOpinionController')->middleware('role:clients_opinions');
    Route::resource('offers', 'Admin\OfferController')->middleware('role:offers');


    Route::get('logout', 'Admin\AdminController@logout');
    Route::get('/', 'Admin\AdminController@index');
});
Route::group(array('prefix' => 'admin'), function() {
    Route::get('login', 'Admin\AdminController@getLogin');
    Route::post('login', 'Admin\AdminController@postLogin');
    Route::get('not_allow', 'Admin\AdminController@not_allow');
});



Auth::routes();


// interface Routes 
Route::get('/', 'InterfaceController@index');
Route::get('contact', 'InterfaceController@contact');
Route::post('contact', 'InterfaceController@contact_post');



