<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<header class="main-header" dir="<?php echo e($dir); ?>">
    <!-- Logo -->
    <a href="<?php echo e(URL::to('business')); ?>" class="logo">
        <!-- mini logo for sidebar mini 50x50 pixels -->
        <span class="logo-mini"><b>B</b></span>
        <!-- logo for regular state and mobile devices -->
        <span class="logo-lg"><b><?php echo e($site[$lang.'_title']); ?></b></span>
    </a>
    <!-- Header Navbar: style can be found in header.less -->
    <nav class="navbar navbar-static-top">
        <!-- Sidebar toggle button-->
        <a href="#" class="sidebar-toggle" data-toggle="push-menu" role="button">
            <span class="sr-only">Toggle navigation</span>
        </a>

        <div class="navbar-custom-menu">
            <ul class="nav navbar-nav">
                <!-- User Account: style can be found in dropdown.less -->
                <li class="dropdown user user-menu">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                        <?php if(Auth::User()->image == ""): ?>
                        <img src="<?php echo e(URL::to('admin_panel')); ?>/images/user2-160x160.jpg" class="user-image rounded" alt="<?php echo e(Auth::User()->name); ?>">
                        <?php else: ?>
                        <img src="<?php echo e(URL::to('upload/users/'.Auth::User()->image)); ?>" class="user-image rounded" alt="<?php echo e(Auth::User()->name); ?>">
                        <?php endif; ?>
                    </a>
                    <ul class="dropdown-menu scale-up">
                        <!-- User image -->
                        <li class="user-header">
                            <?php if(Auth::User()->image == ""): ?>
                            <img src="<?php echo e(URL::to('admin_panel')); ?>/images/user2-160x160.jpg" class="rounded float-right" alt="<?php echo e(Auth::User()->name); ?>">
                            <?php else: ?>
                            <img src="<?php echo e(URL::to('upload/users/'.Auth::User()->image)); ?>" class="rounded float-right" alt="<?php echo e(Auth::User()->name); ?>">
                            <?php endif; ?>                            

                            <p>
                                <?php echo e(Auth::User()->username); ?>

                                <small><?php echo e(Auth::User()->Country[$lang.'_name']); ?></small>
                            </p>
                        </li>
                        <!-- Menu Footer-->
                        <li class="user-footer">
                            <div class="pull-right">
                                <a href="<?php echo e(URL::to('/')); ?>" class="btn btn-block btn-primary"><?php echo e(trans('layout.website')); ?></a>
                            </div>
                            <div class="pull-left">
                                <a href="<?php echo e(URL::to('business/logout')); ?>" class="btn btn-block btn-danger"><?php echo e(trans('layout.logout')); ?></a>
                            </div>
                        </li>
                    </ul>
                </li>

                <?php if(COUNT(Auth::User()->Restaurant) > 0): ?>
                <?php $orders = \App\RestaurantsOrders::where('status', 'new')->where('restaurant_id', Auth::User()->Restaurant->id)->orderBy('id', 'desc')->get(); ?>
                <li class="dropdown notifications-menu">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                        <i class="fa fa-usd"></i>
                        <span class="label label-warning new_orders_count"><?php echo e(COUNT($orders)); ?></span>
                    </a>
                    <ul class="dropdown-menu scale-up">
                        <li class="header <?php echo e($text); ?>"><?php echo e(trans('layout.orders_count')); ?> : <span class="new_orders_count_2"><?php echo e(COUNT($orders)); ?></span></li>
                        <li>
                            <!-- inner menu: contains the actual data -->
                            <ul class="menu inner-content-div" id="new_orders">
                                <?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="<?php echo e($text); ?>">
                                    <a href="<?php echo e(URL::to('business/restaurant_orders/'.$order['id'].'/edit')); ?>">
                                        <i class="fa fa-shopping-bag text-yellow"></i> <?php echo e(trans('layout.orders_details_no')); ?> : <?php echo e($order['id']); ?> - <?php echo e($order['governate_'.$lang]); ?>

                                    </a>
                                </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </li>
                        <li class="footer"><a href="<?php echo e(URL::to('business/restaurant_orders?status=new')); ?>"><?php echo e(trans('layout.show_all')); ?></a></li>
                    </ul>
                </li>
                <?php endif; ?>

                <?php if(COUNT(Auth::User()->Fashion) > 0): ?>
                <?php $orders = \App\FashionOrders::where('status', 'new')->where('store_id', Auth::User()->Fashion->id)->orderBy('id', 'desc')->get(); ?>
                <li class="dropdown notifications-menu">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                        <i class="fa fa-usd"></i>
                        <span class="label label-warning new_orders_fashion_count"><?php echo e(COUNT($orders)); ?></span>
                    </a>
                    <ul class="dropdown-menu scale-up">
                        <li class="header <?php echo e($text); ?>"><?php echo e(trans('layout.orders_count')); ?> : <span class="new_orders_fashion_count_2"><?php echo e(COUNT($orders)); ?></span></li>
                        <li>
                            <!-- inner menu: contains the actual data -->
                            <ul class="menu inner-content-div" id="new_orders_fashion">
                                <?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="<?php echo e($text); ?>">
                                    <a href="<?php echo e(URL::to('business/fashion_orders/'.$order['id'].'/edit')); ?>">
                                        <i class="fa fa-shopping-bag text-yellow"></i> <?php echo e(trans('layout.orders_details_no')); ?> : <?php echo e($order['id']); ?> - <?php echo e($order['governate_'.$lang]); ?>

                                    </a>
                                </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </li>
                        <li class="footer"><a href="<?php echo e(URL::to('business/fashion_orders?status=new')); ?>"><?php echo e(trans('layout.show_all')); ?></a></li>
                    </ul>
                </li>
                <?php endif; ?>

                <?php if(COUNT(Auth::User()->Salon) > 0): ?>
                <?php $orders = \App\SalonOrders::where('status', 'new')->where('salon_id', Auth::User()->Salon->id)->orderBy('id', 'desc')->get(); ?>
                <li class="dropdown notifications-menu">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                        <i class="fa fa-usd"></i>
                        <span class="label label-warning new_orders_salon_count"><?php echo e(COUNT($orders)); ?></span>
                    </a>
                    <ul class="dropdown-menu scale-up">
                        <li class="header <?php echo e($text); ?>"><?php echo e(trans('layout.orders_count')); ?> : <span class="new_orders_salon_count_2"><?php echo e(COUNT($orders)); ?></span></li>
                        <li>
                            <!-- inner menu: contains the actual data -->
                            <ul class="menu inner-content-div" id="new_orders_salon">
                                <?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="<?php echo e($text); ?>">
                                    <a href="<?php echo e(URL::to('business/salon_orders/'.$order['id'].'/edit')); ?>">
                                        <i class="fa fa-shopping-bag text-yellow"></i> <?php echo e(trans('layout.orders_details_no')); ?> : <?php echo e($order['id']); ?> - <?php echo e($order['User']['name']); ?>

                                    </a>
                                </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </li>
                        <li class="footer"><a href="<?php echo e(URL::to('business/salon_orders?status=new')); ?>"><?php echo e(trans('layout.show_all')); ?></a></li>
                    </ul>
                </li>
                <?php endif; ?>

                <?php if(COUNT(Auth::User()->Gym) > 0): ?>
                <?php $orders = \App\GymOrdersProducts::whereDate('created_at', date('Y-m-d'))->where('gym_id', Auth::User()->Gym->id)->orderBy('id', 'DESC')->get(); ?>
                <li class="dropdown notifications-menu">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                        <i class="fa fa-usd"></i>
                        <span class="label label-warning new_orders_gym_count"><?php echo e(COUNT($orders)); ?></span>
                    </a>
                    <ul class="dropdown-menu scale-up">
                        <li class="header <?php echo e($text); ?>"><?php echo e(trans('layout.orders_count')); ?> : <span class="new_orders_gym_count_2"><?php echo e(COUNT($orders)); ?></span></li>
                        <li>
                            <!-- inner menu: contains the actual data -->
                            <ul class="menu inner-content-div" id="new_orders_gym">
                                <?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="<?php echo e($text); ?>">
                                    <a href="<?php echo e(URL::to('business/gym_orders/'.$order['id'].'/edit')); ?>">
                                        <i class="fa fa-shopping-bag text-yellow"></i> <?php echo e(trans('layout.orders_details_no')); ?> : <?php echo e($order['id']); ?> - <?php echo e($order['Order']['User']['name']); ?>

                                    </a>
                                </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </li>
                        <li class="footer"><a href="<?php echo e(URL::to('business/gym_orders')); ?>"><?php echo e(trans('layout.show_all')); ?></a></li>
                    </ul>
                </li>
                <?php endif; ?>

            </ul>
        </div>
    </nav>
</header>