<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.notifications')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.notifications')); ?></li>
    </ol>
</section>

<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-12">
            <?php if(Session::has('message')): ?>
            <div class="row">
                <div class="col-lg-12">
                    <div class="alert alert-success alert-dismissible">
                        <?php echo e(Session::get('message')); ?>

                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                    </div>
                </div>
            </div>
            <?php endif; ?>

            <div class="box box-default">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(trans('layout.notification_add')); ?></h3>

                    <div class="box-tools pull-right">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                    </div>
                </div>

                <form action="<?php echo e(URL::to('admin/notifications')); ?>" method="post" enctype="multipart/form-data">
                    <?php echo e(csrf_field()); ?>


                    <div class="box-body">
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group row">
                                    <label for="input_0" class="col-sm-3 col-form-label"><?php echo e(trans('layout.country')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::select('country_id',$countries, null, ['class'=>'form-control','id'=>'input_0'])); ?>

                                        <?php if($errors->has('country_id')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('country_id')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="input_00" class="col-sm-3 col-form-label"><?php echo e(trans('layout.platform')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::select('platform',['all'=>trans('layout.all_platform'),'android'=>'android','ios'=>'ios'], null, ['class'=>'form-control','id'=>'input_00'])); ?>

                                        <?php if($errors->has('platform')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('platform')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="input_000" class="col-sm-3 col-form-label"><?php echo e(trans('layout.user_type')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::select('user_type',['all'=>trans('layout.all_users'),'user'=>trans('layout.users'),'visitor'=>trans('layout.visitors')], null, ['class'=>'form-control','id'=>'input_000'])); ?>

                                        <?php if($errors->has('user_type')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('user_type')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="input_1" class="col-sm-3 col-form-label"><?php echo e(trans('layout.notification_ar')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::textarea('ar_message', null, ['class'=>'form-control','id'=>'input_1','rows'=>4])); ?>

                                        <?php if($errors->has('ar_message')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('ar_message')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="input_2" class="col-sm-3 col-form-label"><?php echo e(trans('layout.notification_en')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::textarea('en_message', null, ['class'=>'form-control','id'=>'input_2','rows'=>4])); ?>

                                        <?php if($errors->has('en_message')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('en_message')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="box-footer">
                        <button type="submit" class="btn btn-success btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.send')); ?></button>
                    </div>

                </form>

            </div>

            <div class="box">
                <div class="box-body">
                    <table id="example" class="table table-bordered table-hover display nowrap margin-top-10 table-responsive">
                        <thead>
                            <tr>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.notification')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.platform')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.country')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.user_type')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.date')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.sender')); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $notifications; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $notification): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($notification[$lang.'_message']); ?></td>
                                <td>
                                    <?php if($notification['platform'] == "all"): ?>
                                    <?php echo e(trans('layout.all_platform')); ?>

                                    <?php else: ?>
                                    <?php echo e($notification['platform']); ?>

                                    <?php endif; ?>
                                </td>
                                <td>
                                    <?php if($notification['country'] == "all"): ?>
                                    <?php echo e(trans('layout.all_country')); ?>

                                    <?php else: ?>
                                    <?php echo e($notification['Country'][$lang.'_name']); ?>

                                    <?php endif; ?>
                                </td>
                                <td>
                                    <?php if($notification['user_type'] == "all"): ?>
                                    <?php echo e(trans('layout.all_users')); ?>

                                    <?php elseif($notification['user_type'] == "user"): ?>
                                    <?php echo e(trans('layout.users')); ?>

                                    <?php elseif($notification['user_type'] == "visitor"): ?>
                                    <?php echo e(trans('layout.visitors')); ?>

                                    <?php endif; ?>
                                </td>
                                <td><?php echo e($notification['created_at']); ?></td>
                                <td><?php echo e($notification['User']['name']); ?></td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>


                </div>
                <!-- /.box-body -->
            </div>
            <!-- /.box -->          
        </div>
        <!-- /.col -->
    </div>
    <!-- /.row -->
</section>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.table', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>