<!DOCTYPE html>
<html lang="ar">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
        <meta name="HandheldFriendly" content="true">
        <title>Gales Book</title>
        <link rel="shortcut icon" href="<?php echo e(asset('interface/images/favicon.png')); ?>">
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('interface/css/bootstrap.min.css')); ?>">
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('interface/css/font-awesome.min.css')); ?>">
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('interface/css/owl.carousel.css')); ?>">
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('interface/css/animate.min.css')); ?>">
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('interface/css/style.css')); ?>">
    </head>
    <body>

        <?php echo $__env->make('interface.layout.header', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        <!--===============================
            OWL CAROUSEL
            ===================================-->

        <?php echo $__env->yieldContent('page_content'); ?>


        <?php echo $__env->make('interface.layout.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        <!--===============================
            SCRIPT
            ===================================-->
        <input type="hidden" value="<?php echo e(URL::to('/')); ?>" id="base-url">

        <script src="<?php echo e(asset('interface/js/jquery-1.11.1.min.js')); ?>"></script>
        <script src="<?php echo e(asset('interface/js/bootstrap.min.js')); ?>"></script>
        <script src="<?php echo e(asset('interface/js/owl.carousel.min.js')); ?>"></script>
        <script src="<?php echo e(asset('interface/js/wow.min.js')); ?>"></script>
        <script src="<?php echo e(asset('interface/js/script.js')); ?>"></script>

        <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
        <script>

$('form[name="subscribe"]').on('submit', function (event) {
    event.preventDefault();
    email = $('input[name="email"]').val();
    $.ajax({
        url: '<?php echo e(url(' / subscribe')); ?>',
        type: 'GET',
        dataType: 'json',
        data: {email: email},
    })
            .done(function (response) {
                switch (response.response) {
                    case 'notValid':
                        swal(
                                'خطا ....',
                                'من فضلك ضع بريد الكترونى صحيح',
                                'error'
                                )
                        break;
                    case 'error':
                        swal(
                                'خطا...',
                                'خطا حاول مرا اخرى من فضلك ',
                                'error'
                                )
                        break;
                    case 'saved':
                        swal({
                            position: 'top-right',
                            type: 'success',
                            title: 'تم الاشتراك بنجاح ',
                            showConfirmButton: false,
                            timer: 1500
                        })
                        break;
                    case 'exsits':
                        swal({
                            position: 'top-right',
                            type: 'success',
                            title: 'هذة البريد مشترك بالفعل فى القائمة البريدية',
                            showConfirmButton: false,
                            timer: 1500
                        })
                        break;
                    default:
                        // statements_def
                        break;
                }
            })
});

$('.add_favourite').click(function () {
    var id = $(this).attr('rel');
    var base_url = $('#base-url').val();
    $.ajax({
        type: "GET",
        url: base_url + "/add_favourite/" + id,
        success: function (datas) {
            if (datas == 0) {
                swal({
                    position: 'top-right',
                    type: 'success',
                    title: 'تم الإضافة لمفضلة بنجاح',
                    showConfirmButton: false,
                    timer: 1500
                })
            } else if (datas == 1) {
                swal(
                        'خطا ....',
                        'يرجي تسجيل الدخول أولاً',
                        'error'
                        )
            } else if (datas == 2) {
                swal(
                        'خطا ....',
                        'هذا الكتاب موجود في المفضلة لديك من قبلً',
                        'error'
                        )
            }

        }
    });
    return false;
});
        </script>
    </body>
</html>

<!--===============================
    END
    ===================================-->



