<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.kitchen_report')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.kitchen_report')); ?></li>
    </ol>
</section>

<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-12">
            <?php if(Session::has('message')): ?>
            <div class="row">
                <div class="col-lg-12">
                    <div class="alert alert-success alert-dismissible">
                        <?php echo e(Session::get('message')); ?>

                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                    </div>
                </div>
            </div>
            <?php endif; ?>

            <div class="box box-default">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(trans('layout.kitchen_report')); ?></h3>

                    <div class="box-tools pull-right">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                    </div>
                </div>

                <form action="<?php echo e(URL::to('admin/kitchen_report')); ?>" method="get" enctype="multipart/form-data">

                    <div class="box-body">
                        <div class="row">
                            <div class="col-12">
                                <br><br>
                                <div class="form-group row">
                                    <label for="country_id" class="col-sm-2 col-form-label"><?php echo e(trans('layout.country')); ?></label>
                                    <div class="col-sm-10">
                                        <?php echo e(Form::select('country_id',$countries, $country, ['class'=>'form-control select2'])); ?>

                                    </div>
                                </div>
                                <br>
                                <div class="form-group row">
                                    <label for="date_start" class="col-sm-2 col-form-label"><?php echo e(trans('layout.date')); ?></label>
                                    <div class="col-sm-10">
                                        <?php echo e(Form::text('date', $date, ['class'=>'form-control','id'=>'date_start'])); ?>

                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="box-footer">
                        <button type="submit" class="btn btn-danger btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.search')); ?></button>
                    </div>

                </form>

            </div>

            <div class="box">
                <div class="box-body">
                    <table id="example" class="table table-bordered table-hover display nowrap margin-top-10 table-responsive">
                        <thead>
                            <tr> 
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.meal')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.count')); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php for($i=0; $i < count($meals); $i++): ?>
                            <?php $meal = App\Meal::find($meals[$i]); ?>
                            <tr>
                                <td><?php echo e($meal[$lang.'_name']); ?></td>
                                <td><?php echo e($count[$i]); ?></td>
                            </tr>
                            <?php endfor; ?>
                        </tbody>
                    </table>


                </div>
                <!-- /.box-body -->
            </div>
            <!-- /.box -->          
        </div>
        <!-- /.col -->
    </div>
    <!-- /.row -->
</section>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.table', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>