<?php
$lang = App::getLocale();
$float = "right";
if ($lang == "en") {
    $float = "left";
}
?>
<aside class="main-sidebar">
    <!-- sidebar: style can be found in sidebar.less -->
    <section class="sidebar" dir="<?php echo e($dir); ?>">
        <!-- Sidebar user panel -->
        <div class="user-panel">
            <div class="image float-<?php echo e($float); ?>">
                <?php if(Auth::User()->image == ""): ?>
                <img src="<?php echo e(URL::to('admin_panel')); ?>/images/user2-160x160.jpg" class="rounded" alt="<?php echo e(Auth::User()->name); ?>">
                <?php else: ?>
                <img src="<?php echo e(URL::to('upload/users/'.Auth::User()->image)); ?>" class="rounded" alt="<?php echo e(Auth::User()->name); ?>">                
                <?php endif; ?>
            </div>
            <div class="info float-right">
                <p><?php echo e(Auth::user()->username); ?></p>
                <a href="#"><i class="fa fa-circle text-success"></i> <?php echo e(trans('layout.online')); ?></a>
            </div>
        </div>

        <!-- sidebar menu: : style can be found in sidebar.less -->
        <ul class="sidebar-menu" data-widget="tree" style="padding-bottom: 50px;">
            <?php
            $url = URL::current();
            $profile = $business = "";
            if (strpos($url, 'profile') !== false) {
                $profile = "active";
            } else {
                $business = "active";
            }
            $restaurant_count = App\Restaurant::where('user_id', Auth::User()->id)->count();
            $fashion_count = App\FashionStore::where('user_id', Auth::User()->id)->count();
            $salon_count = App\Salon::where('user_id', Auth::User()->id)->count();
            $gym_count = App\Gym::where('user_id', Auth::User()->id)->count();

            $gym_financial = $gym_orders = $gym_offers = $gym_products = $gym_work = $gym_info = $salon_financial = $salon_orders = $salon_offers = $salon_products = $salon_work = $salon_info = $fashion_financial = $fashion_info = $fashion_products = $fashion_offers = $fashion_orders = $restaurant_financial = $restaurant_info = $restaurant_additional_category = $restaurant_additional = $restaurant_menu = $restaurant_offers = $restaurant_orders = $restaurant_work = $restaurant_delivery = $business = "";
            if ($restaurant_count > 0) {
                if (strpos($url, 'profile') !== false) {
                    $profile = "active";
                } elseif (strpos($url, 'restaurant_info') !== false) {
                    $restaurant_info = "active";
                } elseif (strpos($url, 'restaurant_additional_categories') !== false) {
                    $restaurant_additional_category = "active";
                } elseif (strpos($url, 'restaurant_additionals') !== false) {
                    $restaurant_additional = "active";
                } elseif (strpos($url, 'restaurant_menu') !== false) {
                    $restaurant_menu = "active";
                } elseif (strpos($url, 'restaurant_offers') !== false) {
                    $restaurant_offers = "active";
                } elseif (strpos($url, 'restaurant_orders') !== false) {
                    $restaurant_orders = "active";
                } elseif (strpos($url, 'restaurant_work') !== false) {
                    $restaurant_work = "active";
                } elseif (strpos($url, 'restaurant_delivery') !== false) {
                    $restaurant_delivery = "active";
                } elseif (strpos($url, 'restaurant_financial') !== false) {
                    $restaurant_financial = "active";
                } else {
                    $business = "active";
                }
            }

            if ($fashion_count > 0) {
                if (strpos($url, 'profile') !== false) {
                    $profile = "active";
                } elseif (strpos($url, 'fashion_info') !== false) {
                    $fashion_info = "active";
                } elseif (strpos($url, 'fashion_products') !== false) {
                    $fashion_products = "active";
                } elseif (strpos($url, 'fashion_offers') !== false) {
                    $fashion_offers = "active";
                } elseif (strpos($url, 'fashion_orders') !== false) {
                    $fashion_orders = "active";
                } elseif (strpos($url, 'fashion_financial') !== false) {
                    $fashion_financial = "active";
                } else {
                    $business = "active";
                }
            }

            if ($salon_count > 0) {
                if (strpos($url, 'profile') !== false) {
                    $profile = "active";
                } elseif (strpos($url, 'salon_info') !== false) {
                    $salon_info = "active";
                } elseif (strpos($url, 'salon_work') !== false) {
                    $salon_work = "active";
                } elseif (strpos($url, 'salon_products') !== false) {
                    $salon_products = "active";
                } elseif (strpos($url, 'salon_offers') !== false) {
                    $salon_offers = "active";
                } elseif (strpos($url, 'salon_orders') !== false) {
                    $salon_orders = "active";
                } elseif (strpos($url, 'salon_financial') !== false) {
                    $salon_financial = "active";
                } else {
                    $business = "active";
                }
            }

            if ($gym_count > 0) {
                if (strpos($url, 'profile') !== false) {
                    $profile = "active";
                } elseif (strpos($url, 'gym_info') !== false) {
                    $gym_info = "active";
                } elseif (strpos($url, 'gym_work') !== false) {
                    $gym_work = "active";
                } elseif (strpos($url, 'gym_products') !== false) {
                    $gym_products = "active";
                } elseif (strpos($url, 'gym_offers') !== false) {
                    $gym_offers = "active";
                } elseif (strpos($url, 'gym_orders') !== false) {
                    $gym_orders = "active";
                } elseif (strpos($url, 'gym_financial') !== false) {
                    $gym_financial = "active";
                } else {
                    $business = "active";
                }
            }
            ?>
            <li class="">
                <a href="<?php echo e(URL::to('lang')); ?>">
                    <i class="fa fa-language"></i>
                    <?php if($lang == "ar"): ?>
                    <span>English Version</span>
                    <?php else: ?>
                    <span>النسخة العربية</span>
                    <?php endif; ?>
                </a>
            </li>

            <li class="">
                <a href="<?php echo e(URL::to('/')); ?>">
                    <i class="fa fa-home"></i>
                    <span><?php echo e(trans('layout.website')); ?></span>
                </a>
            </li>

            <li class="<?php echo e($business); ?>">
                <a href="<?php echo e(URL::to('business')); ?>">
                    <i class="fa fa-dashboard"></i>
                    <span><?php echo e(trans('layout.admin')); ?></span>
                </a>
            </li>

            <li class="<?php echo e($profile); ?>">
                <a href="<?php echo e(URL::to('business/profile')); ?>">
                    <i class="fa fa-user"></i>
                    <span><?php echo e(trans('layout.profile')); ?></span>
                </a>
            </li>

            <?php if($restaurant_count > 0): ?>
            <hr style="background: #fff;">
            <li class="<?php echo e($restaurant_info); ?>">
                <a href="<?php echo e(URL::to('business/restaurant_info')); ?>">
                    <i class="fa fa-building-o"></i>
                    <span><?php echo e(trans('layout.restaurant_data')); ?></span>
                </a>
            </li>

            <li class="<?php echo e($restaurant_work); ?>">
                <a href="<?php echo e(URL::to('business/restaurant_work')); ?>">
                    <i class="fa fa-clock-o"></i>
                    <span><?php echo e(trans('layout.restaurant_work')); ?></span>
                </a>
            </li>

            <li class="<?php echo e($restaurant_delivery); ?>">
                <a href="<?php echo e(URL::to('business/restaurant_delivery')); ?>">
                    <i class="fa fa-truck"></i>
                    <span><?php echo e(trans('layout.restaurant_delivery_area')); ?></span>
                </a>
            </li>

            <li class="<?php echo e($restaurant_additional_category); ?>">
                <a href="<?php echo e(URL::to('business/restaurant_additional_categories')); ?>">
                    <i class="fa fa-sitemap"></i>
                    <span><?php echo e(trans('layout.restaurant_additional_category')); ?></span>
                </a>
            </li>

            <li class="<?php echo e($restaurant_additional); ?>">
                <a href="<?php echo e(URL::to('business/restaurant_additionals')); ?>">
                    <i class="fa fa-plus-circle"></i>
                    <span><?php echo e(trans('layout.restaurant_additional')); ?></span>
                </a>
            </li>

            <li class="treeview <?php echo e($restaurant_menu); ?>">
                <a href="#">
                    <i class="fa fa-cutlery"></i>
                    <span><?php echo e(trans('layout.restaurant_menu')); ?></span>
                    <span class="pull-<?php echo e($arrow); ?>-container">
                        <i class="fa fa-angle-<?php echo e($arrow); ?> pull-<?php echo e($arrow); ?>"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="<?php echo e(URL::to('business/restaurant_menu')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.show_all')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('business/restaurant_menu/create')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.restaurant_menu_add')); ?></a></li>
                </ul>
            </li> 

            <li class="treeview <?php echo e($restaurant_offers); ?>">
                <a href="#">
                    <i class="fa fa-star"></i>
                    <span><?php echo e(trans('layout.restaurant_offers')); ?></span>
                    <span class="pull-<?php echo e($arrow); ?>-container">
                        <i class="fa fa-angle-<?php echo e($arrow); ?> pull-<?php echo e($arrow); ?>"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="<?php echo e(URL::to('business/restaurant_offers?active=current')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.restaurant_offers_today')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('business/restaurant_offers')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.restaurant_offers_archieve')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('business/restaurant_offers/create')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.restaurant_offers_add')); ?></a></li>
                </ul>
            </li> 

            <li class="treeview <?php echo e($restaurant_orders); ?>">
                <a href="#">
                    <i class="fa fa-shopping-cart"></i>
                    <span><?php echo e(trans('layout.restaurant_orders')); ?></span>
                    <span class="pull-<?php echo e($arrow); ?>-container">
                        <i class="fa fa-angle-<?php echo e($arrow); ?> pull-<?php echo e($arrow); ?>"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="<?php echo e(URL::to('business/restaurant_orders?status=new')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.restaurant_orders_new')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('business/restaurant_orders?status=delivery')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.restaurant_orders_delivery')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('business/restaurant_orders?status=done')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.restaurant_orders_done')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('business/restaurant_orders?status=cancel')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.restaurant_orders_cancel')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('business/restaurant_orders')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.restaurant_orders_archive')); ?></a></li>
                </ul>
            </li> 

            <li class="<?php echo e($restaurant_financial); ?>">
                <a href="<?php echo e(URL::to('business/restaurant_financial')); ?>"><i class="fa fa-usd"></i>
                    <span><?php echo e(trans('layout.restaurant_financial_2')); ?></span>   
                </a>
            </li> 

            <?php endif; ?>

            <?php if($fashion_count > 0): ?>
            <hr style="background: #fff;">
            <li class="<?php echo e($restaurant_info); ?>">
                <a href="<?php echo e(URL::to('business/fashion_info')); ?>">
                    <i class="fa fa-building-o"></i>
                    <span><?php echo e(trans('layout.fashion_data')); ?></span>
                </a>
            </li>

            <li class="treeview <?php echo e($fashion_products); ?>">
                <a href="#">
                    <i class="fa fa-shopping-bag"></i>
                    <span><?php echo e(trans('layout.fashion_products')); ?></span>
                    <span class="pull-<?php echo e($arrow); ?>-container">
                        <i class="fa fa-angle-<?php echo e($arrow); ?> pull-<?php echo e($arrow); ?>"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="<?php echo e(URL::to('business/fashion_products')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.show_all')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('business/fashion_products/create')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.fashion_products_add')); ?></a></li>
                </ul>
            </li> 

            <li class="treeview <?php echo e($fashion_offers); ?>">
                <a href="#">
                    <i class="fa fa-star"></i>
                    <span><?php echo e(trans('layout.fashion_offers')); ?></span>
                    <span class="pull-<?php echo e($arrow); ?>-container">
                        <i class="fa fa-angle-<?php echo e($arrow); ?> pull-<?php echo e($arrow); ?>"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="<?php echo e(URL::to('business/fashion_offers?active=current')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.fashion_offers_today')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('business/fashion_offers')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.fashion_offers_archieve')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('business/fashion_offers/create')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.fashion_offers_add')); ?></a></li>
                </ul>
            </li> 

            <li class="treeview <?php echo e($fashion_orders); ?>">
                <a href="#">
                    <i class="fa fa-shopping-basket"></i>
                    <span><?php echo e(trans('layout.fashion_orders')); ?></span>
                    <span class="pull-<?php echo e($arrow); ?>-container">
                        <i class="fa fa-angle-<?php echo e($arrow); ?> pull-<?php echo e($arrow); ?>"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="<?php echo e(URL::to('business/fashion_orders?status=new')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.fashion_orders_new')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('business/fashion_orders?status=delivery')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.fashion_orders_delivery')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('business/fashion_orders?status=done')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.fashion_orders_done')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('business/fashion_orders?status=cancel')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.fashion_orders_cancel')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('business/fashion_orders')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.fashion_orders_archive')); ?></a></li>
                </ul>
            </li> 

            <li class="<?php echo e($fashion_financial); ?>">
                <a href="<?php echo e(URL::to('business/fashion_financial')); ?>"><i class="fa fa-usd"></i>
                    <span><?php echo e(trans('layout.restaurant_financial_2')); ?></span>   
                </a>
            </li> 

            <?php endif; ?>

            <?php if($salon_count > 0): ?>
            <hr style="background: #fff;">
            <li class="<?php echo e($salon_info); ?>">
                <a href="<?php echo e(URL::to('business/salon_info')); ?>">
                    <i class="fa fa-building-o"></i>
                    <span><?php echo e(trans('layout.salon_data')); ?></span>
                </a>
            </li>

            <li class="<?php echo e($salon_work); ?>">
                <a href="<?php echo e(URL::to('business/salon_work')); ?>">
                    <i class="fa fa-clock-o"></i>
                    <span><?php echo e(trans('layout.salon_work')); ?></span>
                </a>
            </li>

            <li class="treeview <?php echo e($salon_products); ?>">
                <a href="#">
                    <i class="fa fa-shopping-bag"></i>
                    <span><?php echo e(trans('layout.salon_products')); ?></span>
                    <span class="pull-<?php echo e($arrow); ?>-container">
                        <i class="fa fa-angle-<?php echo e($arrow); ?> pull-<?php echo e($arrow); ?>"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="<?php echo e(URL::to('business/salon_products')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.show_all')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('business/salon_products/create')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.salon_products_add')); ?></a></li>
                </ul>
            </li> 

            <li class="treeview <?php echo e($salon_offers); ?>">
                <a href="#">
                    <i class="fa fa-star"></i>
                    <span><?php echo e(trans('layout.salon_offers')); ?></span>
                    <span class="pull-<?php echo e($arrow); ?>-container">
                        <i class="fa fa-angle-<?php echo e($arrow); ?> pull-<?php echo e($arrow); ?>"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="<?php echo e(URL::to('business/salon_offers?active=current')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.fashion_offers_today')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('business/salon_offers')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.fashion_offers_archieve')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('business/salon_offers/create')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.fashion_offers_add')); ?></a></li>
                </ul>
            </li> 

            <li class="treeview <?php echo e($salon_orders); ?>">
                <a href="#">
                    <i class="fa fa-shopping-basket"></i>
                    <span><?php echo e(trans('layout.salon_orders')); ?></span>
                    <span class="pull-<?php echo e($arrow); ?>-container">
                        <i class="fa fa-angle-<?php echo e($arrow); ?> pull-<?php echo e($arrow); ?>"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="<?php echo e(URL::to('business/salon_orders?status=new')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.fashion_orders_new')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('business/salon_orders?status=done')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.salon_orders_done')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('business/salon_orders?status=cancel')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.fashion_orders_cancel')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('business/salon_orders')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.fashion_orders_archive')); ?></a></li>
                </ul>
            </li> 

            <li class="<?php echo e($salon_financial); ?>">
                <a href="<?php echo e(URL::to('business/salon_financial')); ?>"><i class="fa fa-usd"></i>
                    <span><?php echo e(trans('layout.restaurant_financial_2')); ?></span>   
                </a>
            </li> 

            <?php endif; ?>

            <?php if($gym_count > 0): ?>
            <hr style="background: #fff;">
            <li class="<?php echo e($gym_info); ?>">
                <a href="<?php echo e(URL::to('business/gym_info')); ?>">
                    <i class="fa fa-building-o"></i>
                    <span><?php echo e(trans('layout.gym_data')); ?></span>
                </a>
            </li>

            <li class="<?php echo e($gym_work); ?>">
                <a href="<?php echo e(URL::to('business/gym_work')); ?>">
                    <i class="fa fa-clock-o"></i>
                    <span><?php echo e(trans('layout.gym_work')); ?></span>
                </a>
            </li>

            <li class="treeview <?php echo e($gym_products); ?>">
                <a href="#">
                    <i class="fa fa-shopping-bag"></i>
                    <span><?php echo e(trans('layout.gym_products')); ?></span>
                    <span class="pull-<?php echo e($arrow); ?>-container">
                        <i class="fa fa-angle-<?php echo e($arrow); ?> pull-<?php echo e($arrow); ?>"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="<?php echo e(URL::to('business/gym_products')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.show_all')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('business/gym_products/create')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.gym_products_add')); ?></a></li>
                </ul>
            </li> 

            <li class="treeview <?php echo e($gym_offers); ?>">
                <a href="#">
                    <i class="fa fa-star"></i>
                    <span><?php echo e(trans('layout.gym_offers')); ?></span>
                    <span class="pull-<?php echo e($arrow); ?>-container">
                        <i class="fa fa-angle-<?php echo e($arrow); ?> pull-<?php echo e($arrow); ?>"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="<?php echo e(URL::to('business/gym_offers?active=current')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.fashion_offers_today')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('business/gym_offers')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.fashion_offers_archieve')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('business/gym_offers/create')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.fashion_offers_add')); ?></a></li>
                </ul>
            </li> 

            <li class="<?php echo e($gym_orders); ?>">
                <a href="<?php echo e(URL::to('business/gym_orders')); ?>">
                    <i class="fa fa-shopping-basket"></i>
                    <span><?php echo e(trans('layout.gym_orders')); ?></span>
                </a>
            </li>

            <li class="<?php echo e($gym_financial); ?>">
                <a href="<?php echo e(URL::to('business/gym_financial')); ?>"><i class="fa fa-usd"></i>
                    <span><?php echo e(trans('layout.restaurant_financial_2')); ?></span>   
                </a>
            </li> 

            <?php endif; ?>

            <hr style="background: #fff;">
            <li class="">
                <a href="<?php echo e(URL::to('business/logout')); ?>">
                    <i class="fa fa-sign-out"></i>
                    <span><?php echo e(trans('layout.logout')); ?></span>
                </a>
            </li>  

        </ul>
    </section>
    <!-- /.sidebar -->
    <div class="sidebar-footer">
        <!-- item-->
        <a href="<?php echo e(URL::to('business/profile')); ?>" class="link" data-toggle="tooltip" title="" data-original-title="<?php echo e(trans('layout.profile')); ?>"><i class="fa fa-user"></i></a>
        <!-- item-->
        <a href="<?php echo e(URL::to('business')); ?>" class="link" data-toggle="tooltip" title="" data-original-title="<?php echo e(trans('layout.admin')); ?>"><i class="fa fa-cog fa-spin"></i></a>
        <!-- item-->
        <a href="<?php echo e(URL::to('business/logout')); ?>" class="link" data-toggle="tooltip" title="" data-original-title="<?php echo e(trans('layout.logout')); ?>"><i class="fa fa-power-off"></i></a>
    </div>
</aside>