<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.fashion_financial')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin/fashion_financial')); ?>"> <?php echo e(trans('layout.fashion_financial')); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.fashion_financial_no')); ?> : <?php echo e($transaction['id']); ?></li>
    </ol>
</section>

<section class="content">

    <div class="box box-default">
        <div class="box-header with-border">
            <h3 class="box-title"><?php echo e(trans('layout.fashion_financial_no')); ?> : <?php echo e($transaction['id']); ?></h3>

            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
            </div>
        </div>

        <form action="<?php echo e(URL::to('admin/fashion_financial/'.$transaction['id'])); ?>" method="post" enctype="multipart/form-data">
            <?php echo e(Form::hidden('_method','PATCH')); ?>

            <?php echo e(csrf_field()); ?>


            <div class="box-body">
                <div class="row">
                    <div class="col-12">
                        <?php if(Session::has('message')): ?>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="alert alert-success alert-dismissible">
                                    <?php echo e(Session::get('message')); ?>

                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>

                        <div class="form-group row">
                            <label for="fashion" class="col-sm-2 col-form-label"><?php echo e(trans('layout.store')); ?></label>
                            <div class="col-sm-10">
                                <div id="store">
                                    <?php echo e(Form::select('store_id',$fashion_stores, $transaction['store_id'], ['class'=>'form-control select2'])); ?>

                                </div>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="date_start" class="col-sm-2 col-form-label"><?php echo e(trans('layout.date')); ?></label>
                            <div class="col-sm-10">
                                <?php echo e(Form::text('date', $transaction['date'], ['class'=>'form-control','id'=>'date_start'])); ?>

                                <?php if($errors->has('date')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('date')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_2" class="col-sm-2 col-form-label"><?php echo e(trans('layout.money_to')); ?></label>
                            <div class="col-sm-10">
                                <?php echo e(Form::text('price', $transaction['price'], ['class'=>'form-control','id'=>'input_2'])); ?>

                                <?php if($errors->has('price')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('price')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="notes" class="col-sm-2 col-form-label"><?php echo e(trans('layout.notes')); ?></label>
                            <div class="col-sm-10">
                                <?php echo e(Form::textarea('notes', $transaction['notes'], ['class'=>'form-control','rows'=>10])); ?>

                                <?php if($errors->has('notes')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('notes')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>


                    </div>
                </div>
            </div>

            <div class="box-footer">
                <button type="submit" class="btn btn-primary btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.save')); ?></button>
                <a href="<?php echo e(URL::to('admin/fashion_financial')); ?>" class="btn btn-default btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.back')); ?></a>
            </div>

        </form>

    </div>

</section>

<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts'); ?>
<script>
    //Date picker
    $('#date_start').datepicker({
        autoclose: true,
        format: 'yyyy-mm-dd'
    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.form', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>