<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.restaurant_menu')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('business')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('business/restaurant_menu')); ?>"> <?php echo e(trans('layout.restaurant_menu')); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.restaurant_menu_add')); ?></li>
    </ol>
</section>

<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-12">
            <?php if(Session::has('message')): ?>
            <div class="row">
                <div class="col-lg-12">
                    <div class="alert alert-success alert-dismissible">
                        <?php echo e(Session::get('message')); ?>

                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                    </div>
                </div>
            </div>
            <?php endif; ?>
        </div>

        <div class="col-12">
            <div class="box box-default">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(trans('layout.restaurant_menu_add')); ?></h3>

                    <div class="box-tools pull-right">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                    </div>
                </div>

                <form action="<?php echo e(URL::to('business/restaurant_menu')); ?>" method="post" enctype="multipart/form-data">
                    <?php echo e(csrf_field()); ?>


                    <div class="box-body">
                        <div class="row">
                            <div class="col-12">

                                <div class="form-group row">
                                    <label for="input_00" class="col-sm-3 col-form-label"><?php echo e(trans('layout.wall')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::select('wall', ['yes'=>trans('layout.yes') , 'no'=>trans('layout.no')],null, ['class'=>'form-control','id'=>'input_00'])); ?>

                                        <?php if($errors->has('wall')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('wall')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="input_0" class="col-sm-3 col-form-label"><?php echo e(trans('layout.restaurant_menu_category')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::select('category_id',$categories, null, ['class'=>'form-control','id'=>'input_0'])); ?>

                                        <?php if($errors->has('category_id')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('category_id')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="input_1" class="col-sm-3 col-form-label"><?php echo e(trans('layout.restaurant_menu_name_ar')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::text('ar_name', null, ['class'=>'form-control','id'=>'input_1'])); ?>

                                        <?php if($errors->has('ar_name')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('ar_name')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="input_2" class="col-sm-3 col-form-label"><?php echo e(trans('layout.restaurant_menu_name_en')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::text('en_name', null, ['class'=>'form-control','id'=>'input_2'])); ?>

                                        <?php if($errors->has('en_name')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('en_name')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="input_4" class="col-sm-3 col-form-label"><?php echo e(trans('layout.restaurant_menu_desc_ar')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::textarea('ar_desc', null, ['class'=>'form-control','id'=>'input_4'])); ?>

                                        <?php if($errors->has('ar_desc')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('ar_desc')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="input_5" class="col-sm-3 col-form-label"><?php echo e(trans('layout.restaurant_menu_desc_en')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::textarea('en_desc', null, ['class'=>'form-control','id'=>'input_5'])); ?>

                                        <?php if($errors->has('en_desc')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('en_desc')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="input_3" class="col-sm-3 col-form-label"><?php echo e(trans('layout.price')); ?></label>
                                    <div class="col-sm-8">
                                        <?php echo e(Form::text('price', 0, ['class'=>'form-control','id'=>'input_3'])); ?>

                                        <?php if($errors->has('price')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('price')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                    <label class="col-sm-1 col-form-label"><?php echo e($restaurant['Country'][$lang.'_currency']); ?></label>
                                </div>

                                <div class="form-group row">
                                    <label for="input_7" class="col-sm-3 col-form-label"><?php echo e(trans('layout.restaurant_additional_category')); ?></label>
                                    <div class="col-sm-9" id="items">
                                        <div class="col-sm-4 pull-right" id="items_1" style="padding: 0;">
                                            <?php echo e(Form::select('additionals[]',$additional_categories, null, ['class'=>'form-control','id'=>'input_7','style'=>'height: 36px;'])); ?>

                                        </div>
                                        <div class="col-sm-3 pull-right" id="items_2">
                                            <?php echo e(Form::input('number','mins[]', null, ['class'=>'form-control','placeholder'=>trans('layout.min')])); ?>

                                        </div>
                                        <div class="col-sm-3 pull-right" id="items_3">
                                            <?php echo e(Form::input('number','maxs[]', null, ['class'=>'form-control','placeholder'=>trans('layout.max')])); ?>

                                        </div>
                                        <div class="col-sm-2 pull-right">
                                            <button class="btn btn-success btn-lg btn-block" style="height: 36px;" id="more_items"><?php echo e(trans('layout.more')); ?></button>
                                        </div>
                                        <div class="clearfix"></div>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="input_6" class="col-sm-3 col-form-label"><?php echo e(trans('layout.restaurant_menu_image')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::file('image',['class'=>'form-control','id'=>'input_6'])); ?>

                                        <?php if($errors->has('image')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('image')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="box-footer">
                        <button type="submit" class="btn btn-primary btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.add')); ?></button>
                        <a href="<?php echo e(URL::to('business/restaurant_menu')); ?>" class="btn btn-default btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.back')); ?></a>
                    </div>

                </form>
            </div>
        </div>

        <!-- /.col -->
    </div>
    <!-- /.row -->
</section>

<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts'); ?>
<script>
    $('#more_items').click(function () {
        $('#items').append('<br>');
        $('#items').append($('#items_1').clone());
        $('#items').append($('#items_2').clone());
        $('#items').append($('#items_3').clone());
        $('#items').append('<div class="col-sm-2 <?php echo $pull; ?>"><button class="btn btn-danger btn-lg btn-block delete_items" style="height: 36px;"><?php echo trans('layout.delete'); ?></button></div><div class="clearfix"></div>');
        return false;
    });
    $('#delete_items').click(function () {
        return false;

    });
    $("body").on("click", ".delete_items", function (e) {
        $(this).parent("div").prev("div").prev("div").prev("div").prev("br").remove();
        $(this).parent("div").prev("div").prev("div").prev("div").remove();
        $(this).parent("div").prev("div").prev("div").remove();
        $(this).parent("div").prev("div").remove();
        $(this).parent("div").remove();
    });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('business.layouts.table', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>