<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.admin')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="<?php echo e(URL::to('business')); ?>"><i class="fa fa-home"></i> <?php echo e(trans('layout.home')); ?></a></li>
    </ol>
</section>

<!-- Main content -->
<section class="content">

    <div class="row">
        <div class="col-lg-12 col-xl-9">
            <!-- TABLE: LATEST ORDERS -->
            <?php if(COUNT(Auth::User()->Restaurant) > 0): ?>
            <div class="box box-info">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(trans('layout.restaurant_orders')); ?> : <?php echo e(date('d-m-Y')); ?></h3>

                    <div class="box-tools pull-left">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                        </button>
                        <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
                    </div>
                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    <div class="table-responsive">
                        <table class="table table-responsive no-margin">
                            <thead>
                                <tr>
                                    <th class="<?php echo e($text); ?>">#</th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.customer')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.date')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.time')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.total')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.pay_type')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.time_type')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.governate')); ?> - <?php echo e(trans('layout.city')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.edit')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $orders = App\RestaurantsOrders::where('date', date('Y-m-d'))->where('restaurant_id', Auth::User()->Restaurant->id)->get(); ?>
                                <?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($order['id']); ?></td>
                                    <td>
                                        <?php echo e($order['User']['name']); ?>

                                    </td>
                                    <td><?php echo e($order['date']); ?></td>
                                    <td><?php echo e($order['time']); ?></td>
                                    <td><?php echo e(number_format($order['total'] + $order['delivery'], 3, '.', '') .' '.$order['currency_'.$lang]); ?></td>
                                    <td>
                                        <?php echo e(trans('layout.'.$order['pay_type'])); ?>

                                    </td>
                                    <td>
                                        <?php if($order['time_type'] == "later"): ?>
                                        <?php echo e(trans('layout.later')); ?>

                                        <?php else: ?>
                                        <?php echo e(trans('layout.now')); ?>

                                        <?php endif; ?>
                                    </td>
                                    <td><?php echo e($order['governate_'.$lang].' - '.$order['city_'.$lang]); ?></td>
                                    <td>
                                        <?php echo e(Form::open(array('url' =>'business/restaurant_orders/'.$order->id.'/edit', 'method' => 'GET'))); ?>

                                        <button  type="submit" class="btn default btn-sm btn-success"><i class="fa fa-edit"></i> <?php echo e(trans('layout.edit')); ?> </button>
                                        <?php echo e(Form::close()); ?>

                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                    <!-- /.table-responsive -->
                </div>
                <!-- /.box-body -->
            </div>
            <?php endif; ?>

            <?php if(COUNT(Auth::User()->Fashion) > 0): ?>
            <div class="box box-info">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(trans('layout.fashion_orders')); ?> : <?php echo e(date('d-m-Y')); ?></h3>

                    <div class="box-tools pull-left">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                        </button>
                        <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
                    </div>
                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    <div class="table-responsive">
                        <table class="table table-responsive no-margin">
                            <thead>
                                <tr>
                                    <th class="<?php echo e($text); ?>">#</th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.customer')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.date')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.total')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.pay_type')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.governate')); ?> - <?php echo e(trans('layout.city')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.edit')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $orders = App\FashionOrders::where('date', date('Y-m-d'))->where('store_id', Auth::User()->Fashion->id)->get(); ?>
                                <?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($order['id']); ?></td>
                                    <td>
                                        <?php echo e($order['User']['name']); ?>

                                    </td>
                                    <td><?php echo e($order['date']); ?></td>
                                    <td><?php echo e(number_format($order['total'] + $order['delivery'], 3, '.', '') .' '.$order['currency_'.$lang]); ?></td>
                                    <td>
                                        <?php echo e(trans('layout.'.$order['pay_type'])); ?>

                                    </td>
                                    <td><?php echo e($order['governate_'.$lang].' - '.$order['city_'.$lang]); ?></td>
                                    <td>
                                        <?php echo e(Form::open(array('url' =>'business/fashion_orders/'.$order->id.'/edit', 'method' => 'GET'))); ?>

                                        <button  type="submit" class="btn default btn-sm btn-success"><i class="fa fa-edit"></i> <?php echo e(trans('layout.edit')); ?> </button>
                                        <?php echo e(Form::close()); ?>

                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                    <!-- /.table-responsive -->
                </div>
                <!-- /.box-body -->
            </div>
            <?php endif; ?>

            <?php if(COUNT(Auth::User()->Salon) > 0): ?>
            <div class="box box-info">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(trans('layout.salon_orders')); ?> : <?php echo e(date('d-m-Y')); ?></h3>

                    <div class="box-tools pull-left">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                        </button>
                        <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
                    </div>
                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    <div class="table-responsive">
                        <table class="table table-responsive no-margin">
                            <thead>
                                <tr>
                                    <th class="<?php echo e($text); ?>">#</th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.customer')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.date')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.total')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.pay_type')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.edit')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $orders = App\SalonOrders::where('date', date('Y-m-d'))->where('salon_id', Auth::User()->Salon->id)->get(); ?>
                                <?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($order['id']); ?></td>
                                    <td>
                                        <?php echo e($order['User']['name']); ?>

                                    </td>
                                    <td><?php echo e($order['date']); ?></td>
                                    <td><?php echo e(number_format($order['total'], 3, '.', '') .' '.$order['currency_'.$lang]); ?></td>
                                    <td>
                                        <?php echo e(trans('layout.'.$order['pay_type'])); ?>

                                    </td>
                                    <td>
                                        <?php echo e(Form::open(array('url' =>'business/salon_orders/'.$order->id.'/edit', 'method' => 'GET'))); ?>

                                        <button  type="submit" class="btn default btn-sm btn-success"><i class="fa fa-edit"></i> <?php echo e(trans('layout.edit')); ?> </button>
                                        <?php echo e(Form::close()); ?>

                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                    <!-- /.table-responsive -->
                </div>
                <!-- /.box-body -->
            </div>
            <?php endif; ?>

            <?php if(COUNT(Auth::User()->Gym) > 0): ?>
            <div class="box box-info">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(trans('layout.gym_orders')); ?> : <?php echo e(date('d-m-Y')); ?></h3>

                    <div class="box-tools pull-left">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                        </button>
                        <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
                    </div>
                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    <div class="table-responsive">
                        <table class="table table-responsive no-margin">
                            <thead>
                                <tr>
                                    <th class="<?php echo e($text); ?>">#</th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.customer')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.date')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.package')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.total')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.pay_type')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.edit')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $orders = App\GymOrdersProducts::where('date', date('Y-m-d'))->where('gym_id', Auth::User()->Gym->id)->get(); ?>
                                <?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($order['id']); ?></td>
                                    <td>
                                        <?php echo e($order['Order']['User']['name']); ?>

                                    </td>
                                    <td><?php echo e($order['date']); ?></td>
                                    <td><?php echo e($order['package_'.$lang]); ?></td>
                                    <td><?php echo e(number_format($order['price'], 3, '.', '') .' '.$order['currency_'.$lang]); ?></td>
                                    <td>
                                        <?php echo e(trans('layout.'.$order['pay_type'])); ?>

                                    </td>
                                    <td>
                                        <?php echo e(Form::open(array('url' =>'business/gym_orders/'.$order->id.'/edit', 'method' => 'GET'))); ?>

                                        <button  type="submit" class="btn default btn-sm btn-success"><i class="fa fa-edit"></i> <?php echo e(trans('layout.edit')); ?> </button>
                                        <?php echo e(Form::close()); ?>

                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                    <!-- /.table-responsive -->
                </div>
                <!-- /.box-body -->
            </div>
            <?php endif; ?>
            <!-- /.box -->
        </div>

        <div class="col-xl-3 connectedSortable">
            <!-- weather -->
            <div class="box bg-blue text-center">			
                <div class="box-body">
                    <div class="p-5">
                        <h3 class="white">
                            <span class="font-size-30">Kuwait City </span>
                        </h3>
                        <p class="weather-day-date mb-30">
                            <span class="mr-5"><?php echo e(date('l')); ?></span> <?php echo e(date('Y-m-d')); ?>

                        </p>
                        <div class="mb-30 weather-icon">
                            <div class="inline-block" dir="ltr">
                                <span class="font-size-50">
                                    <?php echo e($data['temperatue']); ?>

                                    <span class="font-size-40">C</span>
                                </span>

                                <p class="text-left"><?php echo e($data['summary']); ?></p>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.box-body -->
            </div>
            <!-- /.box -->
        </div>
    </div>


    <div class="row">

        <div class="col-xl-12">
            <div class="row">
                <div class="col-12 col-md-6 col-lg-3">
                    <div class="info-box">
                        <a href="<?php echo e(URL::to('business/profile')); ?>">
                            <span class="info-box-icon bg-blue"><i class="fa fa-user"></i></span>

                            <div class="info-box-content">
                                <span class="info-box-number"><br></span>
                                <span class="info-box-text"><?php echo e(trans('layout.profile')); ?></span>
                            </div>
                        </a>
                    </div>
                </div>

                <?php if(COUNT(Auth::User()->Restaurant) > 0): ?>
                <div class="col-12 col-md-6 col-lg-3">
                    <div class="info-box">
                        <a href="<?php echo e(URL::to('business/restaurant_info/')); ?>">
                            <span class="info-box-icon bg-green"><i class="fa fa-building"></i></span>

                            <div class="info-box-content">
                                <span class="info-box-number"><br></span>
                                <span class="info-box-text"><?php echo e(trans('layout.restaurant_data')); ?></span>
                            </div>
                        </a>
                    </div>
                </div>

                <div class="col-12 col-md-6 col-lg-3">
                    <div class="info-box">
                        <a href="<?php echo e(URL::to('business/restaurant_work/')); ?>">
                            <span class="info-box-icon bg-purple"><i class="fa fa-clock-o"></i></span>

                            <div class="info-box-content">
                                <span class="info-box-number"><br></span>
                                <span class="info-box-text"><?php echo e(trans('layout.restaurant_work')); ?></span>
                            </div>
                        </a>
                    </div>
                </div>

                <?php
                $cities = count(Auth::User()->Restaurant->Cities);
                ?>
                <div class="col-12 col-md-6 col-lg-3">
                    <div class="info-box">
                        <a href="<?php echo e(URL::to('business/restaurant_delivery/')); ?>">
                            <span class="info-box-icon bg-red"><i class="fa fa-users"></i></span>

                            <div class="info-box-content">
                                <span class="info-box-number"><?php echo e($cities); ?></span>
                                <span class="info-box-text"><?php echo e(trans('layout.restaurant_delivery_area')); ?></span>
                            </div>
                        </a>
                    </div>
                </div>

                <?php $additional_categories = count(Auth::User()->Restaurant->AddtionalsCategories); ?>
                <div class="col-12 col-md-6 col-lg-3">
                    <div class="info-box">
                        <a href="<?php echo e(URL::to('business/restaurant_additional_categories/')); ?>">
                            <span class="info-box-icon bg-yellow"><i class="fa fa-sitemap"></i></span>

                            <div class="info-box-content">
                                <span class="info-box-number"><?php echo e($additional_categories); ?></span>
                                <span class="info-box-text"><?php echo e(trans('layout.restaurant_additional_category')); ?></span>
                            </div>
                        </a>
                    </div>
                </div>

                <?php
                $additional_categories = \App\RestaurantsAdditionalCategories::where('restaurant_id', Auth::User()->Restaurant->id)->pluck('id')->toArray();
                $additionals = App\RestaurantsAdditionals::whereIn('category_id', $additional_categories)->count();
                ?>
                <div class="col-12 col-md-6 col-lg-3">
                    <div class="info-box">
                        <a href="<?php echo e(URL::to('business/restaurant_additionals/')); ?>">
                            <span class="info-box-icon bg-black"><i class="fa fa-plus-square"></i></span>

                            <div class="info-box-content">
                                <span class="info-box-number"><?php echo e($additionals); ?></span>
                                <span class="info-box-text"><?php echo e(trans('layout.restaurant_additional')); ?></span>
                            </div>
                        </a>
                    </div>
                </div>

                <?php $menu = count(Auth::User()->Restaurant->Menu); ?>
                <div class="col-12 col-md-6 col-lg-3">
                    <div class="info-box">
                        <a href="<?php echo e(URL::to('business/restaurant_menu/')); ?>">
                            <span class="info-box-icon bg-fuchsia"><i class="fa fa-user-secret"></i></span>

                            <div class="info-box-content">
                                <span class="info-box-number"><?php echo e($menu); ?></span>
                                <span class="info-box-text"><?php echo e(trans('layout.restaurant_menu')); ?></span>
                            </div>
                        </a>
                    </div>
                </div>

                <?php $offers = count(Auth::User()->Restaurant->Offers); ?>
                <div class="col-12 col-md-6 col-lg-3">
                    <div class="info-box">
                        <a href="<?php echo e(URL::to('business/restaurant_offers/')); ?>">
                            <span class="info-box-icon bg-light-blue"><i class="fa fa-star-half-full"></i></span>

                            <div class="info-box-content">
                                <span class="info-box-number"><?php echo e($offers); ?></span>
                                <span class="info-box-text"><?php echo e(trans('layout.restaurant_offers')); ?></span>
                            </div>
                        </a>
                    </div>
                </div>

                <?php $orders = count(Auth::User()->Restaurant->Orders); ?>
                <div class="col-12 col-md-6 col-lg-3">
                    <div class="info-box">
                        <a href="<?php echo e(URL::to('business/restaurant_orders')); ?>">
                            <span class="info-box-icon bg-lime"><i class="fa fa-truck"></i></span>

                            <div class="info-box-content">
                                <span class="info-box-number"><?php echo e($orders); ?></span>
                                <span class="info-box-text"><?php echo e(trans('layout.restaurant_orders_archive')); ?></span>
                            </div>
                        </a>
                    </div>
                </div>
                <?php endif; ?>

                <?php if(COUNT(Auth::User()->Fashion) > 0): ?>
                <div class="col-12 col-md-6 col-lg-3">
                    <div class="info-box">
                        <a href="<?php echo e(URL::to('business/fashion_info/')); ?>">
                            <span class="info-box-icon bg-red-gradient"><i class="fa fa-building"></i></span>

                            <div class="info-box-content">
                                <span class="info-box-number"><br></span>
                                <span class="info-box-text"><?php echo e(trans('layout.fashion_data')); ?></span>
                            </div>
                        </a>
                    </div>
                </div>

                <?php $products = count(Auth::User()->Fashion->Products); ?>
                <div class="col-12 col-md-6 col-lg-3">
                    <div class="info-box">
                        <a href="<?php echo e(URL::to('business/fashion_products/')); ?>">
                            <span class="info-box-icon bg-yellow-active"><i class="fa fa-shopping-bag"></i></span>

                            <div class="info-box-content">
                                <span class="info-box-number"><?php echo e($products); ?></span>
                                <span class="info-box-text"><?php echo e(trans('layout.fashion_products')); ?></span>
                            </div>
                        </a>
                    </div>
                </div>

                <?php $offers = count(Auth::User()->Fashion->Offers); ?>
                <div class="col-12 col-md-6 col-lg-3">
                    <div class="info-box">
                        <a href="<?php echo e(URL::to('business/fashion_offers/')); ?>">
                            <span class="info-box-icon bg-olive"><i class="fa fa-star-half-full"></i></span>

                            <div class="info-box-content">
                                <span class="info-box-number"><?php echo e($offers); ?></span>
                                <span class="info-box-text"><?php echo e(trans('layout.fashion_offers')); ?></span>
                            </div>
                        </a>
                    </div>
                </div>

                <?php $orders = count(Auth::User()->Fashion->Orders); ?>
                <div class="col-12 col-md-6 col-lg-3">
                    <div class="info-box">
                        <a href="<?php echo e(URL::to('business/fashion_orders')); ?>">
                            <span class="info-box-icon bg-aqua"><i class="fa fa-truck"></i></span>

                            <div class="info-box-content">
                                <span class="info-box-number"><?php echo e($orders); ?></span>
                                <span class="info-box-text"><?php echo e(trans('layout.fashion_orders_archive')); ?></span>
                            </div>
                        </a>
                    </div>
                </div>
                <?php endif; ?>

                <?php if(COUNT(Auth::User()->Salon) > 0): ?>
                <div class="col-12 col-md-6 col-lg-3">
                    <div class="info-box">
                        <a href="<?php echo e(URL::to('business/salon_info/')); ?>">
                            <span class="info-box-icon bg-red-gradient"><i class="fa fa-building"></i></span>

                            <div class="info-box-content">
                                <span class="info-box-number"><br></span>
                                <span class="info-box-text"><?php echo e(trans('layout.salon_data')); ?></span>
                            </div>
                        </a>
                    </div>
                </div>

                <div class="col-12 col-md-6 col-lg-3">
                    <div class="info-box">
                        <a href="<?php echo e(URL::to('business/salon_work/')); ?>">
                            <span class="info-box-icon bg-purple"><i class="fa fa-clock-o"></i></span>

                            <div class="info-box-content">
                                <span class="info-box-number"><br></span>
                                <span class="info-box-text"><?php echo e(trans('layout.salon_work')); ?></span>
                            </div>
                        </a>
                    </div>
                </div>

                <?php $products = count(Auth::User()->Salon->Products); ?>
                <div class="col-12 col-md-6 col-lg-3">
                    <div class="info-box">
                        <a href="<?php echo e(URL::to('business/salon_products/')); ?>">
                            <span class="info-box-icon bg-yellow-active"><i class="fa fa-shopping-bag"></i></span>

                            <div class="info-box-content">
                                <span class="info-box-number"><?php echo e($products); ?></span>
                                <span class="info-box-text"><?php echo e(trans('layout.salon_products')); ?></span>
                            </div>
                        </a>
                    </div>
                </div>

                <?php $offers = count(Auth::User()->Salon->Offers); ?>
                <div class="col-12 col-md-6 col-lg-3">
                    <div class="info-box">
                        <a href="<?php echo e(URL::to('business/salon_offers/')); ?>">
                            <span class="info-box-icon bg-olive"><i class="fa fa-star-half-full"></i></span>

                            <div class="info-box-content">
                                <span class="info-box-number"><?php echo e($offers); ?></span>
                                <span class="info-box-text"><?php echo e(trans('layout.salon_offers')); ?></span>
                            </div>
                        </a>
                    </div>
                </div>

                <?php $orders = count(Auth::User()->Salon->Orders); ?>
                <div class="col-12 col-md-6 col-lg-3">
                    <div class="info-box">
                        <a href="<?php echo e(URL::to('business/salon_orders')); ?>">
                            <span class="info-box-icon bg-aqua"><i class="fa fa-truck"></i></span>

                            <div class="info-box-content">
                                <span class="info-box-number"><?php echo e($orders); ?></span>
                                <span class="info-box-text"><?php echo e(trans('layout.salon_orders_archive')); ?></span>
                            </div>
                        </a>
                    </div>
                </div>
                <?php endif; ?>

                <?php if(COUNT(Auth::User()->Gym) > 0): ?>
                <div class="col-12 col-md-6 col-lg-3">
                    <div class="info-box">
                        <a href="<?php echo e(URL::to('business/gym_info/')); ?>">
                            <span class="info-box-icon bg-red-gradient"><i class="fa fa-building"></i></span>

                            <div class="info-box-content">
                                <span class="info-box-number"><br></span>
                                <span class="info-box-text"><?php echo e(trans('layout.gym_data')); ?></span>
                            </div>
                        </a>
                    </div>
                </div>

                <div class="col-12 col-md-6 col-lg-3">
                    <div class="info-box">
                        <a href="<?php echo e(URL::to('business/gym_work/')); ?>">
                            <span class="info-box-icon bg-purple"><i class="fa fa-clock-o"></i></span>

                            <div class="info-box-content">
                                <span class="info-box-number"><br></span>
                                <span class="info-box-text"><?php echo e(trans('layout.gym_work')); ?></span>
                            </div>
                        </a>
                    </div>
                </div>

                <?php $products = count(Auth::User()->Gym->Products); ?>
                <div class="col-12 col-md-6 col-lg-3">
                    <div class="info-box">
                        <a href="<?php echo e(URL::to('business/gym_products/')); ?>">
                            <span class="info-box-icon bg-yellow-active"><i class="fa fa-shopping-bag"></i></span>

                            <div class="info-box-content">
                                <span class="info-box-number"><?php echo e($products); ?></span>
                                <span class="info-box-text"><?php echo e(trans('layout.gym_products')); ?></span>
                            </div>
                        </a>
                    </div>
                </div>

                <?php $offers = count(Auth::User()->Gym->Offers); ?>
                <div class="col-12 col-md-6 col-lg-3">
                    <div class="info-box">
                        <a href="<?php echo e(URL::to('business/gym_offers/')); ?>">
                            <span class="info-box-icon bg-olive"><i class="fa fa-star-half-full"></i></span>

                            <div class="info-box-content">
                                <span class="info-box-number"><?php echo e($offers); ?></span>
                                <span class="info-box-text"><?php echo e(trans('layout.gym_offers')); ?></span>
                            </div>
                        </a>
                    </div>
                </div>

                <?php $orders = count(Auth::User()->Gym->Orders); ?>
                <div class="col-12 col-md-6 col-lg-3">
                    <div class="info-box">
                        <a href="<?php echo e(URL::to('business/gym_orders')); ?>">
                            <span class="info-box-icon bg-aqua"><i class="fa fa-truck"></i></span>

                            <div class="info-box-content">
                                <span class="info-box-number"><?php echo e($orders); ?></span>
                                <span class="info-box-text"><?php echo e(trans('layout.gym_orders')); ?></span>
                            </div>
                        </a>
                    </div>
                </div>
                <?php endif; ?>

                <div class="col-12 col-md-6 col-lg-3">
                    <div class="info-box">
                        <a href="<?php echo e(URL::to('business/logout/')); ?>">
                            <span class="info-box-icon bg-maroon"><i class="fa fa-sign-out"></i></span>

                            <div class="info-box-content">
                                <span class="info-box-number"><br></span>
                                <span class="info-box-text"><?php echo e(trans('layout.logout')); ?></span>
                            </div>
                        </a>
                    </div>
                </div>

            </div>
        </div>

    </div>

    <div class="row">
        <?php if(COUNT(Auth::User()->Restaurant) > 0): ?>
        <div class="col-lg-12 col-xl-9 connectedSortable">
            <div class="box">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(trans('layout.year_report')); ?></h3>
                </div>
                <div class="box-body">
                    <div class="row">
                        <div class="col-md-12 col-lg-12">
                            <p class="text-center">
                                <strong>Duration : 1 Jan, <?php echo e(date('Y')); ?> - 31 Dec, <?php echo e(date('Y')); ?></strong>
                            </p>

                            <div class="chart">
                                <!-- Sales Chart Canvas -->
                                <canvas id="salesChart" style="height: 300px;"></canvas>

                            </div>
                            <?php
                            $orders_count_jan = App\RestaurantsOrders::whereBetween('date', [date('Y') . '-01-01', date('Y') . '-01-31'])->where('restaurant_id', Auth::User()->Restaurant->id)->count();
                            $orders_count_feb = App\RestaurantsOrders::whereBetween('date', [date('Y') . '-02-01', date('Y') . '-02-31'])->where('restaurant_id', Auth::User()->Restaurant->id)->count();
                            $orders_count_mar = App\RestaurantsOrders::whereBetween('date', [date('Y') . '-03-01', date('Y') . '-03-31'])->where('restaurant_id', Auth::User()->Restaurant->id)->count();
                            $orders_count_apr = App\RestaurantsOrders::whereBetween('date', [date('Y') . '-04-01', date('Y') . '-04-31'])->where('restaurant_id', Auth::User()->Restaurant->id)->count();
                            $orders_count_may = App\RestaurantsOrders::whereBetween('date', [date('Y') . '-05-01', date('Y') . '-05-31'])->where('restaurant_id', Auth::User()->Restaurant->id)->count();
                            $orders_count_jun = App\RestaurantsOrders::whereBetween('date', [date('Y') . '-06-01', date('Y') . '-06-31'])->where('restaurant_id', Auth::User()->Restaurant->id)->count();
                            $orders_count_jul = App\RestaurantsOrders::whereBetween('date', [date('Y') . '-07-01', date('Y') . '-07-31'])->where('restaurant_id', Auth::User()->Restaurant->id)->count();
                            $orders_count_aug = App\RestaurantsOrders::whereBetween('date', [date('Y') . '-08-01', date('Y') . '-08-31'])->where('restaurant_id', Auth::User()->Restaurant->id)->count();
                            $orders_count_sep = App\RestaurantsOrders::whereBetween('date', [date('Y') . '-09-01', date('Y') . '-09-31'])->where('restaurant_id', Auth::User()->Restaurant->id)->count();
                            $orders_count_oct = App\RestaurantsOrders::whereBetween('date', [date('Y') . '-10-01', date('Y') . '-10-31'])->where('restaurant_id', Auth::User()->Restaurant->id)->count();
                            $orders_count_nov = App\RestaurantsOrders::whereBetween('date', [date('Y') . '-11-01', date('Y') . '-11-31'])->where('restaurant_id', Auth::User()->Restaurant->id)->count();
                            $orders_count_dec = App\RestaurantsOrders::whereBetween('date', [date('Y') . '-12-01', date('Y') . '-12-31'])->where('restaurant_id', Auth::User()->Restaurant->id)->count();

                            $orders_count = $orders_count_jan + $orders_count_feb + $orders_count_mar + $orders_count_apr + $orders_count_may + $orders_count_jun + $orders_count_jul + $orders_count_aug + $orders_count_sep + $orders_count_oct + $orders_count_nov + $orders_count_dec;

                            if ($orders_count > 0) {
                                $jan = $orders_count_jan / $orders_count * 100;
                                $feb = $orders_count_feb / $orders_count * 100;
                                $mar = $orders_count_mar / $orders_count * 100;
                                $apr = $orders_count_apr / $orders_count * 100;
                                $may = $orders_count_may / $orders_count * 100;
                                $jun = $orders_count_jun / $orders_count * 100;
                                $jul = $orders_count_jul / $orders_count * 100;
                                $aug = $orders_count_aug / $orders_count * 100;
                                $sep = $orders_count_sep / $orders_count * 100;
                                $oct = $orders_count_oct / $orders_count * 100;
                                $nov = $orders_count_nov / $orders_count * 100;
                                $dec = $orders_count_dec / $orders_count * 100;
                            } else {
                                $jan = 0;
                                $feb = 0;
                                $mar = 0;
                                $apr = 0;
                                $may = 0;
                                $jun = 0;
                                $jul = 0;
                                $aug = 0;
                                $sep = 0;
                                $oct = 0;
                                $nov = 0;
                                $dec = 0;
                            }
                            ?>
                            <label class="country_report hidden" jan="<?php echo e($jan); ?>" feb="<?php echo e($feb); ?>" mar="<?php echo e($mar); ?>" apr="<?php echo e($apr); ?>" may="<?php echo e($may); ?>" jun="<?php echo e($jun); ?>" jul="<?php echo e($jul); ?>" aug="<?php echo e($aug); ?>" sep="<?php echo e($sep); ?>" oct="<?php echo e($oct); ?>" nov="<?php echo e($nov); ?>" dec="<?php echo e($dec); ?>" name="" color="#33bf7a" ></label>

                            <!-- /.chart-responsive -->
                        </div>
                        <!-- /.col -->
                    </div>
                </div>
            </div>
        </div>

        <div class="col-lg-12 col-xl-3 connectedSortable">
            <div class="box box-primary">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(trans('layout.most_sale')); ?></h3>

                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    <ul class="products-list product-list-in-box">
                        <?php $most = DB::table('restaurants_orders_meals')->where('restaurant_id', Auth::User()->Restaurant->id)->selectRaw('meal_id, sum(count) as sum')->orderBy('sum', 'desc')->groupBy('meal_id')->take(6)->get()->toArray(); ?>
                        <?php $__currentLoopData = $most; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $one): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php $meal = App\RestaurantsMenu::find($one->meal_id); ?>
                        <li class="item">
                            <div class="product-img">
                                <img src="<?php echo e(URL::to('upload/restaurants/menu/'.$meal['image'])); ?>" alt="<?php echo e($meal[$lang.'_name']); ?>">
                            </div>
                            <div class="product-info">
                                <a href="<?php echo e(URL::to('business/restaurant_menu/'.$meal['id'].'/edit')); ?>" class="product-title"><?php echo e($meal[$lang.'_name']); ?>

                                    <span class="label label-success pull-left"><?php echo e($one->sum); ?></span>
                                </a>
                                <span class="product-description">
                                    <?php echo e($meal['Category'][$lang.'_name']); ?>

                                </span>
                            </div>
                        </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
            </div>
            <!-- TABLE: LATEST ORDERS -->

        </div>
        <?php endif; ?>

        <?php if(COUNT(Auth::User()->Fashion) > 0): ?>
        <div class="col-lg-12 col-xl-9 connectedSortable">
            <div class="box">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(trans('layout.year_report')); ?></h3>
                </div>
                <div class="box-body">
                    <div class="row">
                        <div class="col-md-12 col-lg-12">
                            <p class="text-center">
                                <strong>Duration : 1 Jan, <?php echo e(date('Y')); ?> - 31 Dec, <?php echo e(date('Y')); ?></strong>
                            </p>

                            <div class="chart">
                                <!-- Sales Chart Canvas -->
                                <canvas id="salesChart" style="height: 300px;"></canvas>

                            </div>
                            <?php
                            $orders_count_jan = App\FashionOrders::whereBetween('date', [date('Y') . '-01-01', date('Y') . '-01-31'])->where('store_id', Auth::User()->Fashion->id)->count();
                            $orders_count_feb = App\FashionOrders::whereBetween('date', [date('Y') . '-02-01', date('Y') . '-02-31'])->where('store_id', Auth::User()->Fashion->id)->count();
                            $orders_count_mar = App\FashionOrders::whereBetween('date', [date('Y') . '-03-01', date('Y') . '-03-31'])->where('store_id', Auth::User()->Fashion->id)->count();
                            $orders_count_apr = App\FashionOrders::whereBetween('date', [date('Y') . '-04-01', date('Y') . '-04-31'])->where('store_id', Auth::User()->Fashion->id)->count();
                            $orders_count_may = App\FashionOrders::whereBetween('date', [date('Y') . '-05-01', date('Y') . '-05-31'])->where('store_id', Auth::User()->Fashion->id)->count();
                            $orders_count_jun = App\FashionOrders::whereBetween('date', [date('Y') . '-06-01', date('Y') . '-06-31'])->where('store_id', Auth::User()->Fashion->id)->count();
                            $orders_count_jul = App\FashionOrders::whereBetween('date', [date('Y') . '-07-01', date('Y') . '-07-31'])->where('store_id', Auth::User()->Fashion->id)->count();
                            $orders_count_aug = App\FashionOrders::whereBetween('date', [date('Y') . '-08-01', date('Y') . '-08-31'])->where('store_id', Auth::User()->Fashion->id)->count();
                            $orders_count_sep = App\FashionOrders::whereBetween('date', [date('Y') . '-09-01', date('Y') . '-09-31'])->where('store_id', Auth::User()->Fashion->id)->count();
                            $orders_count_oct = App\FashionOrders::whereBetween('date', [date('Y') . '-10-01', date('Y') . '-10-31'])->where('store_id', Auth::User()->Fashion->id)->count();
                            $orders_count_nov = App\FashionOrders::whereBetween('date', [date('Y') . '-11-01', date('Y') . '-11-31'])->where('store_id', Auth::User()->Fashion->id)->count();
                            $orders_count_dec = App\FashionOrders::whereBetween('date', [date('Y') . '-12-01', date('Y') . '-12-31'])->where('store_id', Auth::User()->Fashion->id)->count();

                            $orders_count = $orders_count_jan + $orders_count_feb + $orders_count_mar + $orders_count_apr + $orders_count_may + $orders_count_jun + $orders_count_jul + $orders_count_aug + $orders_count_sep + $orders_count_oct + $orders_count_nov + $orders_count_dec;

                            if ($orders_count > 0) {
                                $jan = $orders_count_jan / $orders_count * 100;
                                $feb = $orders_count_feb / $orders_count * 100;
                                $mar = $orders_count_mar / $orders_count * 100;
                                $apr = $orders_count_apr / $orders_count * 100;
                                $may = $orders_count_may / $orders_count * 100;
                                $jun = $orders_count_jun / $orders_count * 100;
                                $jul = $orders_count_jul / $orders_count * 100;
                                $aug = $orders_count_aug / $orders_count * 100;
                                $sep = $orders_count_sep / $orders_count * 100;
                                $oct = $orders_count_oct / $orders_count * 100;
                                $nov = $orders_count_nov / $orders_count * 100;
                                $dec = $orders_count_dec / $orders_count * 100;
                            } else {
                                $jan = 0;
                                $feb = 0;
                                $mar = 0;
                                $apr = 0;
                                $may = 0;
                                $jun = 0;
                                $jul = 0;
                                $aug = 0;
                                $sep = 0;
                                $oct = 0;
                                $nov = 0;
                                $dec = 0;
                            }
                            ?>
                            <label class="country_report hidden" jan="<?php echo e($jan); ?>" feb="<?php echo e($feb); ?>" mar="<?php echo e($mar); ?>" apr="<?php echo e($apr); ?>" may="<?php echo e($may); ?>" jun="<?php echo e($jun); ?>" jul="<?php echo e($jul); ?>" aug="<?php echo e($aug); ?>" sep="<?php echo e($sep); ?>" oct="<?php echo e($oct); ?>" nov="<?php echo e($nov); ?>" dec="<?php echo e($dec); ?>" name="" color="#33bf7a" ></label>

                            <!-- /.chart-responsive -->
                        </div>
                        <!-- /.col -->
                    </div>
                </div>
            </div>
        </div>

        <div class="col-lg-12 col-xl-3 connectedSortable">
            <div class="box box-primary">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(trans('layout.most_sale')); ?></h3>

                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    <ul class="products-list product-list-in-box">
                        <?php $most = DB::table('fashion_orders_products')->where('store_id', Auth::User()->Fashion->id)->selectRaw('product_id, sum(count) as sum')->orderBy('sum', 'desc')->groupBy('product_id')->take(6)->get()->toArray(); ?>
                        <?php $__currentLoopData = $most; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $one): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php $product = App\FashionProducts::find($one->product_id); ?>
                        <li class="item">
                            <div class="product-img">
                                <img src="<?php echo e(URL::to('upload/fashion/products/'.$product['image'])); ?>" alt="<?php echo e($product[$lang.'_name']); ?>">
                            </div>
                            <div class="product-info">
                                <a href="<?php echo e(URL::to('business/fashion_products/'.$product['id'].'/edit')); ?>" class="product-title"><?php echo e($product[$lang.'_name']); ?>

                                    <span class="label label-success pull-left"><?php echo e($one->sum); ?></span>
                                </a>
                                <span class="product-description">
                                    <?php echo e($product['Category'][$lang.'_name']); ?>

                                </span>
                            </div>
                        </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
            </div>
            <!-- TABLE: LATEST ORDERS -->

        </div>
        <?php endif; ?>
    </div>



</section>
<!-- /.content -->

<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts'); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('business.layouts.index', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>