<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.gym_products')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('business')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('business/gym_products')); ?>"> <?php echo e(trans('layout.gym_products')); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.gym_products_add')); ?></li>
    </ol>
</section>

<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-12">
            <?php if(Session::has('message')): ?>
            <div class="row">
                <div class="col-lg-12">
                    <div class="alert alert-success alert-dismissible">
                        <?php echo e(Session::get('message')); ?>

                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                    </div>
                </div>
            </div>
            <?php endif; ?>
        </div>

        <div class="col-12">
            <div class="box box-default">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(trans('layout.gym_products_add')); ?></h3>

                    <div class="box-tools pull-right">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                    </div>
                </div>

                <form action="<?php echo e(URL::to('business/gym_products')); ?>" method="post" enctype="multipart/form-data">
                    <?php echo e(csrf_field()); ?>


                    <div class="box-body">
                        <div class="row">
                            <div class="col-12">

                                <div class="form-group row">
                                    <label for="input_00" class="col-sm-3 col-form-label"><?php echo e(trans('layout.wall')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::select('wall', ['yes'=>trans('layout.yes') , 'no'=>trans('layout.no')],null, ['class'=>'form-control','id'=>'input_00'])); ?>

                                        <?php if($errors->has('wall')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('wall')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="dept_id" class="col-sm-3 col-form-label"><?php echo e(trans('layout.gym_product_dept')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::select('dept_id',$depts, null, ['class'=>'form-control','id'=>'dept_id'])); ?>

                                        <?php if($errors->has('dept_id')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('dept_id')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="input_1" class="col-sm-3 col-form-label"><?php echo e(trans('layout.gym_product_name_ar')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::text('ar_name', null, ['class'=>'form-control','id'=>'input_1'])); ?>

                                        <?php if($errors->has('ar_name')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('ar_name')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="input_2" class="col-sm-3 col-form-label"><?php echo e(trans('layout.gym_product_name_en')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::text('en_name', null, ['class'=>'form-control','id'=>'input_2'])); ?>

                                        <?php if($errors->has('en_name')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('en_name')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="input_4" class="col-sm-3 col-form-label"><?php echo e(trans('layout.gym_product_desc_ar')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::textarea('ar_desc', null, ['class'=>'form-control','id'=>'input_4'])); ?>

                                        <?php if($errors->has('ar_desc')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('ar_desc')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="input_5" class="col-sm-3 col-form-label"><?php echo e(trans('layout.gym_product_desc_en')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::textarea('en_desc', null, ['class'=>'form-control','id'=>'input_5'])); ?>

                                        <?php if($errors->has('en_desc')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('en_desc')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="input_3" class="col-sm-3 col-form-label"><?php echo e(trans('layout.price')); ?></label>
                                    <div class="col-sm-9" id="prices">
                                        <div class="col-sm-4 <?php echo e($pull); ?>" id="price_1">
                                            <?php echo e(Form::text('price_ar[]', null, ['class'=>'form-control','placeholder'=>trans('layout.price_ar')])); ?>

                                        </div>
                                        <div class="col-sm-4 <?php echo e($pull); ?>" id="price_2">
                                            <?php echo e(Form::text('price_en[]', null, ['class'=>'form-control','placeholder'=>trans('layout.price_en')])); ?>

                                        </div>
                                        <div class="col-sm-2 <?php echo e($pull); ?>" id="price_3">
                                            <?php echo e(Form::text('price[]', null, ['class'=>'form-control','placeholder'=>trans('layout.price').' '.$gym['Country'][$lang.'_currency']])); ?>

                                        </div>
                                        <div class="col-sm-2 <?php echo e($pull); ?>">
                                            <button class="btn btn-success btn-lg btn-block" style="height: 36px;" id="more_prices"><?php echo e(trans('layout.more')); ?></button>
                                        </div>
                                        <div class="clearfix"></div>
                                    </div>
                                    <div class="col-sm-12">
                                        <?php if($errors->has('price')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('price')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="input_6" class="col-sm-3 col-form-label"><?php echo e(trans('layout.gym_product_image')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::file('image',['class'=>'form-control','id'=>'input_6'])); ?>

                                        <?php if($errors->has('image')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('image')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="input_9" class="col-sm-3 col-form-label"><?php echo e(trans('layout.gym_product_images')); ?></label>
                                    <div class="col-sm-9" id="images">
                                        <div class="col-sm-10 pull-right" id="images_1">
                                            <?php echo e(Form::file('images[]',['class'=>'form-control'])); ?>

                                        </div>
                                        <div class="col-sm-2 pull-right">
                                            <button class="btn btn-success btn-lg btn-block" style="height: 36px;" id="more_images"><?php echo e(trans('layout.more')); ?></button>
                                        </div>
                                        <div class="clearfix"></div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="box-footer">
                        <button type="submit" class="btn btn-primary btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.add')); ?></button>
                        <a href="<?php echo e(URL::to('business/gym_products')); ?>" class="btn btn-default btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.back')); ?></a>
                    </div>

                </form>
            </div>
        </div>

        <!-- /.col -->
    </div>
    <!-- /.row -->
</section>

<div style="display: none;">
    <div class="col-sm-10 pull-right" id="colors_1">
        <?php echo e(Form::input('text','colors[]', null, ['class'=>'form-control jscolor'])); ?>

    </div>
</div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts'); ?>
<script>
    $('#more_images').click(function () {
        $('#images').append('<br>');
        $('#images').append($('#images_1').clone());
        $('#images').append('<div class="col-sm-2 <?php echo $pull; ?>"><button class="btn btn-danger btn-lg btn-block delete_images" style="height: 36px;"><?php echo trans('layout.delete'); ?></button></div><div class="clearfix"></div>');
        return false;
    });
    $("body").on("click", ".delete_images", function (e) {
        $(this).parent("div").prev("div").prev("br").remove();
        $(this).parent("div").prev("div").remove();
        $(this).parent("div").remove();
    });

    $('#more_prices').click(function () {
        $('#prices').append('<br>');
        $('#prices').append($('#price_1').clone());
        $('#prices').append($('#price_2').clone());
        $('#prices').append($('#price_3').clone());
        $('#prices').append('<div class="col-sm-2 <?php echo $pull; ?>"><button class="btn btn-danger btn-lg btn-block delete_prices" style="height: 36px;"><?php echo trans('layout.delete'); ?></button></div><div class="clearfix"></div>');
        return false;
    });
    $("body").on("click", ".delete_prices", function (e) {
        $(this).parent("div").prev("div").prev("div").prev("div").prev("br").remove();
        $(this).parent("div").prev("div").prev("div").prev("div").remove();
        $(this).parent("div").prev("div").prev("div").remove();
        $(this).parent("div").prev("div").remove();
        $(this).parent("div").remove();
    });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('business.layouts.table', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>