<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.salons')); ?> :  <?php echo e(trans('layout.restaurant_'.$salon['active'])); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin/salons?active='.$salon['active'])); ?>"> <?php echo e(trans('layout.restaurant_'.$salon['active'])); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.salon_edit')); ?></li>
    </ol>
</section>

<section class="content">

    <div class="box box-default">
        <div class="box-header with-border">
            <h3 class="box-title"><?php echo e(trans('layout.salon_edit')); ?> : <?php echo e($salon[$lang.'_name']); ?></h3>

            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
            </div>
        </div>

        <form action="<?php echo e(URL::to('admin/salons/'.$salon['id'])); ?>" method="post" enctype="multipart/form-data">
            <?php echo e(Form::hidden('_method','PATCH')); ?>

            <?php echo e(csrf_field()); ?>


            <div class="box-body">
                <div class="row">
                    <div class="col-12">
                        <?php if(Session::has('message')): ?>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="alert alert-success alert-dismissible">
                                    <?php echo e(Session::get('message')); ?>

                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>

                        <div class="form-group row">
                            <label for="input_0" class="col-sm-3 col-form-label"><?php echo e(trans('layout.salon_active')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('active', ['info'=>trans('layout.fashion_store_info'),'yet'=>trans('layout.fashion_store_yet'),'yes'=>trans('layout.fashion_store_yes') , 'no'=>trans('layout.fashion_store_no'), 'end'=>trans('layout.fashion_store_end')],$salon['active'], ['class'=>'form-control','id'=>'input_0'])); ?>

                                <?php if($errors->has('active')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('active')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="index" class="col-sm-3 col-form-label"><?php echo e(trans('layout.index')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('index', ['no'=>trans('layout.no'),'yes'=>trans('layout.yes')],$salon['index'], ['class'=>'form-control','id'=>'index'])); ?>

                                <?php if($errors->has('index')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('index')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_1" class="col-sm-3 col-form-label"><?php echo e(trans('layout.salon_owner')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('user_id', $salon['User']['name'], ['class'=>'form-control','id'=>'input_1','readonly'])); ?>

                                <?php if($errors->has('user_id')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('user_id')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_2" class="col-sm-3 col-form-label"><?php echo e(trans('layout.salon_name_ar')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('ar_name', $salon['ar_name'], ['class'=>'form-control','id'=>'input_2'])); ?>

                                <?php if($errors->has('ar_name')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('ar_name')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_3" class="col-sm-3 col-form-label"><?php echo e(trans('layout.salon_name_en')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('en_name', $salon['en_name'], ['class'=>'form-control','id'=>'input_3'])); ?>

                                <?php if($errors->has('en_name')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('en_name')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="date_start" class="col-sm-3 col-form-label"><?php echo e(trans('layout.restaurant_date')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('date', $salon['date'], ['class'=>'form-control','id'=>'date_start'])); ?>

                                <?php if($errors->has('date')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('date')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_4" class="col-sm-3 col-form-label"><?php echo e(trans('layout.comission_type')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('comission_type',['percent'=>trans('layout.comission_percent'),'month'=>trans('layout.comission_month'),'year'=>trans('layout.comission_year')], $salon['comission_type'], ['class'=>'form-control','id'=>'input_4'])); ?>

                                <?php if($errors->has('comission_type')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('comission_type')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_5" class="col-sm-3 col-form-label"><?php echo e(trans('layout.comission')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::input('number','comission', $salon['comission'], ['class'=>'form-control','id'=>'input_5'])); ?>

                                <?php if($errors->has('comission')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('comission')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_7" class="col-sm-3 col-form-label"><?php echo e(trans('layout.salon_desc_ar')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::textarea('ar_desc', $salon['ar_desc'], ['class'=>'form-control','id'=>'input_7'])); ?>

                                <?php if($errors->has('ar_desc')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('ar_desc')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_8" class="col-sm-3 col-form-label"><?php echo e(trans('layout.salon_desc_en')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::textarea('en_desc', $salon['en_desc'], ['class'=>'form-control','id'=>'input_8'])); ?>

                                <?php if($errors->has('en_desc')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('en_desc')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_06" class="col-sm-3 col-form-label"><?php echo e(trans('layout.cash')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('cash', ['yes'=>trans('layout.yes_active'),'no'=>trans('layout.no_active')],$salon['cash'], ['class'=>'form-control','id'=>'input_06'])); ?>

                                <?php if($errors->has('cash')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('cash')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_07" class="col-sm-3 col-form-label"><?php echo e(trans('layout.knet')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('knet', ['yes'=>trans('layout.yes_active'),'no'=>trans('layout.no_active')],$salon['knet'], ['class'=>'form-control','id'=>'input_07'])); ?>

                                <?php if($errors->has('knet')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('knet')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_08" class="col-sm-3 col-form-label"><?php echo e(trans('layout.credit_card')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('credit_card', ['yes'=>trans('layout.yes_active'),'no'=>trans('layout.no_active')],$salon['credit_card'], ['class'=>'form-control','id'=>'input_08'])); ?>

                                <?php if($errors->has('credit_card')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('credit_card')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_06" class="col-sm-3 col-form-label"><?php echo e(trans('layout.salon_male')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('male', ['yes'=>trans('layout.yes_active'),'no'=>trans('layout.no_active')],$salon['male'], ['class'=>'form-control','id'=>'input_06'])); ?>

                                <?php if($errors->has('male')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('male')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_07" class="col-sm-3 col-form-label"><?php echo e(trans('layout.salon_female')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('female', ['yes'=>trans('layout.yes_active'),'no'=>trans('layout.no_active')],$salon['female'], ['class'=>'form-control','id'=>'input_07'])); ?>

                                <?php if($errors->has('female')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('female')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_08" class="col-sm-3 col-form-label"><?php echo e(trans('layout.salon_child')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('child', ['yes'=>trans('layout.yes_active'),'no'=>trans('layout.no_active')],$salon['child'], ['class'=>'form-control','id'=>'input_08'])); ?>

                                <?php if($errors->has('child')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('child')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="governate_id" class="col-sm-3 col-form-label"><?php echo e(trans('layout.governate')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('governate_id', $governates,$salon['governate_id'], ['class'=>'form-control select2','id'=>'governate_id'])); ?>

                                <?php if($errors->has('governate_id')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('governate_id')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="city_id" class="col-sm-3 col-form-label"><?php echo e(trans('layout.city')); ?></label>
                            <div class="col-sm-9">
                                <div id="cities">
                                    <?php echo e(Form::select('city_id',$cities, $salon['city_id'], ['class'=>'form-control select2','id'=>'city_id'])); ?>

                                </div>
                                <?php if($errors->has('city_id')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('city_id')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_12" class="col-sm-3 col-form-label"><?php echo e(trans('layout.address')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('address', $salon['address'], ['class'=>'form-control','id'=>'input_12'])); ?>

                                <?php if($errors->has('address')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('address')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_13" class="col-sm-3 col-form-label"><?php echo e(trans('layout.phone')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('phone', $salon['phone'], ['class'=>'form-control','id'=>'input_13'])); ?>

                                <?php if($errors->has('phone')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('phone')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_14" class="col-sm-3 col-form-label"><?php echo e(trans('layout.mobile')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('mobile', $salon['mobile'], ['class'=>'form-control','id'=>'input_14'])); ?>

                                <?php if($errors->has('mobile')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('mobile')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_15" class="col-sm-3 col-form-label"><?php echo e(trans('layout.salon_image')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::file('image',['class'=>'form-control','id'=>'input_15'])); ?>

                                <?php if($errors->has('image')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('image')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>
                        <?php if($salon['image'] != ""): ?>
                        <div class="form-group row">
                            <label for="input_16" class="col-sm-3 col-form-label"><?php echo e(trans('layout.salon_image_current')); ?></label>
                            <div class="col-sm-9">
                                <img src="<?php echo e(URL::to('upload/salon/info/'.$salon['image'])); ?>" id="input_16" class="img-thumbnail">
                            </div>
                        </div>
                        <?php endif; ?>

                        <div class="form-group row">
                            <label for="mapCanvas" class="col-sm-3 col-form-label"><?php echo e(trans('layout.map')); ?></label>
                            <div class="col-sm-9">
                                <div id="mapCanvas" style="height:450px;" class="col-md-12"></div>
                                <input type="hidden" value="<?php echo e($salon['lat']); ?>" id="lat" name="lat" />
                                <input type="hidden" value="<?php echo e($salon['lng']); ?>" id="lng" name="lng" />
                            </div>
                        </div>

                    </div>
                </div>
            </div>

            <div class="box-footer">
                <button type="submit" class="btn btn-primary btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.save')); ?></button>
                <a href="<?php echo e(URL::to('admin/salons')); ?>" class="btn btn-default btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.back')); ?></a>
            </div>

        </form>

    </div>
    
    

    <div class="box">
        <div class="box-header">
            <h3 class="box-title"><?php echo e(trans('layout.salon_work')); ?></h3>
        </div>
        <div class="box-body">
            <table id="example" class="table table-bordered table-hover display nowrap margin-top-10 table-responsive">
                <thead>
                    <tr>
                        <th class="<?php echo e($text); ?>">#</th>
                        <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.day')); ?></th>
                        <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.start')); ?></th>
                        <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.end')); ?></th>
                        <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.vacancy')); ?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php $i = 1; ?>
                    <?php $__currentLoopData = $salon['Times']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $time): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($i); ?></td>
                        <td><?php echo e(trans('layout.'.$time['day'])); ?></td>
                        <td>
                            <?php if($time['open'] == "yes"): ?>
                            <?php echo e($time['start']); ?>

                            <?php endif; ?>
                        </td>
                        <td>
                            <?php if($time['open'] == "yes"): ?>
                            <?php echo e($time['end']); ?>

                            <?php endif; ?>
                        </td>
                        <td>
                            <?php if($time['open'] == "yes"): ?>
                            <?php echo e(trans('layout.no')); ?>

                            <?php else: ?>
                            <?php echo e(trans('layout.yes')); ?>

                            <?php endif; ?>
                        </td>
                    </tr>
                    <?php $i++; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
        <!-- /.box-body -->
    </div>

    <div class="box">
        <div class="box-header">
            <h3 class="box-title"><?php echo e(trans('layout.salon_products')); ?></h3>
        </div>
        <div class="box-body">
            <table id="example" class="table table-bordered table-hover display nowrap margin-top-10 table-responsive">
                <thead>
                    <tr>
                        <th class="<?php echo e($text); ?>">#</th>
                        <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.salon_product_name_ar')); ?></th>
                        <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.salon_product_name_en')); ?></th>
                        <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.price')); ?></th>
                        <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.fashion_product_category')); ?></th>
                        <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.fashion_product_active')); ?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php $i = 1; ?>
                    <?php $__currentLoopData = $salon['Products']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($i); ?></td>
                        <td><?php echo e($product['ar_name']); ?></td>
                        <td><?php echo e($product['en_name']); ?></td>
                        <td><?php echo e($product['price'].' '.$salon['Country'][$lang.'_currency']); ?></td>
                        <td><?php echo e($product['Dept'][$lang.'_name']); ?></td>
                        <td><?php echo e(trans('layout.'.$product['active'].'_active')); ?></td>
                    </tr>
                    <?php $i++; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
        <!-- /.box-body -->
    </div>
</section>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
<script>
    //Date picker
    $('#date_start').datepicker({
        autoclose: true,
        format: 'yyyy-mm-dd'
    });
    $('#governate_id').change(function () {
        var val = $(this).val();
        var base_url = $('#base-url').val();
        if (val == "") {
            val = 0;
        }
        $.ajax({
            type: "GET",
            url: base_url + "/admin/get_cities/" + val,
            success: function (data) {
                $('#cities').html(data);
            }
        });
    });
</script>

<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyC9uAy1z9dxw9aHx6_NJPRA0ih0UD-dCOU&callback=initMap&language=ar&region=EG"></script>
<script type="text/javascript">
    var marker;
    var lat;
    var lng;
    var map;
    function updateMarkerPosition(latLng) {
        document.getElementById('lat').value = latLng.lat();
        document.getElementById('lng').value = latLng.lng();
    }

    function placeMarker(location) {
        if (marker) {
            marker.setPosition(location);
        } else {
            marker = new google.maps.Marker({
                position: location,
                map: map
            });
        }
    }

    function initialize() {
        var lat = document.getElementById('lat').value;
        var lng = document.getElementById('lng').value;
        if (!lat && !lng) {
            var latLng = new google.maps.LatLng(24.598411724742483, 46.7138671875);
        } else {
            var latLng = new google.maps.LatLng(lat, lng);
        }

        map = new google.maps.Map(document.getElementById('mapCanvas'), {
            zoom: 5,
            center: latLng,
            mapTypeId: google.maps.MapTypeId.ROADMAP
        });
        marker = new google.maps.Marker({
            position: latLng,
            map: map
        });
        marker.set(map);
        updateMarkerPosition(latLng);
        google.maps.event.addListener(map, 'click', function (event) {
            placeMarker(event.latLng);
            updateMarkerPosition(event.latLng);
        });
    }

    google.maps.event.addDomListener(window, 'load', initialize);
</script>
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.form', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>