<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.meals')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin/meals')); ?>"> <?php echo e(trans('layout.meals')); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.meal_add')); ?></li>
    </ol>
</section>

<section class="content">

    <div class="box box-default">
        <div class="box-header with-border">
            <h3 class="box-title"><?php echo e(trans('layout.meal_add')); ?></h3>

            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
            </div>
        </div>

        <form action="<?php echo e(URL::to('admin/meals')); ?>" method="post" enctype="multipart/form-data">
            <?php echo e(csrf_field()); ?>


            <div class="box-body">
                <div class="row">
                    <div class="col-12">
                        <?php if(Session::has('message')): ?>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="alert alert-success alert-dismissible">
                                    <?php echo e(Session::get('message')); ?>

                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>

                        <div class="form-group row">
                            <label for="input_0" class="col-sm-3 col-form-label"><?php echo e(trans('layout.meal_category')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('dept_id',$depts, null, ['class'=>'form-control','id'=>'input_0'])); ?>

                                <?php if($errors->has('dept_id')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('dept_id')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_1" class="col-sm-3 col-form-label"><?php echo e(trans('layout.meal_name_ar')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('ar_name', null, ['class'=>'form-control','id'=>'input_1'])); ?>

                                <?php if($errors->has('ar_name')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('ar_name')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_2" class="col-sm-3 col-form-label"><?php echo e(trans('layout.meal_name_en')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('en_name', null, ['class'=>'form-control','id'=>'input_2'])); ?>

                                <?php if($errors->has('en_name')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('en_name')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_6" class="col-sm-3 col-form-label"><?php echo e(trans('layout.cal')); ?></label>
                            <div class="col-sm-8">
                                <?php echo e(Form::text('cal', null, ['class'=>'form-control','id'=>'input_6'])); ?>

                                <?php if($errors->has('cal')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('cal')); ?></div>
                                <?php endif; ?>
                            </div>
                            <label for="input_6" class="col-sm-1 col-form-label"><?php echo e(trans('layout.cal_measure')); ?></label>
                        </div>

                        <div class="form-group row">
                            <label for="input_7" class="col-sm-3 col-form-label"><?php echo e(trans('layout.fat')); ?></label>
                            <div class="col-sm-8">
                                <?php echo e(Form::text('fat', null, ['class'=>'form-control','id'=>'input_7'])); ?>

                                <?php if($errors->has('fat')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('fat')); ?></div>
                                <?php endif; ?>
                            </div>
                            <label for="input_7" class="col-sm-1 col-form-label"><?php echo e(trans('layout.gm')); ?></label>
                        </div>

                        <div class="form-group row">
                            <label for="input_8" class="col-sm-3 col-form-label"><?php echo e(trans('layout.carb')); ?></label>
                            <div class="col-sm-8">
                                <?php echo e(Form::text('carb', null, ['class'=>'form-control','id'=>'input_8'])); ?>

                                <?php if($errors->has('carb')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('carb')); ?></div>
                                <?php endif; ?>
                            </div>
                            <label for="input_8" class="col-sm-1 col-form-label"><?php echo e(trans('layout.gm')); ?></label>
                        </div>

                        <div class="form-group row">
                            <label for="input_9" class="col-sm-3 col-form-label"><?php echo e(trans('layout.protein')); ?></label>
                            <div class="col-sm-8">
                                <?php echo e(Form::text('protein', null, ['class'=>'form-control','id'=>'input_9'])); ?>

                                <?php if($errors->has('protein')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('protein')); ?></div>
                                <?php endif; ?>
                            </div>
                            <label for="input_9" class="col-sm-1 col-form-label"><?php echo e(trans('layout.gm')); ?></label>
                        </div>

                        <div class="form-group row">
                            <label for="input_10" class="col-sm-3 col-form-label"><?php echo e(trans('layout.cholesterol')); ?></label>
                            <div class="col-sm-8">
                                <?php echo e(Form::text('cholesterol', null, ['class'=>'form-control','id'=>'input_10'])); ?>

                                <?php if($errors->has('cholesterol')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('cholesterol')); ?></div>
                                <?php endif; ?>
                            </div>
                            <label for="input_10" class="col-sm-1 col-form-label"><?php echo e(trans('layout.gm')); ?></label>
                        </div>

                        <div class="form-group row">
                            <label for="input_4" class="col-sm-3 col-form-label"><?php echo e(trans('layout.meal_desc_ar')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::textarea('ar_desc', null, ['class'=>'form-control','id'=>'input_4','rows'=>5])); ?>

                                <?php if($errors->has('ar_desc')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('ar_desc')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_5" class="col-sm-3 col-form-label"><?php echo e(trans('layout.meal_desc_en')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::textarea('en_desc', null, ['class'=>'form-control','id'=>'input_5','rows'=>5])); ?>

                                <?php if($errors->has('en_desc')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('en_desc')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_11" class="col-sm-3 col-form-label"><?php echo e(trans('layout.meal_meat')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('meat',['yes'=>trans('layout.yes'),'no'=>trans('layout.no')], null, ['class'=>'form-control','id'=>'input_11'])); ?>

                                <?php if($errors->has('meat')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('meat')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_12" class="col-sm-3 col-form-label"><?php echo e(trans('layout.meal_measure')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('measure',['low'=>trans('layout.low'),'medium'=>trans('layout.medium'),'high'=>trans('layout.high')], null, ['class'=>'form-control','id'=>'input_12'])); ?>

                                <?php if($errors->has('measure')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('measure')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_13" class="col-sm-3 col-form-label"><?php echo e(trans('layout.meal_type')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('type',['main'=>trans('layout.main'),'sub'=>trans('layout.sub')], null, ['class'=>'form-control','id'=>'input_13'])); ?>

                                <?php if($errors->has('type')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('type')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_14" class="col-sm-3 col-form-label"><?php echo e(trans('layout.meal_place')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('place',['main'=>trans('layout.meal_menu'),'subscribe'=>trans('layout.meal_subscribe')], null, ['class'=>'form-control','id'=>'input_14'])); ?>

                                <?php if($errors->has('place')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('place')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_3" class="col-sm-3 col-form-label"><?php echo e(trans('layout.meal_image')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::file('image',['class'=>'form-control','id'=>'input_3'])); ?>

                                <?php if($errors->has('image')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('image')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <?php $countries = \App\Country::all(); ?>
                        <?php $__currentLoopData = $countries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="form-group row">
                            <label for="input_10_<?php echo e($country['id']); ?>" class="col-sm-3 col-form-label"><?php echo e(trans('layout.meal_price')); ?> - <?php echo e($country[$lang.'_name']); ?></label>
                            <div class="col-sm-8">
                                <?php echo e(Form::hidden('country[]',$country['id'])); ?>

                                <?php echo e(Form::text('prices[]', null, ['class'=>'form-control','id'=>'input_10_'.$country['id']])); ?>

                            </div>
                            <label for="input_10_<?php echo e($country['id']); ?>" class="col-sm-1 col-form-label"><?php echo e($country[$lang.'_currency']); ?></label>
                        </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        <div class="form-group row">
                            <label for="input_55" class="col-sm-3 col-form-label"><?php echo e(trans('layout.sub_meal')); ?></label>
                            <div class="col-sm-9">
                                <?php $__currentLoopData = $subs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sub): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('subs[]',$sub['id'],false,['id'=>'Checkbox_'.$sub['id']])); ?>

                                    <label for="Checkbox_<?php echo e($sub['id']); ?>"><?php echo e($sub[$lang.'_name']); ?></label>
                                </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>
                        </div>

                    </div>
                </div>
            </div>

            <div class="box-footer">
                <button type="submit" class="btn btn-primary btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.add')); ?></button>
                <a href="<?php echo e(URL::to('admin/meals')); ?>" class="btn btn-default btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.back')); ?></a>
            </div>

        </form>

    </div>

</section>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.form', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>