<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.driver_report')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.driver_report')); ?></li>
    </ol>
</section>

<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-12">
            <?php if(Session::has('message')): ?>
            <div class="row">
                <div class="col-lg-12">
                    <div class="alert alert-success alert-dismissible">
                        <?php echo e(Session::get('message')); ?>

                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                    </div>
                </div>
            </div>
            <?php endif; ?>

            <div class="box box-default">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(trans('layout.driver_report')); ?></h3>

                    <div class="box-tools pull-right">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                    </div>
                </div>

                <form action="<?php echo e(URL::to('admin/driver_report')); ?>" method="post" enctype="multipart/form-data">
                    <?php echo e(csrf_field()); ?>


                    <div class="box-body">
                        <div class="row">
                            <div class="col-12">
                                <br><br>
                                <div class="form-group row">
                                    <label for="country_id" class="col-sm-2 col-form-label"><?php echo e(trans('layout.country')); ?></label>
                                    <div class="col-sm-10">
                                        <?php echo e(Form::select('country_id',$countries, null, ['class'=>'form-control select2','id'=>'country_id'])); ?>

                                        <?php if($errors->has('country_id')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('country_id')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <br>
                                <div class="form-group row">
                                    <label for="governate_id" class="col-sm-2 col-form-label"><?php echo e(trans('layout.governate')); ?></label>
                                    <div class="col-sm-10">
                                        <div id="cities">
                                            <?php echo e(Form::select('governate_id',[''=>trans('layout.select_country_first')], null, ['class'=>'form-control select2','id'=>'governate_id'])); ?>

                                            <?php if($errors->has('governate_id')): ?>
                                            <div class="alert alert-danger"><?php echo e($errors->first('governate_id')); ?></div>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>

                                <br>
                                <div class="form-group row">
                                    <label for="date_start" class="col-sm-2 col-form-label"><?php echo e(trans('layout.date')); ?></label>
                                    <div class="col-sm-10">
                                        <?php echo e(Form::text('date', $date, ['class'=>'form-control','id'=>'date_start'])); ?>

                                        <?php if($errors->has('date')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('date')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="box-footer">
                        <button type="submit" class="btn btn-danger btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.search')); ?></button>
                    </div>

                </form>

            </div>

            <div class="box">
                <div class="box-body">
                    <table id="example3" class="table table-bordered table-hover display nowrap margin-top-10 table-responsive">
                        <thead>
                            <tr> 
                                <th class="text-center"><?php echo e(trans('layout.customer')); ?></th>
                                <th class="text-center"><?php echo e(trans('layout.phone')); ?></th>
                                <th class="text-center"><?php echo e(trans('layout.address')); ?></th>
                                <th class="text-center"><?php echo e(trans('layout.meals')); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $subscribes_orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $one): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if(COUNT($one['orders']) > 0): ?>
                            <tr>
                                <td style="background: #D2E4E8; font-size: 16px;" class="text-center" ><?php echo e($one['city']); ?></td>
                                <td style="background: #D2E4E8; font-size: 16px;" class="text-center" ></td>
                                <td style="background: #D2E4E8; font-size: 16px;" class="text-center" ></td>
                                <td style="background: #D2E4E8; font-size: 16px;" class="text-center" ></td>
                            <?php $__currentLoopData = $one['orders']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td class="text-center" style="vertical-align: middle"><?php echo e($order['customer']); ?></td>
                                <td class="text-center" style="vertical-align: middle"><?php echo e($order['phone']); ?></td>
                                <td class="text-center" style="vertical-align: middle"><?php echo e($order['address']); ?></td>
                                <td class="text-center" style="vertical-align: middle">
                                    <?php $__currentLoopData = $order['meals']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $meal): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                    <?php echo e($meal['meal']); ?> 

                                    <?php if($meal['notes'] != ""): ?>
                                    - <?php echo e($meal['notes']); ?>

                                    <?php endif; ?>

                                    <?php if($meal['subs'] != ""): ?>
                                    <?php $sub_ids = explode(',', $meal['subs']); ?>
                                    <?php
                                    echo '( ';
                                    $i = 0;
                                    foreach ($sub_ids as $id) {
                                        $one_sub = App\Meal::find($id);
                                        if ($i == 0) {
                                            echo $one_sub[$lang . '_name'];
                                        } else {
                                            echo ' , ' . $one_sub[$lang . '_name'];
                                        }
                                        $i = 1;
                                    }
                                    echo ' )';
                                    ?>
                                    <?php endif; ?>

                                    <hr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>


                </div>
                <!-- /.box-body -->
            </div>
            <!-- /.box -->          
        </div>
        <!-- /.col -->
    </div>
    <!-- /.row -->
</section>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
<script>
    $('#country_id').change(function () {
        var val = $(this).val();
        var base_url = $('#base-url').val();
        if (val == "") {
            val = 0;
        }
        $.ajax({
            type: "GET",
            url: base_url + "/admin/cities/" + val + "?from=city",
            success: function (data) {
                $('#cities').html(data);
            }
        });
    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.table', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>