<?php $lang = App::getLocale(); ?>
<?php $ctry = Session::get('country'); ?>

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
        <meta name="HandheldFriendly" content="true">

        <meta name="author" content="<?php echo e($data['site'][$lang.'_title']); ?>">
        <meta name="description" content="<?php echo e($data['site'][$lang.'_desc']); ?>"/>
        <meta name="keywords" content="<?php echo e($data['site']['tags']); ?>"/>
        <meta name="generator" content="Ahmed Kamal">
        <link rel="canonical" href="<?php echo e(URL::to('/')); ?>" />
        <meta property="og:locale" content="<?php echo e($lang); ?>_<?php echo e(strtoupper($lang)); ?>" />
        <meta property="og:type" content="website" />
        <meta property="og:title" content="<?php echo e($data['site'][$lang.'_title']); ?>" />
        <meta property="og:description" content="<?php echo e($data['site'][$lang.'_desc']); ?>" />
        <meta property="og:url" content="<?php echo e(URL::to('/')); ?>" />
        <meta property="og:site_name" content="<?php echo e($data['site'][$lang.'_title']); ?>" />
        <meta name="twitter:card" content="summary"/>
        <meta name="twitter:description" content="<?php echo e($data['site'][$lang.'_desc']); ?>"/>
        <meta name="twitter:title" content="<?php echo e($data['site'][$lang.'_title']); ?>"/>
        <meta name="twitter:domain" content="<?php echo e($data['site'][$lang.'_title']); ?>"/>

        <title><?php echo e($data['site'][$lang.'_title']); ?> | <?php echo $__env->yieldContent('title'); ?></title>
        <link rel="shortcut icon" href="<?php echo e(URL::to('interface')); ?>/images/favicon.png">
        <link rel="stylesheet" type="text/css" href="<?php echo e(URL::to('interface')); ?>/css/bootstrap.min.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(URL::to('interface')); ?>/css/font-awesome.min.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(URL::to('interface')); ?>/css/bootstrap-datepicker.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(URL::to('interface')); ?>/css/owl.carousel.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(URL::to('interface')); ?>/css/animate.min.css">
        <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(URL::to('interface')); ?>/css/style.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(URL::to('interface')); ?>/css/style-<?php echo e($lang); ?>.css">

    </head>
    <body>

        <!--=============================== LOADER ===================================-->

        <div class="loader">
            <img src="<?php echo e(URL::to('interface')); ?>/images/Pacman.gif" alt="<?php echo e($data['site'][$lang.'_title']); ?> ">
        </div>

        <!--=============================== TOP-HEADER ===================================-->

        <div class="top-header">
            <div class="container">
                <div class="row">

                    <div class="col-xs-12 col-md-10 align-left">
                        <ul class="list-unstyled list-inline google-app">
                            <li><a href="<?php echo e($data['site']['android']); ?>" target="_blank"><img src="<?php echo e(URL::to('interface')); ?>/images/header-google-img.png" class="dis-block pt-10"></a></li>
                            <li><a href="<?php echo e($data['site']['ios']); ?>" target="_blank"><img src="<?php echo e(URL::to('interface')); ?>/images/header-store-img.png" class="dis-block pt-10"></a></li>
                            <li><p class="top-header-first-content m-0 font-ajannat white-color dis-block pt-10"><span class="fa fa-phone light-blue-color right-fa"></span><?php echo e($data['site']['phone']); ?></p></li>
                            <li><p class="top-header-first-content m-0 font-ajannat white-color dis-block pt-10"><span class="fa fa-mobile light-blue-color right-fa"></span><?php echo e($data['site']['mobile']); ?></p></li>
                            <li><p class="top-header-first-content m-0 font-ajannat white-color dis-block pt-10"><span class="fa fa-envelope-o light-blue-color right-fa"></span><?php echo e($data['site']['email']); ?></p></li>
                        </ul>
                    </div>

                    <div class="col-xs-12 col-md-2 pull-right align-right pt-10">
                        <ul class="list-unstyled top-header-list list-inline top-header-social-media first-list">
                            <li class="dropdown" style="margin-top: 9px;">
                                <a href="#" class="dropdown-toggle white-color pr-5" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                                    <span class="caret right-fa"></span>
                                    <?php if($lang == "ar"): ?>
                                    عربي
                                    <?php elseif($lang == "en"): ?>
                                    English
                                    <?php endif; ?>
                                </a>
                                <ul class="lang dropdown-menu">
                                    <li><a href="<?php echo e(URL::to('language/ar')); ?>" class="gray-color">عربي</a></li>
                                    <li><a href="<?php echo e(URL::to('language/en')); ?>" class="gray-color">English</a></li>
                                </ul>
                            </li>
                            <li class="dropdown" style="margin-top: 9px;">
                                <a class="dropdown-toggle top-header-social-img pr-5" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                                    <img style="width: 100%; height: 100%; vertical-align: baseline;" src="<?php echo e(URL::to('upload/countries/'.$ctry['image'])); ?>">
                                </a>
                                <ul class="lang dropdown-menu hidden">
                                    <?php $__currentLoopData = $data['countries']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li>
                                        <a href="<?php echo e(URL::to('country/'.$country['id'])); ?>" class="gray-color">
                                            <img style="width: 100%; height: 100%;" src="<?php echo e(URL::to('upload/countries/'.$country['image'])); ?>">&nbsp;&nbsp; <?php echo e($country[$lang.'_name']); ?>

                                        </a>
                                    </li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </li>
                        </ul>
                    </div>

                </div>
            </div>
        </div>

        <!--=============================== NAV ===================================-->

        <div class="header">
            <nav class="navbar">
                <div class="container">
                    <div class="row">

                        <div class="navbar-header">
                            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse-1" aria-expanded="false">
                                <span class="fa fa-bars"></span>
                            </button>
                            <a class="navbar-brand" href="<?php echo e(URL::to('/')); ?>"><img src="<?php echo e(URL::to('interface')); ?>/images/logo.png"></a>
                        </div>

                        <div class="collapse navbar-collapse" id="navbar-collapse-1">
                            <ul class="nav navbar-nav navbar-right">
                                <li><a href="<?php echo e(URL::to('/')); ?>" class="active"><?php echo e(trans('interface.home')); ?></a></li>
                                
                                
                                <li><a href="<?php echo e(URL::to('restaurant_cart')); ?>" ><?php echo e(trans('interface.cart')); ?></a></li>
                                
                                <?php if(Auth::Check()): ?>
                                <li class="dropdown">
                                    <a href="#" class="dropdown-toggle shoping-drop" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><?php echo e(trans('interface.account')); ?> <span class="caret"></span></a>
                                    <ul class="shoping dropdown-menu">
                                        <li><a href="<?php echo e(URL::to('restaurant_orders')); ?>"><img src="<?php echo e(URL::to('interface')); ?>/images/resturant-img.png"><?php echo e(trans('interface.restaurant_orders')); ?></a></li>
                                        <li role="separator" class="divider"></li>

                                        <li><a href="<?php echo e(URL::to('logout')); ?>"><img src="<?php echo e(URL::to('interface')); ?>/images/salon-img.png"><?php echo e(trans('layout.logout')); ?></a></li>
                                    </ul>
                                </li>
                                <?php else: ?>
                                <li><a href="<?php echo e(URL::to('register')); ?>" class="active"><?php echo e(trans('interface.register')); ?></a></li>
                                <li><a href="<?php echo e(URL::to('login')); ?>" class="active"><?php echo e(trans('interface.login')); ?></a></li>
                                <?php endif; ?>
                                
                                <li><a href="<?php echo e(URL::to('contact')); ?>" class="active"><?php echo e(trans('interface.contact')); ?></a></li>
                                <li><a href="<?php echo e(URL::to('faq')); ?>" class="active"><?php echo e(trans('layout.faq')); ?></a></li>
                            </ul>
                        </div>

                    </div>
                </div>
            </nav>
        </div>

        <!--=============================== EMPTY-CONTENT ===================================-->
        <?php echo $__env->yieldContent('content'); ?>
        <!--=============================== NEWSLETTER ===================================-->

        <div>
            <div class="container">

                <div class="newsletter text-center">
                    <div class="row">
                        <div class="col-xs-12 col-lg-6 align-left pt-5">
                            <span class="fa fa-envelope-open right-fa blue-color font-70 dis-block"></span> 
                            <h2 class="black-color font-weight text-uppercase align-left dis-block font-mtsdrLa line1-3"><?php echo e(trans('interface.newsletter')); ?></h2>
                        </div>
                        <div class="col-xs-12 col-lg-6 align-right pt-15">
                            <form>
                                <input type="text" id="mail" placeholder="<?php echo e(trans('interface.enter_email')); ?>" class="font-ajannat">
                                <div class="message">
                                    <button id="add_mail"><span class="fa fa-envelope font-18"></span></button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>

            </div>
        </div>

        <!--=============================== FIRST FOOTER ===================================-->

        <div class="first-footer pt-45">
            <div class="container">
                <div class="row">

                    <div class="div-padding">
                        <div class="col-xs-12 col-sm-6 align-left pt-10">
                            <ul class="list-inline list-unstyled footer-first-list">
                                <li><a href="<?php echo e(URL::to('faq')); ?>" class="active"><?php echo e(trans('layout.faq')); ?></a></li>
                                <?php $__currentLoopData = $data['pages']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $page): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><a href="<?php echo e(URL::to('page/'.$page['id'])); ?>"><?php echo e($page[$lang.'_title']); ?></a></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>

                        <div class="col-xs-12 col-sm-6 pull-right align-right pt-10 pb-10">
                            <ul class="list-unstyled list-inline footer-social-media footer-last-list">
                                <?php $__currentLoopData = $data['countries']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li>
                                    <a >
                                        <img style="width: 30px; height: 30px; border: 1px solid #fff;" class="img-circle" src="<?php echo e(URL::to('upload/countries/'.$country['image'])); ?>">
                                    </a>
                                </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    </div>

                </div>
            </div>
        </div>

        <!--=============================== SECOND FOOTER ===================================-->

        <div class="second-footer">
            <div class="container">
                <div class="row">

                    <div class="col-xs-12 col-sm-6 align-left pt-10">
                        <p class="font-ajannat font-14 dis-block"><?php echo e(date('Y')); ?> <span class="light-blue-color-3 font-ajannat fa fa-copyright font-14"><?php echo e($data['site']['en_title']); ?> </span> Corporation</p>
                    </div>

                </div>
            </div>
        </div>

        <!--=============================== SCRIPT ===================================-->
        <input type="hidden" value="<?php echo e(URL::to('/')); ?>" id="base-url">

        <script src="<?php echo e(URL::to('interface')); ?>/js/jquery-1.11.1.min.js"></script>
        <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
        <script src="<?php echo e(URL::to('interface')); ?>/js/bootstrap.min.js"></script>
        <script src="<?php echo e(URL::to('interface')); ?>/js/owl.carousel.min.js"></script>
        <script src="<?php echo e(URL::to('interface')); ?>/js/wow.min.js"></script>
        <script src="<?php echo e(URL::to('interface')); ?>/js/script.js"></script>
        <script src="<?php echo e(URL::to('interface')); ?>/js/jquery.bpopup.min.js"></script>

        <?php echo $__env->yieldContent('scripts'); ?>
    </body>
</html>

<div id="element_to_pop_up"></div>

<!--=============================== END ===================================-->



