<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.fashion_offers_archieve')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('business')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.fashion_offers_archieve')); ?></li>
    </ol>
</section>

<!-- Main content -->
<section class="content">
    <div class="row">

        <div class="col-12">
            <?php if(Session::has('message')): ?>
            <div class="row">
                <div class="col-lg-12">
                    <div class="alert alert-success alert-dismissible">
                        <?php echo e(Session::get('message')); ?>

                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                    </div>
                </div>
            </div>
            <?php endif; ?>
            
            
            <div class="box box-default">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(trans('layout.restaurant_offers_search')); ?></h3>

                    <div class="box-tools pull-right">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                    </div>
                </div>

                <form action="<?php echo e(URL::to('business/gym_offers')); ?>" method="get" enctype="multipart/form-data">
                    <div class="box-body">
                        <div class="row">
                            <div class="col-12">

                                <div class="form-group row">
                                    <label for="date_start" class="col-sm-3 col-form-label"><?php echo e(trans('layout.restaurant_offer_start')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::text('start', null, ['class'=>'form-control','id'=>'date_start'])); ?>

                                        <?php if($errors->has('start')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('start')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="date_end" class="col-sm-3 col-form-label"><?php echo e(trans('layout.restaurant_offer_end')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::text('end', null, ['class'=>'form-control','id'=>'date_end'])); ?>

                                        <?php if($errors->has('end')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('end')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="box-footer">
                        <button type="submit" class="btn btn-primary btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.search')); ?></button>
                    </div>

                </form>
            </div>
            
            
            <div class="box">
                <div class="box-header">
                    <a href="<?php echo e(URL::to('business/gym_offers/create')); ?>" class="btn btn-lg bg-fuchsia"><?php echo e(trans('layout.gym_offers_add')); ?></a>
                </div>
                <div class="box-body">
                    <table id="example" class="table table-bordered table-hover display nowrap margin-top-10 table-responsive">
                        <thead>
                            <tr>
                                <th class="<?php echo e($text); ?>">#</th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.restaurant_offer_name_ar')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.restaurant_offer_name_en')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.discount')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.service_one')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.restaurant_offers_active')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.edit')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.delete')); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $i = 1; ?>
                            <?php $__currentLoopData = $offers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $offer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($i); ?></td>
                                <td><?php echo e($offer['ar_name']); ?></td>
                                <td><?php echo e($offer['en_name']); ?></td>
                                <td><?php echo e($offer['price'].' %'); ?></td>
                                <td><?php echo e($offer['Product'][$lang.'_name']); ?></td>
                                <td><?php echo e(trans('layout.'.$offer['active'].'_active')); ?></td>
                                <td>
                                    <?php echo e(Form::open(array('url' =>'business/gym_offers/'.$offer->id.'/edit', 'method' => 'GET'))); ?>

                                    <button  type="submit" class="btn default btn-sm btn-success"><i class="fa fa-edit"></i> <?php echo e(trans('layout.edit')); ?> </button>
                                    <?php echo e(Form::close()); ?>

                                </td>
                                <td>
                                    <?php echo e(Form::open(array('url' =>'business/gym_offers/'.$offer->id, 'method' => 'DELETE'))); ?>

                                    <button  type="submit" class="btn default btn-sm btn-danger"><i class="fa fa-trash-o"></i> <?php echo e(trans('layout.delete')); ?> </button>
                                    <?php echo e(Form::close()); ?>

                                </td>
                            </tr>
                            <?php $i++; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
                <!-- /.box-body -->
            </div>
            <!-- /.box -->          
        </div>
        <!-- /.col -->
    </div>
    <!-- /.row -->
</section>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('business.layouts.table', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>