<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        الأماكن
    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin/places')); ?>"> الأماكن</a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>">تعديل مكان حالي</li>
    </ol>
</section>

<section class="content">

    <div class="box box-default">
        <div class="box-header with-border">
            <h3 class="box-title">تعديل مكان حالي : <?php echo e($place['title']); ?></h3>

            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
            </div>
        </div>

        <form action="<?php echo e(URL::to('admin/places/'.$place['id'])); ?>" method="post" enctype="multipart/form-data">
            <?php echo e(Form::hidden('_method','PATCH')); ?>

            <?php echo e(csrf_field()); ?>


            <div class="box-body">
                <div class="row">
                    <div class="col-12">
                        <?php if(Session::has('message')): ?>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="alert alert-success alert-dismissible">
                                    <?php echo e(Session::get('message')); ?>

                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>

                        <div class="form-group row">
                            <label for="input_0" class="col-sm-3 col-form-label">تفعيل المكان</label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('active', ['yes'=>trans('layout.yes_active') , 'no'=>trans('layout.no_active')],$place['active'], ['class'=>'form-control','id'=>'input_0'])); ?>

                                <?php if($errors->has('active')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('active')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="dept_id" class="col-sm-3 col-form-label">القسم</label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('dept_id',$depts, $place['dept_id'], ['class'=>'form-control','id'=>'dept_id'])); ?>

                                <?php if($errors->has('dept_id')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('dept_id')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="rating" class="col-sm-3 col-form-label">التقييم</label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('rating',$ratings, $place['rating'] , ['class'=>'form-control','id'=>'rating'])); ?>

                                <?php if($errors->has('rating')): ?>
                                    <div class="alert alert-danger"><?php echo e($errors->first('rating')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="city_id" class="col-sm-3 col-form-label">المدينة</label>
                            <div class="col-sm-9">
                                <select name="city_id" class="form-control" id="city_id">
                                    <?php $__currentLoopData = App\Governate::all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $governate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <optgroup label="<?php echo e($governate['name']); ?>">
                                        <?php $__currentLoopData = $governate['cities']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $city): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if($city['id'] == $place['city_id']): ?>
                                        <option selected="" value="<?php echo e($city['id']); ?>"><?php echo e($city['name']); ?></option>
                                        <?php else: ?>
                                        <option value="<?php echo e($city['id']); ?>"><?php echo e($city['name']); ?></option>
                                        <?php endif; ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </optgroup>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php if($errors->has('city_id')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('city_id')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_1" class="col-sm-3 col-form-label">إسم المكان</label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('title', $place['title'], ['class'=>'form-control','id'=>'input_1'])); ?>

                                <?php if($errors->has('title')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('title')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="details" class="col-sm-3 col-form-label">تفاصيل المكان</label>
                            <div class="col-sm-9">
                                <?php echo e(Form::textarea('details', $place['details'], ['class'=>'form-control','id'=>'details'])); ?>

                                <?php if($errors->has('title')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('details')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="price" class="col-sm-3 col-form-label">سعر المكان</label>
                            <div class="col-sm-8">
                                <?php echo e(Form::number('price', $place['price'], ['class'=>'form-control','id'=>'price'])); ?>

                                <?php if($errors->has('sort')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('price')); ?></div>
                                <?php endif; ?>
                            </div>
                            <label class="col-sm-1 col-form-label">ريال</label>
                        </div>

                        <div class="form-group row">
                            <label for="area" class="col-sm-3 col-form-label">مساحة المكان</label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('area', $place['area'], ['class'=>'form-control','id'=>'area'])); ?>

                                <?php if($errors->has('area')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('area')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="availiable" class="col-sm-3 col-form-label">متاح في الفترات</label>
                            <div class="col-sm-9">
                                <?php echo e(Form::textarea('availiable', $place['availiable'], ['class'=>'form-control','id'=>'availiable'])); ?>

                                <?php if($errors->has('availiable')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('availiable')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="address" class="col-sm-3 col-form-label">العنوان</label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('address', $place['address'], ['class'=>'form-control','id'=>'address'])); ?>

                                <?php if($errors->has('address')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('address')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="workers" class="col-sm-3 col-form-label">العمال</label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('workers', $place['workers'], ['class'=>'form-control','id'=>'workers'])); ?>

                                <?php if($errors->has('workers')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('workers')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="rooms" class="col-sm-3 col-form-label">الغرف</label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('rooms', $place['rooms'], ['class'=>'form-control','id'=>'rooms'])); ?>

                                <?php if($errors->has('rooms')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('rooms')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="chairs" class="col-sm-3 col-form-label">الطاولات</label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('chairs', $place['chairs'], ['class'=>'form-control','id'=>'chairs'])); ?>

                                <?php if($errors->has('chairs')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('chairs')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_6" class="col-sm-3 col-form-label">الصورة الرئيسية</label>
                            <div class="col-sm-9">
                                <?php echo e(Form::file('image',['class'=>'form-control','id'=>'input_6'])); ?>

                                <?php if($errors->has('image')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('image')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>
                        
                        <div class="form-group row">
                            <label for="input_16" class="col-sm-3 col-form-label">الصورة الحالية</label>
                            <div class="col-sm-9">
                                <img src="<?php echo e(URL::to('upload/places/'.$place['image'])); ?>" id="input_16" class="img-thumbnail">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_9" class="col-sm-3 col-form-label">ألبوم الصور</label>
                            <div class="col-sm-9" id="images">
                                <div class="col-sm-10 pull-right" id="images_1">
                                    <?php echo e(Form::file('images[]',['class'=>'form-control'])); ?>

                                </div>
                                <div class="col-sm-2 pull-right">
                                    <button class="btn btn-success btn-lg btn-block" style="height: 36px;" id="more_images"><?php echo e(trans('layout.more')); ?></button>
                                </div>
                                <div class="clearfix"></div>
                            </div>
                        </div>
                        
                        <div class="form-group row">
                            <label for="input_9" class="col-sm-3 col-form-label">البوم الصور الحالي</label>
                            <div class="col-sm-9">
                                <?php $__currentLoopData = $place['Images']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="col-sm-4 pull-right" style="padding-bottom: 15px;">
                                    <img src="<?php echo e(URL::to('upload/places/'.$image['image'])); ?>" class="img-responsive" style="height: 170px; width: 100%;">
                                    <a href="<?php echo e(URL::to('admin/places/'.$image['id'])); ?>" class="btn btn-block btn-danger"><?php echo e(trans('layout.delete')); ?></a>
                                </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <div class="clearfix"></div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>

            <div class="box-footer">
                <button type="submit" class="btn btn-primary btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.save')); ?></button>
                <a href="<?php echo e(URL::to('admin/places')); ?>" class="btn btn-default btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.back')); ?></a>
            </div>

        </form>

    </div>

</section>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.form', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>