<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<header class="main-header" dir="<?php echo e($dir); ?>">
    <!-- Logo -->
    <a href="<?php echo e(URL::to('admin')); ?>" class="logo">
        <!-- mini logo for sidebar mini 50x50 pixels -->
        <span class="logo-mini"><b>B</b></span>
        <!-- logo for regular state and mobile devices -->
        <span class="logo-lg"><b><?php echo e($site[$lang.'_title']); ?></b></span>
    </a>
    <!-- Header Navbar: style can be found in header.less -->
    <nav class="navbar navbar-static-top">
        <!-- Sidebar toggle button-->
        <a href="#" class="sidebar-toggle" data-toggle="push-menu" role="button">
            <span class="sr-only">Toggle navigation</span>
        </a>

        <div class="navbar-custom-menu">
            <ul class="nav navbar-nav">
                <!-- User Account: style can be found in dropdown.less -->
                <li class="dropdown user user-menu">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                        <?php if(Auth::User()->image == ""): ?>
                        <img src="<?php echo e(URL::to('admin_panel')); ?>/images/user2-160x160.jpg" class="user-image rounded" alt="<?php echo e(Auth::User()->name); ?>">
                        <?php else: ?>
                        <img src="<?php echo e(URL::to('upload/users/'.Auth::User()->image)); ?>" class="user-image rounded" alt="<?php echo e(Auth::User()->name); ?>">
                        <?php endif; ?>
                    </a>
                    <ul class="dropdown-menu scale-up">
                        <!-- User image -->
                        <li class="user-header">
                            <?php if(Auth::User()->image == ""): ?>
                            <img src="<?php echo e(URL::to('admin_panel')); ?>/images/user2-160x160.jpg" class="rounded float-right" alt="<?php echo e(Auth::User()->name); ?>">
                            <?php else: ?>
                            <img src="<?php echo e(URL::to('upload/users/'.Auth::User()->image)); ?>" class="rounded float-right" alt="<?php echo e(Auth::User()->name); ?>">
                            <?php endif; ?>           

                            <p>
                                <?php echo e(Auth::User()->username); ?>

                                <small><?php echo e(Auth::User()->Group[$lang.'_name']); ?></small>
                            </p>
                        </li>
                        <!-- Menu Footer-->
                        <li class="user-footer">
                            <div class="pull-right">
                                <a href="<?php echo e(URL::to('/')); ?>" class="btn btn-block btn-primary"><?php echo e(trans('layout.website')); ?></a>
                            </div>
                            <div class="pull-left">
                                <a href="<?php echo e(URL::to('admin/logout')); ?>" class="btn btn-block btn-danger"><?php echo e(trans('layout.logout')); ?></a>
                            </div>
                        </li>
                    </ul>
                </li>

                <?php if(\App\Permission::where('group_id', Auth::User()->group_id)->where('permission', 'users')->count() > 0): ?>
                <?php $users = \App\User::where('seen', 'no')->orderBy('id', 'desc')->get(); ?>

                <?php if(Auth::User()->Group['country'] == "all"): ?>
                <li class="dropdown messages-menu">
                    <a href="" class="dropdown-toggle" data-toggle="dropdown">
                        <i class="fa fa-user"></i>
                        <span class="label label-danger"><?php echo e(COUNT($users)); ?></span>
                    </a>
                    <ul class="dropdown-menu scale-up">
                        <li class="header <?php echo e($text); ?>"><?php echo e(trans('layout.users_count')); ?> : <?php echo e(COUNT($users)); ?></li>
                        <li>
                            <ul class="menu inner-content-div">
                                <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><!-- start message -->
                                    <a href="<?php echo e(URL::to('admin/users/'.$user['id'].'/edit')); ?>">
                                        <div class="<?php echo e($pull); ?>">
                                            <img src="<?php echo e(URL::to('admin_panel')); ?>/images/user2-160x160.jpg" class="rounded-circle" alt="<?php echo e($user['name']); ?>">
                                        </div>
                                        <div class="mail-contnet <?php echo e($text); ?>">
                                            <h4 class="<?php echo e($text); ?>">
                                                <?php echo e($user['name']); ?>

                                                <small><i class="fa fa-clock-o"></i> &nbsp;<?php echo e(date('Y-m-d',strtotime($user['created_at']))); ?></small>
                                            </h4>
                                            <span><?php echo e($user['email']); ?></span>
                                        </div>
                                    </a>
                                </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </li>
                        <li class="footer"><a href="<?php echo e(URL::to('admin/users')); ?>"><?php echo e(trans('layout.show_all')); ?></a></li>
                    </ul>
                </li>
                <?php else: ?>

                <?php if(Auth::User()->country_id == $user['country_id']): ?>
                <li class="dropdown messages-menu">
                    <a href="" class="dropdown-toggle" data-toggle="dropdown">
                        <i class="fa fa-user"></i>
                        <span class="label label-danger"><?php echo e(COUNT($users)); ?></span>
                    </a>
                    <ul class="dropdown-menu scale-up">
                        <li class="header <?php echo e($text); ?>"><?php echo e(trans('layout.users_count')); ?> : <?php echo e(COUNT($users)); ?></li>
                        <li>
                            <ul class="menu inner-content-div">
                                <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><!-- start message -->
                                    <a href="<?php echo e(URL::to('admin/users/'.$user['id'].'/edit')); ?>">
                                        <div class="<?php echo e($pull); ?>">
                                            <img src="<?php echo e(URL::to('admin_panel')); ?>/images/user2-160x160.jpg" class="rounded-circle" alt="<?php echo e($user['name']); ?>">
                                        </div>
                                        <div class="mail-contnet <?php echo e($text); ?>">
                                            <h4 class="<?php echo e($text); ?>">
                                                <?php echo e($user['name']); ?>

                                                <small><i class="fa fa-clock-o"></i> &nbsp;<?php echo e(date('Y-m-d',strtotime($user['created_at']))); ?></small>
                                            </h4>
                                            <span><?php echo e($user['email']); ?></span>
                                        </div>
                                    </a>
                                </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </li>
                        <li class="footer"><a href="<?php echo e(URL::to('admin/users')); ?>"><?php echo e(trans('layout.show_all')); ?></a></li>
                    </ul>
                </li>
                <?php endif; ?>

                <?php endif; ?>

                <?php endif; ?>

                <?php if(\App\Permission::where('group_id', Auth::User()->group_id)->where('permission', 'contact')->count() > 0): ?>
                <?php $contacts = \App\Contact::where('seen', 'no')->orderBy('id', 'desc')->get(); ?>
                <li class="dropdown messages-menu">
                    <a href="" class="dropdown-toggle" data-toggle="dropdown">
                        <i class="fa fa-envelope"></i>
                        <span class="label label-success"><?php echo e(COUNT($contacts)); ?></span>
                    </a>
                    <ul class="dropdown-menu scale-up">
                        <li class="header <?php echo e($text); ?>"><?php echo e(trans('layout.contact_count')); ?> : <?php echo e(COUNT($contacts)); ?></li>
                        <li>
                            <ul class="menu inner-content-div">
                                <?php $__currentLoopData = $contacts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $contact): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><!-- start message -->
                                    <a href="<?php echo e(URL::to('admin/contact/'.$contact['id'].'/edit')); ?>">
                                        <div class="<?php echo e($pull); ?>">
                                            <img src="<?php echo e(URL::to('admin_panel')); ?>/images/user2-160x160.jpg" class="rounded-circle" alt="<?php echo e($contact['name']); ?>">
                                        </div>
                                        <div class="mail-contnet <?php echo e($text); ?>">
                                            <h4 class="<?php echo e($text); ?>">
                                                <?php echo e($contact['name']); ?>

                                                <small><i class="fa fa-clock-o"></i> &nbsp;<?php echo e(date('Y-m-d',strtotime($contact['created_at']))); ?></small>
                                            </h4>
                                            <span><?php echo e($contact['title']); ?></span>
                                        </div>
                                    </a>
                                </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </li>
                        <li class="footer"><a href="<?php echo e(URL::to('admin/contact')); ?>"><?php echo e(trans('layout.show_all')); ?></a></li>
                    </ul>
                </li>
                <?php endif; ?>


            </ul>
        </div>
    </nav>
</header>