<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.newsletter')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin/newsletter')); ?>"> <?php echo e(trans('layout.newsletter')); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.newsletter_add')); ?></li>
    </ol>
</section>

<!-- Main content -->
<section class="content">

    <div class="box box-default">
        <div class="box-header with-border">
            <h3 class="box-title"><?php echo e(trans('layout.newsletter_add')); ?></h3>

            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
            </div>
        </div>

        <form action="<?php echo e(URL::to('admin/newsletter')); ?>" method="post" enctype="multipart/form-data">
            <?php echo e(csrf_field()); ?>


            <div class="box-body">
                <div class="row">
                    <div class="col-12">
                        <?php if(Session::has('message')): ?>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="alert alert-success alert-dismissible">
                                    <?php echo e(Session::get('message')); ?>

                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>

                        <div class="form-group row">
                            <label for="input_1" class="col-sm-3 col-form-label"><?php echo e(trans('layout.newsletter_title')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('title', null, ['class'=>'form-control','id'=>'input_1'])); ?>

                                <?php if($errors->has('title')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('title')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_1" class="col-sm-3 col-form-label"><?php echo e(trans('layout.newsletter_message')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::textarea('message', null, ['class'=>'form-control','id'=>'input_1','rows'=>10])); ?>

                                <?php if($errors->has('message')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('message')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <div class="col-sm-12">
                                <div class="box-body">
                                    <table class="table table-bordered table-hover display nowrap margin-top-10 table-responsive">
                                        <thead>
                                            <tr>
                                                <th class="<?php echo e($text); ?>" style="padding: 15px 25px;"><?php echo e(trans('layout.country')); ?></th>
                                                <th class="<?php echo e($text); ?>" style="padding: 15px 25px;"><?php echo e(trans('layout.email')); ?></th>
                                                <th class="<?php echo e($text); ?>" style="padding: 10px 25px;">
                                                    <?php echo e(Form::checkbox('select_all','1',false,['id'=>'select_all','rel'=>'true'])); ?>

                                                    <label for="select_all"><?php echo e(trans('layout.select_all')); ?></label>
                                                </th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php $__currentLoopData = $newsletter; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td style="padding: 15px 25px;"><?php echo e($mail['Country'][$lang.'_name']); ?></td>
                                                <td colspan="2" style="padding: 10px 25px;">
                                                    <?php echo e(Form::checkbox('emails[]',$mail->email,false,['id'=>$mail->id])); ?><label for="<?php echo e($mail->id); ?>"><?php echo e($mail->email); ?></label>
                                                </td>
                                            </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </tbody>
                                    </table>
                                </div>
                        <?php if($errors->has('emails')): ?>
                        <div class="alert alert-danger"><?php echo e($errors->first('emails')); ?></div>
                        <?php endif; ?>
                            </div>
                        </div>


                    </div>
                </div>
            </div>

            <div class="box-footer">
                <button type="submit" class="btn btn-primary btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.send')); ?></button>
            </div>

        </form>

    </div>

</section>

<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts'); ?>

<script>
    $("#select_all").click(function () {
        var status = $(this).attr('rel');
        if (status == "true") {
            $(':checkbox').each(function () {
                if ($(this).prop('checked') == false) {
                    $(this).trigger("click");
                }
            });
            $(this).attr('rel', 'false');
        } else {
            $(':checkbox').each(function () {
                if ($(this).prop('checked') == true) {
                    $(this).trigger("click");
                }
            });
            $(this).attr('rel', 'true');
        }
    });
</script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.form', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>