<?php $__env->startSection('title'); ?>
<?php echo e(trans('interface.register')); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<div class="login-width div-padding">

    <div class="text-center pb-30">
        <a href="<?php echo e(URL::to('/')); ?>"><img src="<?php echo e(URL::to('interface')); ?>/images/login-logo.png"></a>
        <p class="black-color font-mtsdrLa font-weight pt-55 font-36 text-uppercase"><?php echo e(trans('interface.register')); ?></p>
        <h2 class="font-ajannat gray-color-2 pt-10"><?php echo e(trans('interface.happy')); ?></h2>

        <p class="black-color font-mtsdrLa font-weight pt-55 font-36"></p>
        <h2 class="font-ajannat gray-color-2 pt-10"></h2>
    </div>

    <?php if(Session::has('error')): ?>
    <div class="col-lg-12">
        <div class="alert alert-danger alert-dismissible">
            <?php echo e(Session::get('error')); ?>

        </div>
    </div>
    <?php endif; ?>

    <form action="<?php echo e(URL::to('register')); ?>" method="post" class="row">
        <?php echo e(csrf_field()); ?>


        <div class="col-md-12">
            <label for="country_id" class="sign-gray-color font-18 font-mtsdrLa font-weight"><?php echo e(trans('layout.country')); ?></label>
            <?php echo e(Form::select('country_id',$data['country_list'], null, ['class'=>'form-control','id'=>'country_id'])); ?>

            <?php if($errors->has('country_id')): ?>
            <div class="alert alert-danger"><?php echo e($errors->first('country_id')); ?></div>
            <?php endif; ?>
        </div>

        <div class="col-md-12">
            <label for="username" class="sign-gray-color font-18 font-mtsdrLa font-weight"><?php echo e(trans('layout.username')); ?></label>
            <?php echo e(Form::text('username', null, ['class'=>'form-control','id'=>'username'])); ?>

            <?php if($errors->has('username')): ?>
            <div class="alert alert-danger"><?php echo e($errors->first('username')); ?></div>
            <?php endif; ?>
        </div>

        <div class="col-md-12">
            <label for="password" class="sign-gray-color font-18 font-mtsdrLa font-weight"><?php echo e(trans('layout.password')); ?></label>
            <?php echo e(Form::input('password','password', null, ['class'=>'form-control','id'=>'password'])); ?>

            <?php if($errors->has('password')): ?>
            <div class="alert alert-danger"><?php echo e($errors->first('password')); ?></div>
            <?php endif; ?>
        </div>

        <div class="col-md-12">
            <label for="name" class="sign-gray-color font-18 font-mtsdrLa font-weight"><?php echo e(trans('layout.name')); ?></label>
            <?php echo e(Form::text('name', null, ['class'=>'form-control','id'=>'name'])); ?>

            <?php if($errors->has('name')): ?>
            <div class="alert alert-danger"><?php echo e($errors->first('name')); ?></div>
            <?php endif; ?>
        </div>

        <div class="col-md-12">
            <label for="email" class="sign-gray-color font-18 font-mtsdrLa font-weight"><?php echo e(trans('layout.email')); ?></label>
            <?php echo e(Form::text('email', null, ['class'=>'form-control','id'=>'email'])); ?>

            <?php if($errors->has('email')): ?>
            <div class="alert alert-danger"><?php echo e($errors->first('email')); ?></div>
            <?php endif; ?>
        </div>

        <div class="col-md-9">
            <label for="phone" class="sign-gray-color font-18 font-mtsdrLa font-weight"><?php echo e(trans('layout.phone')); ?></label>
            <?php echo e(Form::text('phone', null, ['class'=>'form-control','id'=>'phone'])); ?>

            <?php if($errors->has('phone')): ?>
            <div class="alert alert-danger"><?php echo e($errors->first('phone')); ?></div>
            <?php endif; ?>
        </div>
        <div class="col-md-3">
            <label for="country_code" class="sign-gray-color font-18 font-mtsdrLa font-weight"><?php echo e(trans('layout.country_code')); ?></label>
            <?php echo e(Form::text('country_code', null, ['class'=>'form-control','readonly','id'=>'country_code'])); ?>

        </div>

        <div class="col-md-12 gender">
            <label for="sex" class="sign-gray-color font-18 font-mtsdrLa font-weight"><?php echo e(trans('interface.gender')); ?></label>
            <?php echo e(Form::select('sex',['male'=>trans('interface.male'),'female'=>trans('interface.female')], null, ['class'=>'form-control','id'=>'sex'])); ?>

            <?php if($errors->has('sex')): ?>
            <div class="alert alert-danger"><?php echo e($errors->first('sex')); ?></div>
            <?php endif; ?>
        </div>

        <div class="col-md-12 mt-45">
            <?php echo e(Form::checkbox('agree', 'yes',false, ['class'=>'col-xs-1','id'=>'agree'])); ?>

            <label style="margin-top: 7px;" for="agree" class="font-mtsdrLa font-14 font-mtsdrLa font-weight black-color col-xs-11">
                <?php echo e(trans('interface.agree')); ?><span class="blue-color-2 font-14 font-weight font font-mtsdrLa"> <?php echo e(trans('interface.terms')); ?></span>
            </label>
            <div class="clearfix"></div>
            <?php if($errors->has('agree')): ?>
            <div class="alert alert-danger"><?php echo e($errors->first('agree')); ?></div>
            <?php endif; ?>
        </div>



        <div class="text-left col-md-12">
            <br>
            <button type="submit" class="btn btn-primary text-center font-24 font-weight font-mtsdrLa white-color text-uppercase"><?php echo e(trans('interface.register')); ?></button>
        </div>
        <div class="clearfix"></div>

        <div class="text-center pt-25">
            <p class="font-18 font-ajannat gray-color-3 font-weight m-0 dis-block"><?php echo e(trans('interface.have_account')); ?></p>
            <a href="<?php echo e(URL::to('login')); ?>" class="font-18 font-mtsdrLa font-weight black-color-2 text-uppercase dis-block"><?php echo e(trans('interface.login')); ?></a>
        </div>

    </form>

</div>

<?php $__currentLoopData = $data['countries']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
<label class="hidden" id="code_<?php echo e($country['id']); ?>" value="<?php echo e($country['code']); ?>"></label>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
<script>
    var val = $('#country_id').val();
    var code = $('#code_' + val).attr('value');
    $('#country_code').val(code);

    $('#country_id').change(function () {
        var val = $(this).val();
        var code = $('#code_' + val).attr('value');
        $('#country_code').val(code);
    });

</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('interface.layout_auth', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>