<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.gym_orders')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin/gym_orders?status='.$order['status'])); ?>"> <?php echo e(trans('layout.gym_orders_'.$order['status'])); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.orders_details_no')); ?> : <?php echo e($order['id']); ?></li>
    </ol>
</section>

<section class="content">

    <div class="box box-default">
        <div class="box-header with-border">
            <h3 class="box-title"><?php echo e(trans('layout.orders_details_no')); ?> : <?php echo e($order['id']); ?></h3>

            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
            </div>
        </div>

        <form action="<?php echo e(URL::to('admin/gym_orders/'.$order['id'])); ?>" method="post" enctype="multipart/form-data">
            <?php echo e(Form::hidden('_method','PATCH')); ?>

            <?php echo e(csrf_field()); ?>


            <div class="box-body">
                <div class="row">
                    <div class="col-12">
                        <?php if(Session::has('message')): ?>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="alert alert-success alert-dismissible">
                                    <?php echo e(Session::get('message')); ?>

                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>

                        <div class="col-sm-6 <?php echo e($pull); ?>">
                            <div class="form-group">
                                <label for="customer" class="col-sm-3 col-form-label <?php echo e($pull); ?>"><?php echo e(trans('layout.customer')); ?></label>
                                <div class="col-sm-9 <?php echo e($pull); ?>">
                                    <?php echo e(Form::text('customer', $customer = $order['Order']['User']['name'], ['class'=>'form-control','id'=>'customer','readonly'])); ?>

                                </div>
                            </div>
                        </div>

                        <div class="col-sm-6 <?php echo e($pull); ?>">
                            <div class="form-group">
                                <label for="phone" class="col-sm-3 col-form-label <?php echo e($pull); ?>"><?php echo e(trans('layout.phone')); ?></label>
                                <div class="col-sm-9 <?php echo e($pull); ?>">
                                    <?php echo e(Form::text('phone', $phone = $order['Order']['User']['phone'], ['class'=>'form-control','id'=>'phone','readonly'])); ?>

                                </div>
                            </div>
                        </div>

                        <div class="clearfix"></div>
                        <br>

                        <div class="col-sm-6 <?php echo e($pull); ?>">
                            <div class="form-group">
                                <label for="price" class="col-sm-3 col-form-label <?php echo e($pull); ?>"><?php echo e(trans('layout.service_one')); ?></label>
                                <div class="col-sm-9 <?php echo e($pull); ?>">
                                    <?php echo e(Form::text('package', $order['Product'][$lang.'_name'], ['class'=>'form-control','id'=>'price','readonly'])); ?>

                                </div>
                            </div>
                        </div>

                        <div class="col-sm-6 <?php echo e($pull); ?>">
                            <div class="form-group">
                                <label for="price" class="col-sm-3 col-form-label <?php echo e($pull); ?>"><?php echo e(trans('layout.package')); ?></label>
                                <div class="col-sm-9 <?php echo e($pull); ?>">
                                    <?php echo e(Form::text('package', $order['package_'.$lang], ['class'=>'form-control','id'=>'price','readonly'])); ?>

                                </div>
                            </div>
                        </div>

                        <div class="clearfix"></div>
                        <br>

                        <div class="col-sm-6 <?php echo e($pull); ?>">
                            <div class="form-group">
                                <label for="price" class="col-sm-3 col-form-label <?php echo e($pull); ?>"><?php echo e(trans('layout.total')); ?></label>
                                <div class="col-sm-9 <?php echo e($pull); ?>">
                                    <?php echo e(Form::text('price', number_format($order['price'], 3, '.', '').' '.$order['Order']['currency_'.$lang], ['class'=>'form-control','id'=>'price','readonly'])); ?>

                                </div>
                            </div>
                        </div>

                        <div class="col-sm-6 <?php echo e($pull); ?>">
                            <div class="form-group">
                                <label for="date" class="col-sm-3 col-form-label <?php echo e($pull); ?>"><?php echo e(trans('layout.date')); ?></label>
                                <div class="col-sm-9 <?php echo e($pull); ?>">
                                    <?php echo e(Form::text('date', $order['date'], ['class'=>'form-control','id'=>'date','readonly'])); ?>

                                </div>
                            </div>
                        </div>

                        <div class="clearfix"></div>
                        <br>

                        <div class="col-sm-6 <?php echo e($pull); ?>">
                            <div class="form-group">
                                <label for="pay_type" class="col-sm-3 col-form-label <?php echo e($pull); ?>"><?php echo e(trans('layout.pay_type')); ?></label>
                                <div class="col-sm-9 <?php echo e($pull); ?>">
                                    <?php echo e(Form::text('pay_type', trans('layout.'.$order['Order']['pay_type']), ['class'=>'form-control','id'=>'pay_type','readonly'])); ?>

                                </div>
                            </div>
                        </div>

                        <div class="col-sm-6 <?php echo e($pull); ?>">
                            <div class="form-group">
                                <label for="created_at" class="col-sm-3 col-form-label <?php echo e($pull); ?>"><?php echo e(trans('layout.created_at')); ?></label>
                                <div class="col-sm-9 <?php echo e($pull); ?>">
                                    <?php echo e(Form::text('created_at', $order['created_at'], ['class'=>'form-control','id'=>'created_at','readonly'])); ?>

                                </div>
                            </div>
                        </div>

                        <div class="clearfix"></div>
                        <br>

                        <div class="col-sm-6 <?php echo e($pull); ?>">
                            <div class="form-group">
                                <label for="civil_id" class="col-sm-3 col-form-label <?php echo e($pull); ?>"><?php echo e(trans('layout.civil_id')); ?></label>
                                <div class="col-sm-9 <?php echo e($pull); ?>">
                                    <?php echo e(Form::text('civil_id', $order['Order']['civil_id'], ['class'=>'form-control','id'=>'pay_type','readonly'])); ?>

                                </div>
                            </div>
                        </div>

                        <div class="col-sm-6 <?php echo e($pull); ?>">
                            <div class="form-group">
                                <label for="address" class="col-sm-3 col-form-label <?php echo e($pull); ?>"><?php echo e(trans('layout.address')); ?></label>
                                <div class="col-sm-9 <?php echo e($pull); ?>">
                                    <?php echo e(Form::text('address', $order['address'], ['class'=>'form-control','id'=>'created_at','readonly'])); ?>

                                </div>
                            </div>
                        </div>

                        <div class="clearfix"></div>
                        <br>

                        <div class="col-sm-6 <?php echo e($pull); ?>">
                            <div class="form-group">
                                <label for="patient_active" class="col-sm-3 col-form-label <?php echo e($pull); ?>"><?php echo e(trans('layout.patient_active')); ?></label>
                                <div class="col-sm-9 <?php echo e($pull); ?>">
                                    <?php echo e(Form::text('patient_active', trans('layout.'.$order['Order']['patient_active']), ['class'=>'form-control','id'=>'pay_type','readonly'])); ?>

                                </div>
                            </div>
                        </div>

                        <div class="clearfix"></div>
                        <br>

                        <div class="col-sm-12 <?php echo e($pull); ?>">
                            <div class="form-group">
                                <label for="patient_reason" class="col-sm-2 col-form-label <?php echo e($pull); ?>"><?php echo e(trans('layout.patient_reason')); ?></label>
                                <div class="col-sm-10 <?php echo e($pull); ?>">
                                    <?php echo e(Form::textarea('patient_reason', $order['patient_reason'], ['class'=>'form-control','id'=>'created_at','readonly'])); ?>

                                </div>
                            </div>
                        </div>

                        <div class="clearfix"></div>
                        <br>

                        <?php if($order['Order']['rate'] > 0): ?>
                        <div class="col-sm-6 <?php echo e($pull); ?>">
                            <div class="form-group">
                                <label for="rate" class="col-sm-3 col-form-label <?php echo e($pull); ?>"><?php echo e(trans('interface.rate')); ?></label>
                                <div class="col-sm-9 <?php echo e($pull); ?>">
                                    <?php echo e(Form::text('rate', trans('interface.star_'.$order['Order']['rate']), ['class'=>'form-control','id'=>'created_at','readonly'])); ?>

                                </div>
                            </div>
                        </div>

                        <div class="col-sm-6 <?php echo e($pull); ?>">
                            <div class="form-group">
                                <label for="comment" class="col-sm-3 col-form-label <?php echo e($pull); ?>"><?php echo e(trans('interface.comment')); ?></label>
                                <div class="col-sm-9 <?php echo e($pull); ?>">
                                    <?php echo e(Form::text('comment', $order['Order']['comment'], ['class'=>'form-control','id'=>'created_at','readonly'])); ?>

                                </div>
                            </div>
                        </div>

                        <div class="clearfix"></div>
                        <br>
                        <?php endif; ?>

                        <div class="form-group row">
                            <label for="input_16" class="col-sm-2 col-form-label"><?php echo e(trans('layout.civil_image')); ?></label>
                            <div class="col-sm-10">
                                <img src="<?php echo e(URL::to('upload/gym/orders/'.$order['Order']['civil_image'])); ?>" id="input_16" class="img-thumbnail">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_16" class="col-sm-2 col-form-label"><?php echo e(trans('layout.user_image')); ?></label>
                            <div class="col-sm-10">
                                <img src="<?php echo e(URL::to('upload/gym/orders/'.$order['Order']['user_image'])); ?>" id="input_16" class="img-thumbnail">
                            </div>
                        </div>
                        


                    </div>
                </div>
            </div>

            <div class="box-footer">
                <a href="<?php echo e(URL::to('admin/gym_orders')); ?>" class="btn btn-default btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.back')); ?></a>
            </div>

        </form>

    </div>

</section>

<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts'); ?>

<?php if($order['lng'] != "" && $order['lat'] != ""): ?>
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyC9uAy1z9dxw9aHx6_NJPRA0ih0UD-dCOU&callback=initMap&language=ar&region=EG"></script>
<script type="text/javascript">
var marker;
var lat;
var lng;
var map;
function updateMarkerPosition(latLng) {
    document.getElementById('lat').value = latLng.lat();
    document.getElementById('lng').value = latLng.lng();
}

function initialize() {
    var lat = document.getElementById('lat').value;
    var lng = document.getElementById('lng').value;
    if (!lat && !lng) {
        var latLng = new google.maps.LatLng(24.598411724742483, 46.7138671875);
    } else {
        var latLng = new google.maps.LatLng(lat, lng);
    }

    map = new google.maps.Map(document.getElementById('mapCanvas'), {
        zoom: 5,
        center: latLng,
        mapTypeId: google.maps.MapTypeId.ROADMAP
    });
    marker = new google.maps.Marker({
        position: latLng,
        map: map
    });
    marker.set(map);
    updateMarkerPosition(latLng);
}

google.maps.event.addDomListener(window, 'load', initialize);
</script>
<?php endif; ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.form', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>