<!DOCTYPE html>
<?php
$lang = App::getLocale();
$dir = "";
$arrow = "right";
$pull = "pull-left";
if ($lang == "ar") {
    $dir = "rtl";
    $arrow = "left";
    $pull = "pull-right";
}
$site = App\Site::first();
?>
<html lang="<?php echo e($lang); ?>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="">
        <meta name="author" content="">
        <link rel="icon" href="<?php echo e(URL::to('admin_panel')); ?>/images/favicon.ico">

        <title><?php echo e($site[$lang.'_title']); ?> - <?php echo e(trans('layout.admin')); ?> </title>

        <!-- Bootstrap 4.0-->
        <link rel="stylesheet" href="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/bootstrap/dist/css/bootstrap.min.css">

        <!-- Bootstrap 4.0-->
        <link rel="stylesheet" href="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/bootstrap/dist/css/bootstrap-extend.css">

        <!-- Font Awesome -->
        <link rel="stylesheet" href="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/font-awesome/css/font-awesome.min.css">

        <!-- Ionicons -->
        <link rel="stylesheet" href="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/Ionicons/css/ionicons.min.css">		

        <!-- bootstrap datepicker -->	
        <link rel="stylesheet" href="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css">

        <!-- Theme style -->
        <link rel="stylesheet" href="<?php echo e(URL::to('admin_panel')); ?>/css/<?php echo e($lang); ?>/master_style.css">

        <!-- bonitoadmin Skins. Choose a skin from the css/skins
           folder instead of downloading all of them to reduce the load. -->
        <link rel="stylesheet" href="<?php echo e(URL::to('admin_panel')); ?>/css/<?php echo e($lang); ?>/skins/_all-skins.css">

        <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
        <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
        <![endif]-->

        <!-- google font -->
        <link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700" rel="stylesheet">

    </head>

    <body class="hold-transition skin-blue sidebar-mini">
        <div class="wrapper">

            <?php echo $__env->make('admin.layouts.include.header', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

            <?php echo $__env->make('admin.layouts.include.sidebar', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

            <div class="content-wrapper" dir="<?php echo e($dir); ?>">
                <?php echo $__env->yieldContent('content'); ?>
            </div>

            <?php echo $__env->make('admin.layouts.include.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

            <input type="hidden" value="<?php echo e(URL::to('/')); ?>" id="base-url">
        </div>
        <!-- ./wrapper -->

        <!-- jQuery 3 -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/jquery/dist/jquery.min.js"></script>
        <script>
        $(document).ready(function () {
            $.notify.defaults({
        // whether to hide the notification on click
                clickToHide: true,
                // whether to auto-hide the notification
                autoHide: false,
                // if autoHide, hide after milliseconds
                autoHideDelay: 5000,
                // show the arrow pointing at the element
                arrowShow: true,
                // arrow size in pixels
                arrowSize: 5,
                // position defines the notification position though uses the defaults below
                position: '...',
                // default positions
                elementPosition: 'bottom left',
                globalPosition: 'top right',
                // default style
                style: 'bootstrap',
                // default class (string or [string])
                className: 'error',
                // show animation
                showAnimation: 'slideDown',
                // show animation duration
                showDuration: 400,
                // hide animation
                hideAnimation: 'slideUp',
                // hide animation duration
                hideDuration: 200,
                // padding between element and notification
                gap: 2
            });
            ion.sound({
                sounds: [
                    {
                        alias: "s1",
                        name: "bell_ring"
                    },
                    {
                        alias: "s2",
                        name: "glass"
                    }

                ],
                path: "<?php echo url('/') ?>/admin_panel/js/sounds/",
                preload: false,
                volume: 1
            });
        // get new BOokings 
            function get_new_orders() {
                var link = "<?php echo url('/') ?>";
                $.ajax({
                    type: "GET",
                    url: link + "/admin/check_new_orders",
                    success: function (datas) {
                        $('#new_orders').empty();
                        var text = $('#text_dir').val();
                        var count = 0;
                        for (var i = 0; i < datas.length; i++) {
                            count++;
                            $('#new_orders').append('<li class="' + text + '"><a href="' + link + '/admin/orders/"' + datas[i].id + '"/edit"><i class="fa fa-shopping-bag text-yellow"></i> <?php echo trans('layout.orders_details_no'); ?> : ' + datas[i].id + ' - ' + datas[i].governate + '</a></li>');
                        }
                        if (count > $('.new_orders_count').html()) {
                            $.notify("!!!!! New Order !!! ☺ ", "success");
                            ion.sound.play("s2", {
                                loop: 10
                            });
                        }
                        $('.new_orders_count').html(count);
                        $('.new_orders_count_2').html(count);
                    }
                });
            }

            if ($('#order_notify').val() > 0) {
                setInterval(function () {
                    get_new_orders()
                }, 60 * 1000); // 60 * 1000 milsec
            }


        });
        </script>

        <!-- popper -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/popper/dist/popper.min.js"></script>

        <!-- Bootstrap 4.0-->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/bootstrap/dist/js/bootstrap.min.js"></script>

        <!-- DataTables -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/datatables.net/js/jquery.dataTables.min.js"></script>
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/datatables.net-bs/js/dataTables.bootstrap.min.js"></script>

        <!-- SlimScroll -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/jquery-slimscroll/jquery.slimscroll.min.js"></script>

        <!-- FastClick -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/fastclick/lib/fastclick.js"></script>

        <!-- bonitoadmin App -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/js/template.js"></script>

        <!-- bonitoadmin for demo purposes -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/js/demo.js"></script>

        <!-- This is data table -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_plugins/DataTables-1.10.15/media/js/jquery.dataTables.min.js"></script>

        <!-- bootstrap datepicker -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js"></script>

        <!-- start - This is for export functionality only -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_plugins/DataTables-1.10.15/extensions/Buttons/js/dataTables.buttons.min.js"></script>
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_plugins/DataTables-1.10.15/extensions/Buttons/js/buttons.flash.min.js"></script>
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_plugins/DataTables-1.10.15/ex-js/jszip.min.js"></script>
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_plugins/DataTables-1.10.15/ex-js/pdfmake.min.js"></script>
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_plugins/DataTables-1.10.15/ex-js/vfs_fonts.js"></script>
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_plugins/DataTables-1.10.15/extensions/Buttons/js/buttons.html5.min.js"></script>
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_plugins/DataTables-1.10.15/extensions/Buttons/js/buttons.print.min.js"></script>
        <!-- end - This is for export functionality only -->

        <!-- bonitoadmin for Data Table -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/js/pages/data-table.js"></script>


        <?php echo $__env->yieldContent('scripts'); ?>

    </body>
</html>
