<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.restaurant_financial')); ?> : <?php echo e(trans('layout.restaurant_financial_subscribe')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item <?php echo e($pull); ?>"><?php echo e(trans('layout.restaurant_financial')); ?></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.restaurant_financial_subscribe')); ?></li>
    </ol>
</section>

<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-12">
            <?php if(Session::has('message')): ?>
            <div class="row">
                <div class="col-lg-12">
                    <div class="alert alert-success alert-dismissible">
                        <?php echo e(Session::get('message')); ?>

                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                    </div>
                </div>
            </div>
            <?php endif; ?>

            <div class="box box-default">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(trans('layout.finanical_search')); ?></h3>

                    <div class="box-tools pull-right">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                    </div>
                </div>

                <form action="<?php echo e(URL::to('admin/restaurant_financial_subscribe/')); ?>" method="get" enctype="multipart/form-data">

                    <div class="box-body">
                        <div class="row">
                            <div class="col-12">

                                <div class="form-group row">
                                    <label for="date_start" class="col-sm-2 col-form-label"><?php echo e(trans('layout.date_start')); ?></label>
                                    <div class="col-sm-10">
                                        <?php echo e(Form::text('date_start', null, ['class'=>'form-control','id'=>'date_start'])); ?>

                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="date_end" class="col-sm-2 col-form-label"><?php echo e(trans('layout.date_end')); ?></label>
                                    <div class="col-sm-10">
                                        <?php echo e(Form::text('date_end', null, ['class'=>'form-control','id'=>'date_end'])); ?>

                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="input_4" class="col-sm-2 col-form-label"><?php echo e(trans('layout.comission_type')); ?></label>
                                    <div class="col-sm-10">
                                        <?php echo e(Form::select('comission_type',[''=>trans('layout.all'),'percent'=>trans('layout.comission_percent'),'month'=>trans('layout.comission_month'),'year'=>trans('layout.comission_year')], null, ['class'=>'form-control','id'=>'input_4'])); ?>

                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="box-footer">
                        <button type="submit" class="btn btn-danger btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.search')); ?></button>
                    </div>

                </form>

            </div>

            <div class="box">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(trans('layout.restaurants')); ?></h3>

                    <div class="box-tools pull-right">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                    </div>
                </div>
                <div class="box-body">
                    <table id="example" class="table table-bordered table-hover display nowrap margin-top-10 table-responsive">
                        <thead>
                            <tr> 
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.restaurant_date')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.restaurant_one')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.comission_type')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.total')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.edit')); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $restaurants; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $restaurant): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($restaurant['date']); ?></td>
                                <td><?php echo e($restaurant[$lang.'_name']); ?></td>
                                <td><?php echo e(trans('layout.comission_'.$restaurant['comission_type'])); ?></td>
                                <td>
                                    <?php if($restaurant['comission_type'] != "percent"): ?>
                                    <?php echo e(number_format($restaurant['comission'], 3, '.', '') .' '.$restaurant['Country'][$lang.'_currency']); ?>

                                    <?php else: ?>
                                    <?php echo e($restaurant['comission'].' %'); ?>

                                    <?php endif; ?>
                                </td>
                                <td>
                                    <?php echo e(Form::open(array('url' =>'admin/restaurants/'.$restaurant->id.'/edit', 'method' => 'GET'))); ?>

                                    <button  type="submit" class="btn default btn-sm btn-info"><i class="fa fa-edit"></i> <?php echo e(trans('layout.edit')); ?> </button>
                                    <?php echo e(Form::close()); ?>

                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
                <!-- /.box-body -->
            </div>

        </div>
        <!-- /.col -->
    </div>
    <!-- /.row -->
</section>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.table', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>