<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.meals')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin/meals')); ?>"> <?php echo e(trans('layout.meals')); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.sub_meal')); ?></li>
    </ol>
</section>

<section class="content">

    <div class="box box-default">
        <div class="box-header with-border">
            <h3 class="box-title"><?php echo e(trans('layout.sub_meal')); ?></h3>

            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
            </div>
        </div>

        <form action="<?php echo e(URL::to('admin/meals_sub')); ?>" method="post" enctype="multipart/form-data">
            <?php echo e(csrf_field()); ?>

            <?php echo e(Form::hidden('meal_id',$meal['id'])); ?>


            <div class="box-body">
                <div class="row">
                    <div class="col-12">
                        <?php if(Session::has('message')): ?>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="alert alert-success alert-dismissible">
                                    <?php echo e(Session::get('message')); ?>

                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>

                        <?php if(Session::has('error')): ?>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="alert alert-danger alert-dismissible">
                                    <?php echo e(Session::get('error')); ?>

                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>

                        <div class="form-group row">
                            <label for="input_0" class="col-sm-3 col-form-label"><?php echo e(trans('layout.meal')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('sub_id',$subs, null, ['class'=>'form-control','id'=>'input_0'])); ?>

                                <?php if($errors->has('sub_id')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('sub_id')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <?php $countries = \App\Country::all(); ?>
                        <?php $__currentLoopData = $countries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="form-group row">
                            <label for="input_10_<?php echo e($country['id']); ?>" class="col-sm-3 col-form-label"><?php echo e(trans('layout.meal_price')); ?> - <?php echo e($country[$lang.'_name']); ?></label>
                            <div class="col-sm-8">
                                <?php echo e(Form::hidden('country[]',$country['id'])); ?>

                                <?php echo e(Form::text('prices[]', null, ['class'=>'form-control','id'=>'input_10_'.$country['id']])); ?>

                            </div>
                            <label for="input_10_<?php echo e($country['id']); ?>" class="col-sm-1 col-form-label"><?php echo e($country[$lang.'_currency']); ?></label>
                        </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                    </div>
                </div>
            </div>

            <div class="box-footer">
                <button type="submit" class="btn btn-primary btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.add')); ?></button>
                <a href="<?php echo e(URL::to('admin/meals')); ?>" class="btn btn-default btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.back')); ?></a>
            </div>

        </form>

    </div>

    <div class="box">
        <div class="box-body">
            <table id="example" class="table table-bordered table-hover display nowrap margin-top-10 table-responsive">
                <thead>
                    <tr> 
                        <th class="<?php echo e($text); ?>">#</th>
                        <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.meal_name_ar')); ?></th>
                        <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.meal_name_en')); ?></th>
                        <?php $__currentLoopData = $countries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.meal_price')); ?> - <?php echo e($country[$lang.'_name']); ?></th>                        
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.delete')); ?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php $i = 1; ?>
                    <?php $__currentLoopData = $meal['Subs']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sub): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($i); ?></td>
                        <td><?php echo e($sub['Sub']['ar_name']); ?></td>
                        <td><?php echo e($sub['Sub']['en_name']); ?></td>
                        <?php $__currentLoopData = $countries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php $price = \App\MealSubPrices::where('sub_id', $sub['id'])->where('country_id', $country['id'])->first(); ?>
                        <td><?php echo e($price['price']); ?> <?php echo e($country[$lang.'_currency']); ?></td>                        
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <td>
                            <?php echo e(Form::open(array('url' =>'admin/meals_sub/'.$sub['id'], 'method' => 'DELETE'))); ?>

                            <button  type="submit" class="btn default btn-sm btn-danger"><i class="fa fa-trash-o"></i> <?php echo e(trans('layout.delete')); ?> </button>
                            <?php echo e(Form::close()); ?>

                        </td>
                    </tr>
                    <?php $i++; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>


        </div>
        <!-- /.box-body -->
    </div>

</section>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.form', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>