<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.salon_orders')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('business')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('business/salon_orders?status='.$order['status'])); ?>"> <?php echo e(trans('layout.restaurant_orders_'.$order['status'])); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.orders_details_no')); ?> : <?php echo e($order['id']); ?></li>
    </ol>
</section>

<section class="content">

    <div class="box box-default">
        <div class="box-header with-border">
            <h3 class="box-title"><?php echo e(trans('layout.orders_details_no')); ?> : <?php echo e($order['id']); ?></h3>

            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
            </div>
        </div>

        <form action="<?php echo e(URL::to('business/salon_orders/'.$order['id'])); ?>" method="post" enctype="multipart/form-data">
            <?php echo e(Form::hidden('_method','PATCH')); ?>

            <?php echo e(csrf_field()); ?>


            <div class="box-body">
                <div class="row">
                    <div class="col-12">
                        <?php if(Session::has('message')): ?>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="alert alert-success alert-dismissible">
                                    <?php echo e(Session::get('message')); ?>

                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>

                        <div class="col-sm-6 <?php echo e($pull); ?>">
                            <div class="form-group">
                                <label for="input_0" class="col-sm-3 col-form-label <?php echo e($pull); ?>"><?php echo e(trans('layout.order_status')); ?></label>
                                <div class="col-sm-9 <?php echo e($pull); ?>">
                                    <?php if($order['status'] == "cancel"): ?>
                                    <?php echo e(Form::hidden('status','cancel')); ?>

                                    <?php echo e(Form::text('statuss', trans('layout.salon_order_cancel'), ['class'=>'form-control','id'=>'status','readonly'])); ?>

                                    <?php else: ?>
                                    <?php echo e(Form::select('status',['new'=>trans('layout.salon_order_new'),'done'=>trans('layout.salon_order_done')], $order['status'], ['class'=>'form-control','id'=>'status'])); ?>

                                    <?php endif; ?>
                                    <?php if($errors->has('status')): ?>
                                    <div class="alert alert-danger"><?php echo e($errors->first('status')); ?></div>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-6 <?php echo e($pull); ?>">
                            <div class="form-group">
                                <label for="customer" class="col-sm-3 col-form-label <?php echo e($pull); ?>"><?php echo e(trans('layout.customer')); ?></label>
                                <div class="col-sm-9 <?php echo e($pull); ?>">
                                    <?php echo e(Form::text('customer', $customer = $order['User']['name'], ['class'=>'form-control','id'=>'customer','readonly'])); ?>

                                </div>
                            </div>
                        </div>

                        <div class="clearfix"></div>
                        <br>

                        <div class="col-sm-6 <?php echo e($pull); ?>">
                            <div class="form-group">
                                <label for="phone" class="col-sm-3 col-form-label <?php echo e($pull); ?>"><?php echo e(trans('layout.phone')); ?></label>
                                <div class="col-sm-9 <?php echo e($pull); ?>">
                                    <?php echo e(Form::text('phone', $phone = $order['User']['phone'], ['class'=>'form-control','id'=>'phone','readonly'])); ?>

                                </div>
                            </div>
                        </div>

                        <div class="col-sm-6 <?php echo e($pull); ?>">
                            <div class="form-group">
                                <label for="price" class="col-sm-3 col-form-label <?php echo e($pull); ?>"><?php echo e(trans('layout.total')); ?></label>
                                <div class="col-sm-9 <?php echo e($pull); ?>">
                                    <?php echo e(Form::text('price', number_format($order['total'], 3, '.', '').' '.$order['currency_'.$lang], ['class'=>'form-control','id'=>'price','readonly'])); ?>

                                </div>
                            </div>
                        </div>

                        <div class="clearfix"></div>
                        <br>

                        <div class="col-sm-6 <?php echo e($pull); ?>">
                            <div class="form-group">
                                <label for="pay_type" class="col-sm-3 col-form-label <?php echo e($pull); ?>"><?php echo e(trans('layout.pay_type')); ?></label>
                                <div class="col-sm-9 <?php echo e($pull); ?>">
                                    <?php echo e(Form::text('pay_type', trans('layout.'.$order['pay_type']), ['class'=>'form-control','id'=>'pay_type','readonly'])); ?>

                                </div>
                            </div>
                        </div>

                        <div class="col-sm-6 <?php echo e($pull); ?>">
                            <div class="form-group">
                                <label for="date" class="col-sm-3 col-form-label <?php echo e($pull); ?>"><?php echo e(trans('layout.date')); ?></label>
                                <div class="col-sm-9 <?php echo e($pull); ?>">
                                    <?php echo e(Form::text('date', $order['date'], ['class'=>'form-control','id'=>'date','readonly'])); ?>

                                </div>
                            </div>
                        </div>

                        <div class="clearfix"></div>
                        <br>

                        <div class="col-sm-6 <?php echo e($pull); ?>">
                            <div class="form-group">
                                <label for="time" class="col-sm-3 col-form-label <?php echo e($pull); ?>"><?php echo e(trans('layout.time')); ?></label>
                                <div class="col-sm-9 <?php echo e($pull); ?>">
                                    <?php echo e(Form::text('time', $order['time'], ['class'=>'form-control','id'=>'time','readonly'])); ?>

                                </div>
                            </div>
                        </div>

                        <div class="col-sm-6 <?php echo e($pull); ?>">
                            <div class="form-group">
                                <label for="created_at" class="col-sm-3 col-form-label <?php echo e($pull); ?>"><?php echo e(trans('layout.created_at')); ?></label>
                                <div class="col-sm-9 <?php echo e($pull); ?>">
                                    <?php echo e(Form::text('created_at', $order['created_at'], ['class'=>'form-control','id'=>'created_at','readonly'])); ?>

                                </div>
                            </div>
                        </div>

                        <div class="clearfix"></div>
                        <br>

                        <?php if($order['rate'] > 0): ?>
                        <div class="col-sm-6 <?php echo e($pull); ?>">
                            <div class="form-group">
                                <label for="rate" class="col-sm-3 col-form-label <?php echo e($pull); ?>"><?php echo e(trans('interface.rate')); ?></label>
                                <div class="col-sm-9 <?php echo e($pull); ?>">
                                    <?php echo e(Form::text('rate', trans('interface.star_'.$order['rate']), ['class'=>'form-control','id'=>'created_at','readonly'])); ?>

                                </div>
                            </div>
                        </div>

                        <div class="col-sm-6 <?php echo e($pull); ?>">
                            <div class="form-group">
                                <label for="comment" class="col-sm-3 col-form-label <?php echo e($pull); ?>"><?php echo e(trans('interface.comment')); ?></label>
                                <div class="col-sm-9 <?php echo e($pull); ?>">
                                    <?php echo e(Form::text('comment', $order['comment'], ['class'=>'form-control','id'=>'created_at','readonly'])); ?>

                                </div>
                            </div>
                        </div>

                        <div class="clearfix"></div>
                        <br>
                        <?php endif; ?>

                        <div class="col-sm-12 <?php echo e($pull); ?>">
                            <div class="form-group">
                                <label for="created_at" class="col-sm-1 col-form-label <?php echo e($pull); ?>"><?php echo e(trans('layout.salon_productss')); ?></label>
                                <div class="col-sm-11 <?php echo e($pull); ?>">
                                    <table class="table table-bordered table-hover display nowrap margin-top-10 table-responsive table-striped">
                                        <thead>
                                            <tr> 
                                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.service_one')); ?></th>
                                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.price')); ?></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php $__currentLoopData = $order['Products']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr> 
                                                <td class="<?php echo e($text); ?>"><?php echo e($product['Product'][$lang.'_name']); ?></td>
                                                <td class="<?php echo e($text); ?>"> <?php echo e(number_format($product['price'], 3, '.', '').' '.$order['currency_'.$lang]); ?> </td>
                                            </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>


                    </div>
                </div>
            </div>

            <div class="box-footer">
                <button type="submit" class="btn btn-primary btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.save')); ?></button>
                <a href="<?php echo e(URL::to('business/salon_orders?status='.$order['status'])); ?>" class="btn btn-default btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.back')); ?></a>
            </div>

        </form>

    </div>

</section>

<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts'); ?>

<?php if($order['lng'] != "" && $order['lat'] != ""): ?>
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyC9uAy1z9dxw9aHx6_NJPRA0ih0UD-dCOU&callback=initMap&language=ar&region=EG"></script>
<script type="text/javascript">
var marker;
var lat;
var lng;
var map;
function updateMarkerPosition(latLng) {
    document.getElementById('lat').value = latLng.lat();
    document.getElementById('lng').value = latLng.lng();
}

function initialize() {
    var lat = document.getElementById('lat').value;
    var lng = document.getElementById('lng').value;
    if (!lat && !lng) {
        var latLng = new google.maps.LatLng(24.598411724742483, 46.7138671875);
    } else {
        var latLng = new google.maps.LatLng(lat, lng);
    }

    map = new google.maps.Map(document.getElementById('mapCanvas'), {
        zoom: 5,
        center: latLng,
        mapTypeId: google.maps.MapTypeId.ROADMAP
    });
    marker = new google.maps.Marker({
        position: latLng,
        map: map
    });
    marker.set(map);
    updateMarkerPosition(latLng);
}

google.maps.event.addDomListener(window, 'load', initialize);
</script>
<?php endif; ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('business.layouts.form', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>