<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.fashion_financial')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin/fashion_financial')); ?>"> <?php echo e(trans('layout.fashion_financial')); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.fashion_financial_add')); ?></li>
    </ol>
</section>

<section class="content">

    <div class="box box-default">
        <div class="box-header with-border">
            <h3 class="box-title"><?php echo e(trans('layout.fashion_financial_add')); ?></h3>

            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
            </div>
        </div>

        <form action="<?php echo e(URL::to('admin/fashion_financial')); ?>" method="post" enctype="multipart/form-data">
            <?php echo e(csrf_field()); ?>


            <div class="box-body">
                <div class="row">
                    <div class="col-12">
                        <?php if(Session::has('message')): ?>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="alert alert-success alert-dismissible">
                                    <?php echo e(Session::get('message')); ?>

                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>
                        
                        <?php if(Session::has('error')): ?>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="alert alert-danger alert-dismissible">
                                    <?php echo e(Session::get('error')); ?>

                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>

                        <div class="form-group row">
                            <label for="fashion" class="col-sm-2 col-form-label"><?php echo e(trans('layout.store')); ?></label>
                            <div class="col-sm-10">
                                <div id="fashion">
                                    <?php echo e(Form::select('store_id',$fashion_stores, null, ['class'=>'form-control select2'])); ?>

                                </div>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="date_start" class="col-sm-2 col-form-label"><?php echo e(trans('layout.date')); ?></label>
                            <div class="col-sm-10">
                                <?php echo e(Form::text('date', null, ['class'=>'form-control','id'=>'date_start'])); ?>

                                <?php if($errors->has('date')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('date')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_2" class="col-sm-2 col-form-label"><?php echo e(trans('layout.money_to')); ?></label>
                            <div class="col-sm-10">
                                <?php echo e(Form::text('price', null, ['class'=>'form-control','id'=>'input_2'])); ?>

                                <?php if($errors->has('price')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('price')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="notes" class="col-sm-2 col-form-label"><?php echo e(trans('layout.notes')); ?></label>
                            <div class="col-sm-10">
                                <?php echo e(Form::textarea('notes', null, ['class'=>'form-control','rows'=>10])); ?>

                                <?php if($errors->has('notes')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('notes')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="box-footer">
                <button type="submit" class="btn btn-primary btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.add')); ?></button>
                <a href="<?php echo e(URL::to('admin/fashion_financial')); ?>" class="btn btn-default btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.back')); ?></a>
            </div>

        </form>

    </div>

    <div class="box">
        <div class="box-header with-border">
            <h3 class="box-title"><?php echo e(trans('layout.transactions_done')); ?></h3>

            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
            </div>
        </div>
        <div class="box-body">
            <table id="example" class="table table-bordered table-hover display nowrap margin-top-10 table-responsive">
                <thead>
                    <tr> 
                        <th class="<?php echo e($text); ?>">#</th>
                        <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.admin_types')); ?></th>
                        <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.store')); ?></th>
                        <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.date')); ?></th>
                        <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.total')); ?></th>
                        <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.notes')); ?></th>
                        <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.created_at')); ?></th>
                        <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.edit')); ?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $transactions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $transaction): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($transaction['id']); ?></td>
                        <td><?php echo e($transaction['User']['name']); ?></td>
                        <td><?php echo e($transaction['Restaurant'][$lang.'_name']); ?></td>
                        <td><?php echo e($transaction['date']); ?></td>
                        <td><?php echo e(number_format($transaction['price'], 3, '.', '') .' '.$transaction['Restaurant']['Country'][$lang.'_currency']); ?></td>
                        <td><?php echo e($transaction['notes']); ?></td>
                        <td><?php echo e($transaction['created_at']); ?></td>
                        <td>
                            <?php echo e(Form::open(array('url' =>'admin/fashion_financial/'.$transaction->id.'/edit', 'method' => 'GET'))); ?>

                            <button  type="submit" class="btn default btn-sm btn-info"><i class="fa fa-edit"></i> <?php echo e(trans('layout.edit')); ?> </button>
                            <?php echo e(Form::close()); ?>

                        </td>
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
        <!-- /.box-body -->
    </div>

</section>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
<script>
    //Date picker
    $('#date_start').datepicker({
        autoclose: true,
        format: 'yyyy-mm-dd'
    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.form', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>