<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.subscribes')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin/subscribes')); ?>"> <?php echo e(trans('layout.subscribes')); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.subscribe_add')); ?></li>
    </ol>
</section>

<section class="content">

    <div class="box box-default">
        <div class="box-header with-border">
            <h3 class="box-title"><?php echo e(trans('layout.subscribe_add')); ?></h3>

            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
            </div>
        </div>

        <form action="<?php echo e(URL::to('admin/subscribes')); ?>" method="post" enctype="multipart/form-data">
            <?php echo e(csrf_field()); ?>


            <div class="box-body">
                <div class="row">
                    <div class="col-12">
                        <?php if(Session::has('message')): ?>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="alert alert-success alert-dismissible">
                                    <?php echo e(Session::get('message')); ?>

                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>

                        <div class="form-group row">
                            <label for="input_6" class="col-sm-3 col-form-label"><?php echo e(trans('layout.subscribe_sex')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('sex', ['male'=>trans('layout.male') , 'female'=>trans('layout.female')],null, ['class'=>'form-control','id'=>'input_6'])); ?>

                                <?php if($errors->has('sex')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('sex')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_7" class="col-sm-3 col-form-label"><?php echo e(trans('layout.subscribe_type')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('type', ['normal'=>trans('layout.normal') , 'high'=>trans('layout.high')],null, ['class'=>'form-control','id'=>'input_7'])); ?>

                                <?php if($errors->has('type')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('type')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_1" class="col-sm-3 col-form-label"><?php echo e(trans('layout.subscribe_name_ar')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('ar_name', null, ['class'=>'form-control','id'=>'input_1'])); ?>

                                <?php if($errors->has('ar_name')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('ar_name')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_2" class="col-sm-3 col-form-label"><?php echo e(trans('layout.subscribe_name_en')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('en_name', null, ['class'=>'form-control','id'=>'input_2'])); ?>

                                <?php if($errors->has('en_name')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('en_name')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_10" class="col-sm-3 col-form-label"><?php echo e(trans('layout.subscribe_count')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('count', null, ['class'=>'form-control','id'=>'input_10'])); ?>

                                <?php if($errors->has('count')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('count')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_4" class="col-sm-3 col-form-label"><?php echo e(trans('layout.subscribe_desc_ar')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::textarea('ar_desc', null, ['class'=>'form-control','id'=>'input_4','rows'=>5])); ?>

                                <?php if($errors->has('ar_desc')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('ar_desc')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_5" class="col-sm-3 col-form-label"><?php echo e(trans('layout.subscribe_desc_en')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::textarea('en_desc', null, ['class'=>'form-control','id'=>'input_5','rows'=>5])); ?>

                                <?php if($errors->has('en_desc')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('en_desc')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <?php $countries = \App\Country::all(); ?>
                        <?php $__currentLoopData = $countries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="form-group row">
                            <label for="input_10_<?php echo e($country['id']); ?>" class="col-sm-3 col-form-label"><?php echo e(trans('layout.subscribe_price')); ?> - <?php echo e($country[$lang.'_name']); ?></label>
                            <div class="col-sm-8">
                                <?php echo e(Form::hidden('country[]',$country['id'])); ?>

                                <?php echo e(Form::text('prices[]', null, ['class'=>'form-control','id'=>'input_10_'.$country['id']])); ?>

                            </div>
                            <label for="input_10_<?php echo e($country['id']); ?>" class="col-sm-1 col-form-label"><?php echo e($country[$lang.'_currency']); ?></label>
                        </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    </div>
                </div>
            </div>

            <div class="box-footer">
                <button type="submit" class="btn btn-primary btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.add')); ?></button>
                <a href="<?php echo e(URL::to('admin/subscribes')); ?>" class="btn btn-default btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.back')); ?></a>
            </div>

        </form>

    </div>

</section>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.form', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>