<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.salons')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin/salons?active=info')); ?>"> <?php echo e(trans('layout.salons')); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.salon_add')); ?></li>
    </ol>
</section>

<section class="content">

    <div class="box box-default">
        <div class="box-header with-border">
            <h3 class="box-title"><?php echo e(trans('layout.salon_add')); ?></h3>

            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
            </div>
        </div>

        <form action="<?php echo e(URL::to('admin/salons')); ?>" method="post" enctype="multipart/form-data">
            <?php echo e(csrf_field()); ?>


            <div class="box-body">
                <div class="row">
                    <div class="col-12">
                        <?php if(Session::has('message')): ?>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="alert alert-success alert-dismissible">
                                    <?php echo e(Session::get('message')); ?>

                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>

                        <div class="form-group row">
                            <label for="input_1" class="col-sm-3 col-form-label"><?php echo e(trans('layout.salon_owner')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('user_id',$business, null, ['class'=>'form-control','id'=>'input_1'])); ?>

                                <?php if($errors->has('user_id')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('user_id')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_2" class="col-sm-3 col-form-label"><?php echo e(trans('layout.salon_name_ar')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('ar_name', null, ['class'=>'form-control','id'=>'input_2'])); ?>

                                <?php if($errors->has('ar_name')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('ar_name')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_3" class="col-sm-3 col-form-label"><?php echo e(trans('layout.salon_name_en')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('en_name', null, ['class'=>'form-control','id'=>'input_3'])); ?>

                                <?php if($errors->has('en_name')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('en_name')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="date_start" class="col-sm-3 col-form-label"><?php echo e(trans('layout.restaurant_date')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('date', null, ['class'=>'form-control','id'=>'date_start'])); ?>

                                <?php if($errors->has('date')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('date')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_4" class="col-sm-3 col-form-label"><?php echo e(trans('layout.comission_type')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('comission_type',['percent'=>trans('layout.comission_percent'),'month'=>trans('layout.comission_month'),'year'=>trans('layout.comission_year')], null, ['class'=>'form-control','id'=>'input_4'])); ?>

                                <?php if($errors->has('comission_type')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('comission_type')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_5" class="col-sm-3 col-form-label"><?php echo e(trans('layout.comission')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::input('number','comission', null, ['class'=>'form-control','id'=>'input_5'])); ?>

                                <?php if($errors->has('comission')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('comission')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_06" class="col-sm-3 col-form-label"><?php echo e(trans('layout.cash')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('cash', ['yes'=>trans('layout.yes_active'),'no'=>trans('layout.no_active')],null, ['class'=>'form-control','id'=>'input_06'])); ?>

                                <?php if($errors->has('cash')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('cash')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_07" class="col-sm-3 col-form-label"><?php echo e(trans('layout.knet')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('knet', ['yes'=>trans('layout.yes_active'),'no'=>trans('layout.no_active')],null, ['class'=>'form-control','id'=>'input_07'])); ?>

                                <?php if($errors->has('knet')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('knet')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_08" class="col-sm-3 col-form-label"><?php echo e(trans('layout.credit_card')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('credit_card', ['yes'=>trans('layout.yes_active'),'no'=>trans('layout.no_active')],null, ['class'=>'form-control','id'=>'input_08'])); ?>

                                <?php if($errors->has('credit_card')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('credit_card')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_06" class="col-sm-3 col-form-label"><?php echo e(trans('layout.salon_male')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('male', ['yes'=>trans('layout.yes_active'),'no'=>trans('layout.no_active')],null, ['class'=>'form-control','id'=>'input_06'])); ?>

                                <?php if($errors->has('male')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('male')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_07" class="col-sm-3 col-form-label"><?php echo e(trans('layout.salon_female')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('female', ['yes'=>trans('layout.yes_active'),'no'=>trans('layout.no_active')],null, ['class'=>'form-control','id'=>'input_07'])); ?>

                                <?php if($errors->has('female')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('female')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_08" class="col-sm-3 col-form-label"><?php echo e(trans('layout.salon_child')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('child', ['yes'=>trans('layout.yes_active'),'no'=>trans('layout.no_active')],null, ['class'=>'form-control','id'=>'input_08'])); ?>

                                <?php if($errors->has('child')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('child')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_145" class="col-sm-3 col-form-label"><?php echo e(trans('layout.fashion_products')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::file('file',['class'=>'form-control','id'=>'input_145'])); ?>

                            </div>
                        </div>

                    </div>
                </div>
            </div>

            <div class="box-footer">
                <button type="submit" class="btn btn-primary btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.add')); ?></button>
                <a href="<?php echo e(URL::to('admin/salons')); ?>" class="btn btn-default btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.back')); ?></a>
            </div>

        </form>

    </div>

</section>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
<script>
    //Date picker
    $('#date_start').datepicker({
        autoclose: true,
        format: 'yyyy-mm-dd'
    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.form', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>