<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.groups')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin/groups')); ?>"> <?php echo e(trans('layout.groups')); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.group_edit')); ?></li>
    </ol>
</section>

<section class="content">

    <div class="box box-default">
        <div class="box-header with-border">
            <h3 class="box-title"><?php echo e(trans('layout.group_edit')); ?> : <?php echo e($group[$lang.'_name']); ?></h3>

            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
            </div>
        </div>

        <form action="<?php echo e(URL::to('admin/groups/'.$group['id'])); ?>" method="post">
            <?php echo e(Form::hidden('_method','PATCH')); ?>

            <?php echo e(csrf_field()); ?>


            <div class="box-body">
                <div class="row">
                    <div class="col-12">
                        <?php if(Session::has('message')): ?>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="alert alert-success alert-dismissible">
                                    <?php echo e(Session::get('message')); ?>

                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>

                        <div class="form-group row">
                            <label for="input_1" class="col-sm-3 col-form-label"><?php echo e(trans('layout.group_name_ar')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('ar_name', $group['ar_name'], ['class'=>'form-control','id'=>'input_1'])); ?>

                                <?php if($errors->has('ar_name')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('ar_name')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_2" class="col-sm-3 col-form-label"><?php echo e(trans('layout.group_name_en')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('en_name', $group['en_name'], ['class'=>'form-control','id'=>'input_2'])); ?>

                                <?php if($errors->has('en_name')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('en_name')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_3" class="col-sm-3 col-form-label"><?php echo e(trans('layout.group_power')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::number('power', $group['power'], ['class'=>'form-control','id'=>'input_3'])); ?>

                                <?php if($errors->has('power')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('power')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_4" class="col-sm-3 col-form-label"><?php echo e(trans('layout.group_country')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('country',['one'=>trans('layout.one_country') , 'all'=>trans('layout.all_country')], $group['country'], ['class'=>'form-control','id'=>'input_4'])); ?>

                                <?php if($errors->has('country')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('country')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_5" class="col-sm-3 col-form-label"><?php echo e(trans('layout.permissions')); ?></label>
                            <div class="col-sm-9">
                                <?php
                                $withdraw = $cards = $sponser_posts = $ship = $sponser = $gym_slider = $gym_financial = $gym_orders = $gym = $gym_depts = $salon_slider = $salon_financial = $salon_orders = $salons = $salon_depts = $fashion_financial = $fashion_slider = $fashion_orders = $fashion_stores = $fashion_brand = $fashion_category = $restaurant_financial = $restaurant_orders = $faq = $business = $restaurant_category = $menu_category = $restaurants = $contact = $restaurant_slider = $groups = $site = $newsletter = $notifications = $countries = $governates = $cities = $pages = $admins = $users = FALSE;
                                foreach ($group['Permissions'] as $pre) {
                                    if ($pre['permission'] == "groups") {
                                        $groups = TRUE;
                                    } elseif ($pre['permission'] == "site") {
                                        $site = TRUE;
                                    } elseif ($pre['permission'] == "newsletter") {
                                        $newsletter = TRUE;
                                    } elseif ($pre['permission'] == "notifications") {
                                        $notifications = TRUE;
                                    } elseif ($pre['permission'] == "countries") {
                                        $countries = TRUE;
                                    } elseif ($pre['permission'] == "governates") {
                                        $governates = TRUE;
                                    } elseif ($pre['permission'] == "cities") {
                                        $cities = TRUE;
                                    } elseif ($pre['permission'] == "pages") {
                                        $pages = TRUE;
                                    } elseif ($pre['permission'] == "admins") {
                                        $admins = TRUE;
                                    } elseif ($pre['permission'] == "users") {
                                        $users = TRUE;
                                    } elseif ($pre['permission'] == "contact") {
                                        $contact = TRUE;
                                    } elseif ($pre['permission'] == "restaurant_category") {
                                        $restaurant_category = TRUE;
                                    } elseif ($pre['permission'] == "menu_category") {
                                        $menu_category = TRUE;
                                    } elseif ($pre['permission'] == "restaurants") {
                                        $restaurants = TRUE;
                                    } elseif ($pre['permission'] == "restaurant_orders") {
                                        $restaurant_orders = TRUE;
                                    } elseif ($pre['permission'] == "restaurant_slider") {
                                        $restaurant_slider = TRUE;
                                    } elseif ($pre['permission'] == "restaurant_financial") {
                                        $restaurant_financial = TRUE;
                                    } elseif ($pre['permission'] == "business") {
                                        $business = TRUE;
                                    } elseif ($pre['permission'] == "faq") {
                                        $faq = TRUE;
                                    } elseif ($pre['permission'] == "fashion_category") {
                                        $fashion_category = TRUE;
                                    } elseif ($pre['permission'] == "fashion_brand") {
                                        $fashion_brand = TRUE;
                                    } elseif ($pre['permission'] == "fashion_stores") {
                                        $fashion_stores = TRUE;
                                    } elseif ($pre['permission'] == "fashion_orders") {
                                        $fashion_orders = TRUE;
                                    } elseif ($pre['permission'] == "fashion_slider") {
                                        $fashion_slider = TRUE;
                                    } elseif ($pre['permission'] == "fashion_financial") {
                                        $fashion_financial = TRUE;
                                    } elseif ($pre['permission'] == "salon_depts") {
                                        $salon_depts = TRUE;
                                    } elseif ($pre['permission'] == "salons") {
                                        $salons = TRUE;
                                    } elseif ($pre['permission'] == "salon_orders") {
                                        $salon_orders = TRUE;
                                    } elseif ($pre['permission'] == "salon_financial") {
                                        $salon_financial = TRUE;
                                    } elseif ($pre['permission'] == "salon_slider") {
                                        $salon_slider = TRUE;
                                    } elseif ($pre['permission'] == "gym_depts") {
                                        $gym_depts = TRUE;
                                    } elseif ($pre['permission'] == "gym") {
                                        $gym = TRUE;
                                    } elseif ($pre['permission'] == "gym_orders") {
                                        $gym_orders = TRUE;
                                    } elseif ($pre['permission'] == "gym_financial") {
                                        $gym_financial = TRUE;
                                    } elseif ($pre['permission'] == "gym_slider") {
                                        $gym_slider = TRUE;
                                    } elseif ($pre['permission'] == "sponser") {
                                        $sponser = TRUE;
                                    } elseif ($pre['permission'] == "ship") {
                                        $ship = TRUE;
                                    } elseif ($pre['permission'] == "sponser_posts") {
                                        $sponser_posts = TRUE;
                                    } elseif ($pre['permission'] == "cards") {
                                        $cards = TRUE;
                                    } elseif ($pre['permission'] == "withdraw") {
                                        $withdraw = TRUE;
                                    }
                                }
                                ?>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','groups',$groups,['id'=>'Checkbox_1'])); ?>

                                    <label for="Checkbox_1"><?php echo e(trans('layout.groups')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','site',$site,['id'=>'Checkbox_2'])); ?>

                                    <label for="Checkbox_2"><?php echo e(trans('layout.site')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','newsletter',$newsletter,['id'=>'Checkbox_3'])); ?>

                                    <label for="Checkbox_3"><?php echo e(trans('layout.newsletter')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','notifications',$notifications,['id'=>'Checkbox_4'])); ?>

                                    <label for="Checkbox_4"><?php echo e(trans('layout.notifications')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','ship',$ship,['id'=>'Checkbox_37'])); ?>

                                    <label for="Checkbox_37"><?php echo e(trans('layout.ship')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','countries',$countries,['id'=>'Checkbox_5'])); ?>

                                    <label for="Checkbox_5"><?php echo e(trans('layout.countries')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','governates',$governates,['id'=>'Checkbox_6'])); ?>

                                    <label for="Checkbox_6"><?php echo e(trans('layout.governates')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','cities',$cities,['id'=>'Checkbox_7'])); ?>

                                    <label for="Checkbox_7"><?php echo e(trans('layout.cities')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','faq',$faq,['id'=>'Checkbox_17'])); ?>

                                    <label for="Checkbox_17"><?php echo e(trans('layout.faq')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','pages',$pages,['id'=>'Checkbox_8'])); ?>

                                    <label for="Checkbox_8"><?php echo e(trans('layout.pages')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','admins',$admins,['id'=>'Checkbox_9'])); ?>

                                    <label for="Checkbox_9"><?php echo e(trans('layout.admins')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','users',$users,['id'=>'Checkbox_10'])); ?>

                                    <label for="Checkbox_10"><?php echo e(trans('layout.users')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','contact',$contact,['id'=>'Checkbox_12'])); ?>

                                    <label for="Checkbox_12"><?php echo e(trans('layout.contact')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','restaurant_category',$restaurant_category,['id'=>'Checkbox_13'])); ?>

                                    <label for="Checkbox_13"><?php echo e(trans('layout.restaurant_category')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','menu_category',$menu_category,['id'=>'Checkbox_14'])); ?>

                                    <label for="Checkbox_14"><?php echo e(trans('layout.menu_category')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','restaurants',$restaurants,['id'=>'Checkbox_15'])); ?>

                                    <label for="Checkbox_15"><?php echo e(trans('layout.restaurants')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','restaurant_orders',$restaurant_orders,['id'=>'Checkbox_18'])); ?>

                                    <label for="Checkbox_18"><?php echo e(trans('layout.restaurants_orders')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','business',$business,['id'=>'Checkbox_16'])); ?>

                                    <label for="Checkbox_16"><?php echo e(trans('layout.business')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','sponser',$sponser,['id'=>'Checkbox_36'])); ?>

                                    <label for="Checkbox_36"><?php echo e(trans('layout.sponser')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','sponser_posts',$sponser_posts,['id'=>'Checkbox_38'])); ?>

                                    <label for="Checkbox_38"><?php echo e(trans('layout.sponser_posts')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','restaurant_financial',$restaurant_financial,['id'=>'Checkbox_19'])); ?>

                                    <label for="Checkbox_19"><?php echo e(trans('layout.restaurant_financial')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','restaurant_slider',$restaurant_slider,['id'=>'Checkbox_11'])); ?>

                                    <label for="Checkbox_11"><?php echo e(trans('layout.restaurant_slider')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','fashion_brand',$fashion_brand,['id'=>'Checkbox_24'])); ?>

                                    <label for="Checkbox_24"><?php echo e(trans('layout.fashion_brand')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','fashion_category',$fashion_category,['id'=>'Checkbox_20'])); ?>

                                    <label for="Checkbox_20"><?php echo e(trans('layout.fashion_category')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','fashion_stores',$fashion_stores,['id'=>'Checkbox_21'])); ?>

                                    <label for="Checkbox_21"><?php echo e(trans('layout.fashion_stores')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','fashion_orders',$fashion_orders,['id'=>'Checkbox_22'])); ?>

                                    <label for="Checkbox_22"><?php echo e(trans('layout.fashion_orders')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','fashion_financial',$fashion_financial,['id'=>'Checkbox_23'])); ?>

                                    <label for="Checkbox_23"><?php echo e(trans('layout.fashion_financial')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','fashion_slider',$fashion_slider,['id'=>'Checkbox_25'])); ?>

                                    <label for="Checkbox_25"><?php echo e(trans('layout.fashion_slider')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','salon_depts',$salon_depts,['id'=>'Checkbox_26'])); ?>

                                    <label for="Checkbox_26"><?php echo e(trans('layout.salon_depts')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','salons',$salons,['id'=>'Checkbox_27'])); ?>

                                    <label for="Checkbox_27"><?php echo e(trans('layout.salons')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','salon_orders',$salon_orders,['id'=>'Checkbox_28'])); ?>

                                    <label for="Checkbox_28"><?php echo e(trans('layout.salon_orders')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','salon_financial',$salon_financial,['id'=>'Checkbox_29'])); ?>

                                    <label for="Checkbox_29"><?php echo e(trans('layout.salon_financial')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','salon_slider',$salon_slider,['id'=>'Checkbox_30'])); ?>

                                    <label for="Checkbox_30"><?php echo e(trans('layout.salon_slider')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','gym_depts',$gym_depts,['id'=>'Checkbox_31'])); ?>

                                    <label for="Checkbox_31"><?php echo e(trans('layout.gym_depts')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','gym',$gym,['id'=>'Checkbox_32'])); ?>

                                    <label for="Checkbox_32"><?php echo e(trans('layout.gym')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','gym_orders',$gym_orders,['id'=>'Checkbox_33'])); ?>

                                    <label for="Checkbox_33"><?php echo e(trans('layout.gym_orders')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','gym_financial',$gym_financial,['id'=>'Checkbox_34'])); ?>

                                    <label for="Checkbox_34"><?php echo e(trans('layout.gym_financial')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','gym_slider',$gym_slider,['id'=>'Checkbox_35'])); ?>

                                    <label for="Checkbox_35"><?php echo e(trans('layout.gym_slider')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','cards',$cards,['id'=>'Checkbox_39'])); ?>

                                    <label for="Checkbox_39"><?php echo e(trans('layout.cards')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','withdraw',$withdraw,['id'=>'Checkbox_40'])); ?>

                                    <label for="Checkbox_40"><?php echo e(trans('layout.withdraw')); ?></label>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="box-footer">
                <button type="submit" class="btn btn-primary btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.save')); ?></button>
                <a href="<?php echo e(URL::to('admin/groups')); ?>" class="btn btn-default btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.back')); ?></a>
            </div>

        </form>

    </div>

</section>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.form', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>