<?php $__env->startSection('title'); ?>
<?php echo e(trans('interface.clothes')); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<?php
$lang = App::getLocale();
$cart = Session::get('cart_fashion');
?>


<div class="orders-header">
    <div class="container">
        <ol class="breadcrumb">
            <li><a href="<?php echo e(URL::to('fashion_all')); ?>" title="<?php echo e(trans('interface.clothes')); ?>"><?php echo e(trans('interface.clothes')); ?></a></li>
            <li><a href="<?php echo e(URL::to('fashion_cart')); ?>" title="<?php echo e(trans('interface.cart')); ?>"><?php echo e(trans('interface.cart')); ?></a></li>
        </ol>
    </div>
</div>

<nav class="navbar navbar-2">
    <div class="container">
        <div class="row">

            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse-2" aria-expanded="false">
                    <span class="fa fa-bars"></span>
                </button>
            </div>

            <div class="collapse navbar-collapse" id="navbar-collapse-2">
                <ul class="nav navbar-nav">
                    <li><a href="<?php echo e(URL::to('fashion_stores')); ?>" title="<?php echo e(trans('interface.fashion_stores')); ?>"><?php echo e(trans('interface.fashion_stores')); ?></a></li>
                    <?php $__currentLoopData = $data['categories']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li><a href="<?php echo e(URL::to('fashion_category/'.$category['id'])); ?>" title="<?php echo e($category['name']); ?>"><?php echo e($category['name']); ?></a></li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            </div>

        </div>
    </div>
</nav>

<?php if($cart == ""): ?>

<div class="div-padding cart_contain">
    <div class="container">
        <div class="row">
            <div class="col-xs-12">
                <br><br><br>
                <div class="alert alert-danger"><?php echo e(trans('interface.cart_empty')); ?></div>
            </div>
        </div>
    </div>
</div>

<?php else: ?>

<div class="div-padding">
    <div class="container">

        <p class="text-uppercase font-myriad font-24 font-33 pt-20 black-color-light dis-block font-mtsdrLa"><?php echo e(trans('interface.cart')); ?></p>

        <form action="<?php echo e(URL::to('fashion_checkout')); ?>" method="post" class="checkout_form">

            <div class="row">
                <br>
                <div class="col-xs-12" id="address_result_2">               
                </div>

                <?php if(Session::has('message')): ?>
                <div class="col-lg-12">
                    <div class="alert alert-success alert-dismissible">
                        <?php echo e(Session::get('message')); ?>

                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                    </div>
                </div>
                <?php endif; ?>
            </div>

            <div class="item-cart-box hidden-xs">
                <div class="row">
                    <div class="col-xs-5">
                        <p class="text-uppercase black-color-light font-weight pt-10 font-18"><?php echo e(trans('interface.product')); ?></p>
                    </div>

                    <div class="col-xs-2">
                        <p class="text-uppercase black-color-light font-weight pt-10 font-18 text-center"><?php echo e(trans('interface.count')); ?></p>
                    </div>

                    <div class="col-xs-2">
                        <p class="text-uppercase black-color-light font-weight pt-10 font-18 text-center"><?php echo e(trans('interface.unit_price')); ?></p>
                    </div>

                    <div class="col-xs-2">
                        <p class="text-uppercase black-color-light font-weight pt-10 font-18 text-center"><?php echo e(trans('interface.total')); ?></p>
                    </div>

                    <div class="col-xs-1">
                        <p class="text-uppercase black-color-light font-weight pt-10 font-18 text-center"><?php echo e(trans('layout.delete')); ?></p>
                    </div>

                </div>
            </div>

            <?php
            $ii = 0;
            $total = 0;
            ?>
            <?php $__currentLoopData = $cart['products']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $one): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php
            $product = \App\FashionProducts::find($one['product']);
            $offer = \App\FashionOffers::where('active', 'yes')->where('product_id', $product['id'])->where('start', '<=', date('Y-m-d'))->where('end', '>=', date('Y-m-d'))->first();
            if (count($offer) > 0) {
                $price = number_format($offer['price'], 3, '.', '');
                $old_price = number_format($product['price'], 3, '.', '');
            } else {
                $price = number_format($product['price'], 3, '.', '');
                $old_price = 0;
            }

            $total = $total + ($price * $one['count']);

            $color = \App\FashionProductsColors::find($one['color']);
            if (count($color) > 0 && $color['image'] != "") {
                $image = URL::to('upload/fashion/colors/' . $color['image']);
            } elseif (count($color) > 0 && $color['image_1'] != "") {
                $image = URL::to('upload/fashion/colors/' . $color['image_1']);
            } elseif (count($color) > 0 && $color['image_2'] != "") {
                $image = URL::to('upload/fashion/colors/' . $color['image_2']);
            } elseif (count($color) > 0 && $color['image_3'] != "") {
                $image = URL::to('upload/fashion/colors/' . $color['image_3']);
            } else {
                $image = URL::to('upload/fashion/products/' . $product['image']);
            }
            ?>
            <div class="cart-seller wow fadeInUp">
                <div class="clearfix">
                    <div class="col-xs-12 col-sm-5 p-0 align-left">
                        <div class="media cart-c-jq">
                            <div class="media-left cart-seller-media media-middle pull-left">
                                <a href="<?php echo e(URL::to('fashion_product/'.$product['id'])); ?>" title="<?php echo e($product[$lang.'_name']); ?>">
                                    <img src="<?php echo e($image); ?>" alt="<?php echo e($product[$lang.'_name']); ?>" class="media-object" style="height: 120px; width: 120px;">
                                </a>
                            </div>
                            <div class="media-body">
                                <p class="font-14 font-weight font-mtsdrLa text-uppercase black-color-light-1 pt-20"><?php echo e($product[$lang.'_name']); ?></p>
                                <div class="clearfix rat-dis">
                                    <fieldset class="rating">
                                        <?php for($i = 0 ; $i < $product['rate'] ; $i++): ?>
                                        <label class="gold"></label>
                                        <?php endfor; ?>

                                        <?php for($i = 0 ; $i < 5-$product['rate'] ; $i++): ?>
                                        <label class="full"></label>
                                        <?php endfor; ?> 
                                    </fieldset>
                                </div>
                                <p class="font-14 font-weight font-mtsdrLa seller-color"><?php echo e(trans('interface.size')); ?>: <?php echo e($one['size_'.$lang]); ?></p>
                            </div>
                        </div>
                    </div>

                    <div class="col-xs-2 col-sm-2 p-0">
                        <div class="gray-box-bg cart-jq text-center">
                            <select class="dis-block" disabled="" style="background: #fff !important;">
                                <option><?php echo e($one['count']); ?></option>
                            </select>
                        </div>
                    </div>

                    <div class="col-xs-4 col-sm-2 p-0">
                        <div class="text-center n-pt-30">
                            <?php if($old_price == 0): ?>
                            <p class="black-color-light-2 font-mtsdrLa font-weight font-14 dis-block m-0"><?php echo e(number_format($price, 3, '.', '')); ?> <?php echo e(Auth::User()->Country[$lang.'_currency']); ?></p>
                            <?php else: ?>
                            <s class="seller-gray-color font-14 font-mtsdrLa font-weight dis-block"><?php echo e(number_format($old_price, 3, '.', '')); ?> <?php echo e(Auth::User()->Country[$lang.'_currency']); ?></s>
                            <br>
                            <p class="black-color-light-2 font-mtsdrLa font-weight font-14 dis-block m-0"><?php echo e(number_format($price, 3, '.', '')); ?> <?php echo e(Auth::User()->Country[$lang.'_currency']); ?></p>
                            <?php endif; ?>
                        </div>
                    </div>

                    <div class="col-xs-4 col-sm-2 p-0">
                        <div class="gray-box-bg cart-jq text-center">
                            <p class="black-color-light-2 font-mtsdrLa font-weight font-18 m-0"><?php echo e(number_format($price*$one['count'], 3, '.', '')); ?> <?php echo e(Auth::User()->Country[$lang.'_currency']); ?></p>
                        </div>
                    </div>

                    <div class="col-xs-2 col-sm-1 p-0">
                        <div class="cart-jq text-center">
                            <a href="<?php echo e(URL::to('fashion_remove_cart/'.$ii)); ?>">
                                <span class="fa fa-2x fa-trash-o right-fa remove_cartt"></span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
            <?php $ii++; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            <div class="checkout-box mt-45">
                <div class="row" style="padding-bottom: 20px;">
                    <div class="col-xs-12">
                        <div class="col-xs-12 col-sm-6">
                            <label style="margin-top: 15px; width: 100%;" for="address_id" class="sign-gray-color font-18 font-mtsdrLa font-weight">
                                <span class="pull-left"> <?php echo e(trans('layout.address')); ?> </span>
                                <a class="pull-right" style="font-size: 14px;" data-toggle="modal" id="open_address"> <?php echo e(trans('interface.add_address')); ?> </a>
                            </label> 
                            <select name="address_id" class="form-control" id="address_select">
                                <option value=""><?php echo e(trans('interface.choose_address')); ?></option>
                                <?php $__currentLoopData = $data['addresses']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $address): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($address['id']); ?>"><?php echo e($address['title']); ?> - <?php echo e($address['governate']); ?> - <?php echo e($address['city']); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>

                        <div class="col-xs-12 col-sm-6">
                            <label style="margin-top: 15px; width: 100%;" for="pay_type" class="sign-gray-color font-18 font-mtsdrLa font-weight">
                                <span class="pull-left"> <?php echo e(trans('layout.pay_type')); ?> </span>
                            </label> 
                            <select name="pay_type" class="form-control" id="pay_type">
                                <option value=""><?php echo e(trans('layout.choose_pay_type')); ?></option>

                                <?php if($cart['cash'] == "yes"): ?>
                                <option value="cash" ><?php echo e(trans('layout.cash')); ?></option>
                                <?php endif; ?>

                                <?php if($cart['knet'] == "yes"): ?>
                                <option value="knet" ><?php echo e(trans('layout.knet')); ?></option>
                                <?php endif; ?>

                                <?php if($cart['credit_card'] == "yes"): ?>
                                <option value="credit_card" ><?php echo e(trans('layout.credit_card')); ?></option>
                                <?php endif; ?>
                            </select>
                        </div>
                    </div>
                </div>
            </div>

            <div class="checkout-box mt-45">
                <div class="row">
                    <div class="col-xs-12 col-sm-12 align-left" style="padding-bottom: 15px;">
                        <p class="dis-block black-color-light-2 font-24 font-weight"><?php echo e(trans('layout.restaurant_delivery')); ?>: <?php echo e(number_format($cart['delivery'], 3, '.', '')); ?> <?php echo e(Auth::User()->Country[$lang.'_currency']); ?></p>
                    </div>
                </div>
            </div>

            <div class="checkout-box mt-15">
                <div class="row">
                    <div class="col-xs-12 col-sm-6 align-left">
                        <?php echo e(csrf_field()); ?>

                        <input type="hidden" name="cart_min_charge" id="cart_min_charge" value="<?php echo e($cart['min_charge']); ?>" error_min_charge='<?php echo e(trans('interface.error_min_charge').' '.$cart['min_charge'].' '.Auth::User()->Country[$lang.'_currency']); ?>'>
                        <input type="hidden" name="cart_delivery" id="cart_delivery" value="<?php echo e($cart['delivery']); ?>" >
                        <input type="hidden" name="cart_total" id="cart_total" value="<?php echo e(number_format($total+$cart['delivery'], 3, '.', '')); ?>" currency='<?php echo e(Auth::User()->Country[$lang.'_currency']); ?>'>

                        <p class="dis-block black-color-light-2 font-24 font-weight"><?php echo e(trans('interface.total')); ?>: <?php echo e(number_format($total+$cart['delivery'], 3, '.', '')); ?> <?php echo e(Auth::User()->Country[$lang.'_currency']); ?></p>
                    </div>

                    <div class="col-xs-12 col-sm-6 align-right">
                        <?php if($cart['min_charge'] < $total): ?>
                        <a style="cursor: pointer;" class="bordr-rad-0 font-18 font-weight text-uppercase font-mtsdrLa white-color" id="checkout" error='<?php echo e(trans('interface.error_checkout')); ?>'><?php echo e(trans('interface.checkout')); ?></a>
                        <?php else: ?>
                        <a style="cursor: pointer;" class="bordr-rad-0 font-18 font-weight text-uppercase font-mtsdrLa white-color" id="checkout_error"><?php echo e(trans('interface.error_min_charge').' '.$cart['min_charge'].' '.Auth::User()->Country[$lang.'_currency']); ?></a>
                        <?php endif; ?>
                    </div>
                </div>
            </div>

        </form>
    </div>
</div>

<div class="div-padding address_contain">
    <div class="container">
        <div class="row">

            <div class="col-xs-12" id="address_result">

            </div>

            <div class="col-xs-4">
                <label for="address_city" style="margin-top: 0;"><?php echo e(trans('layout.city')); ?></label>
                <select class="form-control" id="address_city" style="padding: 5px !important; text-indent: 0px; border-bottom: 1px solid #ccc !important;">
                    <option value=""><?php echo e(trans('interface.select_city')); ?></option>
                    <?php $__currentLoopData = $data['governates']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $governate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <optgroup label="<?php echo e($governate['name']); ?>">
                        <?php $__currentLoopData = $governate['cities']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $city): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($city['id']); ?>"><?php echo e($city['name']); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </optgroup>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>

            <div class="col-xs-4">
                <label for="address_title" style="margin-top: 0;"><?php echo e(trans('layout.address_title')); ?></label>
                <?php echo e(Form::text('address_title',null,['id'=>'address_title','class'=>'form-control','style'=>'padding: 5px !important; text-indent: 0px; border-bottom: 1px solid #ccc !important;'])); ?>

            </div>

            <div class="col-xs-4">
                <label for="address_block" style="margin-top: 0;"><?php echo e(trans('layout.block')); ?></label>
                <?php echo e(Form::text('address_block',null,['id'=>'address_block','class'=>'form-control','style'=>'padding: 5px !important; text-indent: 0px; border-bottom: 1px solid #ccc !important;'])); ?>

            </div>

            <div class="col-xs-4">
                <label for="address_street" style="margin-top: 0;"><?php echo e(trans('layout.street')); ?></label>
                <?php echo e(Form::text('address_street',null,['id'=>'address_street','class'=>'form-control','style'=>'padding: 5px !important; text-indent: 0px; border-bottom: 1px solid #ccc !important;'])); ?>

            </div>

            <div class="col-xs-4">
                <label for="address_jada" style="margin-top: 0;"><?php echo e(trans('layout.jada')); ?></label>
                <?php echo e(Form::text('address_jada',null,['id'=>'address_jada','class'=>'form-control','style'=>'padding: 5px !important; text-indent: 0px; border-bottom: 1px solid #ccc !important;'])); ?>

            </div>

            <div class="col-xs-4">
                <label for="address_building" style="margin-top: 0;"><?php echo e(trans('layout.building')); ?></label>
                <?php echo e(Form::text('address_building',null,['id'=>'address_building','class'=>'form-control','style'=>'padding: 5px !important; text-indent: 0px; border-bottom: 1px solid #ccc !important;'])); ?>

            </div>

            <div class="col-xs-4">
                <label for="address_floor" style="margin-top: 0;"><?php echo e(trans('layout.floor')); ?></label>
                <?php echo e(Form::text('address_floor',null,['id'=>'address_floor','class'=>'form-control','style'=>'padding: 5px !important; text-indent: 0px; border-bottom: 1px solid #ccc !important;'])); ?>

            </div>

            <div class="col-xs-4">
                <label for="address_flat" style="margin-top: 0;"><?php echo e(trans('layout.flat')); ?></label>
                <?php echo e(Form::text('address_flat',null,['id'=>'address_flat','class'=>'form-control','style'=>'padding: 5px !important; text-indent: 0px; border-bottom: 1px solid #ccc !important;'])); ?>

            </div>

            <div class="col-xs-12">
                <label for="address_more" style="margin-top: 0;"><?php echo e(trans('layout.more')); ?></label>
                <?php echo e(Form::textarea('address_more',null,['id'=>'address_more','class'=>'form-control','style'=>'padding: 5px !important; text-indent: 0px; border-bottom: 1px solid #ccc !important;','rows'=>3])); ?>

            </div>

            <div class="col-xs-12">
                <label for="mapCanvas" style="margin-top: 0;"><?php echo e(trans('layout.map')); ?></label>
                <div id="mapCanvas" style="height:450px;" class="col-md-12"></div>
                <input type="hidden" value="" id="lat" />
                <input type="hidden" value="" id="lng" />
            </div>

            <div class="col-xs-12">
                <br>
                <div style="margin: 0 auto; display: table;">
                    <button class="btn btn-md btn-success" id="save_address"><span class="fa fa-map-marker right-fa white-color"></span><?php echo e(trans('interface.add_new_address')); ?></button>
                    <button class="btn btn-md btn-danger" id="cancel_address"><span class="fa fa-close right-fa white-color"></span><?php echo e(trans('interface.cancel')); ?></button>
                </div>
            </div>
        </div>
    </div>
</div>

<?php $__currentLoopData = $data['addresses']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $address): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
<div class="modal fade" id="Address_<?php echo e($address['id']); ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                <h4 class="modal-title font-mtsdrLa font-18" id="myModalLabel"><?php echo e($address['title']); ?></h4>
            </div>
            <div class="modal-body">
                <div class="row">

                    <div class="col-xs-6">
                        <label for="title" style="margin-top: 0;"><?php echo e(trans('layout.address_title')); ?></label>
                        <?php echo e(Form::text('title',$address['title'],['readonly','class'=>'form-control','style'=>'padding: 5px !important; text-indent: 0px; border-bottom: 1px solid #ccc !important;'])); ?>

                    </div>

                    <div class="col-xs-6">
                        <label for="block" style="margin-top: 0;"><?php echo e(trans('layout.governate')); ?></label>
                        <?php echo e(Form::text('block',$address['governate'],['readonly','class'=>'form-control','style'=>'padding: 5px !important; text-indent: 0px; border-bottom: 1px solid #ccc !important;'])); ?>

                    </div>


                    <div class="col-xs-6">
                        <label for="block" style="margin-top: 0;"><?php echo e(trans('layout.city')); ?></label>
                        <?php echo e(Form::text('block',$address['city'],['readonly','class'=>'form-control','style'=>'padding: 5px !important; text-indent: 0px; border-bottom: 1px solid #ccc !important;'])); ?>

                    </div>


                    <div class="col-xs-6">
                        <label for="block" style="margin-top: 0;"><?php echo e(trans('layout.block')); ?></label>
                        <?php echo e(Form::text('block',$address['block'],['readonly','class'=>'form-control','style'=>'padding: 5px !important; text-indent: 0px; border-bottom: 1px solid #ccc !important;'])); ?>

                    </div>

                    <div class="col-xs-6">
                        <label for="street" style="margin-top: 0;"><?php echo e(trans('layout.street')); ?></label>
                        <?php echo e(Form::text('street',$address['street'],['readonly','class'=>'form-control','style'=>'padding: 5px !important; text-indent: 0px; border-bottom: 1px solid #ccc !important;'])); ?>

                    </div>

                    <div class="col-xs-6">
                        <label for="jada" style="margin-top: 0;"><?php echo e(trans('layout.jada')); ?></label>
                        <?php echo e(Form::text('jada',$address['jada'],['readonly','class'=>'form-control','style'=>'padding: 5px !important; text-indent: 0px; border-bottom: 1px solid #ccc !important;'])); ?>

                    </div>

                    <div class="col-xs-6">
                        <label for="building" style="margin-top: 0;"><?php echo e(trans('layout.building')); ?></label>
                        <?php echo e(Form::text('building',$address['building'],['readonly','class'=>'form-control','style'=>'padding: 5px !important; text-indent: 0px; border-bottom: 1px solid #ccc !important;'])); ?>

                    </div>

                    <div class="col-xs-6">
                        <label for="floor" style="margin-top: 0;"><?php echo e(trans('layout.floor')); ?></label>
                        <?php echo e(Form::text('floor',$address['floor'],['readonly','class'=>'form-control','style'=>'padding: 5px !important; text-indent: 0px; border-bottom: 1px solid #ccc !important;'])); ?>

                    </div>

                    <div class="col-xs-6">
                        <label for="flat" style="margin-top: 0;"><?php echo e(trans('layout.flat')); ?></label>
                        <?php echo e(Form::text('flat',$address['flat'],['readonly','class'=>'form-control','style'=>'padding: 5px !important; text-indent: 0px; border-bottom: 1px solid #ccc !important;'])); ?>

                    </div>

                    <div class="col-xs-12">
                        <label for="more" style="margin-top: 0;"><?php echo e(trans('layout.more')); ?></label>
                        <?php echo e(Form::textarea('more',$address['more'],['readonly','class'=>'form-control','style'=>'padding: 5px !important; text-indent: 0px; border-bottom: 1px solid #ccc !important;','rows'=>3])); ?>

                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

<?php endif; ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>

<script>
    // open address
    $('#open_address').click(function () {
        $('.cart_contain').slideUp();
        $('.address_contain').slideDown();
        $('html, body').animate({
            scrollTop: $(".address_contain").offset().top
        }, 1000);
    });

    // cancel address
    $('#cancel_address').click(function () {
        $('.address_contain').slideUp();
        $('.cart_contain').slideDown();
    });

    // add new address
    $('#save_address').click(function () {
        $('#address_result').html('');
        $('#address_result_2').html('');
        var base_url = $('#base-url').val();
        var city_id = $('#address_city').val();
        var title = $('#address_title').val();
        var block = $('#address_block').val();
        var street = $('#address_street').val();
        var jada = $('#address_jada').val();
        var building = $('#address_building').val();
        var floor = $('#address_floor').val();
        var flat = $('#address_flat').val();
        var more = $('#address_more').val();
        var lat = $('#lat').val();
        var lng = $('#lng').val();
        var success = 1;
        if (title == "") {
            success = 0;
            $('#address_result').append('<div class="alert alert-danger"><?php echo trans('interface.address_title'); ?></div>');
        }
        if (block == "") {
            success = 0;
            $('#address_result').append('<div class="alert alert-danger"><?php echo trans('interface.address_block'); ?></div>');
        }
        if (street == "") {
            success = 0;
            $('#address_result').append('<div class="alert alert-danger"><?php echo trans('interface.address_street'); ?></div>');
        }
        if (building == "") {
            success = 0;
            $('#address_result').append('<div class="alert alert-danger"><?php echo trans('interface.address_building'); ?></div>');
        }
        if (success == 1) {
            $.ajax({
                type: "GET",
                url: base_url + "/add_address?city_id=" + city_id + "&title=" + title + "&block=" + block + "&street=" + street + "&jada=" + jada + "&building=" + building + "&floor=" + floor + "&flat=" + flat + "&more=" + more + "&lat=" + lat + "&lng=" + lng,
                success: function (datas) {
                    $('#address_select').append('<option value="' + datas.id + '">' + datas.title + ' - ' + datas.governorate + ' - ' + datas.city + '</option>');
                }
            });
            $('#address_city').val('');
            $('#address_title').val('');
            $('#address_block').val('');
            $('#address_street').val('');
            $('#address_jada').val('');
            $('#address_building').val('');
            $('#address_floor').val('');
            $('#address_flat').val('');
            $('#address_more').val('');
            $('#address_result_2').append('<div class="alert alert-success"><?php echo trans('layout.address_suc'); ?></div>');
            $('.address_contain').slideUp();
            $('.cart_contain').slideDown();
            $('html, body').animate({
                scrollTop: $("#address_result_2").offset().top
            }, 1000);
        } else {
            $('html, body').animate({
                scrollTop: $("#address_result").offset().top
            }, 1000);
        }

    });

    // change_address
    $('#address_select').change(function () {
        var id = $(this).val();
        $('#Address_' + id).modal('show');
    });

    // submit checkout
    $('#checkout').click(function () {
        var address = $('#address_select').val();
        var pay_type = $('#pay_type').val();
        var total = $('#cart_total').val();
        var min_charge = $('#cart_min_charge').val();
        var delivery = $('#cart_delivery').val();

        if (address == "" || pay_type == "") {
            var error = $('#checkout').attr('error');
            $('#element_to_pop_up').show();
            $('#element_to_pop_up').html("<p style='color:#f00;'>" + error + "</p>");
            $('#element_to_pop_up').bPopup();
            return false;
        } else if (parseFloat(min_charge) > (parseFloat(total) - parseFloat(delivery))) {
            var error = $('#cart_min_charge').attr('error_min_charge');
            $('#element_to_pop_up').show();
            $('#element_to_pop_up').html("<p style='color:#f00;'>" + error + "</p>");
            $('#element_to_pop_up').bPopup();
            return false;
        }

        $('.checkout_form').submit();
    });
</script>

<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyC9uAy1z9dxw9aHx6_NJPRA0ih0UD-dCOU&callback=initMap&language=ar&region=EG"></script>
<script type="text/javascript">
    var marker;
    var lat;
    var lng;
    var map;
    function updateMarkerPosition(latLng) {
        document.getElementById('lat').value = latLng.lat();
        document.getElementById('lng').value = latLng.lng();
    }

    function placeMarker(location) {
        if (marker) {
            marker.setPosition(location);
        } else {
            marker = new google.maps.Marker({
                position: location,
                map: map
            });
        }
    }

    function initialize() {
        var lat = document.getElementById('lat').value;
        var lng = document.getElementById('lng').value;
        if (!lat && !lng) {
            var latLng = new google.maps.LatLng(29.33220310463716, 48.01300048828125);
        } else {
            var latLng = new google.maps.LatLng(lat, lng);
        }

        map = new google.maps.Map(document.getElementById('mapCanvas'), {
            zoom: 12,
            center: latLng,
            mapTypeId: google.maps.MapTypeId.ROADMAP
        });
        marker = new google.maps.Marker({
            position: latLng,
            map: map
        });
        marker.set(map);
        updateMarkerPosition(latLng);
        google.maps.event.addListener(map, 'click', function (event) {
            placeMarker(event.latLng);
            updateMarkerPosition(event.latLng);
        });
    }

    google.maps.event.addDomListener(window, 'load', initialize);

    $(document).ready(function () {
        $('.address_contain').slideUp();
    });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('interface.layout', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>