<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.subscribes_menu')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin/subscribes_menu')); ?>"> <?php echo e(trans('layout.subscribes_menu')); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.subscribe_menu_edit')); ?></li>
    </ol>
</section>

<section class="content">

    <div class="box box-default">
        <div class="box-header with-border">
            <h3 class="box-title"><?php echo e(trans('layout.subscribe_menu_edit')); ?></h3>

            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
            </div>
        </div>

        <form action="<?php echo e(URL::to('admin/subscribes_menu/'.$subscribe_menu['id'])); ?>" method="post">
            <?php echo e(Form::hidden('_method','PATCH')); ?>

            <?php echo e(csrf_field()); ?>


            <div class="box-body">
                <div class="row">
                    <div class="col-12">
                        <?php if(Session::has('message')): ?>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="alert alert-success alert-dismissible">
                                    <?php echo e(Session::get('message')); ?>

                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>

                        <br><br><br>

                        <div class="form-group row">
                            <label for="date_start" class="col-sm-2 col-form-label"><?php echo e(trans('layout.date_start')); ?></label>
                            <div class="col-sm-10">
                                <?php echo e(Form::text('date_start', $subscribe_menu['start'], ['class'=>'form-control','id'=>'date_start'])); ?>

                                <?php if($errors->has('date_start')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('date_start')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="date_end" class="col-sm-2 col-form-label"><?php echo e(trans('layout.date_end')); ?></label>
                            <div class="col-sm-10">
                                <?php echo e(Form::text('date_end', $subscribe_menu['end'], ['class'=>'form-control','id'=>'date_end'])); ?>

                                <?php if($errors->has('date_end')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('date_end')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_5" class="col-sm-2 col-form-label"><?php echo e(trans('layout.meals')); ?></label>
                            <div class="col-sm-10">
                                <?php $__currentLoopData = $meals; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $meal): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php
                                $check = false;
                                if (\App\SubscribeMenuMeal::where('meal_id', $meal['id'])->where('menu_id', $subscribe_menu['id'])->count() > 0) {
                                    $check = true;
                                }
                                ?>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('meals[]',$meal['id'],$check,['id'=>'Checkbox_'.$meal['id']])); ?>

                                    <label for="Checkbox_<?php echo e($meal['id']); ?>"><?php echo e($meal[$lang.'_name']); ?></label>
                                </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php if($errors->has('meals')): ?>
                                <div class='clearfix'></div>
                                <div class="alert alert-danger"><?php echo e($errors->first('meals')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                    </div>
                </div>
            </div>

            <div class="box-footer">
                <button type="submit" class="btn btn-primary btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.save')); ?></button>
                <a href="<?php echo e(URL::to('admin/subscribes_menu')); ?>" class="btn btn-default btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.back')); ?></a>
            </div>

        </form>

    </div>

</section>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.form', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>