<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.admin')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="<?php echo e(URL::to('admin')); ?>"><i class="fa fa-home"></i> <?php echo e(trans('layout.home')); ?></a></li>
    </ol>
</section>

<!-- Main content -->
<section class="content">

    <div class="row">
        <div class="col-lg-12 col-xl-9">
            <!-- TABLE: LATEST ORDERS -->
            <div class="box box-info">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(trans('layout.orders_today')); ?> : <?php echo e(date('d-m-Y')); ?></h3>

                    <div class="box-tools pull-left">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                        </button>
                        <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
                    </div>
                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    <div class="table-responsive">
                        <table class="table table-responsive no-margin">
                            <thead>
                                <tr>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.customer')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.time')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.total')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.pay_type')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.time_type')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.governate')); ?> - <?php echo e(trans('layout.city')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.order_status')); ?></th>
                                    <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.edit')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $orders = App\Order::where('date', date('Y-m-d'))->get(); ?>
                                <?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if(Auth::User()->Group['country'] == "all"): ?>
                                <tr>
                                    <td>
                                        <?php if($order['user_type'] == "user"): ?>
                                        <?php echo e($order['User']['name']); ?>

                                        <?php else: ?>
                                        <?php echo e($order['Visitor']['name']); ?>                                    
                                        <?php endif; ?>
                                    </td>
                                    <td><?php echo e($order['time']); ?></td>
                                    <td><?php echo e(number_format($order['total'] + $order['delivery'], 3, '.', '') .' '.$order['currency_'.$lang]); ?></td>
                                    <td>
                                        <?php if($order['pay_type'] == "cash"): ?>
                                        <span class="label bg-green"><?php echo e(trans('layout.cash')); ?></span>
                                        <?php else: ?>
                                        <span class="label bg-red"><?php echo e(trans('layout.knet')); ?></span>
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if($order['time_type'] == "later"): ?>
                                        <span class="label bg-blue"><?php echo e(trans('layout.later')); ?></span>
                                        <?php else: ?>
                                        <span class="label bg-orange"><?php echo e(trans('layout.now')); ?></span>
                                        <?php endif; ?>
                                    </td>
                                    <td><?php echo e($order['governate_'.$lang].' - '.$order['city_'.$lang]); ?></td>
                                    <td>
                                        <?php if($order['status'] == "new"): ?>
                                        <span class="label bg-primary"><?php echo e(trans('layout.order_'.$order['status'])); ?></span>
                                        <?php elseif($order['status'] == "delivery"): ?>
                                        <span class="label bg-info"><?php echo e(trans('layout.order_'.$order['status'])); ?></span>
                                        <?php elseif($order['status'] == "done"): ?>
                                        <span class="label bg-success"><?php echo e(trans('layout.order_'.$order['status'])); ?></span>
                                        <?php elseif($order['status'] == "cancel"): ?>
                                        <span class="label bg-danger"><?php echo e(trans('layout.order_'.$order['status'])); ?></span>
                                        <?php endif; ?>

                                    </td>
                                    <td>
                                        <?php echo e(Form::open(array('url' =>'admin/orders/'.$order->id.'/edit', 'method' => 'GET'))); ?>

                                        <button  type="submit" class="btn default btn-sm btn-success"><i class="fa fa-edit"></i> <?php echo e(trans('layout.edit')); ?> </button>
                                        <?php echo e(Form::close()); ?>

                                    </td>
                                </tr>
                                <?php else: ?>
                                <?php if($order['country_'.$lang] == Auth::User()->Country[$lang.'_name']): ?>
                                <tr>
                                    <td>
                                        <?php if($order['user_type'] == "user"): ?>
                                        <?php echo e($order['User']['name']); ?>

                                        <?php else: ?>
                                        <?php echo e($order['Visitor']['name']); ?>                                    
                                        <?php endif; ?>
                                    </td>
                                    <td><?php echo e($order['time']); ?></td>
                                    <td><?php echo e(number_format($order['total'] + $order['delivery'], 3, '.', '') .' '.$order['currency_'.$lang]); ?></td>
                                    <td>
                                        <?php if($order['pay_type'] == "cash"): ?>
                                        <?php echo e(trans('layout.cash')); ?>

                                        <?php else: ?>
                                        <?php echo e(trans('layout.knet')); ?>

                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if($order['time_type'] == "later"): ?>
                                        <?php echo e(trans('layout.later')); ?>

                                        <?php else: ?>
                                        <?php echo e(trans('layout.now')); ?>

                                        <?php endif; ?>
                                    </td>
                                    <td><?php echo e($order['governate_'.$lang].' - '.$order['city_'.$lang]); ?></td>
                                    <td><?php echo e(trans('layout.order_'.$order['status'])); ?></td>
                                    <td>
                                        <?php echo e(Form::open(array('url' =>'admin/orders/'.$order->id.'/edit', 'method' => 'GET'))); ?>

                                        <button  type="submit" class="btn default btn-sm btn-success"><i class="fa fa-edit"></i> <?php echo e(trans('layout.edit')); ?> </button>
                                        <?php echo e(Form::close()); ?>

                                    </td>
                                </tr>
                                <?php endif; ?>
                                <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                    <!-- /.table-responsive -->
                </div>
                <!-- /.box-body -->
                <div class="box-footer clearfix">
                    <a href="<?php echo e(URL::to('admin/orders?status=new')); ?>" class="btn btn-sm btn-primary btn-flat pull-left"><?php echo e(trans('layout.show_all')); ?></a>
                </div>
                <!-- /.box-footer -->
            </div>
            <!-- /.box -->
        </div>

        <div class="col-xl-3 connectedSortable">
            <!-- weather -->
            <div class="box bg-blue text-center">			
                <div class="box-body">
                    <div class="p-5">
                        <h3 class="white">
                            <span class="font-size-30">Kuwait City </span>
                        </h3>
                        <p class="weather-day-date mb-30">
                            <span class="mr-5"><?php echo e(date('l')); ?></span> <?php echo e(date('Y-m-d')); ?>

                        </p>
                        <div class="mb-30 weather-icon">
                            <div class="inline-block" dir="ltr">
                                <span class="font-size-50">
                                    <?php echo e($data['temperatue']); ?>

                                    <span class="font-size-40">C</span>
                                </span>

                                <p class="text-left"><?php echo e($data['summary']); ?></p>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.box-body -->
            </div>
            <!-- /.box -->
        </div>
    </div>

    <div class="row">
        <?php $countries = App\Country::count(); ?>
        <div class="col-12 col-md-6 col-lg-3">
            <div class="info-box">
                <a href="<?php echo e(URL::to('admin/countries')); ?>">
                    <span class="info-box-icon bg-blue"><i class="fa fa-map-marker"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-number"><?php echo e($countries); ?></span>
                        <span class="info-box-text"><?php echo e(trans('layout.countries')); ?></span>
                    </div>
                </a>
            </div>
        </div>

        <?php $goverantes = App\Governate::count(); ?>
        <div class="col-12 col-md-6 col-lg-3">
            <div class="info-box">
                <a href="<?php echo e(URL::to('admin/governates/')); ?>">
                    <span class="info-box-icon bg-green"><i class="fa fa-map"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-number"><?php echo e($goverantes); ?></span>
                        <span class="info-box-text"><?php echo e(trans('layout.governates')); ?></span>
                    </div>
                </a>
            </div>
        </div>

        <?php $cities = App\City::count(); ?>
        <div class="col-12 col-md-6 col-lg-3">
            <div class="info-box">
                <a href="<?php echo e(URL::to('admin/cities/')); ?>">
                    <span class="info-box-icon bg-purple"><i class="fa fa-road"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-number"><?php echo e($cities); ?></span>
                        <span class="info-box-text"><?php echo e(trans('layout.cities')); ?></span>
                    </div>
                </a>
            </div>
        </div>

        <?php $branches = App\Branch::count(); ?>
        <div class="col-12 col-md-6 col-lg-3">
            <div class="info-box">
                <a href="<?php echo e(URL::to('admin/branches/')); ?>">
                    <span class="info-box-icon bg-red"><i class="fa fa-building"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-number"><?php echo e($branches); ?></span>
                        <span class="info-box-text"><?php echo e(trans('layout.branches')); ?></span>
                    </div>
                </a>
            </div>
        </div>

        <?php $groups = App\Group::count(); ?>
        <div class="col-12 col-md-6 col-lg-3">
            <div class="info-box">
                <a href="<?php echo e(URL::to('admin/groups/')); ?>">
                    <span class="info-box-icon bg-yellow"><i class="fa fa-android"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-number"><?php echo e($groups); ?></span>
                        <span class="info-box-text"><?php echo e(trans('layout.groups')); ?></span>
                    </div>
                </a>
            </div>
        </div>

        <?php $admins = App\User::where('type', 'admin')->count(); ?>
        <div class="col-12 col-md-6 col-lg-3">
            <div class="info-box">
                <a href="<?php echo e(URL::to('admin/admins/')); ?>">
                    <span class="info-box-icon bg-black"><i class="fa fa-user-secret"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-number"><?php echo e($admins); ?></span>
                        <span class="info-box-text"><?php echo e(trans('layout.admins')); ?></span>
                    </div>
                </a>
            </div>
        </div>

        <?php $users = App\User::where('type', 'user')->count(); ?>
        <div class="col-12 col-md-6 col-lg-3">
            <div class="info-box">
                <a href="<?php echo e(URL::to('admin/users/')); ?>">
                    <span class="info-box-icon bg-fuchsia"><i class="fa fa-user"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-number"><?php echo e($users); ?></span>
                        <span class="info-box-text"><?php echo e(trans('layout.users')); ?></span>
                    </div>
                </a>
            </div>
        </div>

        <?php $visitors = App\Visitor::count(); ?>
        <div class="col-12 col-md-6 col-lg-3">
            <div class="info-box">
                <a href="<?php echo e(URL::to('admin/visitors/')); ?>">
                    <span class="info-box-icon bg-light-blue"><i class="fa fa-users"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-number"><?php echo e($visitors); ?></span>
                        <span class="info-box-text"><?php echo e(trans('layout.visitors')); ?></span>
                    </div>
                </a>
            </div>
        </div>

        <?php $depts = App\Dept::count(); ?>
        <div class="col-12 col-md-6 col-lg-3">
            <div class="info-box">
                <a href="<?php echo e(URL::to('admin/depts/')); ?>">
                    <span class="info-box-icon bg-lime"><i class="fa fa-sitemap"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-number"><?php echo e($depts); ?></span>
                        <span class="info-box-text"><?php echo e(trans('layout.depts')); ?></span>
                    </div>
                </a>
            </div>
        </div>

        <?php $meals = App\Meal::count(); ?>
        <div class="col-12 col-md-6 col-lg-3">
            <div class="info-box">
                <a href="<?php echo e(URL::to('admin/meals/')); ?>">
                    <span class="info-box-icon bg-maroon"><i class="fa fa-cutlery"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-number"><?php echo e($meals); ?></span>
                        <span class="info-box-text"><?php echo e(trans('layout.meals')); ?></span>
                    </div>
                </a>
            </div>
        </div>

        <?php $orders_new = App\Order::where('status', 'new')->count(); ?>
        <div class="col-12 col-md-6 col-lg-3">
            <div class="info-box">
                <a href="<?php echo e(URL::to('admin/orders?status=new')); ?>">
                    <span class="info-box-icon bg-teal"><i class="fa fa-calendar"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-number"><?php echo e($orders_new); ?></span>
                        <span class="info-box-text"><?php echo e(trans('layout.orders_new')); ?></span>
                    </div>
                </a>
            </div>
        </div>

        <?php $orders_delivery = App\Order::where('status', 'delivery')->count(); ?>
        <div class="col-12 col-md-6 col-lg-3">
            <div class="info-box">
                <a href="<?php echo e(URL::to('admin/orders?status=delivery')); ?>">
                    <span class="info-box-icon bg-navy"><i class="fa fa-truck"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-number"><?php echo e($orders_delivery); ?></span>
                        <span class="info-box-text"><?php echo e(trans('layout.orders_delivery')); ?></span>
                    </div>
                </a>
            </div>
        </div>

        <?php $orders_done = App\Order::where('status', 'done')->count(); ?>
        <div class="col-12 col-md-6 col-lg-3">
            <div class="info-box">
                <a href="<?php echo e(URL::to('admin/orders?status=done')); ?>">
                    <span class="info-box-icon bg-olive"><i class="fa fa-handshake-o"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-number"><?php echo e($orders_done); ?></span>
                        <span class="info-box-text"><?php echo e(trans('layout.orders_done')); ?></span>
                    </div>
                </a>
            </div>
        </div>

        <?php $orders_cancel = App\Order::where('status', 'cancel')->count(); ?>
        <div class="col-12 col-md-6 col-lg-3">
            <div class="info-box">
                <a href="<?php echo e(URL::to('admin/orders?status=cancel')); ?>">
                    <span class="info-box-icon bg-orange"><i class="fa fa-thumbs-down"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-number"><?php echo e($orders_cancel); ?></span>
                        <span class="info-box-text"><?php echo e(trans('layout.orders_cancel')); ?></span>
                    </div>
                </a>
            </div>
        </div>

        <?php $subscribes = App\Subscribe::count(); ?>
        <div class="col-12 col-md-6 col-lg-3">
            <div class="info-box">
                <a href="<?php echo e(URL::to('admin/subscribes')); ?>">
                    <span class="info-box-icon bg-blue"><i class="fa fa-sign-in"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-number"><?php echo e($subscribes); ?></span>
                        <span class="info-box-text"><?php echo e(trans('layout.subscribes')); ?></span>
                    </div>
                </a>
            </div>
        </div>

        <?php $subscribe_menus = App\SubscribeMenu::count(); ?>
        <div class="col-12 col-md-6 col-lg-3">
            <div class="info-box">
                <a href="<?php echo e(URL::to('admin/subscribes_menu')); ?>">
                    <span class="info-box-icon bg-green"><i class="fa fa-coffee"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-number"><?php echo e($subscribe_menus); ?></span>
                        <span class="info-box-text"><?php echo e(trans('layout.subscribes_menu')); ?></span>
                    </div>
                </a>
            </div>
        </div>

        <?php $blog_depts = App\BlogDept::count(); ?>
        <div class="col-12 col-md-6 col-lg-3">
            <div class="info-box">
                <a href="<?php echo e(URL::to('admin/blog_depts')); ?>">
                    <span class="info-box-icon bg-purple"><i class="fa fa-sitemap"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-number"><?php echo e($blog_depts); ?></span>
                        <span class="info-box-text"><?php echo e(trans('layout.blog_depts')); ?></span>
                    </div>
                </a>
            </div>
        </div>

        <?php $blogs = App\Blog::count(); ?>
        <div class="col-12 col-md-6 col-lg-3">
            <div class="info-box">
                <a href="<?php echo e(URL::to('admin/blog_depts')); ?>">
                    <span class="info-box-icon bg-red"><i class="fa fa-pencil-square"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-number"><?php echo e($blogs); ?></span>
                        <span class="info-box-text"><?php echo e(trans('layout.blog')); ?></span>
                    </div>
                </a>
            </div>
        </div>

        <?php $pages = App\Page::count(); ?>
        <div class="col-12 col-md-6 col-lg-3">
            <div class="info-box">
                <a href="<?php echo e(URL::to('admin/pages')); ?>">
                    <span class="info-box-icon bg-yellow"><i class="fa fa-files-o"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-number"><?php echo e($pages); ?></span>
                        <span class="info-box-text"><?php echo e(trans('layout.pages')); ?></span>
                    </div>
                </a>
            </div>
        </div>

        <?php $slider = App\Slider::count(); ?>
        <div class="col-12 col-md-6 col-lg-3">
            <div class="info-box">
                <a href="<?php echo e(URL::to('admin/slider')); ?>">
                    <span class="info-box-icon bg-black"><i class="fa fa-photo"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-number"><?php echo e($slider); ?></span>
                        <span class="info-box-text"><?php echo e(trans('layout.slider')); ?></span>
                    </div>
                </a>
            </div>
        </div>

        <?php $newsletter = App\Newsletter::count(); ?>
        <div class="col-12 col-md-6 col-lg-3">
            <div class="info-box">
                <a href="<?php echo e(URL::to('admin/newsletter')); ?>">
                    <span class="info-box-icon bg-fuchsia"><i class="fa fa-envelope"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-number"><?php echo e($newsletter); ?></span>
                        <span class="info-box-text"><?php echo e(trans('layout.newsletter')); ?></span>
                    </div>
                </a>
            </div>
        </div>

        <?php $contact = App\Contact::count(); ?>
        <div class="col-12 col-md-6 col-lg-3">
            <div class="info-box">
                <a href="<?php echo e(URL::to('admin/contact')); ?>">
                    <span class="info-box-icon bg-light-blue"><i class="fa fa-phone-square"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-number"><?php echo e($contact); ?></span>
                        <span class="info-box-text"><?php echo e(trans('layout.contact')); ?></span>
                    </div>
                </a>
            </div>
        </div>

    </div>


    <div class="row">
        <div class="col-lg-12 col-xl-7 connectedSortable">
            <div class="box box-primary">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(trans('layout.most_sale')); ?></h3>

                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    <ul class="products-list product-list-in-box">
                        <?php $most = DB::table('orders_meals')->selectRaw('meal_id, sum(count) as sum')->orderBy('sum', 'desc')->groupBy('meal_id')->take(6)->get()->toArray(); ?>
                        <?php $__currentLoopData = $most; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $one): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php $meal = App\Meal::find($one->meal_id); ?>
                        <li class="item">
                            <div class="product-img">
                                <img src="<?php echo e(URL::to('upload/meals/'.$meal['image'])); ?>" alt="<?php echo e($meal[$lang.'_name']); ?>">
                            </div>
                            <div class="product-info">
                                <a href="<?php echo e(URL::to('admin/meals/'.$meal['id'].'/edit')); ?>" class="product-title"><?php echo e($meal[$lang.'_name']); ?>

                                    <span class="label label-success pull-left"><?php echo e($one->sum); ?></span>
                                </a>
                                <span class="product-description">
                                    <?php echo e($meal['Dept'][$lang.'_name']); ?>

                                </span>
                            </div>
                        </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
            </div>
            <!-- TABLE: LATEST ORDERS -->

        </div>

        <section class="col-xl-5 connectedSortable">
            <!-- interactive chart -->
            <div class="box box-primary">
                <div class="box-header with-border">
                    <i class="fa fa-line-chart"></i>
                    <h3 class="box-title"><?php echo e(trans('layout.countries_analysis')); ?></h3>
                </div>
                <?php $coutries_analysis = DB::table('api_key')->select(DB::raw('count(*) as total'), 'country_id')->groupby('country_id')->get(); ?>
                <?php $coutries_analysis_count = DB::table('api_key')->count(); ?>
                <div class="box-body">
                    <?php $__currentLoopData = $coutries_analysis; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php $country_name = \App\Country::find($country->country_id); ?>
                    <div class="progress-group">
                        <span class="progress-text"><?php echo e($country_name[$lang.'_name']); ?></span>
                        <span class="progress-number"><b><?php echo e($country->total); ?></b>/<?php echo e($coutries_analysis_count); ?></span>

                        <div class="progress sm">
                            <div class="progress-bar progress-bar-aqua" style="width: <?php echo e($country->total/$coutries_analysis_count*100); ?>%"></div>
                        </div>
                    </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
                <!-- /.box-body-->
            </div>
        </section>
    </div>

    <div class="row">

        <section class="col-xl-7 connectedSortable">
            <div class="box">
                <div class="box-header">
                    <i class="fa fa-comments"></i>
                    <h3 class="box-title"><?php echo e(trans('layout.contact')); ?></h3>
                </div>
                <div class="box-body chat" id="chat-box">
                    <?php $contacts = \App\Contact::where('reply', '')->orderBy('id', 'desc')->get() ?>
                    <?php $__currentLoopData = $contacts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $contact): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="item">
                        <img src="<?php echo e(URL::to('admin_panel')); ?>/images/user4-128x128.jpg" alt="<?php echo e($contact['title']); ?>" class="online">

                        <p class="message">
                            <a href="<?php echo e(URL::to('admin/contact/'.$contact['id'].'/edit')); ?>" class="name">
                                <small class="text-muted pull-left"><i class="fa fa-clock-o"></i> <?php echo e(date('Y-m-d',strtotime($contact['created_at']))); ?></small>
                                <?php echo e($contact['name']); ?>

                            </a>
                            <?php echo e($contact['title']); ?>

                        </p>
                    </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>


        </section>

        <section class="col-xl-5 connectedSortable">
            <div class="box box-default">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(trans('layout.phone_platform')); ?></h3>
                </div>
                <div class="box-body">
                    <div class="row">
                        <div class="col-lg-8 col-md-12">
                            <div class="chart-responsive">
                                <canvas id="pieChart" height="150"></canvas>
                            </div>
                        </div>
                        <div class="col-lg-4 col-md-12">
                            <ul class="chart-legend clearfix">
                                <label class="hidden" id="ios_user" value="<?php echo e(DB::table('api_key')->where('platform','ios')->count()); ?>"></label>
                                <label class="hidden" id="andorid_user" value="<?php echo e(DB::table('api_key')->where('platform','android')->count()); ?>"></label>
                                <li><i class="fa fa-circle-o text-blue"></i> IOS</li>
                                <li><i class="fa fa-circle-o text-green"></i> Android</li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>

            <div class="box box-default">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(trans('layout.language_analysis')); ?></h3>
                </div>
                <div class="box-body">
                    <div class="row">
                        <div class="col-lg-8 col-md-12">
                            <div class="chart-responsive">
                                <canvas id="pieChart2" height="150"></canvas>
                            </div>
                        </div>
                        <div class="col-lg-4 col-md-12">
                            <ul class="chart-legend clearfix">
                                <label class="hidden" id="arabic_user" value="<?php echo e(DB::table('api_key')->where('lang','ar')->count()); ?>"></label>
                                <label class="hidden" id="english_user" value="<?php echo e(DB::table('api_key')->where('lang','en')->count()); ?>"></label>
                                <li><i class="fa fa-circle-o text-red"></i> English</li>
                                <li><i class="fa fa-circle-o text-purple"></i> Arabic</li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </section>

    </div>


    <div class="row">
        <div class="col">
            <div class="box">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(trans('layout.year_report')); ?></h3>
                </div>
                <div class="box-body">
                    <div class="row">
                        <div class="col-md-12 col-lg-10">
                            <p class="text-center">
                                <strong>Duration : 1 Jan, <?php echo e(date('Y')); ?> - 31 Dec, <?php echo e(date('Y')); ?></strong>
                            </p>

                            <div class="chart">
                                <!-- Sales Chart Canvas -->
                                <canvas id="salesChart" style="height: 300px;"></canvas>

                            </div>
                            <!-- /.chart-responsive -->
                        </div>
                        <!-- /.col -->
                        <div class="col-md-12 col-lg-2">
                            <?php
                            $orders_count_jan = App\Order::whereBetween('date', [date('Y') . '-01-01', date('Y') . '-01-31'])->count();
                            $orders_count_feb = App\Order::whereBetween('date', [date('Y') . '-02-01', date('Y') . '-02-31'])->count();
                            $orders_count_mar = App\Order::whereBetween('date', [date('Y') . '-03-01', date('Y') . '-03-31'])->count();
                            $orders_count_apr = App\Order::whereBetween('date', [date('Y') . '-04-01', date('Y') . '-04-31'])->count();
                            $orders_count_may = App\Order::whereBetween('date', [date('Y') . '-05-01', date('Y') . '-05-31'])->count();
                            $orders_count_jun = App\Order::whereBetween('date', [date('Y') . '-06-01', date('Y') . '-06-31'])->count();
                            $orders_count_jul = App\Order::whereBetween('date', [date('Y') . '-07-01', date('Y') . '-07-31'])->count();
                            $orders_count_aug = App\Order::whereBetween('date', [date('Y') . '-08-01', date('Y') . '-08-31'])->count();
                            $orders_count_sep = App\Order::whereBetween('date', [date('Y') . '-09-01', date('Y') . '-09-31'])->count();
                            $orders_count_oct = App\Order::whereBetween('date', [date('Y') . '-10-01', date('Y') . '-10-31'])->count();
                            $orders_count_nov = App\Order::whereBetween('date', [date('Y') . '-11-01', date('Y') . '-11-31'])->count();
                            $orders_count_dec = App\Order::whereBetween('date', [date('Y') . '-12-01', date('Y') . '-12-31'])->count();
                            $colors = ['green', 'red', 'yellow', 'blue'];
                            $colors_bg = ['#33bf7a', '#f95454', '#efb614', '#0a89c1'];
                            $countries = App\Country::get();
                            $i = 0;
                            ?>
                            <?php $__currentLoopData = $countries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php
                            $country_count_jan = App\Order::where('country_' . $lang, $country[$lang . '_name'])->whereBetween('date', [date('Y') . '-01-01', date('Y') . '-01-31'])->count();
                            $country_count_feb = App\Order::where('country_' . $lang, $country[$lang . '_name'])->whereBetween('date', [date('Y') . '-02-01', date('Y') . '-02-31'])->count();
                            $country_count_mar = App\Order::where('country_' . $lang, $country[$lang . '_name'])->whereBetween('date', [date('Y') . '-03-01', date('Y') . '-03-31'])->count();
                            $country_count_apr = App\Order::where('country_' . $lang, $country[$lang . '_name'])->whereBetween('date', [date('Y') . '-04-01', date('Y') . '-04-31'])->count();
                            $country_count_may = App\Order::where('country_' . $lang, $country[$lang . '_name'])->whereBetween('date', [date('Y') . '-05-01', date('Y') . '-05-31'])->count();
                            $country_count_jun = App\Order::where('country_' . $lang, $country[$lang . '_name'])->whereBetween('date', [date('Y') . '-06-01', date('Y') . '-06-31'])->count();
                            $country_count_jul = App\Order::where('country_' . $lang, $country[$lang . '_name'])->whereBetween('date', [date('Y') . '-07-01', date('Y') . '-07-31'])->count();
                            $country_count_aug = App\Order::where('country_' . $lang, $country[$lang . '_name'])->whereBetween('date', [date('Y') . '-08-01', date('Y') . '-08-31'])->count();
                            $country_count_sep = App\Order::where('country_' . $lang, $country[$lang . '_name'])->whereBetween('date', [date('Y') . '-09-01', date('Y') . '-09-31'])->count();
                            $country_count_oct = App\Order::where('country_' . $lang, $country[$lang . '_name'])->whereBetween('date', [date('Y') . '-10-01', date('Y') . '-10-31'])->count();
                            $country_count_nov = App\Order::where('country_' . $lang, $country[$lang . '_name'])->whereBetween('date', [date('Y') . '-11-01', date('Y') . '-11-31'])->count();
                            $country_count_dec = App\Order::where('country_' . $lang, $country[$lang . '_name'])->whereBetween('date', [date('Y') . '-12-01', date('Y') . '-12-31'])->count();

                            if ($orders_count_jan == 0) {
                                $jan = 0;
                            } else {
                                $jan = $country_count_jan / $orders_count_jan * 100;
                            }
                            if ($orders_count_feb == 0) {
                                $feb = 0;
                            } else {
                                $feb = $country_count_feb / $orders_count_feb * 100;
                            }
                            if ($orders_count_mar == 0) {
                                $mar = 0;
                            } else {
                                $mar = $country_count_mar / $orders_count_mar * 100;
                            }
                            if ($orders_count_apr == 0) {
                                $apr = 0;
                            } else {
                                $apr = $country_count_apr / $orders_count_apr * 100;
                            }
                            if ($orders_count_may == 0) {
                                $may = 0;
                            } else {
                                $may = $country_count_may / $orders_count_may * 100;
                            }
                            if ($orders_count_jun == 0) {
                                $jun = 0;
                            } else {
                                $jun = $country_count_jun / $orders_count_jun * 100;
                            }
                            if ($orders_count_jul == 0) {
                                $jul = 0;
                            } else {
                                $jul = $country_count_jul / $orders_count_jul * 100;
                            }
                            if ($orders_count_aug == 0) {
                                $aug = 0;
                            } else {
                                $aug = $country_count_aug / $orders_count_aug * 100;
                            }
                            if ($orders_count_sep == 0) {
                                $sep = 0;
                            } else {
                                $sep = $country_count_sep / $orders_count_sep * 100;
                            }
                            if ($orders_count_oct == 0) {
                                $oct = 0;
                            } else {
                                $oct = $country_count_oct / $orders_count_oct * 100;
                            }
                            if ($orders_count_nov == 0) {
                                $nov = 0;
                            } else {
                                $nov = $country_count_nov / $orders_count_nov * 100;
                            }
                            if ($orders_count_dec == 0) {
                                $dec = 0;
                            } else {
                                $dec = $country_count_dec / $orders_count_dec * 100;
                            }
                            ?>
                            <label class="country_report hidden" jan="<?php echo e($jan); ?>" feb="<?php echo e($feb); ?>" mar="<?php echo e($mar); ?>" apr="<?php echo e($apr); ?>" may="<?php echo e($may); ?>" jun="<?php echo e($jun); ?>" jul="<?php echo e($jul); ?>" aug="<?php echo e($aug); ?>" sep="<?php echo e($sep); ?>" oct="<?php echo e($oct); ?>" nov="<?php echo e($nov); ?>" dec="<?php echo e($dec); ?>" name="<?php echo e($country['en_name']); ?>" color="<?php echo e($colors_bg[$i]); ?>" ></label>
                            <div class="progress-group <?php echo e($text); ?>">
                                <span class="progress-text"><?php echo e($country[$lang.'_name']); ?></span>

                                <div class="progress sm">
                                    <div class="progress-bar progress-bar-<?php echo e($colors[$i]); ?>" style="width: 100%"></div>
                                </div>
                            </div>
                            <?php if($i < 3): ?>
                            <?php $i++; ?>
                            <?php else: ?>
                            <?php $i = 0; ?>
                            <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


</section>
<!-- /.content -->

<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts'); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.index', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>