<?php
$lang = App::getLocale();
$float = "right";
if ($lang == "en") {
    $float = "left";
}
?>
<aside class="main-sidebar">
    <!-- sidebar: style can be found in sidebar.less -->
    <section class="sidebar" dir="<?php echo e($dir); ?>">
        <!-- Sidebar user panel -->
        <div class="user-panel">
            <div class="image float-<?php echo e($float); ?>">
                <?php if(Auth::User()->image == ""): ?>
                <img src="<?php echo e(URL::to('admin_panel')); ?>/images/user2-160x160.jpg" class="rounded" alt="<?php echo e(Auth::User()->name); ?>">
                <?php else: ?>
                <img src="<?php echo e(URL::to('upload/users/'.Auth::User()->image)); ?>" class="rounded" alt="<?php echo e(Auth::User()->name); ?>">                
                <?php endif; ?>
            </div>
            <div class="info float-right">
                <p><?php echo e(Auth::user()->username); ?></p>
                <a href="#"><i class="fa fa-circle text-success"></i> <?php echo e(trans('layout.online')); ?></a>
            </div>
        </div>

        <!-- sidebar menu: : style can be found in sidebar.less -->
        <ul class="sidebar-menu" data-widget="tree" style="padding-bottom: 50px;">
            <?php
            $url = URL::current();
            $orders = $places = $slider = $faq = $contact = $admins = $users = $site = $groups = $pages = $governates = $cities = $depts = $admin = $clients_opinions = $offers = "";
            if (strpos($url, 'site') !== false) {
                $site = "active";
            } elseif (strpos($url, 'groups') !== false) {
                $groups = "active";
            } elseif (strpos($url, 'pages') !== false) {
                $pages = "active";
            } elseif (strpos($url, 'governates') !== false) {
                $governates = "active";
            } elseif (strpos($url, 'cities') !== false) {
                $cities = "active";
            } elseif (strpos($url, 'orders') !== false) {
                $orders = "active";
            } elseif (strpos($url, 'users') !== false) {
                $users = "active";
            } elseif (strpos($url, 'admins') !== false) {
                $admins = "active";
            } elseif (strpos($url, 'contact') !== false) {
                $contact = "active";
            } elseif (strpos($url, 'faq') !== false) {
                $faq = "active";
            } elseif (strpos($url, 'depts') !== false) {
                $depts = "active";
            } elseif (strpos($url, 'slider') !== false) {
                $slider = "active";
            } elseif (strpos($url, 'places') !== false) {
                $places = "active";
            } elseif (strpos($url, 'clients-opinions') !== false) {
                $clients_opinions = "active";
            } elseif (strpos($url, 'offers') !== false) {
                $offers = "active";
            }
            else {
                $admin = "active";
            }

            $orders_role = $places_role = $site_role = $groups_role = $pages_role = $governates_role = $cities_role = $users_role = $admins_role = $contact_role = $faq_role = $depts_role = $slider_role = $clients_opinions_role = $offers_role = FALSE;
            foreach (Auth::User()->Group->Permissions as $permission) {
                if ($permission['permission'] == 'site') {
                    $site_role = TRUE;
                } elseif ($permission['permission'] == 'groups') {
                    $groups_role = TRUE;
                } elseif ($permission['permission'] == 'pages') {
                    $pages_role = TRUE;
                } elseif ($permission['permission'] == 'governates') {
                    $governates_role = TRUE;
                } elseif ($permission['permission'] == 'cities') {
                    $cities_role = TRUE;
                } elseif ($permission['permission'] == 'orders') {
                    $orders_role = TRUE;
                } elseif ($permission['permission'] == 'users') {
                    $users_role = TRUE;
                } elseif ($permission['permission'] == 'admins') {
                    $admins_role = TRUE;
                } elseif ($permission['permission'] == 'contact') {
                    $contact_role = TRUE;
                } elseif ($permission['permission'] == 'faq') {
                    $faq_role = TRUE;
                } elseif ($permission['permission'] == 'depts') {
                    $depts_role = TRUE;
                } elseif ($permission['permission'] == 'slider') {
                    $slider_role = TRUE;
                } elseif ($permission['permission'] == 'places') {
                    $places_role = TRUE;
                } elseif ($permission['permission'] == 'clients_opinions') {
                    $clients_opinions_role = TRUE;
                } elseif ($permission['permission'] == 'offers') {
                    $offers_role = TRUE;
                }
            }
            ?>

            <li class="">
                <a href="<?php echo e(URL::to('/')); ?>">
                    <i class="fa fa-home"></i>
                    <span><?php echo e(trans('layout.website')); ?></span>
                </a>
            </li>

            <li class="<?php echo e($admin); ?>">
                <a href="<?php echo e(URL::to('admin')); ?>">
                    <i class="fa fa-dashboard"></i>
                    <span><?php echo e(trans('layout.admin')); ?></span>
                </a>
            </li>

            <?php if($groups_role): ?>
            <li class="treeview <?php echo e($groups); ?>">
                <a href="#">
                    <i class="fa fa-android"></i>
                    <span><?php echo e(trans('layout.groups')); ?></span>
                    <span class="pull-<?php echo e($arrow); ?>-container">
                        <i class="fa fa-angle-<?php echo e($arrow); ?> pull-<?php echo e($arrow); ?>"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="<?php echo e(URL::to('admin/groups')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.show_all')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('admin/groups/create')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.group_add')); ?></a></li>
                </ul>
            </li>
            <?php endif; ?>

            <?php if($admins_role): ?>
            <li class="treeview <?php echo e($admins); ?>">
                <a href="#">
                    <i class="fa fa-user-secret"></i>
                    <span><?php echo e(trans('layout.admins')); ?></span>
                    <span class="pull-<?php echo e($arrow); ?>-container">
                        <i class="fa fa-angle-<?php echo e($arrow); ?> pull-<?php echo e($arrow); ?>"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="<?php echo e(URL::to('admin/admins')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.show_all')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('admin/admins/create')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.admin_add')); ?></a></li>
                </ul>
            </li>
            <?php endif; ?>

            <?php if($users_role): ?>
            <li class="<?php echo e($users); ?>">
                <a href="<?php echo e(URL::to('admin/users')); ?>">
                    <i class="fa fa-user-circle-o"></i>
                    <span><?php echo e(trans('layout.users')); ?></span>
                </a>
            </li>
            <?php endif; ?>

            <?php if($depts_role): ?>
            <li class="treeview <?php echo e($depts); ?>">
                <a href="#">
                    <i class="fa fa-sitemap"></i>
                    <span>الأقسام</span>
                    <span class="pull-<?php echo e($arrow); ?>-container">
                        <i class="fa fa-angle-<?php echo e($arrow); ?> pull-<?php echo e($arrow); ?>"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="<?php echo e(URL::to('admin/depts')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.show_all')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('admin/depts/create')); ?>"><i class="fa fa-circle-o"></i> إضافة قسم جديد</a></li>
                </ul>
            </li>
            <?php endif; ?>

            <?php if($places_role): ?>
            <li class="treeview <?php echo e($places); ?>">
                <a href="#">
                    <i class="fa fa-bank"></i>
                    <span>الأماكن</span>
                    <span class="pull-<?php echo e($arrow); ?>-container">
                        <i class="fa fa-angle-<?php echo e($arrow); ?> pull-<?php echo e($arrow); ?>"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="<?php echo e(URL::to('admin/places')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.show_all')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('admin/places/create')); ?>"><i class="fa fa-circle-o"></i> إضافة مكان جديد</a></li>
                </ul>
            </li>
            <?php endif; ?>

            <?php if($orders_role): ?>
            <li class="<?php echo e($orders); ?>">
                <a href="<?php echo e(URL::to('admin/orders')); ?>">
                    <i class="fa fa-shopping-cart"></i>
                    <span>طلبات الشراء</span>
                </a>
            </li>
            <?php endif; ?>

            <?php if($offers_role): ?>
                <li class="treeview <?php echo e($offers); ?>">
                    <a href="#">
                        <i class="fa fa-usd"></i>
                        <span><?php echo e(trans('layout.offers')); ?></span>
                        <span class="pull-<?php echo e($arrow); ?>-container">
                <i class="fa fa-angle-<?php echo e($arrow); ?> pull-<?php echo e($arrow); ?>"></i>
            </span>
                    </a>
                    <ul class="treeview-menu">
                        <li><a href="<?php echo e(URL::to('admin/offers')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.show_all')); ?></a></li>
                        <li><a href="<?php echo e(URL::to('admin/offers/create')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.offers_add')); ?></a></li>
                    </ul>
                </li>
            <?php endif; ?>

            <hr style='background: #fff;'>

            <?php if($governates_role): ?>
            <li class="treeview <?php echo e($governates); ?>">
                <a href="#">
                    <i class="fa fa-map"></i>
                    <span><?php echo e(trans('layout.governates')); ?></span>
                    <span class="pull-<?php echo e($arrow); ?>-container">
                        <i class="fa fa-angle-<?php echo e($arrow); ?> pull-<?php echo e($arrow); ?>"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="<?php echo e(URL::to('admin/governates')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.show_all')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('admin/governates/create')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.governate_add')); ?></a></li>
                </ul>
            </li>    
            <?php endif; ?>

            <?php if($cities_role): ?>
            <li class="treeview <?php echo e($cities); ?>">
                <a href="#">
                    <i class="fa fa-road"></i>
                    <span><?php echo e(trans('layout.cities')); ?></span>
                    <span class="pull-<?php echo e($arrow); ?>-container">
                        <i class="fa fa-angle-<?php echo e($arrow); ?> pull-<?php echo e($arrow); ?>"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="<?php echo e(URL::to('admin/cities')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.show_all')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('admin/cities/create')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.city_add')); ?></a></li>
                </ul>
            </li>  
            <?php endif; ?>

            <?php if($site_role): ?>
            <li class="<?php echo e($site); ?>">
                <a href="<?php echo e(URL::to('admin/site')); ?>">
                    <i class="fa fa-th"></i>
                    <span><?php echo e(trans('layout.site')); ?></span>
                </a>
            </li>
            <?php endif; ?>

            <?php if($pages_role): ?>
            <li class="treeview <?php echo e($pages); ?>">
                <a href="#">
                    <i class="fa fa-files-o"></i>
                    <span><?php echo e(trans('layout.pages')); ?></span>
                    <span class="pull-<?php echo e($arrow); ?>-container">
                        <i class="fa fa-angle-<?php echo e($arrow); ?> pull-<?php echo e($arrow); ?>"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="<?php echo e(URL::to('admin/pages')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.show_all')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('admin/pages/create')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.page_add')); ?></a></li>
                </ul>
            </li>   
            <?php endif; ?>

            <?php if($faq_role): ?>
            <li class="treeview <?php echo e($faq); ?>">
                <a href="#">
                    <i class="fa fa-question-circle"></i>
                    <span><?php echo e(trans('layout.faq')); ?></span>
                    <span class="pull-<?php echo e($arrow); ?>-container">
                        <i class="fa fa-angle-<?php echo e($arrow); ?> pull-<?php echo e($arrow); ?>"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="<?php echo e(URL::to('admin/faq')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.show_all')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('admin/faq/create')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.faq_add')); ?></a></li>
                </ul>
            </li>   
            <?php endif; ?>

            <?php if($contact_role): ?>
            <li class="<?php echo e($contact); ?>">
                <a href="<?php echo e(URL::to('admin/contact')); ?>">
                    <i class="fa fa-phone-square"></i>
                    <span><?php echo e(trans('layout.contact')); ?></span>
                </a>
            </li>
            <?php endif; ?>

            <?php if($slider_role): ?>
            <li class="treeview <?php echo e($slider); ?>">
                <a href="#">
                    <i class="fa fa-photo"></i>
                    <span><?php echo e(trans('layout.slider')); ?></span>
                    <span class="pull-<?php echo e($arrow); ?>-container">
                        <i class="fa fa-angle-<?php echo e($arrow); ?> pull-<?php echo e($arrow); ?>"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="<?php echo e(URL::to('admin/slider')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.show_all')); ?></a></li>
                    <li><a href="<?php echo e(URL::to('admin/slider/create')); ?>"><i class="fa fa-circle-o"></i> <?php echo e(trans('layout.slider_add')); ?></a></li>
                </ul>
            </li>  
            <?php endif; ?>

            <hr style='background: #fff;'>

            <li class="">
                <a href="<?php echo e(URL::to('admin/logout')); ?>">
                    <i class="fa fa-sign-out"></i>
                    <span><?php echo e(trans('layout.logout')); ?></span>
                </a>
            </li>  

        </ul>
    </section>
    <!-- /.sidebar -->
    <div class="sidebar-footer">
        <!-- item-->
        <a href="<?php echo e(URL::to('admin/site')); ?>" class="link" data-toggle="tooltip" title="" data-original-title="<?php echo e(trans('layout.site')); ?>"><i class="fa fa-cog fa-spin"></i></a>
        <!-- item-->
        <a href="<?php echo e(URL::to('admin/contact')); ?>" class="link" data-toggle="tooltip" title="" data-original-title="<?php echo e(trans('layout.contact')); ?>"><i class="fa fa-envelope"></i></a>
        <!-- item-->
        <a href="<?php echo e(URL::to('admin/logout')); ?>" class="link" data-toggle="tooltip" title="" data-original-title="<?php echo e(trans('layout.logout')); ?>"><i class="fa fa-power-off"></i></a>
    </div>
</aside>