<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.subscribe_orders')); ?> : <?php echo e(trans('layout.subscribes_orders_'.$status)); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.subscribe_orders')); ?> : <?php echo e(trans('layout.subscribes_orders_'.$status)); ?></li>
    </ol>
</section>

<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-12">
            <?php if(Session::has('message')): ?>
            <div class="row">
                <div class="col-lg-12">
                    <div class="alert alert-success alert-dismissible">
                        <?php echo e(Session::get('message')); ?>

                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                    </div>
                </div>
            </div>
            <?php endif; ?>

            <div class="box box-default">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(trans('layout.order_search')); ?></h3>

                    <div class="box-tools pull-right">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                    </div>
                </div>

                <form action="<?php echo e(URL::to('admin/subscribes_orders')); ?>" method="post" enctype="multipart/form-data">
                    <?php echo e(csrf_field()); ?>


                    <div class="box-body">
                        <div class="row">
                            <div class="col-12">

                                <div class="form-group row">
                                    <label for="country_id" class="col-sm-2 col-form-label"><?php echo e(trans('layout.country')); ?></label>
                                    <div class="col-sm-10">
                                        <?php echo e(Form::select('country_id',$countries, null, ['class'=>'form-control select2','id'=>'country_id'])); ?>

                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="governate_id" class="col-sm-2 col-form-label"><?php echo e(trans('layout.governate')); ?></label>
                                    <div class="col-sm-10">
                                        <div id="cities">
                                            <?php echo e(Form::select('governate_id',[''=>trans('layout.select_country_first')], null, ['class'=>'form-control select2','id'=>'governate_id'])); ?>

                                        </div>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="status" class="col-sm-2 col-form-label"><?php echo e(trans('layout.order_status')); ?></label>
                                    <div class="col-sm-10">
                                        <?php echo e(Form::select('status',['new'=>trans('layout.subscribes_order_new'),'finish'=>trans('layout.subscribes_order_finish'),'cancel'=>trans('layout.subscribes_order_cancel')], null, ['class'=>'form-control','id'=>'status'])); ?>

                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="date_start" class="col-sm-2 col-form-label"><?php echo e(trans('layout.date_start')); ?></label>
                                    <div class="col-sm-10">
                                        <?php echo e(Form::text('date_start', null, ['class'=>'form-control','id'=>'date_start'])); ?>

                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="date_end" class="col-sm-2 col-form-label"><?php echo e(trans('layout.date_end')); ?></label>
                                    <div class="col-sm-10">
                                        <?php echo e(Form::text('date_end', null, ['class'=>'form-control','id'=>'date_end'])); ?>

                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="box-footer">
                        <button type="submit" class="btn btn-danger btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.search')); ?></button>
                    </div>

                </form>

            </div>

            <div class="box">
                <div class="box-body">
                    <table id="example" class="table table-bordered table-hover display nowrap margin-top-10 table-responsive">
                        <thead>
                            <tr> 
                                <th class="<?php echo e($text); ?>">#</th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.customer')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.subscribe')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.date')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.governate')); ?> - <?php echo e(trans('layout.city')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.order_status')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.edit')); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $subscribes_orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if(Auth::User()->Group['country'] == "all"): ?>
                            <tr>
                                <td><?php echo e($order['id']); ?></td>
                                <td><?php echo e($order['User']['name']); ?></td>
                                <td><?php echo e($order['Subscribe'][$lang.'_name']); ?></td>
                                <td><?php echo e($order['date']); ?></td>
                                <td><?php echo e($order['governate_'.$lang].' - '.$order['city_'.$lang]); ?></td>
                                <td><?php echo e(trans('layout.subscribes_order_'.$order['status'])); ?></td>
                                <td>
                                    <?php echo e(Form::open(array('url' =>'admin/subscribes_orders/'.$order->id.'/edit', 'method' => 'GET'))); ?>

                                    <button  type="submit" class="btn default btn-sm btn-success"><i class="fa fa-edit"></i> <?php echo e(trans('layout.edit')); ?> </button>
                                    <?php echo e(Form::close()); ?>

                                </td>
                            </tr>
                            <?php else: ?>
                            <?php if($order['country_'.$lang] == Auth::User()->Country[$lang.'_name']): ?>
                            <tr>
                                <td><?php echo e($order['id']); ?></td>
                                <td><?php echo e($order['User']['name']); ?></td>
                                <td><?php echo e($order['Subscribe'][$lang.'_name']); ?></td>
                                <td><?php echo e($order['date']); ?></td>
                                <td><?php echo e($order['governate_'.$lang].' - '.$order['city_'.$lang]); ?></td>
                                <td><?php echo e(trans('layout.subscribes_order_'.$order['status'])); ?></td>
                                <td>
                                    <?php echo e(Form::open(array('url' =>'admin/subscribes_orders/'.$order->id.'/edit', 'method' => 'GET'))); ?>

                                    <button  type="submit" class="btn default btn-sm btn-success"><i class="fa fa-edit"></i> <?php echo e(trans('layout.edit')); ?> </button>
                                    <?php echo e(Form::close()); ?>

                                </td>
                            </tr>
                            <?php endif; ?>
                            <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>


                </div>
                <!-- /.box-body -->
            </div>
            <!-- /.box -->          
        </div>
        <!-- /.col -->
    </div>
    <!-- /.row -->
</section>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
<script>
    $('#country_id').change(function () {
        var val = $(this).val();
        var base_url = $('#base-url').val();
        if (val == "") {
            val = 0;
        }
        $.ajax({
            type: "GET",
            url: base_url + "/admin/cities/" + val + "?from=city",
            success: function (data) {
                $('#cities').html(data);
            }
        });
    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.table', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>