<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.site')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.site_edit')); ?></li>
    </ol>
</section>

<section class="content">

    <div class="box box-default">
        <div class="box-header with-border">
            <h3 class="box-title"><?php echo e(trans('layout.site_edit')); ?></h3>

            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
            </div>
        </div>

        <form action="<?php echo e(URL::to('admin/site/1')); ?>" method="post">
            <?php echo e(Form::hidden('_method','PATCH')); ?>

            <?php echo e(csrf_field()); ?>


            <div class="box-body">
                <div class="row">
                    <div class="col-12">
                        <?php if(Session::has('message')): ?>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="alert alert-success alert-dismissible">
                                    <?php echo e(Session::get('message')); ?>

                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>

                        <div class="form-group row">
                            <label for="input_1" class="col-sm-2 col-form-label">إسم الموقع</label>
                            <div class="col-sm-10">
                                <?php echo e(Form::text('title',  $site['title'], ['class'=>'form-control','id'=>'input_1'])); ?>

                                <?php if($errors->has('title')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('title')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_3" class="col-sm-2 col-form-label">وصف الموقع</label>
                            <div class="col-sm-10">
                                <?php echo e(Form::textarea('desc',  $site['desc'], ['class'=>'form-control','id'=>'input_3','rows'=>3])); ?>

                                <?php if($errors->has('desc')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('desc')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_5" class="col-sm-2 col-form-label"><?php echo e(trans('layout.site_tags')); ?></label>
                            <div class="col-sm-10">
                                <?php echo e(Form::text('tags',  $site['tags'], ['class'=>'form-control','id'=>'input_5'])); ?>

                                <?php if($errors->has('tags')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('tags')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_6" class="col-sm-2 col-form-label"><?php echo e(trans('layout.phone')); ?></label>
                            <div class="col-sm-10">
                                <?php echo e(Form::text('phone',  $site['phone'], ['class'=>'form-control','id'=>'input_6'])); ?>

                                <?php if($errors->has('phone')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('phone')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_7" class="col-sm-2 col-form-label"><?php echo e(trans('layout.mobile')); ?></label>
                            <div class="col-sm-10">
                                <?php echo e(Form::text('mobile',  $site['mobile'], ['class'=>'form-control','id'=>'input_7'])); ?>

                                <?php if($errors->has('mobile')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('mobile')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_8" class="col-sm-2 col-form-label"><?php echo e(trans('layout.fax')); ?></label>
                            <div class="col-sm-10">
                                <?php echo e(Form::text('fax',  $site['fax'], ['class'=>'form-control','id'=>'input_8'])); ?>

                                <?php if($errors->has('fax')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('fax')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_9" class="col-sm-2 col-form-label"><?php echo e(trans('layout.email')); ?></label>
                            <div class="col-sm-10">
                                <?php echo e(Form::text('email',  $site['email'], ['class'=>'form-control','id'=>'input_9'])); ?>

                                <?php if($errors->has('email')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('email')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="video" class="col-sm-2 col-form-label">رابط الفيديو</label>
                            <div class="col-sm-10">
                                <?php echo e(Form::text('video',  $site['video'], ['class'=>'form-control','id'=>'video'])); ?>

                                <?php if($errors->has('video')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('video')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="android" class="col-sm-2 col-form-label">رابط الاندرويد</label>
                            <div class="col-sm-10">
                                <?php echo e(Form::text('android',  $site['android'], ['class'=>'form-control','id'=>'android'])); ?>

                                <?php if($errors->has('android')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('android')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="ios" class="col-sm-2 col-form-label">رابط الايفون</label>
                            <div class="col-sm-10">
                                <?php echo e(Form::text('ios',  $site['ios'], ['class'=>'form-control','id'=>'ios'])); ?>

                                <?php if($errors->has('ios')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('ios')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_10" class="col-sm-2 col-form-label"><?php echo e(trans('layout.facebook')); ?></label>
                            <div class="col-sm-10">
                                <?php echo e(Form::text('facebook',  $site['facebook'], ['class'=>'form-control','id'=>'input_10'])); ?>

                                <?php if($errors->has('facebook')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('facebook')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_900" class="col-sm-2 col-form-label"> حساب linked in </label>
                            <div class="col-sm-10">
                                <?php echo e(Form::text('linkedin',  $site['linkedin'], ['class'=>'form-control','id'=>'input_900'])); ?>

                                <?php if($errors->has('linkedin')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('linkedin')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">

                            <label for="input_11" class="col-sm-2 col-form-label"><?php echo e(trans('layout.twitter')); ?></label>
                            <div class="col-sm-10">
                                <?php echo e(Form::text('twitter',  $site['twitter'], ['class'=>'form-control','id'=>'input_11'])); ?>

                                <?php if($errors->has('tags')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('twitter')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_12" class="col-sm-2 col-form-label"><?php echo e(trans('layout.instagram')); ?></label>
                            <div class="col-sm-10">
                                <?php echo e(Form::text('instagram',  $site['instagram'], ['class'=>'form-control','id'=>'input_12'])); ?>

                                <?php if($errors->has('instagram')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('instagram')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_13" class="col-sm-2 col-form-label"><?php echo e(trans('layout.youtube')); ?></label>
                            <div class="col-sm-10">
                                <?php echo e(Form::text('youtube',  $site['youtube'], ['class'=>'form-control','id'=>'input_13'])); ?>

                                <?php if($errors->has('youtube')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('youtube')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_14" class="col-sm-2 col-form-label"><?php echo e(trans('layout.snapchat')); ?></label>
                            <div class="col-sm-10">
                                <?php echo e(Form::text('snapchat',  $site['snapchat'], ['class'=>'form-control','id'=>'input_14'])); ?>

                                <?php if($errors->has('snapchat')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('snapchat')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_15" class="col-sm-2 col-form-label"><?php echo e(trans('layout.google')); ?></label>
                            <div class="col-sm-10">
                                <?php echo e(Form::text('google',  $site['google'], ['class'=>'form-control','id'=>'input_15'])); ?>

                                <?php if($errors->has('google')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('google')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                    </div>
                </div>
            </div>

            <div class="box-footer">
                <button type="submit" class="btn btn-primary btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.save')); ?></button>
                <a href="<?php echo e(URL::to('admin')); ?>" class="btn btn-default btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.back')); ?></a>
            </div>

        </form>

    </div>

</section>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.form', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>