<?php $__env->startSection('title'); ?>
<?php echo e(trans('interface.cart')); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<?php
$lang = App::getLocale();
$cart = Session::get('cart_salon');
?>

<?php if($cart == ""): ?>

<div class="div-padding cart_contain">
    <div class="container">

        <p class="text-uppercase font-myriad font-24 font-33 pt-20 black-color-light dis-block font-mtsdrLa"><?php echo e(trans('interface.cart')); ?></p>

        <div class="row">
            <div class="col-xs-12">
                <br><br><br>
                <div class="alert alert-danger"><?php echo e(trans('interface.cart_empty')); ?></div>
            </div>
        </div>
    </div>
</div>

<?php else: ?>

<div class="div-padding">
    <div class="container">

        <p class="text-uppercase font-myriad font-24 font-33 pt-20 black-color-light dis-block font-mtsdrLa"><?php echo e(trans('interface.cart')); ?></p>

        <form action="<?php echo e(URL::to('salon_checkout')); ?>" method="post" class="checkout_form">

            <div class="row">
                <br>
                <div class="col-xs-12" id="address_result_2">               
                </div>

                <?php if(Session::has('message')): ?>
                <div class="col-lg-12">
                    <div class="alert alert-success alert-dismissible">
                        <?php echo e(Session::get('message')); ?>

                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                    </div>
                </div>
                <?php endif; ?>
            </div>

            <div class="item-cart-box hidden-xs">
                <div class="row">
                    <div class="col-xs-6">
                        <p class="text-uppercase black-color-light font-weight pt-10 font-18"><?php echo e(trans('interface.service')); ?></p>
                    </div>

                    <div class="col-xs-4">
                        <p class="text-uppercase black-color-light font-weight pt-10 font-18 text-center"><?php echo e(trans('interface.total')); ?></p>
                    </div>

                    <div class="col-xs-2">
                        <p class="text-uppercase black-color-light font-weight pt-10 font-18 text-center"><?php echo e(trans('layout.delete')); ?></p>
                    </div>

                </div>
            </div>

            <?php $ii = 0; ?>
            <?php $__currentLoopData = $cart['products']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $one): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="cart-seller wow fadeInUp">
                <div class="clearfix">
                    <div class="col-xs-12 col-sm-6 p-0 align-left">
                        <div class="media cart-c-jq">
                            <div class="media-left cart-seller-media media-middle pull-left">
                                <img src="<?php echo e(URL::to('upload/salon/products/'.$one['image'])); ?>" alt="<?php echo e($one['name_'.$lang]); ?>" class="media-object" style="height: 120px; width: 120px;">
                            </div>
                            <div class="media-body">
                                <p class="font-14 font-weight font-mtsdrLa text-uppercase black-color-light-1 pt-20"><?php echo e($one['name_'.$lang]); ?></p>
                                <p class="font-14 font-weight font-mtsdrLa seller-color"><?php echo e($one['salon_'.$lang]); ?></p>
                                <div class="clearfix rat-dis">
                                    <fieldset class="rating">
                                        <?php for($i = 0 ; $i < $one['rate'] ; $i++): ?>
                                        <label class="gold"></label>
                                        <?php endfor; ?>

                                        <?php for($i = 0 ; $i < 5-$one['rate'] ; $i++): ?>
                                        <label class="full"></label>
                                        <?php endfor; ?> 
                                    </fieldset>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-xs-9 col-sm-4 p-0">
                        <div class="gray-box-bg cart-jq text-center">
                            <p class="black-color-light-2 font-mtsdrLa font-weight font-18 m-0"><?php echo e(number_format($one['price'], 3, '.', '')); ?> <?php echo e(Auth::User()->Country[$lang.'_currency']); ?></p>
                        </div>
                    </div>

                    <div class="col-xs-3 col-sm-2 p-0">
                        <div class="cart-jq text-center">
                            <a href="<?php echo e(URL::to('salon_remove_cart/'.$ii)); ?>">
                                <span class="fa fa-2x fa-trash-o right-fa remove_cartt"></span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
            <?php $ii++; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            <div class="checkout-box mt-45">
                <div class="row" style="padding-bottom: 20px;">
                    <div class="col-xs-12">

                        <div class="col-xs-12 col-sm-4">
                            <label style="margin-top: 15px; width: 100%;" for="pay_type" class="sign-gray-color font-18 font-mtsdrLa font-weight">
                                <?php echo e(trans('layout.pay_type')); ?>

                            </label> 
                            <select name="pay_type" class="form-control" id="pay_type">
                                <option value=""><?php echo e(trans('layout.choose_pay_type')); ?></option>

                                <?php if($cart['cash'] == "yes"): ?>
                                <option value="cash" ><?php echo e(trans('layout.cash')); ?></option>
                                <?php endif; ?>

                                <?php if($cart['knet'] == "yes"): ?>
                                <option value="knet" ><?php echo e(trans('layout.knet')); ?></option>
                                <?php endif; ?>

                                <?php if($cart['credit_card'] == "yes"): ?>
                                <option value="credit_card" ><?php echo e(trans('layout.credit_card')); ?></option>
                                <?php endif; ?>
                            </select>
                        </div>

                        <div class="col-xs-12 col-sm-4">
                            <label style="margin-top: 15px; width: 100%;" for="date" class="sign-gray-color font-18 font-mtsdrLa font-weight">
                                <?php echo e(trans('interface.date')); ?> 
                            </label> 
                            <input type="text" id="date" name="date" value="<?php echo e(date('Y-m-d')); ?>" class="form-control" max_date="<?php echo e($cart['max_date']); ?>">
                        </div>

                        <div class="col-xs-12 col-sm-4">
                            <label style="margin-top: 15px; width: 100%;" for="time" class="sign-gray-color font-18 font-mtsdrLa font-weight">
                                <?php echo e(trans('layout.time')); ?> 
                            </label> 
                            <select name="time" id="time" class="form-control" vacancy="<?php echo e(trans('interface.vacancy')); ?>">
                                <?php if(Count($data['times']) == 0): ?>
                                <option value=""><?php echo e(trans('interface.vacancy')); ?></option>
                                <?php else: ?>
                                <?php $__currentLoopData = $data['times']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $time): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($time); ?>"><?php echo e($time); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                            </select>
                        </div>

                    </div>
                </div>
            </div>

            <div class="checkout-box mt-15">
                <div class="row">
                    <div class="col-xs-12 col-sm-6 align-left">
                        <?php echo e(csrf_field()); ?>

                        <p class="dis-block black-color-light-2 font-24 font-weight"><?php echo e(trans('interface.total')); ?>: <?php echo e(number_format($cart['total'], 3, '.', '')); ?> <?php echo e(Auth::User()->Country[$lang.'_currency']); ?></p>
                    </div>

                    <div class="col-xs-12 col-sm-6 align-right">
                        <a style="cursor: pointer;" class="bordr-rad-0 font-18 font-weight text-uppercase font-mtsdrLa white-color" id="checkout" error='<?php echo e(trans('interface.error_checkout')); ?>'><?php echo e(trans('interface.checkout')); ?></a>
                    </div>
                </div>
            </div>

        </form>
    </div>
</div>


<?php endif; ?>


<?php $__env->stopSection(); ?>


<?php $__env->startSection('scripts'); ?>

<script>

    // get times
    $('#date').change(function () {
        var date = $(this).val();
        var base_url = $('#base-url').val();
        if (date != "") {
            $.ajax({
                type: "GET",
                url: base_url + "/salon_get_times?date=" + date,
                success: function (datas) {
                    if (datas.length == 0) {
                        $('#time').html('<option value="">' + $('#time').attr('vacancy') + '</option>');
                    } else {
                        $('#time').html('');
                        for (var i = 0; i < datas.length; i++) {
                            $('#time').append('<option value="' + datas[i] + '">' + datas[i] + '</option>');
                        }
                    }
                }
            });
        }
    });

    // submit checkout
    $('#checkout').click(function () {
        var error = $(this).attr('error');
        var pay_type = $('#pay_type').val();
        var date = $('#date').val();
        var time = $('#time').val();
        if (pay_type == "" || date == "" || time == "") {
            $('#element_to_pop_up').show();
            $('#element_to_pop_up').html("<p style='color:#f00;'>" + error + "</p>");
            $('#element_to_pop_up').bPopup();
            return false;
        }
        $('.checkout_form').submit();
    });

</script>

<script src="<?php echo e(URL::to('interface')); ?>/js/bootstrap-datepicker.js"></script>
<script type="text/javascript">
    $(function () {
        var date = new Date();
        var month = parseInt(date.getMonth() + 1);
        var min_date = date.getFullYear() + '-' + month + '-' + date.getDate();
        var max_date = $('#date').attr('max_date');

        $('#date').datepicker({
            format: 'yyyy-mm-dd',
            startDate: min_date,
            endDate: max_date,
        });
    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('interface.layout', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>