<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.salon_slider')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin/salon_slider')); ?>"> <?php echo e(trans('layout.salon_slider')); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.slider_edit')); ?></li>
    </ol>
</section>

<section class="content">

    <div class="box box-default">
        <div class="box-header with-border">
            <h3 class="box-title"><?php echo e(trans('layout.slider_edit')); ?> : <?php echo e($slider[$lang.'_title']); ?></h3>

            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
            </div>
        </div>

        <form action="<?php echo e(URL::to('admin/salon_slider/'.$slider['id'])); ?>" method="post" enctype="multipart/form-data">
            <?php echo e(Form::hidden('_method','PATCH')); ?>

            <?php echo e(csrf_field()); ?>


            <div class="box-body">
                <div class="row">
                    <div class="col-12">
                        <?php if(Session::has('message')): ?>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="alert alert-success alert-dismissible">
                                    <?php echo e(Session::get('message')); ?>

                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>

                        <div class="form-group row">
                            <label for="salon" class="col-sm-3 col-form-label"><?php echo e(trans('layout.salon_name')); ?></label>
                            <div class="col-sm-9">
                                <div id="salon">
                                    <?php echo e(Form::select('salon_id',$salons, $slider['link'], ['class'=>'form-control select2'])); ?>

                                    <?php if($errors->has('salon_id')): ?>
                                    <div class="alert alert-danger"><?php echo e($errors->first('salon_id')); ?></div>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_1" class="col-sm-3 col-form-label"><?php echo e(trans('layout.slider_title_ar')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('ar_title', $slider['ar_title'], ['class'=>'form-control','id'=>'input_1'])); ?>

                                <?php if($errors->has('ar_title')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('ar_title')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_2" class="col-sm-3 col-form-label"><?php echo e(trans('layout.slider_title_en')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('en_title', $slider['en_title'], ['class'=>'form-control','id'=>'input_2'])); ?>

                                <?php if($errors->has('en_title')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('en_title')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_3" class="col-sm-3 col-form-label"><?php echo e(trans('layout.slider_image')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::file('image',['class'=>'form-control','id'=>'input_3'])); ?>

                                <?php if($errors->has('image')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('image')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_3" class="col-sm-3 col-form-label"><?php echo e(trans('layout.slider_image_current')); ?></label>
                            <div class="col-sm-9">
                                <img src="<?php echo e(URL::to('upload/slider/'.$slider['image'])); ?>" class="img-thumbnail">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_3" class="col-sm-3 col-form-label"><?php echo e(trans('layout.slider_image_mobile')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::file('image_mobile',['class'=>'form-control','id'=>'input_3'])); ?>

                                <?php if($errors->has('image_mobile')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('image_mobile')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_3" class="col-sm-3 col-form-label"><?php echo e(trans('layout.slider_image_mobile_current')); ?></label>
                            <div class="col-sm-9">
                                <img src="<?php echo e(URL::to('upload/slider/'.$slider['image_mobile'])); ?>" class="img-thumbnail">
                            </div>
                        </div>

                    </div>
                </div>
            </div>

            <div class="box-footer">
                <?php echo e(Form::hidden('dept','salon')); ?>

                <button type="submit" class="btn btn-primary btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.save')); ?></button>
                <a href="<?php echo e(URL::to('admin/salon_slider')); ?>" class="btn btn-default btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.back')); ?></a>
            </div>

        </form>

    </div>

</section>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.form', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>