<?php $lang = App::getLocale(); ?>
<?php $ctry = Session::get('country'); ?>

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
        <meta name="HandheldFriendly" content="true">

        <meta name="author" content="<?php echo e($data['site'][$lang.'_title']); ?>">
        <meta name="description" content="<?php echo e($data['site'][$lang.'_desc']); ?>"/>
        <meta name="keywords" content="<?php echo e($data['site']['tags']); ?>"/>
        <meta name="generator" content="Ahmed Kamal">
        <link rel="canonical" href="<?php echo e(URL::to('/')); ?>" />
        <meta property="og:locale" content="<?php echo e($lang); ?>_<?php echo e(strtoupper($lang)); ?>" />
        <meta property="og:type" content="website" />
        <meta property="og:title" content="<?php echo e($data['site'][$lang.'_title']); ?>" />
        <meta property="og:description" content="<?php echo e($data['site'][$lang.'_desc']); ?>" />
        <meta property="og:url" content="<?php echo e(URL::to('/')); ?>" />
        <meta property="og:site_name" content="<?php echo e($data['site'][$lang.'_title']); ?>" />
        <meta name="twitter:card" content="summary"/>
        <meta name="twitter:description" content="<?php echo e($data['site'][$lang.'_desc']); ?>"/>
        <meta name="twitter:title" content="<?php echo e($data['site'][$lang.'_title']); ?>"/>
        <meta name="twitter:domain" content="<?php echo e($data['site'][$lang.'_title']); ?>"/>

        <title><?php echo e($data['site'][$lang.'_title']); ?> | <?php echo $__env->yieldContent('title'); ?></title>
        <link rel="shortcut icon" href="<?php echo e(URL::to('interface')); ?>/images/favicon.png">
        <link rel="stylesheet" type="text/css" href="<?php echo e(URL::to('interface')); ?>/css/bootstrap.min.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(URL::to('interface')); ?>/css/font-awesome.min.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(URL::to('interface')); ?>/css/owl.carousel.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(URL::to('interface')); ?>/css/animate.min.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(URL::to('interface')); ?>/css/style.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(URL::to('interface')); ?>/css/style-<?php echo e($lang); ?>.css">

    </head>
    <body>

        <!--=============================== LOADER ===================================-->

        <div class="loader">
            <img src="<?php echo e(URL::to('interface')); ?>/images/Pacman.gif" alt="<?php echo e($data['site'][$lang.'_title']); ?> ">
        </div>


        <?php echo $__env->yieldContent('content'); ?>

        <!--=============================== SECOND FOOTER ===================================-->

        <div class="second-footer">
            <div class="container">
                <div class="row">

                    <div class="col-xs-12 col-sm-6 align-left pt-10">
                        <p class="white-color font-ajannat font-14 dis-block"><?php echo e(date('Y')); ?> <span class="light-blue-color-3 font-ajannat fa fa-copyright font-14"><?php echo e($data['site']['en_title']); ?> </span> Corporation</p>
                    </div>

                </div>
            </div>
        </div>

        <!--===============================
            SCRIPT
        ===================================-->

        <script src="<?php echo e(URL::to('interface')); ?>/js/jquery-1.11.1.min.js"></script>
        <script src="<?php echo e(URL::to('interface')); ?>/js/bootstrap.min.js"></script>
        <script src="<?php echo e(URL::to('interface')); ?>/js/owl.carousel.min.js"></script>
        <script src="<?php echo e(URL::to('interface')); ?>/js/wow.min.js"></script>
        <script src="<?php echo e(URL::to('interface')); ?>/js/script.js"></script>

        <?php echo $__env->yieldContent('scripts'); ?>
    </body>
</html>

<!--===============================
    END
===================================-->



