<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.gym_data')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('business')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('business/gym_info')); ?>"> <?php echo e(trans('layout.gym_data')); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.gym_edit')); ?></li>
    </ol>
</section>

<section class="content">

    <div class="box box-default">
        <div class="box-header with-border">
            <h3 class="box-title"><?php echo e(trans('layout.gym_edit')); ?> : <?php echo e($gym[$lang.'_name']); ?></h3>

            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
            </div>
        </div>

        <form action="<?php echo e(URL::to('business/gym_info/'.$gym['id'])); ?>" method="post" enctype="multipart/form-data">
            <?php echo e(Form::hidden('_method','PATCH')); ?>

            <?php echo e(csrf_field()); ?>


            <div class="box-body">
                <div class="row">
                    <div class="col-12">
                        <?php if(Session::has('message')): ?>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="alert alert-success alert-dismissible">
                                    <?php echo e(Session::get('message')); ?>

                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>

                        <div class="form-group row">
                            <label for="input_4" class="col-sm-3 col-form-label"><?php echo e(trans('layout.gym_active')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('active', trans('layout.fashion_store_'.$gym['active']), ['class'=>'form-control','readonly','id'=>'input_4'])); ?>

                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_2" class="col-sm-3 col-form-label"><?php echo e(trans('layout.restaurant_owner')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('owner',$gym['User']['name'], ['class'=>'form-control','readonly','id'=>'input_2'])); ?>

                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_3" class="col-sm-3 col-form-label"><?php echo e(trans('layout.country')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('country',$gym['Country'][$lang.'_name'], ['class'=>'form-control','readonly','id'=>'input_3'])); ?>

                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_5" class="col-sm-3 col-form-label"><?php echo e(trans('layout.gym_name_ar')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('ar_name', $gym['ar_name'], ['class'=>'form-control','id'=>'input_5'])); ?>

                                <?php if($errors->has('ar_name')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('ar_name')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_6" class="col-sm-3 col-form-label"><?php echo e(trans('layout.gym_name_en')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('en_name', $gym['en_name'], ['class'=>'form-control','id'=>'input_6'])); ?>

                                <?php if($errors->has('en_name')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('en_name')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_7" class="col-sm-3 col-form-label"><?php echo e(trans('layout.gym_desc_ar')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::textarea('ar_desc', $gym['ar_desc'], ['class'=>'form-control','id'=>'input_7'])); ?>

                                <?php if($errors->has('ar_desc')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('ar_desc')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_8" class="col-sm-3 col-form-label"><?php echo e(trans('layout.gym_desc_en')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::textarea('en_desc', $gym['en_desc'], ['class'=>'form-control','id'=>'input_8'])); ?>

                                <?php if($errors->has('en_desc')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('en_desc')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="governate_id" class="col-sm-3 col-form-label"><?php echo e(trans('layout.governate')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('governate_id', $governates,$gym['governate_id'], ['class'=>'form-control select2','id'=>'governate_id'])); ?>

                                <?php if($errors->has('governate_id')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('governate_id')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="city_id" class="col-sm-3 col-form-label"><?php echo e(trans('layout.city')); ?></label>
                            <div class="col-sm-9">
                                <div id="cities">
                                    <?php echo e(Form::select('city_id',$cities, $gym['city_id'], ['class'=>'form-control select2','id'=>'city_id'])); ?>

                                </div>
                                <?php if($errors->has('city_id')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('city_id')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_12" class="col-sm-3 col-form-label"><?php echo e(trans('layout.address')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('address', $gym['address'], ['class'=>'form-control','id'=>'input_12'])); ?>

                                <?php if($errors->has('address')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('address')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_13" class="col-sm-3 col-form-label"><?php echo e(trans('layout.phone')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('phone', $gym['phone'], ['class'=>'form-control','id'=>'input_13'])); ?>

                                <?php if($errors->has('phone')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('phone')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_14" class="col-sm-3 col-form-label"><?php echo e(trans('layout.mobile')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('mobile', $gym['mobile'], ['class'=>'form-control','id'=>'input_14'])); ?>

                                <?php if($errors->has('mobile')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('mobile')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_15" class="col-sm-3 col-form-label"><?php echo e(trans('layout.gym_image')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::file('image',['class'=>'form-control','id'=>'input_15'])); ?>

                                <?php if($errors->has('image')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('image')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>
                        <?php if($gym['image'] != ""): ?>
                        <div class="form-group row">
                            <label for="input_16" class="col-sm-3 col-form-label"><?php echo e(trans('layout.gym_image_current')); ?></label>
                            <div class="col-sm-9">
                                <img src="<?php echo e(URL::to('upload/gym/info/'.$gym['image'])); ?>" id="input_16" class="img-thumbnail">
                            </div>
                        </div>
                        <?php endif; ?>

                        <div class="form-group row">
                            <label for="mapCanvas" class="col-sm-3 col-form-label"><?php echo e(trans('layout.map')); ?></label>
                            <div class="col-sm-9">
                                <div id="mapCanvas" style="height:450px;" class="col-md-12"></div>
                                <input type="hidden" value="<?php echo e($gym['lat']); ?>" id="lat" name="lat" />
                                <input type="hidden" value="<?php echo e($gym['lng']); ?>" id="lng" name="lng" />
                            </div>
                        </div>


                    </div>
                </div>
            </div>

            <div class="box-footer">
                <button type="submit" class="btn btn-primary btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.save')); ?></button>
            </div>

        </form>

    </div>

</section>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
<script>
    $('#governate_id').change(function () {
        var val = $(this).val();
        var base_url = $('#base-url').val();
        if (val == "") {
            val = 0;
        }
        $.ajax({
            type: "GET",
            url: base_url + "/business/gym_info/" + val,
            success: function (data) {
                $('#cities').html(data);
            }
        });
    });
</script>

<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyC9uAy1z9dxw9aHx6_NJPRA0ih0UD-dCOU&callback=initMap&language=ar&region=EG"></script>
<script type="text/javascript">
    var marker;
    var lat;
    var lng;
    var map;
    function updateMarkerPosition(latLng) {
        document.getElementById('lat').value = latLng.lat();
        document.getElementById('lng').value = latLng.lng();
    }

    function placeMarker(location) {
        if (marker) {
            marker.setPosition(location);
        } else {
            marker = new google.maps.Marker({
                position: location,
                map: map
            });
        }
    }

    function initialize() {
        var lat = document.getElementById('lat').value;
        var lng = document.getElementById('lng').value;
        if (!lat && !lng) {
            var latLng = new google.maps.LatLng(24.598411724742483, 46.7138671875);
        } else {
            var latLng = new google.maps.LatLng(lat, lng);
        }

        map = new google.maps.Map(document.getElementById('mapCanvas'), {
            zoom: 5,
            center: latLng,
            mapTypeId: google.maps.MapTypeId.ROADMAP
        });
        marker = new google.maps.Marker({
            position: latLng,
            map: map
        });
        marker.set(map);
        updateMarkerPosition(latLng);
        google.maps.event.addListener(map, 'click', function (event) {
            placeMarker(event.latLng);
            updateMarkerPosition(event.latLng);
        });
    }

    google.maps.event.addDomListener(window, 'load', initialize);
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('business.layouts.form', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>