<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.salon_work')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('business')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('business/salon_work')); ?>"> <?php echo e(trans('layout.salon_work')); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.restaurant_work_edit')); ?></li>
    </ol>
</section>

<section class="content">

    <div class="box box-default">
        <div class="box-header with-border">
            <h3 class="box-title"><?php echo e(trans('layout.restaurant_work_edit')); ?> : <?php echo e(trans('layout.'.$time['day'])); ?></h3>

            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
            </div>
        </div>

        <form action="<?php echo e(URL::to('business/salon_work/'.$time['id'])); ?>" method="post" enctype="multipart/form-data">
            <?php echo e(Form::hidden('_method','PATCH')); ?>

            <?php echo e(csrf_field()); ?>


            <div class="box-body">
                <div class="row">
                    <div class="col-12">
                        <?php if(Session::has('message')): ?>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="alert alert-success alert-dismissible">
                                    <?php echo e(Session::get('message')); ?>

                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>

                        <div class="form-group row">
                            <label for="input_1" class="col-sm-3 col-form-label"><?php echo e(trans('layout.day')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('day', trans('layout.'.$time['day']), ['class'=>'form-control','id'=>'input_1','readonly'])); ?>

                                <?php if($errors->has('day')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('day')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_0" class="col-sm-3 col-form-label"><?php echo e(trans('layout.vacancy')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('open', ['yes'=>trans('layout.no') , 'no'=>trans('layout.yes')],$time['open'], ['class'=>'form-control','id'=>'input_0'])); ?>

                                <?php if($errors->has('open')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('open')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row bootstrap-timepicker">
                            <label for="input_2" class="col-sm-3 col-form-label"><?php echo e(trans('layout.start')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('start', $time['start'], ['class'=>'form-control timepicker','id'=>'input_2'])); ?>

                                <?php if($errors->has('start')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('start')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row bootstrap-timepicker">
                            <label for="end" class="col-sm-3 col-form-label"><?php echo e(trans('layout.end')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('end', $time['end'], ['class'=>'form-control timepicker','id'=>'input_4'])); ?>

                                <?php if($errors->has('email')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('end')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="box-footer">
                <button type="submit" class="btn btn-primary btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.save')); ?></button>
                <a href="<?php echo e(URL::to('business/salon_work')); ?>" class="btn btn-default btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.back')); ?></a>
            </div>

        </form>

    </div>

</section>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
<script>
    var val = $('#input_0').val();
    if (val == "no") {
        $('.bootstrap-timepicker').hide();
    } else {
        $('.bootstrap-timepicker').show();
    }
    $('#input_0').change(function () {
        var val = $(this).val();
        if (val == "no") {
            $('.bootstrap-timepicker').hide();
        } else {
            $('.bootstrap-timepicker').show();
        }
    });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('business.layouts.form', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>