<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.groups')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin/groups')); ?>"> <?php echo e(trans('layout.groups')); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.group_edit')); ?></li>
    </ol>
</section>

<section class="content">

    <div class="box box-default">
        <div class="box-header with-border">
            <h3 class="box-title"><?php echo e(trans('layout.group_edit')); ?> : <?php echo e($group[$lang.'_name']); ?></h3>

            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
            </div>
        </div>

        <form action="<?php echo e(URL::to('admin/groups/'.$group['id'])); ?>" method="post">
            <?php echo e(Form::hidden('_method','PATCH')); ?>

            <?php echo e(csrf_field()); ?>


            <div class="box-body">
                <div class="row">
                    <div class="col-12">
                        <?php if(Session::has('message')): ?>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="alert alert-success alert-dismissible">
                                    <?php echo e(Session::get('message')); ?>

                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>

                        <div class="form-group row">
                            <label for="input_1" class="col-sm-3 col-form-label"><?php echo e(trans('layout.group_name_ar')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('ar_name', $group['ar_name'], ['class'=>'form-control','id'=>'input_1'])); ?>

                                <?php if($errors->has('ar_name')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('ar_name')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_2" class="col-sm-3 col-form-label"><?php echo e(trans('layout.group_name_en')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('en_name', $group['en_name'], ['class'=>'form-control','id'=>'input_2'])); ?>

                                <?php if($errors->has('en_name')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('en_name')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_3" class="col-sm-3 col-form-label"><?php echo e(trans('layout.group_power')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::number('power', $group['power'], ['class'=>'form-control','id'=>'input_3'])); ?>

                                <?php if($errors->has('power')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('power')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_4" class="col-sm-3 col-form-label"><?php echo e(trans('layout.group_country')); ?></label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('country',['one'=>trans('layout.one_country') , 'all'=>trans('layout.all_country')], $group['country'], ['class'=>'form-control','id'=>'input_4'])); ?>

                                <?php if($errors->has('country')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('country')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_5" class="col-sm-3 col-form-label"><?php echo e(trans('layout.permissions')); ?></label>
                            <div class="col-sm-9">
                                <?php
                                $subscribes_meals = $driver_report = $kitchen_report = $subscribes_orders = $orders = $contact = $slider = $groups = $site = $blog = $branches = $newsletter = $notifications = $countries = $governates = $cities = $pages = $admins = $users = $visitors = $depts = $meals = $subscribes = $subscribes_menu = FALSE;
                                foreach ($group['Permissions'] as $pre) {
                                    if ($pre['permission'] == "groups") {
                                        $groups = TRUE;
                                    } elseif ($pre['permission'] == "site") {
                                        $site = TRUE;
                                    } elseif ($pre['permission'] == "blog") {
                                        $blog = TRUE;
                                    } elseif ($pre['permission'] == "branches") {
                                        $branches = TRUE;
                                    } elseif ($pre['permission'] == "newsletter") {
                                        $newsletter = TRUE;
                                    } elseif ($pre['permission'] == "notifications") {
                                        $notifications = TRUE;
                                    } elseif ($pre['permission'] == "countries") {
                                        $countries = TRUE;
                                    } elseif ($pre['permission'] == "governates") {
                                        $governates = TRUE;
                                    } elseif ($pre['permission'] == "cities") {
                                        $cities = TRUE;
                                    } elseif ($pre['permission'] == "pages") {
                                        $pages = TRUE;
                                    } elseif ($pre['permission'] == "admins") {
                                        $admins = TRUE;
                                    } elseif ($pre['permission'] == "users") {
                                        $users = TRUE;
                                    } elseif ($pre['permission'] == "visitors") {
                                        $visitors = TRUE;
                                    } elseif ($pre['permission'] == "meals") {
                                        $meals = TRUE;
                                    } elseif ($pre['permission'] == "depts") {
                                        $depts = TRUE;
                                    } elseif ($pre['permission'] == "subscribes") {
                                        $subscribes = TRUE;
                                    } elseif ($pre['permission'] == "subscribes_meals") {
                                        $subscribes_meals = TRUE;
                                    } elseif ($pre['permission'] == "subscribes_menu") {
                                        $subscribes_menu = TRUE;
                                    } elseif ($pre['permission'] == "slider") {
                                        $slider = TRUE;
                                    } elseif ($pre['permission'] == "contact") {
                                        $contact = TRUE;
                                    } elseif ($pre['permission'] == "orders") {
                                        $orders = TRUE;
                                    } elseif ($pre['permission'] == "subscribes_orders") {
                                        $subscribes_orders = TRUE;
                                    } elseif ($pre['permission'] == "kitchen_report") {
                                        $kitchen_report = TRUE;
                                    } elseif ($pre['permission'] == "driver_report") {
                                        $driver_report = TRUE;
                                    }
                                }
                                ?>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','groups',$groups,['id'=>'Checkbox_1'])); ?>

                                    <label for="Checkbox_1"><?php echo e(trans('layout.groups')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','site',$site,['id'=>'Checkbox_2'])); ?>

                                    <label for="Checkbox_2"><?php echo e(trans('layout.site')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','blog',$blog,['id'=>'Checkbox_3'])); ?>

                                    <label for="Checkbox_3"><?php echo e(trans('layout.blog')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','branches',$branches,['id'=>'Checkbox_5'])); ?>

                                    <label for="Checkbox_5"><?php echo e(trans('layout.branches')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','newsletter',$newsletter,['id'=>'Checkbox_6'])); ?>

                                    <label for="Checkbox_6"><?php echo e(trans('layout.newsletter')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','notifications',$notifications,['id'=>'Checkbox_7'])); ?>

                                    <label for="Checkbox_7"><?php echo e(trans('layout.notifications')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','countries',$countries,['id'=>'Checkbox_8'])); ?>

                                    <label for="Checkbox_8"><?php echo e(trans('layout.countries')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','governates',$governates,['id'=>'Checkbox_9'])); ?>

                                    <label for="Checkbox_9"><?php echo e(trans('layout.governates')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','cities',$cities,['id'=>'Checkbox_10'])); ?>

                                    <label for="Checkbox_10"><?php echo e(trans('layout.cities')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','pages',$pages,['id'=>'Checkbox_11'])); ?>

                                    <label for="Checkbox_11"><?php echo e(trans('layout.pages')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','admins',$admins,['id'=>'Checkbox_12'])); ?>

                                    <label for="Checkbox_12"><?php echo e(trans('layout.admins')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','users',$users,['id'=>'Checkbox_13'])); ?>

                                    <label for="Checkbox_13"><?php echo e(trans('layout.users')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','visitors',$visitors,['id'=>'Checkbox_14'])); ?>

                                    <label for="Checkbox_14"><?php echo e(trans('layout.visitors')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','depts',$depts,['id'=>'Checkbox_15'])); ?>

                                    <label for="Checkbox_15"><?php echo e(trans('layout.depts')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','meals',$meals,['id'=>'Checkbox_16'])); ?>

                                    <label for="Checkbox_16"><?php echo e(trans('layout.meals')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','subscribes',$subscribes,['id'=>'Checkbox_17'])); ?>

                                    <label for="Checkbox_17"><?php echo e(trans('layout.subscribes')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','subscribes_meals',$subscribes_meals,['id'=>'Checkbox_25'])); ?>

                                    <label for="Checkbox_25"><?php echo e(trans('layout.subscribes_meals')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','subscribes_menu',$subscribes_menu,['id'=>'Checkbox_21'])); ?>

                                    <label for="Checkbox_21"><?php echo e(trans('layout.subscribes_menu')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','slider',$slider,['id'=>'Checkbox_18'])); ?>

                                    <label for="Checkbox_18"><?php echo e(trans('layout.slider')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','contact',$contact,['id'=>'Checkbox_19'])); ?>

                                    <label for="Checkbox_19"><?php echo e(trans('layout.contact')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','orders',$orders,['id'=>'Checkbox_20'])); ?>

                                    <label for="Checkbox_20"><?php echo e(trans('layout.orders')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','subscribes_orders',$subscribes_orders,['id'=>'Checkbox_22'])); ?>

                                    <label for="Checkbox_22"><?php echo e(trans('layout.subscribe_orders')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','kitchen_report',$kitchen_report,['id'=>'Checkbox_23'])); ?>

                                    <label for="Checkbox_23"><?php echo e(trans('layout.kitchen_report')); ?></label>
                                </div>
                                <div class="col-sm-4 <?php echo e($pull); ?>">
                                    <?php echo e(Form::checkbox('permissions[]','driver_report',$driver_report,['id'=>'Checkbox_24'])); ?>

                                    <label for="Checkbox_24"><?php echo e(trans('layout.driver_report')); ?></label>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="box-footer">
                <button type="submit" class="btn btn-primary btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.save')); ?></button>
                <a href="<?php echo e(URL::to('admin/groups')); ?>" class="btn btn-default btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.back')); ?></a>
            </div>

        </form>

    </div>

</section>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.form', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>