<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.salon_offers')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('business')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('business/fashion_offers')); ?>"> <?php echo e(trans('layout.salon_offers')); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.restaurant_offers_add')); ?></li>
    </ol>
</section>

<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-12">
            <?php if(Session::has('message')): ?>
            <div class="row">
                <div class="col-lg-12">
                    <div class="alert alert-success alert-dismissible">
                        <?php echo e(Session::get('message')); ?>

                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                    </div>
                </div>
            </div>
            <?php endif; ?>
        </div>

        <div class="col-12">
            <div class="box box-default">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(trans('layout.restaurant_offers_add')); ?></h3>

                    <div class="box-tools pull-right">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                    </div>
                </div>

                <form action="<?php echo e(URL::to('business/fashion_offers')); ?>" method="post" enctype="multipart/form-data">
                    <?php echo e(csrf_field()); ?>


                    <div class="box-body">
                        <div class="row">
                            <div class="col-12">

                                <div class="form-group row">
                                    <label for="input_00" class="col-sm-3 col-form-label"><?php echo e(trans('layout.wall')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::select('wall', ['yes'=>trans('layout.yes') , 'no'=>trans('layout.no')],null, ['class'=>'form-control','id'=>'input_00'])); ?>

                                        <?php if($errors->has('wall')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('wall')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="input_0" class="col-sm-3 col-form-label"><?php echo e(trans('layout.product_one')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::select('product_id',$products, null, ['class'=>'form-control','id'=>'input_0'])); ?>

                                        <?php if($errors->has('product_id')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('product_id')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="input_1" class="col-sm-3 col-form-label"><?php echo e(trans('layout.restaurant_offer_name_ar')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::text('ar_name', null, ['class'=>'form-control','id'=>'input_1'])); ?>

                                        <?php if($errors->has('ar_name')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('ar_name')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="input_2" class="col-sm-3 col-form-label"><?php echo e(trans('layout.restaurant_offer_name_en')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::text('en_name', null, ['class'=>'form-control','id'=>'input_2'])); ?>

                                        <?php if($errors->has('en_name')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('en_name')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="input_3" class="col-sm-3 col-form-label"><?php echo e(trans('layout.price')); ?></label>
                                    <div class="col-sm-8">
                                        <?php echo e(Form::text('price', 0, ['class'=>'form-control','id'=>'input_3'])); ?>

                                        <?php if($errors->has('price')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('price')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                    <label class="col-sm-1 col-form-label"><?php echo e($store['Country'][$lang.'_currency']); ?></label>
                                </div>

                                <div class="form-group row">
                                    <label for="date_start" class="col-sm-3 col-form-label"><?php echo e(trans('layout.restaurant_offer_start')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::text('start', null, ['class'=>'form-control','id'=>'date_start'])); ?>

                                        <?php if($errors->has('start')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('start')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="date_end" class="col-sm-3 col-form-label"><?php echo e(trans('layout.restaurant_offer_end')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::text('end', null, ['class'=>'form-control','id'=>'date_end'])); ?>

                                        <?php if($errors->has('end')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('end')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="input_6" class="col-sm-3 col-form-label"><?php echo e(trans('layout.restaurant_offer_image')); ?></label>
                                    <div class="col-sm-9">
                                        <?php echo e(Form::file('image',['class'=>'form-control','id'=>'input_6'])); ?>

                                        <?php if($errors->has('image')): ?>
                                        <div class="alert alert-danger"><?php echo e($errors->first('image')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="box-footer">
                        <button type="submit" class="btn btn-primary btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.add')); ?></button>
                        <a href="<?php echo e(URL::to('business/salon_offers')); ?>" class="btn btn-default btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.back')); ?></a>
                    </div>

                </form>
            </div>
        </div>

        <!-- /.col -->
    </div>
    <!-- /.row -->
</section>

<?php $__env->stopSection(); ?>



<?php $__env->startSection('scripts'); ?>
<script>
    //Date picker
    $('#date_start').datepicker({
        autoclose: true,
        format: 'yyyy-mm-dd'
    });
    $('#date_end').datepicker({
        autoclose: true,
        format: 'yyyy-mm-dd'
    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('business.layouts.table', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>