<!DOCTYPE html>
<?php $lang = App::getLocale(); ?>
<!DOCTYPE html>
<html lang="<?php echo e($lang); ?>">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
        <meta name="HandheldFriendly" content="true">
        <meta name="author" content="<?php echo e($data['site'][$lang.'_title']); ?>">
        <meta name="description" content="<?php echo e($data['site'][$lang.'_desc']); ?>"/>
        <meta name="keywords" content="<?php echo e($data['site']['tags']); ?>"/>
        <meta name="generator" content="Ahmed Kamal">
        <link rel="canonical" href="<?php echo e(URL::to('/')); ?>" />
        <meta property="og:locale" content="<?php echo e($lang); ?>_<?php echo e(strtoupper($lang)); ?>" />
        <meta property="og:type" content="website" />
        <meta property="og:title" content="<?php echo e($data['site'][$lang.'_title']); ?>" />
        <meta property="og:description" content="<?php echo e($data['site'][$lang.'_desc']); ?>" />
        <meta property="og:url" content="<?php echo e(URL::to('/')); ?>" />
        <meta property="og:site_name" content="<?php echo e($data['site'][$lang.'_title']); ?>" />
        <meta name="twitter:card" content="summary"/>
        <meta name="twitter:description" content="<?php echo e($data['site'][$lang.'_desc']); ?>"/>
        <meta name="twitter:title" content="<?php echo e($data['site'][$lang.'_title']); ?>"/>
        <meta name="twitter:domain" content="<?php echo e($data['site'][$lang.'_title']); ?>"/>

        <title><?php echo e($data['site'][$lang.'_title']); ?></title>
        <link rel="stylesheet" type="text/css" href="<?php echo e(URL::to('interface')); ?>/css/bootstrap.min.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(URL::to('interface')); ?>/css/font-awesome.min.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(URL::to('interface')); ?>/css/owl.carousel.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(URL::to('interface')); ?>/css/animate.min.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(URL::to('interface')); ?>/css/style.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(URL::to('interface')); ?>/css/style-<?php echo e($lang); ?>.css">
    </head>
    <body>


        <div class="loader">
            <img src="<?php echo e(URL::to('interface')); ?>/images/Blocks.gif" alt="<?php echo e($data['site'][$lang.'_title']); ?>">
        </div>


        <nav class="navbar">
            <div class="container">
                <div class="row">

                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse-1" aria-expanded="false">
                            <span class="fa fa-bars"></span>
                        </button>

                        <a class="navbar-brand wow zoomInUp" href="<?php echo e(URL::to('/')); ?>"><img src="<?php echo e(URL::to('interface')); ?>/images/newlogo.png"></a>

                    </div>

                    <div class="collapse navbar-collapse" id="navbar-collapse-1">
                        <ul class="nav navbar-nav">
                            <li><a href="<?php echo e(URL::to('/')); ?>"><?php echo e(trans('interface.home')); ?></a></li>

                            <?php $__currentLoopData = $data['pages']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $page): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li><a href="<?php echo e(URL::to('page/'.$page['id'])); ?>"><?php echo e($page[$lang.'_title']); ?></a></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            <li><a href="<?php echo e(URL::to('contact')); ?>"><?php echo e(trans('interface.contact')); ?></a></li>

                            <?php if($lang == "ar"): ?>
                            <li><a href="<?php echo e(URL::to('lang')); ?>">English Version</a></li>
                            <?php else: ?>
                            <li><a href="<?php echo e(URL::to('lang')); ?>">النسخة العربية</a></li>
                            <?php endif; ?>
                        </ul>

                        <ul class="nav navbar-nav navbar-right text-center ml-0">
                            <li><a href="<?php echo e($data['site']['android']); ?>" target="_blank" class="pt-o"><img src="<?php echo e(URL::to('interface')); ?>/images/img-2.png"></a></li>
                            <li><a href="<?php echo e($data['site']['ios']); ?>" target="_blank" class="pt-o"><img src="<?php echo e(URL::to('interface')); ?>/images/img-1.png"></a></li>
                        </ul>

                    </div>

                </div>
            </div>
        </nav>

        <?php echo $__env->yieldContent('content'); ?>


        <!--===============================
            footer
        ===================================-->

        <div class="footer">
            <div class="container text-center">

                <ul class="list-unstyled list-inline wow fadeInUp">
                    <li><a href="<?php echo e($data['site']['facebook']); ?>" target="_blank"><i class="fa fa-facebook fa-2x"></i></a></li>
                    <li><a href="<?php echo e($data['site']['twitter']); ?>" target="_blank"><i class="fa fa-twitter fa-2x"></i></a></li>
                    <li><a href="<?php echo e($data['site']['youtube']); ?>" target="_blank"><i class="fa fa-youtube fa-2x"></i></a></li>
                    <li><a href="<?php echo e($data['site']['instagram']); ?>" target="_blank"><i class="fa fa-instagram fa-2x"></i></a></li>
                    <li><a href="<?php echo e($data['site']['google']); ?>" target="_blank"><i class="fa fa-google-plus fa-2x"></i></a></li>
                    <li><a href="<?php echo e($data['site']['snapchat']); ?>" target="_blank"><i class="fa fa-snapchat-ghost fa-2x"></i></a></li>
                </ul>

                <p class="pt-20"><i class="fa fa-copyright"></i><?php echo e($data['site'][$lang.'_title']); ?> <?php echo e(date('Y')); ?></p>

            </div>
        </div>

        <!--===============================
            script
        ===================================-->

        <script src="<?php echo e(URL::to('interface')); ?>/js/jquery-1.11.1.min.js"></script>
        <script src="<?php echo e(URL::to('interface')); ?>/js/bootstrap.min.js"></script>
        <script src="<?php echo e(URL::to('interface')); ?>/js/owl.carousel.min.js"></script>
        <script src="<?php echo e(URL::to('interface')); ?>/js/wow.min.js"></script>
        <script src="<?php echo e(URL::to('interface')); ?>/js/script.js"></script>

        <?php echo $__env->yieldContent('scripts'); ?>

    </body>
</html>
