<!DOCTYPE html>
<?php
$site = \App\Site::first();
$pages = \App\Page::all();
?>
<html lang="ar" dir="rtl">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
        <meta name="HandheldFriendly" content="true">

        <title><?php echo e($site['title']); ?></title>

        <meta name="author" content="<?php echo e($site['title']); ?>">
        <meta name="description" content="<?php echo e($site['desc']); ?>"/>
        <meta name="keywords" content="<?php echo e($site['tags']); ?>"/>
        <meta name="generator" content="Spark-cloud">
        <link rel="canonical" href="<?php echo e(URL::to('/')); ?>" />
        <meta property="og:locale" content="ar_Ar" />
        <meta property="og:type" content="website" />
        <meta property="og:title" content="<?php echo e($site['title']); ?>" />
        <meta property="og:description" content="<?php echo e($site['desc']); ?>" />
        <meta property="og:url" content="<?php echo e(URL::to('/')); ?>" />
        <meta property="og:site_name" content="<?php echo e($site['title']); ?>" />
        <meta name="twitter:card" content="summary"/>
        <meta name="twitter:description" content="<?php echo e($site['desc']); ?>"/>
        <meta name="twitter:title" content="<?php echo e($site['title']); ?>"/>
        <meta name="twitter:domain" content="<?php echo e($site['title']); ?>"/>

        <link rel="stylesheet" href="<?php echo e(URL::to('interface')); ?>/css/animate.min.css">
        <link rel="stylesheet" href="<?php echo e(URL::to('interface')); ?>/css/animate.css">
        <link rel="stylesheet" href="<?php echo e(URL::to('interface')); ?>/css/bootstrap.min.css">
        <link href="<?php echo e(URL::to('interface')); ?>/web-fonts-with-css/css/fontawesome-all.css" rel="stylesheet">
        <link rel="stylesheet" href="<?php echo e(URL::to('interface')); ?>/css/styles.css">
        <script src="<?php echo e(URL::to('interface')); ?>/query_files/jquery-3.2.1.js"></script>
        <script src="<?php echo e(URL::to('interface')); ?>/query_files/jquery-3.2.1.min.js"></script>
        <script src="<?php echo e(URL::to('interface')); ?>/query_files/jquery.easing.1.3.js"></script>
        <script src="<?php echo e(URL::to('interface')); ?>/query_files/jquery_file.js"></script>
        <script src="<?php echo e(URL::to('interface')); ?>/query_files/scrollIt.js"></script>
        <script src="<?php echo e(URL::to('interface')); ?>/query_files/bootstrap.min.js"></script>
        <script src="<?php echo e(URL::to('interface')); ?>/query_files/html5shiv.min.js"></script>
        <script src="<?php echo e(URL::to('interface')); ?>/query_files/respond.min.js"></script>
        <script src="<?php echo e(URL::to('interface')); ?>/query_files/wow.min.js"></script>

    </head>
    <body>

        <nav class="container-fluid navbar navbar-default navbar-fixed-top col wow fadeInDown" data-wow-duration="2s" data-wow-delay="0s" role="navigation" style="padding-top: 20px;padding-bottom: 8px;">
            <div class="container">
                <!-- Brand and toggle get grouped for better mobile display -->
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbar-brand-centered1">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <div class="navbar-brand navbar-brand-centered">
                        <img src="<?php echo e(URL::to('interface')); ?>/images/logo.png">
                    </div>
                </div>

                <!-- Collect the nav links, forms, and other content for toggling -->
                <div class="collapse navbar-collapse" id="navbar-brand-centered1">
                    <ul class="nav navbar-nav second">
                        <li class=""><a href="#">
                                الرئيسية
                            </a></li>
                        <li><a href="#" data-scroll-nav="0">

                                عن التطبيق
                            </a></li>
                        <li><a href="#" data-scroll-nav="1">

                                سياسة الاستخدام
                            </a></li>
                        <li><a href="#" data-scroll-nav="2">

                                تحميل مجانى
                            </a></li>
                        <li>
                            <a href="<?php echo e(URL::to('contact')); ?>">
                                اتصل بنا
                            </a>
                        </li>
                        <li class="icon"><a href="<?php echo e($site['android']); ?>">
                                <i class="fab fa-android" style="color: #29bfd8"></i>
                            </a></li>
                        <li class="icon"><a href="<?php echo e($site['ios']); ?>">
                                <i class="fab fa-apple" style="color: #29bfd8"></i>
                            </a></li>

                    </ul>

                </div><!-- /.navbar-collapse -->
            </div><!-- /.container-fluid -->
        </nav>


        <?php echo $__env->yieldContent('content'); ?>


        <div class="container-fluid footer-bs " data-scroll-index="3">

            <!----------- Footer ------------>
            <footer class="footer-bs">
                <div class="row">
                    <div class="col-md-3 footer-brand animated wow fadeInLeft" data-wow-duration="2s" data-wow-delay="0s">

                        <img src="<?php echo e(URL::to('interface')); ?>/images/logo2.png" width="40%">

                        <div class="row">
                            <ul class="list-inline last">
                                <li>
                                    <a href="<?php echo e($site['facebook']); ?>" target="_blank">
                                        <i class="fab fa-facebook"></i>
                                    </a>
                                </li>
                                <li>
                                    <a href="<?php echo e($site['twitter']); ?>" target="_blank">
                                        <i class="fab fa-twitter"></i>
                                    </a>
                                </li>
                                <li>
                                    <a href="<?php echo e($site['instagram']); ?>" target="_blank">
                                        <i class="fab fa-instagram"></i>
                                    </a>
                                </li>
                                <li>
                                    <a href="<?php echo e($site['google']); ?>" target="_blank">
                                        <i class="fab fa-google-plus"></i>
                                    </a>
                                </li>
                                <li>
                                    <a href="<?php echo e($site['youtube']); ?>" target="_blank">
                                        <i class="fab fa-youtube"></i>
                                    </a>
                                </li>
                                <li>
                                    <a href="<?php echo e($site['snapchat']); ?>" target="_blank">
                                        <i class="fab fa-snapchat-ghost"></i>
                                    </a>
                                </li>
                                <li>
                                    <a href="<?php echo e($site['linkedin']); ?>" target="linkedin">
                                        <i class="fab fa-linkedin"></i>
                                    </a>
                                </li>
                            </ul>
                        </div>
                        <p>
                            <?php echo e($site['desc']); ?>

                        </p>
                        <img src="<?php echo e(URL::to('interface')); ?>/images/code2.png" width="25%">
                        <span style="margin-right: 13px;color: #23cce1;">
                            امسح الكود وحمل التطبيق مجانا
                        </span>
                    </div>
                    <div class="col-md-9  footer-nav animated wow fadeInDown" style="margin-top: 55px" data-wow-duration="2s" data-wow-delay="0s">
                        <ul class="pages">
                            
                        </ul>
                    </div>


                </div>
            </footer>




        </div>

        <section style="background-color:#06184a;color:#a3a5ab;text-align:right;padding: 10px 10px 10px 0px;">


            <p class="end">
                <a href="http://www.serv5.com" style="color: #fff;">
                    تصميم وتطوير سيرف فايف Serv5.Com    <img src="https://www.serv5.com/interface/images/logo.png" style="width: 100px"
                                                             alt="سيرف فايف لخدمات وحلول الويب المتكاملة serv5.com"></a>
            </p>





            <p> جميع الحقوق محفوظه لصالح الموقع </p>

        </section>

    </body>
</html>
