<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        الكتب
    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('admin/books')); ?>"> <?php echo e(trans('layout.city')); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>">تعديل كتاب حالي</li>
    </ol>
</section>

<section class="content">

    <div class="box box-default">
        <div class="box-header with-border">
            <h3 class="box-title">تعديل كتاب حالي : <?php echo e($book['name']); ?></h3>

            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
            </div>
        </div>

        <form action="<?php echo e(URL::to('admin/books/'.$book['id'])); ?>" method="post" enctype="multipart/form-data">
            <?php echo e(Form::hidden('_method','PATCH')); ?>

            <?php echo e(csrf_field()); ?>


            <div class="box-body">
                <div class="row">
                    <div class="col-12">
                        <?php if(Session::has('message')): ?>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="alert alert-success alert-dismissible">
                                    <?php echo e(Session::get('message')); ?>

                                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>

                        <div class="form-group row">
                            <label for="input_0" class="col-sm-3 col-form-label">تفعيل الكتاب</label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('active', ['yes'=>trans('layout.yes_active') , 'no'=>trans('layout.no_active')],$book['active'], ['class'=>'form-control','id'=>'input_0'])); ?>

                                <?php if($errors->has('active')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('active')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="parent_id" class="col-sm-3 col-form-label">القسم الرئيسي</label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('parent_id',$parents, $book['Dept']['parent_id'], ['class'=>'form-control select2','id'=>'parent_id'])); ?>

                                <?php if($errors->has('parent_id')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('parent_id')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="dept_id" class="col-sm-3 col-form-label">القسم الفرعي</label>
                            <div class="col-sm-9">
                                <div id="depts">
                                    <?php echo e(Form::select('dept_id',$depts, $book['dept_id'], ['class'=>'form-control select2','id'=>'dept_id'])); ?>

                                </div>
                                <?php if($errors->has('dept_id')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('dept_id')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="choice" class="col-sm-3 col-form-label">الظهور في إختارنا لك</label>
                            <div class="col-sm-9">
                                <?php echo e(Form::select('choice', ['no'=>'لا','yes'=>'نعم'],$book['choice'], ['class'=>'form-control','id'=>'choice'])); ?>

                                <?php if($errors->has('choice')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('choice')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_1" class="col-sm-3 col-form-label">إسم الكتاب</label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('name', $book['name'], ['class'=>'form-control','id'=>'input_1'])); ?>

                                <?php if($errors->has('name')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('name')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="desc" class="col-sm-3 col-form-label">وصف الكتاب</label>
                            <div class="col-sm-9">
                                <?php echo e(Form::textarea('desc', $book['desc'], ['class'=>'form-control','id'=>'desc'])); ?>

                                <?php if($errors->has('desc')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('desc')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="price" class="col-sm-3 col-form-label">سعر الكتاب</label>
                            <div class="col-sm-8">
                                <?php echo e(Form::number('price', $book['price'], ['class'=>'form-control','id'=>'price'])); ?>

                                <?php if($errors->has('price')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('price')); ?></div>
                                <?php endif; ?>
                            </div>
                            <label class="col-sm-1 col-form-label">دينار</label>
                        </div>

                        <div class="form-group row">
                            <label for="discount" class="col-sm-3 col-form-label">السعر بعد الخصم</label>
                            <div class="col-sm-8">
                                <?php echo e(Form::number('discount', $book['discount'], ['class'=>'form-control','id'=>'discount'])); ?>

                                <?php if($errors->has('discount')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('discount')); ?></div>
                                <?php endif; ?>
                            </div>
                            <label class="col-sm-1 col-form-label">دينار</label>
                        </div>

                        <div class="form-group row">
                            <label for="count" class="col-sm-3 col-form-label">الكمية المتاحة</label>
                            <div class="col-sm-9">
                                <?php echo e(Form::number('count', $book['count'], ['class'=>'form-control','id'=>'count'])); ?>

                                <?php if($errors->has('count')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('count')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="author" class="col-sm-3 col-form-label">المؤلف</label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('author', $book['author'], ['class'=>'form-control','id'=>'author'])); ?>

                                <?php if($errors->has('author')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('author')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="year" class="col-sm-3 col-form-label">سنة النشر</label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('year', $book['year'], ['class'=>'form-control','id'=>'year'])); ?>

                                <?php if($errors->has('year')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('year')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="pages" class="col-sm-3 col-form-label">عدد الصفحات</label>
                            <div class="col-sm-9">
                                <?php echo e(Form::number('pages', $book['pages'], ['class'=>'form-control','id'=>'pages'])); ?>

                                <?php if($errors->has('pages')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('pages')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="publish" class="col-sm-3 col-form-label">دار النشر</label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('publish', $book['publish'], ['class'=>'form-control','id'=>'publish'])); ?>

                                <?php if($errors->has('publish')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('publish')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="cover" class="col-sm-3 col-form-label">غلاف الكتاب</label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('cover', $book['cover'], ['class'=>'form-control','id'=>'cover'])); ?>

                                <?php if($errors->has('cover')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('cover')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="publish" class="col-sm-3 col-form-label">Serial Number</label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('serial', $book['serial'], ['class'=>'form-control','id'=>'serial'])); ?>

                                <?php if($errors->has('serial')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('serial')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="order" class="col-sm-3 col-form-label">ترتيب الكتاب في السلسلة</label>
                            <div class="col-sm-9">
                                <?php echo e(Form::text('order', $book['order'], ['class'=>'form-control','id'=>'order'])); ?>

                                <?php if($errors->has('order')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('order')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_3" class="col-sm-3 col-form-label">صورة الكتاب</label>
                            <div class="col-sm-9">
                                <?php echo e(Form::file('image',['class'=>'form-control','id'=>'input_3'])); ?>

                                <?php if($errors->has('image')): ?>
                                <div class="alert alert-danger"><?php echo e($errors->first('image')); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="input_3" class="col-sm-3 col-form-label">صورة الكتاب الحالية</label>
                            <div class="col-sm-9">
                                <img src="<?php echo e(URL::to('upload/books/'.$book['image'])); ?>" class="img-thumbnail">
                            </div>
                        </div>

                    </div>
                </div>
            </div>

            <div class="box-footer">
                <button type="submit" class="btn btn-primary btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.save')); ?></button>
                <a href="<?php echo e(URL::to('admin/books')); ?>" class="btn btn-default btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.back')); ?></a>
            </div>

        </form>

    </div>

</section>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.form', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>