﻿<!DOCTYPE html>
<?php
$lang = App::getLocale();
$dir = "";
$arrow = "right";
$pull = "pull-left";
if ($lang == "ar") {
    $dir = "rtl";
    $arrow = "left";
    $pull = "pull-right";
}
$site = App\Site::first();
?>
<html lang="<?php echo e($lang); ?>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="">
        <meta name="author" content="">
        <link rel="icon" href="<?php echo e(URL::to('admin_panel')); ?>/images/favicon.ico">

        <title><?php echo e($site[$lang.'_title']); ?> - <?php echo e(trans('layout.admin')); ?> </title>

        <!-- bootstrap             4.0 -->
        <link rel="stylesheet" href="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/bootstrap/dist/css/bootstrap.css">

        <!-- Bootstrap 4.0-->
        <link rel="stylesheet" href="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/bootstrap/dist/css/bootstrap-extend.css">

        <!-- font awesome -->
        <link rel="stylesheet" href="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/font-awesome/css/font-awesome.css">

        <!-- ionicons -->
        <link rel="stylesheet" href="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/Ionicons/css/ionicons.css">

        <!-- theme style -->
        <link rel="stylesheet" href="<?php echo e(URL::to('admin_panel')); ?>/css/<?php echo e($lang); ?>/master_style.css">

        <!-- mpt_admin skins. choose a skin from the css/skins folder instead of downloading all of them to reduce the load. -->
        <link rel="stylesheet" href="<?php echo e(URL::to('admin_panel')); ?>/css/<?php echo e($lang); ?>/skins/_all-skins.css">

        <!-- morris chart -->
        <link rel="stylesheet" href="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/morris.js/morris.css">

        <!-- jvectormap -->
        <link rel="stylesheet" href="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/jvectormap/jquery-jvectormap.css">

        <!-- date picker -->
        <link rel="stylesheet" href="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/bootstrap-datepicker/dist/css/bootstrap-datepicker.css">

        <!-- daterange picker -->
        <link rel="stylesheet" href="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/bootstrap-daterangepicker/daterangepicker.css">

        <!-- bootstrap wysihtml5 - text editor -->
        <link rel="stylesheet" href="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.css">

        <!-- weather weather -->
        <link rel="stylesheet" href="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/weather-icons/weather-icons.css">

        <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
        <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
        <![endif]-->

        <!-- google font -->
        <link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700" rel="stylesheet">


    </head>

    <body class="hold-transition skin-blue sidebar-mini">
        <div class="wrapper">

            <?php echo $__env->make('business.layouts.include.header', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

            <?php echo $__env->make('business.layouts.include.sidebar', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

            <div class="content-wrapper" dir="<?php echo e($dir); ?>">
                <?php echo $__env->yieldContent('content'); ?>
            </div>

            <?php echo $__env->make('business.layouts.include.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

        </div>

        <!-- jQuery 3 -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/jquery/dist/jquery.js"></script>
        <script src="<?php echo e(url('admin_panel')); ?>/js/notify.js"></script>
        <script src="<?php echo e(url('admin_panel')); ?>/js/ion.sound.min.js"></script>

        <script>
$(document).ready(function () {
    $.notify.defaults({
// whether to hide the notification on click
        clickToHide: true,
        // whether to auto-hide the notification
        autoHide: false,
        // if autoHide, hide after milliseconds
        autoHideDelay: 5000,
        // show the arrow pointing at the element
        arrowShow: true,
        // arrow size in pixels
        arrowSize: 5,
        // position defines the notification position though uses the defaults below
        position: '...',
        // default positions
        elementPosition: 'bottom left',
        globalPosition: 'top right',
        // default style
        style: 'bootstrap',
        // default class (string or [string])
        className: 'error',
        // show animation
        showAnimation: 'slideDown',
        // show animation duration
        showDuration: 400,
        // hide animation
        hideAnimation: 'slideUp',
        // hide animation duration
        hideDuration: 200,
        // padding between element and notification
        gap: 2
    });
    ion.sound({
        sounds: [
            {
                alias: "s1",
                name: "bell_ring"
            },
            {
                alias: "s2",
                name: "glass"
            }

        ],
        path: "<?php echo url('/') ?>/admin_panel/js/sounds/",
        preload: false,
        volume: 1
    });

    // get new restaurant orders 
    function get_new_orders() {
        var link = "<?php echo url('/') ?>";
        $.ajax({
            type: "GET",
            url: link + "/business/restaurant_check_new_orders",
            success: function (datas) {
                $('#new_orders').empty();
                var text = $('#text_dir').val();
                var count = 0;
                for (var i = 0; i < datas.length; i++) {
                    count++;
                    $('#new_orders').append('<li class="' + text + '"><a href="' + link + '/business/restaurant_orders/' + datas[i].id + '/edit"><i class="fa fa-shopping-bag text-yellow"></i> <?php echo trans('layout.orders_details_no'); ?> : ' + datas[i].id + ' - ' + datas[i].governate + '</a></li>');
                }
                if (count > $('.new_orders_count').html()) {
                    $.notify("!!!!! New Order !!! ☺ ", "success");
                    ion.sound.play("s2", {
                        loop: 10
                    });
                }
                $('.new_orders_count').html(count);
                $('.new_orders_count_2').html(count);
            }
        });
    }

    // get new fashion orders 
    function get_new_orders_fashion() {
        var link = "<?php echo url('/') ?>";
        $.ajax({
            type: "GET",
            url: link + "/business/fashion_check_new_orders",
            success: function (datas) {
                $('#new_orders_fashion').empty();
                var text = $('#text_dir').val();
                var count = 0;
                for (var i = 0; i < datas.length; i++) {
                    count++;
                    $('#new_orders_fashion').append('<li class="' + text + '"><a href="' + link + '/business/fashion_orders/' + datas[i].id + '/edit"><i class="fa fa-shopping-bag text-yellow"></i> <?php echo trans('layout.orders_details_no'); ?> : ' + datas[i].id + ' - ' + datas[i].governate + '</a></li>');
                }
                if (count > $('.new_orders_fashion_count').html()) {
                    $.notify("!!!!! New Order !!! ☺ ", "success");
                    ion.sound.play("s2", {
                        loop: 10
                    });
                }
                $('.new_orders_fashion_count').html(count);
                $('.new_orders_fashion_count_2').html(count);
            }
        });
    }

    // get new salon orders 
    function get_new_orders_salon() {
        var link = "<?php echo url('/') ?>";
        $.ajax({
            type: "GET",
            url: link + "/business/salon_check_new_orders",
            success: function (datas) {
                $('#new_orders_salon').empty();
                var text = $('#text_dir').val();
                var count = 0;
                for (var i = 0; i < datas.length; i++) {
                    count++;
                    $('#new_orders_salon').append('<li class="' + text + '"><a href="' + link + '/business/salon_orders/' + datas[i].id + '/edit"><i class="fa fa-shopping-bag text-yellow"></i> <?php echo trans('layout.orders_details_no'); ?> : ' + datas[i].id + ' - ' + datas[i].governate + '</a></li>');
                }
                if (count > $('.new_orders_salon_count').html()) {
                    $.notify("!!!!! New Order !!! ☺ ", "success");
                    ion.sound.play("s2", {
                        loop: 10
                    });
                }
                $('.new_orders_salon_count').html(count);
                $('.new_orders_salon_count_2').html(count);
            }
        });
    }

    // get new gym orders 
    function get_new_orders_gym() {
        var link = "<?php echo url('/') ?>";
        $.ajax({
            type: "GET",
            url: link + "/business/gym_check_new_orders",
            success: function (datas) {
                $('#new_orders_gym').empty();
                var text = $('#text_dir').val();
                var count = 0;
                for (var i = 0; i < datas.length; i++) {
                    count++;
                    $('#new_orders_gym').append('<li class="' + text + '"><a href="' + link + '/business/gym_orders/' + datas[i].id + '/edit"><i class="fa fa-shopping-bag text-yellow"></i> <?php echo trans('layout.orders_details_no'); ?> : ' + datas[i].id + ' - ' + datas[i].governate + '</a></li>');
                }
                if (count > $('.new_orders_gym_count').html()) {
                    $.notify("!!!!! New Order !!! ☺ ", "success");
                    ion.sound.play("s2", {
                        loop: 10
                    });
                }
                $('.new_orders_gym_count').html(count);
                $('.new_orders_gym_count_2').html(count);
            }
        });
    }

    if ($('#order_notify').val() > 0) {
        setInterval(function () {
            get_new_orders();
        }, 60 * 1000); // 60 * 1000 milsec
    }
    if ($('#order_fashion_notify').val() > 0) {
        setInterval(function () {
            get_new_orders_fashion();
        }, 60 * 1000); // 60 * 1000 milsec
    }
    if ($('#order_salon_notify').val() > 0) {
        setInterval(function () {
            get_new_orders_salon();
        }, 60 * 1000); // 60 * 1000 milsec
    }
    if ($('#order_gym_notify').val() > 0) {
        setInterval(function () {
            get_new_orders_gym();
        }, 60 * 1000); // 60 * 1000 milsec
    }


});
        </script>


        <!-- jQuery UI 1.11.4 -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/jquery-ui/jquery-ui.js"></script>


        <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
        <script>
$.widget.bridge('uibutton', $.ui.button);
        </script>

        <!-- popper -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/popper/dist/popper.min.js"></script>

        <!-- Bootstrap 4.0 -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/bootstrap/dist/js/bootstrap.js"></script>

        <!-- FLOT CHARTS -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/Flot/jquery.flot.js"></script>

        <!-- FLOT RESIZE PLUGIN - allows the chart to redraw when the window is resized -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/Flot/jquery.flot.resize.js"></script>

        <!-- FLOT PIE PLUGIN - also used to draw donut charts -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/Flot/jquery.flot.pie.js"></script>

        <!-- FLOT CATEGORIES PLUGIN - Used to draw bar charts -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/Flot/jquery.flot.categories.js"></script>

        <!-- Sparkline -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/jquery-sparkline/dist/jquery.sparkline.js"></script>

        <!-- jvectormap -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_plugins/jvectormap/jquery-jvectormap-1.2.2.min.js"></script>	
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_plugins/jvectormap/jquery-jvectormap-world-mill-en.js"></script>

        <!-- jQuery Knob Chart -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/jquery-knob/js/jquery.knob.js"></script>

        <!-- daterangepicker -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/moment/min/moment.min.js"></script>
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/bootstrap-daterangepicker/daterangepicker.js"></script>

        <!-- datepicker -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/bootstrap-datepicker/dist/js/bootstrap-datepicker.js"></script>

        <!-- Bootstrap WYSIHTML5 -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.js"></script>

        <!-- Slimscroll -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/jquery-slimscroll/jquery.slimscroll.js"></script>

        <!-- FastClick -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/fastclick/lib/fastclick.js"></script>

        <!-- ChartJS -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_components/chart-js/chart.js"></script>

        <!-- mpt_admin App -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/js/template.js"></script>

        <!-- mpt_admin dashboard demo (This is only for demo purposes) -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/js/pages/dashboard.js"></script>

        <!-- mpt_admin for demo purposes -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/js/demo.js"></script>

        <!-- weather for demo purposes -->
        <script src="<?php echo e(URL::to('admin_panel')); ?>/assets/vendor_plugins/weather-icons/WeatherIcon.js"></script>



        <?php echo $__env->yieldContent('scripts'); ?>


    </body>
</html>
