<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<header class="main-header" dir="<?php echo e($dir); ?>">
    <!-- Logo -->
    <a href="<?php echo e(URL::to('admin')); ?>" class="logo">
        <!-- mini logo for sidebar mini 50x50 pixels -->
        <span class="logo-mini"><b>B</b></span>
        <!-- logo for regular state and mobile devices -->
        <span class="logo-lg"><b><?php echo e($site[$lang.'_title']); ?></b></span>
    </a>
    <!-- Header Navbar: style can be found in header.less -->
    <nav class="navbar navbar-static-top">
        <!-- Sidebar toggle button-->
        <a href="#" class="sidebar-toggle" data-toggle="push-menu" role="button">
            <span class="sr-only">Toggle navigation</span>
        </a>

        <div class="navbar-custom-menu">
            <ul class="nav navbar-nav">
                <!-- User Account: style can be found in dropdown.less -->
                <li class="dropdown user user-menu">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                        <img src="<?php echo e(URL::to('admin_panel')); ?>/images/user2-160x160.jpg" class="user-image rounded" alt="User Image">
                    </a>
                    <ul class="dropdown-menu scale-up">
                        <!-- User image -->
                        <li class="user-header">
                            <img src="<?php echo e(URL::to('admin_panel')); ?>/images/user2-160x160.jpg" class="rounded float-right" alt="User Image">

                            <p>
                                <?php echo e(Auth::User()->username); ?>

                                <small><?php echo e(Auth::User()->Group[$lang.'_name']); ?></small>
                            </p>
                        </li>
                        <!-- Menu Footer-->
                        <li class="user-footer">
                            <div class="pull-right">
                                <a href="<?php echo e(URL::to('/')); ?>" class="btn btn-block btn-primary"><?php echo e(trans('layout.website')); ?></a>
                            </div>
                            <div class="pull-left">
                                <a href="<?php echo e(URL::to('admin/logout')); ?>" class="btn btn-block btn-danger"><?php echo e(trans('layout.logout')); ?></a>
                            </div>
                        </li>
                    </ul>
                </li>

                <?php if(\App\Permission::where('group_id', Auth::User()->group_id)->where('permission', 'users')->count() > 0): ?>
                <?php $users = \App\User::where('seen', 'no')->orderBy('id', 'desc')->get(); ?>

                <?php if(Auth::User()->Group['country'] == "all"): ?>
                <li class="dropdown messages-menu">
                    <a href="" class="dropdown-toggle" data-toggle="dropdown">
                        <i class="fa fa-user"></i>
                        <span class="label label-danger"><?php echo e(COUNT($users)); ?></span>
                    </a>
                    <ul class="dropdown-menu scale-up">
                        <li class="header <?php echo e($text); ?>"><?php echo e(trans('layout.users_count')); ?> : <?php echo e(COUNT($users)); ?></li>
                        <li>
                            <ul class="menu inner-content-div">
                                <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><!-- start message -->
                                    <a href="<?php echo e(URL::to('admin/users/'.$user['id'].'/edit')); ?>">
                                        <div class="<?php echo e($pull); ?>">
                                            <img src="<?php echo e(URL::to('admin_panel')); ?>/images/user2-160x160.jpg" class="rounded-circle" alt="<?php echo e($user['name']); ?>">
                                        </div>
                                        <div class="mail-contnet <?php echo e($text); ?>">
                                            <h4 class="<?php echo e($text); ?>">
                                                <?php echo e($user['name']); ?>

                                                <small><i class="fa fa-clock-o"></i> &nbsp;<?php echo e(date('Y-m-d',strtotime($user['created_at']))); ?></small>
                                            </h4>
                                            <span><?php echo e($user['email']); ?></span>
                                        </div>
                                    </a>
                                </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </li>
                        <li class="footer"><a href="<?php echo e(URL::to('admin/users')); ?>"><?php echo e(trans('layout.show_all')); ?></a></li>
                    </ul>
                </li>
                <?php else: ?>

                <?php if(Auth::User()->country_id == $user['country_id']): ?>
                <li class="dropdown messages-menu">
                    <a href="" class="dropdown-toggle" data-toggle="dropdown">
                        <i class="fa fa-user"></i>
                        <span class="label label-danger"><?php echo e(COUNT($users)); ?></span>
                    </a>
                    <ul class="dropdown-menu scale-up">
                        <li class="header <?php echo e($text); ?>"><?php echo e(trans('layout.users_count')); ?> : <?php echo e(COUNT($users)); ?></li>
                        <li>
                            <ul class="menu inner-content-div">
                                <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><!-- start message -->
                                    <a href="<?php echo e(URL::to('admin/users/'.$user['id'].'/edit')); ?>">
                                        <div class="<?php echo e($pull); ?>">
                                            <img src="<?php echo e(URL::to('admin_panel')); ?>/images/user2-160x160.jpg" class="rounded-circle" alt="<?php echo e($user['name']); ?>">
                                        </div>
                                        <div class="mail-contnet <?php echo e($text); ?>">
                                            <h4 class="<?php echo e($text); ?>">
                                                <?php echo e($user['name']); ?>

                                                <small><i class="fa fa-clock-o"></i> &nbsp;<?php echo e(date('Y-m-d',strtotime($user['created_at']))); ?></small>
                                            </h4>
                                            <span><?php echo e($user['email']); ?></span>
                                        </div>
                                    </a>
                                </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </li>
                        <li class="footer"><a href="<?php echo e(URL::to('admin/users')); ?>"><?php echo e(trans('layout.show_all')); ?></a></li>
                    </ul>
                </li>
                <?php endif; ?>

                <?php endif; ?>

                <?php endif; ?>

                <?php if(\App\Permission::where('group_id', Auth::User()->group_id)->where('permission', 'contact')->count() > 0): ?>
                <?php $contacts = \App\Contact::where('seen', 'no')->orderBy('id', 'desc')->get(); ?>
                <li class="dropdown messages-menu">
                    <a href="" class="dropdown-toggle" data-toggle="dropdown">
                        <i class="fa fa-envelope"></i>
                        <span class="label label-success"><?php echo e(COUNT($contacts)); ?></span>
                    </a>
                    <ul class="dropdown-menu scale-up">
                        <li class="header <?php echo e($text); ?>"><?php echo e(trans('layout.contact_count')); ?> : <?php echo e(COUNT($contacts)); ?></li>
                        <li>
                            <ul class="menu inner-content-div">
                                <?php $__currentLoopData = $contacts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $contact): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><!-- start message -->
                                    <a href="<?php echo e(URL::to('admin/contact/'.$contact['id'].'/edit')); ?>">
                                        <div class="<?php echo e($pull); ?>">
                                            <img src="<?php echo e(URL::to('admin_panel')); ?>/images/user2-160x160.jpg" class="rounded-circle" alt="<?php echo e($contact['name']); ?>">
                                        </div>
                                        <div class="mail-contnet <?php echo e($text); ?>">
                                            <h4 class="<?php echo e($text); ?>">
                                                <?php echo e($contact['name']); ?>

                                                <small><i class="fa fa-clock-o"></i> &nbsp;<?php echo e(date('Y-m-d',strtotime($contact['created_at']))); ?></small>
                                            </h4>
                                            <span><?php echo e($contact['title']); ?></span>
                                        </div>
                                    </a>
                                </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </li>
                        <li class="footer"><a href="<?php echo e(URL::to('admin/contact')); ?>"><?php echo e(trans('layout.show_all')); ?></a></li>
                    </ul>
                </li>
                <?php endif; ?>



                <?php if(\App\Permission::where('group_id', Auth::User()->group_id)->where('permission', 'orders')->count() > 0): ?>
                <?php $orders = \App\Order::where('status', 'new')->orderBy('id', 'desc')->get(); ?>
                <li class="dropdown notifications-menu">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                        <i class="fa fa-usd"></i>
                        <span class="label label-warning new_orders_count"><?php echo e(COUNT($orders)); ?></span>
                    </a>
                    <ul class="dropdown-menu scale-up">
                        <li class="header <?php echo e($text); ?>"><?php echo e(trans('layout.orders_count')); ?> : <span class="new_orders_count_2"><?php echo e(COUNT($orders)); ?></span></li>
                        <li>
                            <!-- inner menu: contains the actual data -->
                            <ul class="menu inner-content-div" id="new_orders">
                                <?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if(Auth::User()->Group['country'] == "all"): ?>
                                <li class="<?php echo e($text); ?>">
                                    <a href="<?php echo e(URL::to('admin/orders/'.$order['id'].'/edit')); ?>">
                                        <i class="fa fa-shopping-bag text-yellow"></i> <?php echo e(trans('layout.orders_details_no')); ?> : <?php echo e($order['id']); ?> - <?php echo e($order['governate_'.$lang]); ?>

                                    </a>
                                </li>
                                <?php else: ?>

                                <?php if($order['country_'.$lang] == Auth::User()->Country[$lang.'_name']): ?>
                                <li class="<?php echo e($text); ?>">
                                    <a href="<?php echo e(URL::to('admin/orders/'.$order['id'].'/edit')); ?>">
                                        <i class="fa fa-shopping-bag text-yellow"></i> <?php echo e(trans('layout.orders_details_no')); ?> : <?php echo e($order['id']); ?> - <?php echo e($order['governate_'.$lang]); ?>

                                    </a>
                                </li>
                                <?php endif; ?>

                                <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </li>
                        <li class="footer"><a href="<?php echo e(URL::to('admin/orders?status=new')); ?>"><?php echo e(trans('layout.show_all')); ?></a></li>
                    </ul>
                </li>
                <?php endif; ?>

                <!-- Tasks: style can be found in dropdown.less -->
                <li class="dropdown tasks-menu">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                        <i class="fa fa-flag"></i>
                        <span class="label label-danger">6</span>
                    </a>
                    <ul class="dropdown-menu scale-up">
                        <li class="header">You have 6 tasks</li>
                        <li>
                            <!-- inner menu: contains the actual data -->
                            <ul class="menu inner-content-div">
                                <li><!-- Task item -->
                                    <a href="#">
                                        <h3>
                                            Lorem ipsum dolor sit amet
                                            <small class="pull-left">30%</small>
                                        </h3>
                                        <div class="progress xs">
                                            <div class="progress-bar progress-bar-aqua" style="width: 30%" role="progressbar"
                                                 aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">
                                                <span class="sr-only">30% Complete</span>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                                <!-- end task item -->
                                <li><!-- Task item -->
                                    <a href="#">
                                        <h3>
                                            Vestibulum nec ligula
                                            <small class="pull-left">20%</small>
                                        </h3>
                                        <div class="progress xs">
                                            <div class="progress-bar progress-bar-danger" style="width: 20%" role="progressbar"
                                                 aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">
                                                <span class="sr-only">20% Complete</span>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                                <!-- end task item -->
                                <li><!-- Task item -->
                                    <a href="#">
                                        <h3>
                                            Donec id leo ut ipsum
                                            <small class="pull-left">70%</small>
                                        </h3>
                                        <div class="progress xs">
                                            <div class="progress-bar progress-bar-light-blue" style="width: 70%" role="progressbar"
                                                 aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">
                                                <span class="sr-only">70% Complete</span>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                                <!-- end task item -->
                                <li><!-- Task item -->
                                    <a href="#">
                                        <h3>
                                            Praesent vitae tellus
                                            <small class="pull-left">40%</small>
                                        </h3>
                                        <div class="progress xs">
                                            <div class="progress-bar progress-bar-yellow" style="width: 40%" role="progressbar"
                                                 aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">
                                                <span class="sr-only">40% Complete</span>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                                <!-- end task item -->
                                <li><!-- Task item -->
                                    <a href="#">
                                        <h3>
                                            Nam varius sapien
                                            <small class="pull-left">80%</small>
                                        </h3>
                                        <div class="progress xs">
                                            <div class="progress-bar progress-bar-red" style="width: 80%" role="progressbar"
                                                 aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">
                                                <span class="sr-only">80% Complete</span>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                                <!-- end task item -->
                                <li><!-- Task item -->
                                    <a href="#">
                                        <h3>
                                            Nunc fringilla
                                            <small class="pull-left">90%</small>
                                        </h3>
                                        <div class="progress xs">
                                            <div class="progress-bar progress-bar-primary" style="width: 90%" role="progressbar"
                                                 aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">
                                                <span class="sr-only">90% Complete</span>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                                <!-- end task item -->
                            </ul>
                        </li>
                        <li class="footer">
                            <a href="#">View all tasks</a>
                        </li>
                    </ul>
                </li>

                <!-- Control Sidebar Toggle Button -->
                <li>
                    <a href="#" data-toggle="control-sidebar"><i class="fa fa-cog fa-spin"></i></a>
                </li>
            </ul>
        </div>
    </nav>
</header>