<?php $__env->startSection('content'); ?>
<?php
$lang = App::getLocale();
$text = "text-left";
$pull = "pull-left";
if ($lang == "ar") {
    $text = "text-right";
    $pull = "pull-right";
}
?>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        <?php echo e(trans('layout.fashion_financial')); ?>

    </h1>
    <ol class="breadcrumb">
        <li class="breadcrumb-item <?php echo e($pull); ?>"><a href="<?php echo e(URL::to('business')); ?>"> <?php echo e(trans('layout.home')); ?></a></li>
        <li class="breadcrumb-item active <?php echo e($pull); ?>"><?php echo e(trans('layout.fashion_financial')); ?></li>
    </ol>
</section>

<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-12">
            <?php if(Session::has('message')): ?>
            <div class="row">
                <div class="col-lg-12">
                    <div class="alert alert-success alert-dismissible">
                        <?php echo e(Session::get('message')); ?>

                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                    </div>
                </div>
            </div>
            <?php endif; ?>

            <div class="box box-default">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(trans('layout.finanical_search')); ?></h3>

                    <div class="box-tools pull-right">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                    </div>
                </div>

                <form action="<?php echo e(URL::to('business/fashion_financial/')); ?>" method="get" enctype="multipart/form-data">

                    <div class="box-body">
                        <div class="row">
                            <div class="col-12">

                                <div class="row">
                                    <div class="col-lg-12">
                                        <table class="table table-bordered table-hover display nowrap margin-top-10 table-responsive">
                                            <thead>
                                                <tr> 
                                                    <th class="<?php echo e($text); ?> alert alert-primary" style="color: #fff;">
                                                        <?php echo e(trans('layout.money_get')); ?> : 
                                                        <?php $money_get = 0; ?>
                                                        <?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php $money_get = $money_get + $order['total'] + $order['delivery']; ?>                                                        
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                                        <?php echo e(number_format($money_get, 3, '.', '') .' '.$fashion_store['Country'][$lang.'_currency']); ?> 
                                                    </th>
                                                    <th class="<?php echo e($text); ?> alert alert-warning">
                                                        <?php echo e(trans('layout.money_percent')); ?> : 
                                                        <?php if($fashion_store['comission_type'] == "percent"): ?>
                                                        <?php $money_percent = round($money_get * $fashion_store['comission'] / 100, 3); ?>
                                                        <?php echo e(number_format($money_percent, 3, '.', '') .' '.$fashion_store['Country'][$lang.'_currency']); ?> 
                                                        <?php else: ?>
                                                        <?php $money_percent = 0; ?>
                                                        <?php echo e(trans('layout.comission_'.$fashion_store['comission_type'])); ?>

                                                        <?php endif; ?>
                                                    </th>
                                                    <th class="<?php echo e($text); ?> alert alert-info">
                                                        <?php echo e(trans('layout.money_for')); ?> : 
                                                        <?php $money_for = $money_get - $money_percent; ?>
                                                        <?php echo e(number_format($money_for, 3, '.', '') .' '.$fashion_store['Country'][$lang.'_currency']); ?> 
                                                    </th>
                                                    <th class="<?php echo e($text); ?> alert alert-danger">
                                                        <?php echo e(trans('layout.money_to')); ?> : 
                                                        <?php $money_to = 0; ?>
                                                        <?php $__currentLoopData = $transactions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $transaction): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php $money_to = $money_to + $transaction['price']; ?>                                                        
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                                        <?php echo e(number_format($money_to, 3, '.', '') .' '.$fashion_store['Country'][$lang.'_currency']); ?> 
                                                    </th>
                                                    <th class="<?php echo e($text); ?> alert alert-success">
                                                        <?php echo e(trans('layout.money_rest')); ?> : 
                                                        <?php echo e(number_format($money_for - $money_to, 3, '.', '') .' '.$fashion_store['Country'][$lang.'_currency']); ?> 
                                                    </th>
                                                </tr>
                                            </thead>
                                        </table>
                                    </div>
                                </div>
                                <br>

                                <div class="form-group row">
                                    <label for="status" class="col-sm-2 col-form-label"><?php echo e(trans('layout.pay_type')); ?></label>
                                    <div class="col-sm-10">
                                        <?php echo e(Form::select('pay_type',[''=>trans('layout.choose_pay_type'),'cash'=>trans('layout.cash'),'knet'=>trans('layout.knet'),'credit_card'=>trans('layout.credit_card')], null, ['class'=>'form-control','id'=>'status'])); ?>

                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="date_start" class="col-sm-2 col-form-label"><?php echo e(trans('layout.date_start')); ?></label>
                                    <div class="col-sm-10">
                                        <?php echo e(Form::text('date_start', null, ['class'=>'form-control','id'=>'date_start'])); ?>

                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label for="date_end" class="col-sm-2 col-form-label"><?php echo e(trans('layout.date_end')); ?></label>
                                    <div class="col-sm-10">
                                        <?php echo e(Form::text('date_end', null, ['class'=>'form-control','id'=>'date_end'])); ?>

                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="box-footer">
                        <button type="submit" class="btn btn-danger btn-lg" style="font-size: 16px;"><?php echo e(trans('layout.search')); ?></button>
                    </div>

                </form>

            </div>

            <div class="box">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(trans('layout.transactions_done')); ?></h3>

                    <div class="box-tools pull-right">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                    </div>
                </div>
                <div class="box-body">
                    <table id="example" class="table table-bordered table-hover display nowrap margin-top-10 table-responsive">
                        <thead>
                            <tr> 
                                <th class="<?php echo e($text); ?>">#</th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.date')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.total')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.notes')); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $transactions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $transaction): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($transaction['id']); ?></td>
                                <td><?php echo e($transaction['date']); ?></td>
                                <td><?php echo e(number_format($transaction['price'], 3, '.', '') .' '.$transaction['Restaurant']['Country'][$lang.'_currency']); ?></td>
                                <td><?php echo e($transaction['notes']); ?></td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
                <!-- /.box-body -->
            </div>

            <div class="box">
                <div class="box-header with-border">
                    <h3 class="box-title"><?php echo e(trans('layout.fashion_orders_done')); ?></h3>

                    <div class="box-tools pull-right">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                    </div>
                </div>
                <div class="box-body">
                    <table id="example" class="table table-bordered table-hover display nowrap margin-top-10 table-responsive">
                        <thead>
                            <tr> 
                                <th class="<?php echo e($text); ?>">#</th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.customer')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.date')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.time')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.total')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.pay_type')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.time_type')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.governate')); ?> - <?php echo e(trans('layout.city')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.order_status')); ?></th>
                                <th class="<?php echo e($text); ?>"><?php echo e(trans('layout.edit')); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($order['id']); ?></td>
                                <td><?php echo e($order['User']['name']); ?></td>
                                <td><?php echo e($order['date']); ?></td>
                                <td><?php echo e($order['time']); ?></td>
                                <td><?php echo e(number_format($order['total'] + $order['delivery'], 3, '.', '') .' '.$order['currency_'.$lang]); ?></td>
                                <td>
                                    <?php echo e(trans('layout.'.$order['pay_type'])); ?>

                                </td>
                                <td>
                                    <?php if($order['time_type'] == "later"): ?>
                                    <?php echo e(trans('layout.later')); ?>

                                    <?php else: ?>
                                    <?php echo e(trans('layout.now')); ?>

                                    <?php endif; ?>
                                </td>
                                <td><?php echo e($order['governate_'.$lang].' - '.$order['city_'.$lang]); ?></td>
                                <td><?php echo e(trans('layout.order_'.$order['status'])); ?></td>
                                <td>
                                    <?php echo e(Form::open(array('url' =>'business/fashion_orders/'.$order->id.'/edit', 'method' => 'GET'))); ?>

                                    <button  type="submit" class="btn default btn-sm btn-success"><i class="fa fa-edit"></i> <?php echo e(trans('layout.edit')); ?> </button>
                                    <?php echo e(Form::close()); ?>

                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
                <!-- /.box-body -->
            </div>

        </div>
        <!-- /.col -->
    </div>
    <!-- /.row -->
</section>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('business.layouts.table', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>